一张在75年前开启了复印机时代的纸
===========================

![img](http://rack.1.mshcdn.com/media/ZgkyMDEzLzEwLzEzL2VhL1hlcm94LjM4ODIwLmpwZwpwCXRodW1iCTk1MHg1MzQjCmUJanBn/2f9f894a/5ef/Xerox.jpg)

1938年10月22曰，纽约市皇后区阿斯托里亚的一间公寓内，专利代理人卡尔逊（Chester Carlson）和无所事事的奥地利物理学家柯乃伊（Otto Kornei）利用周六的一个上午制作了世界上第一张干式复印件(卡尔逊经过3年研究，在1938年成功实现世界上第一个静电复印实验——译者注)，从此开创了计算机的新时代！这是一个改变世界的时刻，这是一个激动人心的时刻！然后他们就去吃午餐了:D

75年来，复印产业成了美国公司的中流砥柱。即使在平板电脑和PDF大行其道的今天，去年一年时间，“多功能打印机”销量为1900万台，交易额为309亿美元(来自Gartner公司的数据)。你也许忘了上次使用打印机是在什么时候了，但IDC分析师Angèle Boyd指出,去年全球打印了3万亿张纸，其中１万亿张来自美国。在一些公司里，一个员工每个月打印300到400张纸是再平常不过的事了。打印机生意保持令人吃惊的强大，其革命性已经远超当年卡尔逊刚发明模拟式静电复印机的时候了。

静电打印机提升了企业的生产力，增强了商务交流。Gartner 公司负责调查、绘图和打印业务的副总裁Ken Weilerstein指出，大部分白领的工作任务就是以各种各样的形式阅读和创建文档。Web原本是基于超文本，链接计算机上文档的一种方法，后来由Tim Burners-Lee在1991年将其引入到互联网。

Ken Weilerstein说：“打印机改变了人们处理文档的方式，在人类的办公史上，这可是一件大事。”

##施乐的崛起

施乐(Xerox)称得上是最有名的打印机公司，在打印机市场持很大的占有率。就像人们谈搜索时会说“上网google一下”，谈到打印时会说“我需要xerox（复印）这份文档”，施乐公司已经渗入人们的日常生活中了。在科技领域，20世纪70年代，施乐由于在帕罗奥多研究中心（PARC）发明的用户图形界面和鼠标而声名远扬，乔帮主当年参观PARC后将很多点子用到了他的苹果机上（其中一个就是PARC研发的图形用户界面——译者注）。另外，激光打印机也借鉴了卡尔逊的发明。

刚开始，施乐并不叫施乐。位于纽约市康涅狄格州罗切斯特市的哈洛伊德（Haloid）公司看中静电打印技术，收购了卡尔逊的这项发明，之后才更名为“施乐”(在这中间，哈洛伊德还曾更名为“哈洛伊德施乐”——译者注)。

我们继续卡尔逊的故事，这位发明家和专利代理人对手工复印法律文件感到无比厌烦，他认为世上肯定有一种复印方法能让他摆脱油墨复写纸，或者那种传统使用湿的感光纸和水的又乱又慢还昂贵的照相法。 施乐公司的历史档案管理员Ray Brewer说卡尔逊的这个涉及锌片锌粉（估计是作为感光材料——译者注）的发明即简单又容易复制。

（Weilerstein解释说，静电复印的处理过程就是这么个回事：一张纸放在光源底下，光源会扫描整张纸，记下复印原件的信息。光线通过一组透镜照到涂有光敏材料的静电成像硒鼓上，硒鼓被曝光部分会改变其静电荷，复印原件的信息被复制到硒鼓上。之后硒像旋转，静电荷所在的地方会吸引墨粉微粒，从而在硒鼓上画出原件图像。然后硒鼓将墨粉转移到一张纸上，并加压加热，就像熨斗一样。最后，硒鼓旋转，多余的墨粉被刮下来，下一页依此循环。）

或许这个过程太简单了点。当卡尔逊在庆祝他们的突破时，柯乃伊并没有看到这一点。当柯乃伊与卡尔逊的合同到期后，他们就失去了联系。“柯乃伊没看到卡尔逊发明的意义”，Brewer说道。柯乃伊将会终身后悔。**后来卡尔逊给了柯乃伊100股施乐的股票，而柯乃伊马上就把它们卖了，为此他少嫌了至少100万美元。**

多年来，卡尔逊向多家公司推销他的专利，包括IBM和柯达，但是没人理他。Brewer认为，这是因为卡尔逊只是一个研发人员，而不是一个销售人员：“卡尔逊推销他的专利的方式非常枯燥和专业，这种方式对于将他的专利推销到市场没有任何帮助，即使是技术工程师也被卡尔逊的表达搞得迷迷糊糊”。

卡尔逊的大突破发生在1946年，哈洛伊德公司研发主管John Dessauer读到了关于卡尔逊发明的文章。哈洛伊德本来是做照相纸的，“当时的照相领域发展非常迅速”，Brewer说。1948年，哈洛伊德为卡尔逊的发明找了一个比较容易记住的名字：静电复印技术（electrophotography）。公司打印部门定名为施乐（xerography），取希腊词根“xeros（干）”和“graphos（写）”组成的新词。

在20世纪50到60年代之间，施乐打印机成为办公必备用品。这项改革节省了时间和金钱。以前，复印文档的唯一方法就是使用影印机，那是相当杂乱和昂贵的操作，更糟糕的是，那种油墨纸一次最多只能复制两份。假如你想复印更多份，你必须重新打印一份出来，“并且秘书和领导希望所有的复印件都一模一样，”Brewer又出来讲话了。这就是施乐复印术的又一个好处：多份一模一样的复印件。在email和即时通信出来之前，这种复印术为部门间交流提供机会。施乐复印术催生了备忘录、办公简讯以及生日贺卡等新鲜玩意儿。

914型复印机是施乐公司最成功的产品。在60年代到70年代初，施乐共卖掉了超过20万台这个型号的复印机，《财富》杂志将它[评为][1]“美国史上最成功的产品”。Weilerstein称施乐为“你后悔没买它的股票”的公司。

这是一部大概在1960年播出的广告：http://www.youtube.com/embed/kNGdqC7QJYI

##现代计算机时代

直到80年代PC机开始代替打字机，施乐复印机的疯狂时代才告终结。人们依靠卡尔逊的发明创造了激光打印机，从此淘汰了功能单一的复印机。这个时候，已经没有人会把施乐的机器简单地称为复印机了，它们早已变成多功能打印机。

而这还不是施乐公司生意上所面临的唯一挑战。70年代曰本公司提供了与施乐复印机同性能但更便宜的产品。Weilerstein说：施乐失去了复印机领域的垄断地位，但凭借其在激光打印机产业的发展，施乐依然站在科技的前沿。到90年代，施乐开发Docutech系统，这种技术让你从打印机年代直接进入到印刷机年代。之后施乐又研发了iGen2000，这是种能彩印的激光打印机，能在1分钟内打印100页复印件。“然而在2000年之后的一段时间内，施乐公司再没有突出的作为，”Weilerstein说道，“并且他们还遭遇经济危机。”

施乐没有像它在罗彻斯特的邻居——伊士曼.柯达一样遭遇打击。其时的柯达[处于相当阴暗的时期][2]。

部分原因是，与胶卷不同，文档打印依然是一个高利润的生意。还是有些部门，包括联邦政府，这些部门的员工每个月需要打印上千份文档。Weilerstein 承认随着时代发展，打印业务将继续下降：“打印业务也许是老一代的产品”，但是他又说，“但它还不会轻易消失。”

鉴于市场对多功能打印机的持续需求，慢慢强大起来的施乐终于有机会将自己转型成数字文档和服务的供应商。在过去的十年里，这家公司为打印管理服务(MPS)生意做了大量基础性工作。企业的所有有关打印的业务都可以外包给MPS来完成，减少了IT部门监控的任务。

然而随着纸打印业务长期的持续下滑，施乐试着预测市场的走向。“现在的问题是他们接下来会怎么做，”Weilerstein说，“他们会取消管理你的打印机的念头，转而为你提供另外一种服务：按你的意愿帮你处理数字形式的文档。”

“我认为IT部门实行无纸办公是一个非常大的需求”，来自IDC（国际数据公司）的Boyd说，“很多公司，包括施乐，都在积极为他们提供解决方案。”

Weilerstein的观点是当所有的交流都是依赖文档时，施乐有机会成为“内容管理服务（MCS）”生意的领导者。这种服务能让企业减少使用打印机。Weilerstein在白皮书上写到：“虽然纸质文档依旧是交流的有效载体，但是当员工将不同来源的信息打印成纸质文档，并想将它们用于不同目的时，太多的文档反而无法形成有效的交流。”

在广播信息都是靠传真接收的时代，MCS应该接受广告订单；或者提供一种方式，将化工厂员工随手记下的笔记传到可供查阅的数码产品中。

![img](http://rack.3.mshcdn.com/media/ZgkyMDEzLzEwLzExLzUwL0NoZXN0ZXJDYXJsLjAyZTI2LmpwZwpwCXRodW1iCTEyMDB4OTYwMD4/a1da164c/352/Chester-Carlson.jpg)

##卡尔逊的遗产

在推动无纸办公的过程中，施乐不应该只是将它的生意转型，还应该帮助企业内减少不必要的浪费。然而，施乐还面临大量的竞争对手，最大的对手就是Adobe公司，PDF文档格式的发明者。

Adobe过去是做桌面打印（即通过电脑等电子手段进行文档编辑——译者注）而非纸质打印的，似乎比施乐有天然的优势。然后是苹果公司，自己赖以生存的老技术被新技术取代后，能迅速变成新技术的领导者，这在历史上是很罕见的。

即使施乐最终失败了，卡尔逊在科技史上的贡献也是毋庸置疑的。卡尔逊的其他发明：带有流水沟的雨衣、洗鞋器等，但是他最重要的发明是一个证据，证明市场是如何回报人的坚持和开阔的视野。他的去世向我们阐明了我们对公众人物的内在生活了解是如此的少。

1968年，卡尔逊和柯乃伊在阿斯托里亚的公寓内辛辛苦苦地发明静电复印技术的30年之后，卡尔逊从罗彻斯特家里回到纽约，去参加一个商业会议。他发现离开会还有一些时间，于是他走进一家电影院观看《骑虎人（He Who Rides a Tiger）》，主演是Tom Bell和Judi Dench。当电影结束时，一个服务员看见了卡尔逊，看起来似乎正在位子上睡觉，事实并非如此。卡尔逊因心脏病去世——那是他那年第二次心脏病发作。

他死后，人们估计他拥有大约1.5亿美元的遗产，这笔钱使他成为1968年全美最有钱的富翁之一。然而他们发现错了，卡尔逊已将他的绝大部分财产都捐了出去。他曾对妻子说他对那种成为商业巨头的野心表示很不理解，他只想作为一个穷人死去。

图片来源：施乐公司

---

via: http://mashable.com/2013/10/13/xerox-history-of-copying/

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

译者：[chenjintao](https://github.com/chenjintao) 校对：[jasminepeng](https://github.com/jasminepeng)


[1]:http://money.cnn.com/2010/01/21/technology/xerox_copiers.fortune/index.htm

[2]:http://www.usatoday.com/story/money/business/2013/09/03/kodak-bankruptcy-ends/2759965/

