Linux上几款好用的字幕编辑器
================================================================================
如果你经常看国外的大片，你应该会喜欢带字幕版本而不是有国语配音的版本。我在法国长大，童年的记忆里充满了迪斯尼电影。但是这些电影因为有了法语的配音而听起来很怪。如果现在有机会能看原始的版本，我想，对于大多数的人来说，字幕还是必须的。我很高兴能为家人制作字幕。给我带来希望的是，Linux 也不乏有很多花哨、开源的字幕编辑器。总之一句话，文中Linux上字幕编辑器的列表并不详尽，你可以告诉我哪一款是你认为最好的字幕编辑器。

### 1. Gnome Subtitles ###

![](https://farm6.staticflickr.com/5596/15323769611_59bc5fb4b7_z.jpg)

当有现有字幕需要快速编辑时，[Gnome Subtitles][1] 是我的一个选择。你可以载入视频，载入字幕文本，然后就可以即刻开始了。我很欣赏其对于易用性和高级特性之间的平衡。它带有一个同步工具以及一个拼写检查工具。最后但同样重要的的一点，这么好用最主要的是因为它的快捷键：当你编辑很多的台词的时候，你最好把你的手放在键盘上，使用其内置的快捷键来移动。

### 2. Aegisub ###

![](https://farm3.staticflickr.com/2944/15323964121_59e9b26ba5_z.jpg)

[Aegisub][2] 已经是一款高级别的复杂字幕编辑器。仅仅是界面就反映出了一定的学习曲线。但是，除了它吓人的样子以外，Aegisub 是一个非常完整的软件，提供的工具远远超出你能想象的。和Gnome Subtitles 一样，Aegisub也采用了所见即所得（WYSIWYG:what you see is what you get）的处理方式。但是是一个全新的高度：可以再屏幕上任意拖动字幕，也可以在另一边查看音频的频谱，并且可以利用快捷键做任何的事情。除此以外，它还带有一个汉字工具，有一个kalaok模式，并且你可以导入lua 脚本让它自动完成一些任务。我希望你在用之前，先去阅读下它的[指南][3]。

### 3. Gaupol ###

![](https://farm3.staticflickr.com/2942/15326817292_6702cc63fc_z.jpg)

另一个操作复杂的软件是[Gaupol][4],不像Aegisub ，Gaupol 很容易上手而且采用了一个和Gnome Subtitles 很像的界面。但是在这些相对简单背后，它拥有很多很必要的工具：快捷键、第三方扩展、拼写检查，甚至是语音识别（由[CMU Sphinx][5]提供）。这里也提一个缺点，我注意到有时候在测试的时候也，软件会有消极怠工的表现，不是很严重，但是也足以让我更有理由喜欢Gnome Subtitles了。

### 4. Subtitle Editor ###

![](https://farm4.staticflickr.com/3914/15323911521_8e33126610_z.jpg)

[Subtitle Editor][6]和 Gaupol 很像，但是它的界面有点不太直观，特性也只是稍微的高级一点点。我很欣赏的一点是，它可以定义“关键帧”，而且提供所有的同步选项。然而，多一点的图标，或者是少一点的文字都能提供界面的特性。作为一个值得称赞的字幕编辑器，Subtitle Editor 可以模仿“作家”打字的效果，虽然我不确定它是否特别有用。最后但同样重要的一点，重定义快捷键的功能很实用。

### 5. Jubler ###

![](https://farm4.staticflickr.com/3912/15323769701_3d94ca8884_z.jpg)

[Jubler][7]是一个用Java编写并有多平台支持的字幕编辑器。我对它的界面印象特别深刻。在上面我确实看出了Java特点的东西，但是，它仍然是经过精心的构造和构思的。像Aegisub 一样，你可以再屏幕上任意的拖动字幕，让你有愉快的体验而不单单是打字。它也可以为字幕自定义一个风格，在另外的一个轨道播放音频，翻译字幕，或者是是做拼写检查。不过，要注意的是，你需要事先安装好媒体播放器并且正确的配置，如果你想完整的使用Jubler。我把这些归功于在[官方页面][8]下载了脚本以后其简便的安装方式。

### 6. Subtitle Composer ###

![](https://farm6.staticflickr.com/5578/15323769711_6c6dfbe405_z.jpg)

[Subtitle Composer][9]被视为“KDE里的字幕作曲家”，它能够唤起对很多传统功能的回忆。伴随着KDE界面，我们充满了期待。我们自然会说到快捷键，我特别喜欢这个功能。除此之外，Subtitle Composer 与上面提到的编辑器最大的不同地方就在于，它可以执行用JavaScript，Python，甚至是Ruby写成的脚本。软件带有几个例子，肯定能够帮助你很好的学习使用这些特性的语法。

最后，不管你是否喜欢，都来为你的家庭编辑几个字幕吧，重新同步整个轨道，或者是一切从头开始，那么Linux 有很好的工具给你。对我来说，快捷键和易用性使得各个工具有差异，想要更高级别的使用体验，脚本和语音识别就成了很便利的一个功能。

你会使用哪个字幕编辑器，为什么？你认为还有没有更好用的字幕编辑器这里没有提到的？在评论里告诉我们吧。

--------------------------------------------------------------------------------

via: http://xmodulo.com/good-subtitle-editor-linux.html

作者：[Adrien Brochard][a]
译者：[barney-ro](https://github.com/barney-ro)
校对：[Caroline](https://github.com/carolinewuyan)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://xmodulo.com/author/adrien
[1]:http://gnomesubtitles.org/
[2]:http://www.aegisub.org/
[3]:http://docs.aegisub.org/3.2/Main_Page/
[4]:http://home.gna.org/gaupol/
[5]:http://cmusphinx.sourceforge.net/
[6]:http://home.gna.org/subtitleeditor/
[7]:http://www.jubler.org/
[8]:http://www.jubler.org/download.html
[9]:http://sourceforge.net/projects/subcomposer/
