Linux用户，你们真的了解开源硬件吗？
================================================================================
> Linux用户不了解一点开源硬件制造相关的事情，他们就会经常陷入失望的情绪中。

商业软件和免费软件已经互相纠缠很多年了，但是这俩经常误解对方。这并不奇怪 -- 对一方来说是生意，而另一方只是一种生活方式。但是，这种误解会给人带来痛苦，这也是为什么值得花精力去揭露这里面的内幕。

一个逐渐普遍的现象：对开源硬件的不断尝试，不管是Canonical，Jolla，MakePlayLive，或者其他公司。无论是评论员或是终端用户，通常免费软件用户都会为新的硬件平台发布表现出过分的狂热，然后因为不断延期有所醒悟，直到最终放弃整个产品。

这是一个没有人获益的怪圈，而且常常滋生出不信任 - 都是因为一般的Linux用户根本不知道这些新闻背后发生的事情。

我个人对于把产品推向市场的经验很有限。但是，我还没听说谁能有所突破。推出一个开源硬件或其他产品到市场仍然不仅仅是个残酷的生意，而且严重不利于新进厂商。

### 寻找合作伙伴 ###

不管是数码产品的生产还是分销都被相对较少的一些公司控制着，有时需要数月的预订。利润率也会很低，所以就像那些购买古老情景喜剧的电影工作室一样，生产商一般也希望复制当前热销产品的成功。像Aaron Seigo在谈到他花精力开发Vivaldi平板时告诉我的，生产商更希望能由其他人去承担开发新产品的风险。

不仅如此，他们更希望和那些有现成销售记录的有可能带来长期客户生意的人合作。

而且，一般新加入的厂商所关心的产品只有几千的量。芯片制造商更愿意和苹果或三星这样的公司合作，因为它们的订单很可能是几十上百万的量。

面对这种情形，开源硬件制造者们可能会发现他们在工厂的列表中被淹没了，除非能找到二线或三线厂愿意尝试一下小批量生产新产品。

他们也许还会沦为采购成品组件再自己组装，就像Seigo尝试Vivaldi时那样做的。或者，他们也许可以像Canonical那样做，寻找一些愿意为这个产业冒险的合作伙伴。而就算他们成功了，一般也会比最初天真的预期延迟数个月。

### 磕磕碰碰走向市场 ###

然而，寻找生产商只是第一关。根据树莓派项目的经验，就算开源硬件制造者们只想在他们的产品上运行免费软件，生产商们很可能会以保护商业机密的名义坚持使用专有固件或驱动。

这样必然会引起潜在用户的批评，但是开源硬件制造者没得选，只能折中他们的愿景。寻找其他生产商也不能解决问题，有一个原因是这样做意味着更多延迟，但是更多的是因为完全免授权费的硬件是不存在的。像三星这样的业内巨头对免费硬件没有任何兴趣，而作为新人，开源硬件制造者也没有影响力去要求什么。

更何况，就算有免费硬件，生产商也不能保证会用在下一批生产中。制造者们会轻易地发现他们每次需要生产的时候都要重打一次一模一样的仗。

这些都还不够，这个时候开源硬件制造者们也许已经花了6-12个月时间来讨价还价。等机会终于来了，产业标准却已经变更，于是他们可能为了升级产品规格又要从头来过。

### 短暂而且残忍的货架期 ###

尽管面对这么多困难，一定程度上开放的硬件也终于推出了。还记得寻找生产商时的挑战吗？对于分销商也会有同样的问题 -- 还不只是一次，而是每个地区都要解决。

通常，分销商和生成商一样保守，对于和新人或新点子打交道也很谨慎。就算他们同意一个产品上架，他们也轻易能够决定不鼓励自己的销售代表们做推广，这意味着这个产品会在几个月后很有效率地下架。

当然，在线销售也是可以的。但是同时，硬件还是需要被存放在某个地方，这也会增加成本。而按需生产就算可能的话也将非常昂贵，而且没有组装的元件也需要存放。

### 衡量整件怪事 ###

在这里我只是粗略地概括了一下，但是任何涉足过制造的人会认同我形容为行业标准的东西。而更糟糕的是，开源硬件制造者们通常只有在亲身经历过后才会有所觉悟。不可避免，他们也会犯错，从而带来更多的延迟。

但重点是，一旦你对整个过程有所了解，你对另一个开源硬件进行尝试的新闻的反应就会改变。这个过程意味着，除非哪家公司处于严格的保密模式，对于产品将于六个月内发布的声明会很快会被证实是过期的推测。很可能是12-18个月，而且面对之前提过的那些困难很可能意味着这个产品永远都不会真正发布。

举个例子，就像我写的，人们等待第一代Steam Machines面世，它是一台基于Linux的游戏主机。他们相信Steam Machines能彻底改变Linux和游戏。

作为一个市场分类，Steam Machines也许比其他新产品更有优势，因为参与开发的人员至少有开发软件产品的经验。然而，整整一年过去了Steam Machines的开发成果都还只有原型机，而且直到2015年中都不一定能买到。面对硬件生产的实际情况，就算有一半能见到阳光都是很幸运了。而实际上，能发布2-4台也许更实际。

我做出这个预测并没有考虑个体努力。但是，对硬件生产的理解，比起那些Linux和游戏的黄金年代之类的预言，我估计这个更靠谱。如果我错了也会很开心，但是事实不会改变：让人吃惊的不是如此多的Linux相关硬件产品失败了，而是那些虽然短暂但却成功的产品。

--------------------------------------------------------------------------------

via: http://www.datamation.com/open-source/what-linux-users-should-know-about-open-hardware-1.html

作者：[Bruce Byfield][a]
译者：[zpl1025](https://github.com/zpl1025)
校对：[Mr小眼儿](https://github.com/tinyeyeser)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://www.datamation.com/author/Bruce-Byfield-6030.html
