为什么 Mac 用户不选择 Linux
================================================================================
Linux 与 Mac 用户至少有一个共同点：他们都不太喜欢用 Windows。但除了这点外，二者再也无法达成其他共识，只得分道扬镳。为什么 Mac 用户不选择 Linux 呢？是什么因素致使 Mac 用户做出了这种选择的？

[Datamation 就此问题做了一番调查][1]，并试图进行解答。Datamation 的结论是，所有原因都只归结于众多应用及工作流程，而非操作系统的关系：

> …某些事例表明，尝试用新应用代替现有应用，并不是很实际 - 对工作流程和整体实用性来说都是如此。但不幸的是，苹果在这些方面做得非常好。因此，在几乎不可能改变这些事实的情况下，想要拉拢那些 Mac忠实用户实在是很大的挑战。

> 不过老实来说，除了 Web 开发者，我还没见过 Mac 用户仅仅为了避免升级到 OS X Yosemite 而 “
en masse”(法语：共同，一起) 尝试变更他们的工作流程。诚然，经历过 Yosemite 更新后 - 考虑过权限的用户应该会发现这方面已经变得非常令人讨厌。并且，OS X 除了在 UI 方面的微小变化，几乎没有改变，针对现有 Mac 用户的核心工作流程也在最大程度上保持了原样。

> 但，我相信 Linux 在未来将会继续保持多样化特点。Linux 会继续成长，但绝不是经过精确计量般得一成不变。 

我大体上同意 Datamation 关于应用和工作流程重要性的结论，在选择操作系统时这两方面是必须要考虑顾及的。但我认为对 Mac 用户来说，选择 Mac 有比这两方面更重要的因素。我相信是不同的心态造就了 Linux 和 Mac 用户，并且我认为这才是为什么 Mac 用户不选择 Linux 的真实原因。

![](http://jimlynch.com/wp-content/uploads/2015/01/mac-users-switch-to-linux.jpeg)

### 控制权才是 Linux 用户最看重的地方 ###
Linux 用户倾向于控制电脑上的所有细节，他们试图作出一切能做的努力使操作系统变成他们想要的样子。但这种方式并不适用于 OS X 以及其他任何苹果的产品。如果你使用了苹果的产品，就意味着绝大多数情况下，你只能按照苹果预先设定的模式来使用它们。

对 Mac（以及 iOS）用户来说这没什么，因为他们似乎并不在乎生活在苹果那围墙高筑的花园里，仅仅使用那些苹果给予他们的标准和选择。但这对绝大多数 Linux 用户来说是完全不能接受的。Linux 的新用户通常来自 Windows，正是从那里，他们开始厌恶那些告诉他们什么才叫操作系统，并试图限制操作系统权限的东西。

自从他们尝到使用自由的 Linux 系统所带来的甜头之后，他们就再也不会回到苹果或者微软的监牢里去了。即使在他们死后，把 Linux 从他们那冰冷僵硬的手指中撬出来，他们也不会接受苹果和微软为他们定制的操作系统。

但绝大部分 Mac 用户不会有这样的意志和决心。对他们来说当苹果升级 OS X 时放弃他们现有的习惯方式是非常容易的。在苹果那围墙高筑的花园里，即使他们不满意苹果的变化，他们也会迅速地接受。

因此，对控制权的渴望是 Mac 用户与 Linux 用户的最大不同。但我并未把它视为一个问题，尽管这反映出使用电脑的两类用户截然不同的态度。

### Mac 用户离不开苹果的技术支持 ###

Linux 用户与 Mac 用户的区别也体现在 Linux 用户并不介意亲自维护自己的电脑。虽然维护电脑及控制操作系统都是很大的责任，但 Linux 用户还是愿意独自承担，愿意通过自己的力量使他们的系统工作得更棒更有效率，并且深入了解操作系统是每一位 Linux 用户都乐衷的事情。

当 Linux 用户遇到问题时，他们会迅速地尝试自己来解决问题。如果这不奏效的话，他们会在网上搜索其他Linux用户的解决方案，并不断进行尝试，直到问题解决。

但 Mac 用户却不大会这样。这也许是为什么苹果零售店如此火爆、为什么如此多的 Mac 用户在拿到新 Mac 的时候会选择购买苹果维护服务的原因。Mac 用户会很轻易得带着 TA 的电脑去苹果零售店，走进天才吧并要求苹果的工作人员为其查看和修复电脑。

绝大多数 Linux 用户连想都不会想这种事情。谁会愿意让一个你都不认识的家伙碰你的电脑并维修它呢？

因此对 Mac 用户来说，很难抛弃过去可以从苹果那里得到的技术支持，转而使用 Linux。这种选择会令某些 Mac 用户觉得自己的电脑将变得非常脆弱、容易被攻击，他们如同离开母亲怀抱的婴儿般充满了无助感。

### Mac 用户喜爱苹果的硬件 ###

Datamation 发表的文章中主要研究了软件方面的原因，但我认为硬件因素同样对 Mac 用户有很大影响。绝大部分 Mac 用户非常喜爱苹果的硬件。TA 们购买 Mac 并不仅仅是为了 OS X。苹果那精美的工艺设计也是 Mac 用户购买时着重考虑的一点。Mac 用户愿意支付高价购买电脑，因为他们认为这样绝对是物有所值的。

另一方面，Linux 用户似乎并不会考虑这些东西。我认为他们更关注电脑的花费，而不太在意电脑的外观和设计。对他们来说，花费最少的金钱来获取尽可能好的硬件才是最重要的。他们并不像 Mac 用户一样热衷于电脑的外观，因此这一点并不是他们在购买电脑时考虑的地方。

我认为对于硬件的两种不同观点是没有高低之分的。这仅仅和用户的不同需求有关，仅仅会在他们购买电脑时影响他们，或者对某些 Linux 用户来说只是因为他们想要自己组装电脑而已。两种观点只是因为出发点不同、对于电脑的真正价值体现所在之处的理解不同罢了。

当然[在 Mac 上运行 Linux 是可能的][2]，直接运行或者间接地通过虚拟机运行。因此真心喜欢苹果硬件的 Mac 用户是可以选择在 Mac 上安装 Linux 的。

### Linux 发行版太多了不知道选哪个？ ###

另一个让 Mac 用户无法选择 Linux 的原因是：要从众多 Linux 发行版当中选择一个实在是太困难了。在大多数 Linuxer 并不抗拒的多元化发行版时代，没有相关知识的 Mac 用户会对如何选择感到十分困惑。

我认为，随着时间的推移，Mac 用户可以学习并找出最适合自己的发行版。但在短时间内，尤其是长时期得使用 OS X 之后，这是一个艰巨的任务。我不认为这个问题是无法克服的，但却有必要在这里提一下。

当然我们可以给大家提供资源，推荐参考 [DistroWatch][3] 还有我们的博客 [Desktop Linux Reviews][4]，这都有助于 Mac 用户找到适合的 Linux 发行版。再说一条，网上有很多诸如“最好的 Linux 发行版”等类似的文章，当 Mac 用户想要寻找适合自己使用的发行版时可以参考一下。

但有苹果顾客购买 Mac 的其中一个原因是苹果硬件软件协调统一起来的简便性和易用性。所以我不确定有多少 Mac 用户愿意花费时间找出适合自己的 Linux 发行版。也许是否要使用 Linux 确实会令TA们考虑一阵子了。

### Mac 用户是苹果，Linux 用户是橘子 ###

Mac 用户与 Linux 用户分道扬镳我认为并没有什么不妥。我认为我们只是在谈论两类完全不同的人群，这是一件好事，因为两类人群都在按自己喜欢的方式去使用操作系统和软件。让 Mac 用户和 Linux 用户各自沉浸在 OS X 和 Linux 中吧，希望他们都能高兴，都能对自己的电脑满意。

也许 Mac 用户会偶然走入 Linux 的世界并开始转向 Linux，但我认为绝大多数时候，两类人都愿意呆在不同的世界并不与对方接触。通常来说我并不会随意比较二者，尤其是你已经自己拿定主意的时候，况且这只不过是选苹果还是选橘子的问题罢了。

--------------------------------------------------------------------------------

via: http://jimlynch.com/linux-articles/why-mac-users-dont-switch-to-linux/

作者：[Jim Lynch][a]
译者：[Stevearzh](https://github.com/Stevearzh)
校对：[Caroline](https://github.com/carolinewuyan)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://jimlynch.com/author/Jim/
[1]:http://www.datamation.com/open-source/why-linux-isnt-winning-over-mac-users-1.html
[2]:http://www.howtogeek.com/187410/how-to-install-and-dual-boot-linux-on-a-mac/
[3]:http://distrowatch.com/
[4]:http://desktoplinuxreviews.com/
