Linux有问必答：Ubuntu桌面上如何禁用默认的密钥环解锁提示
================================================================================
>**问题**：当我启动我的Ubuntu桌面时，出现了一个弹出对话框，要求我输入密码来解锁默认的密钥环。我怎样才能禁用这个“解锁默认密钥环”弹出窗口，并自动解锁我的密钥环？

密钥环是一个以加密方式存储你的登录信息的本地数据库。各种桌面应用（如浏览器、电子邮件客户端）使用密钥环来安全地存储并管理你的登录凭证、机密、密码、证书或密钥。对于那些需要检索存储在密钥环中的信息的应用程序，需要解锁该密钥环。

Ubuntu桌面所使用的GNOME密钥环被整合到了桌面登录中，该密钥环会在你验证进入桌面后自动解锁。但是，如果你设置了自动登录桌面或者是从休眠中唤醒，你默认的密钥环仍然可能“被锁定”的。在这种情况下，你会碰到这一提示：

>“输入密码来解锁密钥环‘默认密钥环’。某个应用想要访问密钥环‘默认密钥环’，但它被锁定了。”
>
![](https://farm9.staticflickr.com/8787/16716456754_309c39513c_o.png)

如果你想要避免在每次弹出对话框出现时输入密码来解锁默认密钥环，那么你可以这样做。

在做之前，请先了解禁用密码提示后可能出现的结果。通过自动解锁默认密钥环，你可以让任何使用你桌面的人无需知道你的密码而能获取你的密钥环（以及存储在密钥环中的任何信息）。

### 禁用默认密钥环解锁密码 ###

打开Dash，然后输入“password”来启动“密码和密钥”应用。

![](https://farm8.staticflickr.com/7709/17312949416_ed9c4fbe2d_b.jpg)

或者，使用seahorse命令从命令行启动图形界面。

    $ seahorse 

在左侧面板中，右击“默认密钥环”，并选择“修改密码”。

![](https://farm8.staticflickr.com/7740/17159959750_ba5b675b00_b.jpg)

输入你的当前登录密码。

![](https://farm8.staticflickr.com/7775/17347551135_ce09260818_b.jpg)

在设置“默认”密钥环新密码的密码框中留空。

![](https://farm8.staticflickr.com/7669/17345663222_c9334c738b_c.jpg)

在询问是否不加密存储密码对话框中点击“继续”。

![](https://farm8.staticflickr.com/7761/17152692309_ce3891a0d9_c.jpg)

搞定。从今往后，那个该死的解锁密钥环提示对话框再也不会来烦你了。

--------------------------------------------------------------------------------

via: http://ask.xmodulo.com/disable-entering-password-unlock-default-keyring.html

作者：[Dan Nanni][a]
译者：[GOLinux](https://github.com/GOLinux)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://ask.xmodulo.com/author/nanni
