有理想，有追求的系统管理员会在 Linux 中成长
===============================================

![](https://opensource.com/sites/default/files/styles/image-full-size/public/images/business/BIZ_workplay.png?itok=uQqFssrf)

我第一次看到运行着的 Linux 操作系统是在我的首份工作时，大约是在 2001 年。当时我在澳大利亚的一家汽车业供应商担任客户经理，和公司的 IT 工程师共用一间办公室。他做了一台 CD 刻录工作站（一个可以同时刻录好几张 CD 的巨大的东西），然后我们可以把汽车零配件目录刻录到 CD 并送给客户。刻录工作站最初是为 Windows 设计的，但是他一直没能让刻录机正常工作。最终他放弃在 Windows 上使用的念头并且换成在 Linux 上使用，刻录机完美工作了。

对我来说，Linux 的一切都是晦涩难懂的。大部分工作都在看起来像 DOS（LCTT 译注：磁盘操作系统，早期的个人电脑操作系统） 的命令行下完成，但它更加强大（后来我才认识到这一点）。我从 1993 年就开始使用 Mac 电脑，在那个时候，在我看来命令行界面有点过时了。

直到几年后——我记得是 2009 年，我才真正的认识 Linux。那时我已经移民荷兰并且在一家零售供应商那里找到了工作。那是一个只有 20 人的小公司，我除了做一个关键客户经理的正常工作，还无意间成了个一线 IT 技术支持。只要东西有了故障，他们总是会在花大价钱请外部 IT 顾问之前先来询问我。

我的一个同事因为点击了一封似乎来自 DHL（LCTT 译注：全球著名的邮递和物流集团 Deutsche Post DHL 旗下公司） 的电子邮件所附带的一个 .exe 文件而受到了一次网络钓鱼攻击。（是的，这的确发生了。）他的电脑被完全入侵了，他什么事都做不了。甚至完全格式化电脑都不起作用，好像病毒只靠它丑陋的脑袋就能活下来。我在后来才了解到这种情况可能是病毒被复制到了 MBR（主引导记录）里。而此时，为了节约成本，公司已经终止了和外部 IT 顾问的合同。

于是我帮助同事安装了 Ubuntu 操作系统让他继续工作，这的确很有效。他的电脑再次嗡嗡的运转了，而且我找到了他们工作必需的所有应用。我承认，从某些方面来说这不是最优雅的解决方案，不过他（包括我）喜欢这个操作系统的流畅度和稳定性。

然而我的同事在 Windows 世界形成的观念根深蒂固，他无法习惯新的使用方式，开始不停的抱怨。（很耳熟吧？）

虽然我的同事不能忍受新的使用方式，但我发现到这对我这个 Mac 用户已经不是一个问题。它们之间有很多相似点，我被迷住了。所以我在我工作用的笔记本电脑上又安装了一个 Ubuntu 组成双系统，我的工作效率提高了，让机器做我想做的事也变得更容易。从那时起我有规律的使用了几个 Linux 发行版，但我最喜欢 Ubuntu 和 Elementary。

当时我失业了，因此我有大量的时间给自己充电。由于我一直对 IT 行业很感兴趣，所以我致力于研究对 Linux 操作系统的管理。但是目前得到一个展示学识的机会太难了，因为我多年来所学的 95% 都不能简单的通过邮寄一份简历展示出来。我需要一个入职面试来展示我所知道的东西，所以我进行了 Linux 认证得到证书，希望能给我一些帮助。

我对开源做贡献已经有好一阵子了。刚开始时是为 xTuple ERP（LCTT 译注：世界领先的开源 ERP 软件）做翻译工作（英语译德语），现在已经转为在 Twitter 上做 Mozilla 的“客户服务”，提交 bug 报告等。我为自由和开源软件做推广宣传（取得了不同程度的成功）并且尽我所能在财政方面支持一些 FOSS（LCTT 译注：自由及开源软件）倡导组织（DuckDuckGo、bof.nl、EFF、GIMP、LibreCAD、维基百科以及其他）。目前我也在准备设立一个本地的隐私咖啡馆（LCTT 译注：这是荷兰的一个旨在强化网上个人隐私安全的咖啡馆/志愿者组织，参见： https://privacycafe.bof.nl/）。

除此之外，我已经开始写我的第一本书。这应该是一本涉及计算机隐私和安全领域的简易实用手册，适用于普通计算机用户，我希望它能在今年年底自主出版。（这本书遵循知识共享许可协议 CC。）至于这本书的内容，正如你预料的那样我会详细解释为什么隐私如此重要，以及“我没有什么需要隐藏“这种思想错的有多么离谱。但是最主要的部分还是指导读者如何避免让人讨厌的广告追踪，加密你的硬盘和邮件，通过 OTR（LCTT 译注：一种安全协议，为即时通讯提供加密保护）网上聊天，如何使用 TOR（LCTT 译注：第二代洋葱路由，可以在因特网上进行匿名交流）等等。虽然起初说这是一个手册，但我尽量会使用随和的语调来叙述，并且会根据精彩的我亲身经历的故事让它更加通俗易懂。

我依然爱着我所有的 Mac，只要买得起（主要因为它那伟大的构造），我还会使用它们，但是我的 Linux 一直在虚拟机里完成我的几乎所有的日常工作。没有什么不可思议的，不是自夸：文档编辑（LibreOffice 和 Scribus），建立我的网页和博客（Wordpress 和 Jekyll），编辑图片（Shotwell 和 Gimp），听音乐（Rhythmbox），以及几乎其他任何工作。

不论我最后怎么找到工作，Linux 永远都是我必用的操作系统。

--------------------------------------------------------------------------------

via: https://opensource.com/life/16/5/my-linux-story-rene-raggl

作者：[Rene Raggl][a]
译者：[fuowang](https://github.com/fuowang)
校对：[wxy](https://github.com/wxy)

[a]: https://opensource.com/users/rraggl
