 10 个常见的 Linux 终端仿真器
==========

[
 ![10 Best Linux Terminals](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/10-best-linux-terminals_orig.jpg)
][3]

对于 Linux 用户来说，最重要的应用程序之一就是终端仿真器。它允许每个用户获得对 shell 的访问。而 Bash 是 Linux 和 UNIX 发行版中最常用的 shell，它很强大，对于新手和高级用户来说，掌握 bash 都很有必要。因此，在这篇文章中，你可以了解 Linux 用户有哪些优秀的终端仿真器可以选择。

### 1、Terminator

这个项目的目标是创造一个能够很好排列终端的有用工具。它受到一些如 gnome-multi-term、quadkonsole 等程序的启发，重点是以网格的形式排列终端。

#### 特性浏览

*   以网格形式排列终端
*   Tab 设定
*   通过拖放重新排布终端
*   大量的快捷键
*   通过 GUI 参数编辑器保存多个布局和配置文件
*   同时对任意组合的终端进行输入

[
 ![terminator linux terminals](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/published/terminator-linux-terminals.png?1487082905)
][4]

你可以通过下面的命令安装 Terminator：

```
sudo apt-get install terminator
```

### 2、Tilda － 一个可以下拉的终端

**Tilda** 的独特之处在于它不像一个普通的窗口，相反，你可以使用一个特殊的热键从屏幕的顶部拉下和收回它。
另外，Tilda 是高度可配置的，可以自定义绑定热键，改变外观，以及其他许多能够影响 Tilda 特性的选项。

在 Ubuntu 和 Fedora 上都可以使用包管理器安装 Tilda，当然，你也可以查看它的 [GitHub 仓库][14]。

[
![tilda linux terminal](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/tilda-linux-terminal_orig.png)
][5]

### 3、Guake

Guake 是一个和 Tilda 或 yakuake 类似的下拉式终端仿真器。如果你知道一些关于 Python、Git 和 GTK 的知识的话，你可以给 Guake 添加一些新的特性。
​
Guake 在许多发行版上均可用，所以如果你想安装它，你可以查看你的版本仓库。

#### 特性浏览

*   轻量
*   简单易用且优雅
*   将终端自然地集成到 GUI 之中
*   当你使用的时候出现，一旦按下预定义热键便消失（默认情况下是 F12）
*   支持Compiz 透明
*   多重 Tab
*   丰富的调色板
*   还有更多……

主页: [http://guake-project.org/][15]

### 4、ROXTerm

如果你正在寻找一个轻量型、高度可定制的终端仿真器，那么 ROXTerm 就是专门为你准备的。这是一个旨在提供和 gnome-terminal 相似特性的终端仿真器，它们都基于相同的 VTE 库。它的最初设计是只占用很小的资源并且能够快速启动，它具有比 gnome-terminal 更强的可配置性，更加针对经常使用终端的 “Power” 用户。

[
 ![roxterm linux terminal](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/roxterm-linux-terminal_orig.png)
][6]

[http://roxterm.sourceforge.net/index.php?page=index&lang=en][16]

### 5、XTerm

Xterm 是 Linux 和 UNIX 系统上最受欢迎的终端仿真器，因为它是 X 窗口系统的默认终端仿真器，并且很轻量、很简单。

[
 ![xterm linux terminal](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/published/xterm-linux-terminal.png?1487083067)
][7]

### 6、Eterm

如果你正在寻找一个漂亮、强大的终端仿真器，那么 Eterm 是你最好的选择。Eterm 是一个彩色 vt102 终端仿真器，被当作是 Xterm 的替代品。它按照自由选择的哲学思想进行设计，将尽可能多的权利、灵活性和自由交到用户手中。

[
 ![etern linux terminal](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/published/etern-linux-terminal.jpg?1487083129)
][8]

官网： [http://www.eterm.org/][17]

### 7、Gnome Terminal

Gnome Terminal 是最受欢迎的终端仿真器之一，它被许多 Linux 用户使用，因为它默认安装在 Gnome 桌面环境中，而 Gnome 桌面很常用。它有许多特性并且支持大量主题。

在许多 Linux 发行版中都默认安装有 Gnome Terminal，但你如果没有的话，也可以使用你的包管理器来安装它。

[
 ![gnome terminal](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/gnome-terminal_orig.jpg)
][9]

### 8、Sakura

Sakura 是一个基于 GTK 和 VTE 的终端仿真器。它是一个只有很少依赖的终端仿真器，所以你不需要先安装一个完整的 GNOME 桌面才能有一个像样的终端仿真器。

你可以使用你的包管理器来安装它，因为 Sakura 在绝大多数发行版中都是可用的。

### 9、LilyTerm

LilyTerm 是一个基于 libvte 的终端仿真器，旨在快速和轻量，是 GPLv3 授权许可的。

#### 特性浏览

*   低资源占用
*   多重 Tab
*   配色方案丰富
*   支持超链接
*   支持全屏
*   还有更多的……

[
 ![lilyterm linux terminal](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/published/lilyterm-linux-terminal.jpg?1487083285)
][10]

### 10、Konsole

如果你是一名 KDE 或 Plasma 用户，那么你一定知道 Konsole，因为它是 KDE 桌面的默认终端仿真器，也是我最喜爱的终端仿真器之一，因为它很舒适易用。

它在 Ubuntu 和 fedora 上均可用，但如果你在使用 Ubuntu (Unity)，那么你需要选择别的终端仿真器，或者你可以考虑使用 Kubuntu 。

[
 ![konsole linux terminal](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/editor/konsole-linux-terminal.png?1487083345)
][11]

### 结论

我们是 Linux 用户，根据自己的需求，可以有许多选择来挑选更好的应用。因此，你可以选择**最好的终端**来满足个人需求，虽然你也可以选择另一个 shell 来满足个人需求，比如你也可以使用 fish shell。

--------------------------------------------------------------------------------

via: http://www.linuxandubuntu.com/home/10-best-linux-terminals-for-ubuntu-and-fedora

作者：[Mohd Sohail][a]
译者：[ucasFL](https://github.com/ucasFL)
校对：[jasminepeng](https://github.com/jasminepeng)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://disqus.com/by/MohdSohail1/
[1]:http://www.linuxandubuntu.com/home/terminator-a-linux-terminal-emulator-with-multiple-terminals-in-one-window
[2]:http://www.linuxandubuntu.com/home/another-linux-terminal-app-guake
[3]:http://www.linuxandubuntu.com/home/10-best-linux-terminals-for-ubuntu-and-fedora
[4]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/terminator-linux-terminals_orig.png
[5]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/tilda-linux-terminal_orig.png
[6]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/roxterm-linux-terminal_orig.png
[7]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/xterm-linux-terminal_orig.png
[8]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/etern-linux-terminal_orig.jpg
[9]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/gnome-terminal_orig.jpg
[10]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/lilyterm-linux-terminal_orig.jpg
[11]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/konsole-linux-terminal_orig.png
[12]:http://www.linuxandubuntu.com/home/10-best-linux-terminals-for-ubuntu-and-fedora
[13]:http://www.linuxandubuntu.com/home/10-best-linux-terminals-for-ubuntu-and-fedora#comments
[14]:https://github.com/lanoxx/tilda
[15]:http://guake-project.org/
[16]:http://roxterm.sourceforge.net/index.php?page=index&amp;lang=en
[17]:http://www.eterm.org/
