Linux 让我对电脑有了更深刻的理解
============================================================

 ![投身-Linux](http://www.linuxinsider.com/article_images/story_graphics_xlarge/xl-2016-linux-1.jpg) 

 
我花了大量时间和耐心在 Linux 上，我的朋友们都能为我证明这点。说起来你可能不信，两年前我还根本不知道 Linux 是什么，放弃 Windows 转投 Linux 更是不可能。
 
虽然转投 Linux 这事有点跳跃，但事后证明这是很明智的选择。口说无凭，分析一下我的路线可能会更有说服力一点。通过这个路线来说说我是怎么从小白到精通 Linux 桌面系统的。
 
### 安全意识的觉醒
 
两年前我也是像一般的 Windows 用户一样，在 Windows 操作系统下工作。虽然我也有跟进了解主流的科技新闻的习惯，但是对计算机我也说不上深刻了解。

2013 年夏天，美国国家安全局的一份情报项目报告让我对个人隐私安全的态度迅速发生了变化。爱德华斯诺登揭露的网络监控的广度令人不安，而且也凸显出，我们大多数人——甚至不知道如何做——来保护自己的隐私。
 
在之前我没有对电脑或它们在我的个人事务中所扮演的角色作出任何特别的考虑，我开始意识到控制一个人的数字生活，以及控制它的设备的重要性。

按理来说下一步应该是确定该怎么去做。虽然我制订的目标似乎是合乎逻辑的，但要实现它并不简单。在接下来的几个月里，我把自己的空闲时间花在了互联网上，寻找关于隐私保护、加密以及其它任何可以保护我的技术的指南。

专家们说想逃避情报机构的监控几乎是不可能的。然而，这些专家们也会告诉你，能帮你避开那怕只是避开那么一丢丢的监视 -- 在较小的机构中有相当比例的监控更有可能针对普通民众 -- 唯一可行的办法就是使用开源软件。

Linux，我很快意识到需要去了解它，因为它是这些开源软件的头头。

### 闭源与开源

在进一步的研究中，我开始熟悉开源软件的一些特点。我们每天使用的软件的绝大多数 -- 从聊天软件到操作系统，包括Windows -- 它们都是开源软件的对立面：它们是闭源的。

例如，当微软的开发人员在 Windows 上进行开发工作时，他们会用一些编程语言编写源代码，并且只在他们的团队内部流传这些代码。当他们准备发布软件时，他们会编译它，将它从人类可读的代码转换成计算机运行的 1 和 0，面对这些机器码，即使是最聪明的人也很难逆向工程到原始源代码。

在这种模式下，只有软件的开发者才知道这些软件实际在做些什么，有没有私底下监控用户行为。

开源软件会提供软件的源代码和编译好的二进制代码给公众下载使用。不论是不是每个用户都有能力去阅读这些源代码，评估它们的安全性和隐私性，这都不重要。因为源代码是公开的，总有那么一部分人有这个能力做这些事，一但他们发现这些代码有问题他们就能及时通知其它用户，让公众一起来监督这些开源软件的行为，让那些故意隐藏的恶意代码片段或者非故意的代码漏洞能及时被发现并处理掉。

经过彻底的研究之后，很明显，唯一能保证我的隐私和用户的自主权的操作系统就是那些具备透明开放的源代码哲学的操作系统。一位知识渊博的朋友和隐私倡导者推荐的最多的是 Linux。如果这是必须的话，我已经准备好接受一个艰难的过渡，但是我对隐私的重要性的信念给了我信心去尝试。

### 婴儿学步

虽然我决心转向 Linux 的是急切的，但饭得一口吃，路也得一步一步走。我是最开始是从安装 Ubuntu 开始的 —— 一个容易配置对初学者很友好的 Linux 发行版 —— 在我的老笔记本电脑上它与原有的 Windows 相处融洽井水不犯河水。

每次启动我的电脑时，我都能选择 Ubuntu 或 Windows ，这样我就能在 Linux 上找到自己的下脚点，同时保留熟悉的 Windows 以防前者可能缺失的一些辅助性功能。

不久后，一个硬盘驱动器损坏严重让我无法再继续享受这个设置，不过我认为这是一个机会，让我考虑一下买一台 Linux 的新笔记本电脑。由于 Linux 对标准的英特尔处理器、图形卡和无线适配器的驱动程序支持得很好，所以我买了一台联想的 ThinkPad。

我做了一个全新的开始，完全擦除我的新机器上的 Windows ，安装了 Debian ，这是一个广泛兼容和稳定的发行版，Ubuntu 就是基于它衍生出来的。我不仅在没有熟悉的 Windows 安全网络的情况下挺过来了，我还在不断的进步提高。我很快就沉浸在以前神秘的命令行世界里。

在我用了一年的 Linux 操作系统之后，我又进行了一次冒险，安装了 Arch Linux ，它需要一个更加复杂的手动用户安装过程，并带有完全的磁盘加密。那天晚上，我和一位 Linux 资深管理人士一起安装了 Arch ，这标志着我生命中最值得骄傲的成就之一。

在这个过程中，我面临着挑战 -- 有时，在Windows上无缝工作的应用程序需要额外的步骤或需要安装必要的驱动 -- 但是我克服了它们，或者说绕过它们，继续按照我自己的节奏摸索  Linux。

### 全速前进

就我而言，那时我才真正开始进行我的学习。我用 Linux 来驾驭计算机，并确保它可以为我工作，不过最让我着迷的是它提供对系统进行修改的自由和个性化处理。

作为一个开源操作系统，Linux 是无限开放的。尽管我最初期望花时间阅读安全实践（我现在仍然这么做），但我也发现自己深入到配置面板中，并把所有的颜色、图标和菜单都列出来，只是这样而已。

我花了一些时间去适应，但我越是投入到新事物中，我就变得越自信，越好奇。

自从在这条路上走了两年多以后，我在电脑上从来没有像今天这么多的感受。我不能像我想要的那样去个性化 Windows，另外依据我从开源社区学到的东西来看，我也不能完全信任它。

有一个叫电脑的东西，它曾经只是我的的一件不起眼的硬件设备，现在它和我之间的关系变得非常美妙 —— 超越记者和他的笔记本、也超越小提琴家和他的小提琴的关系。

我甚至为自己的手机不像我的笔记本电脑那样是真正的 Linux 而感到悲哀，我都不知道我能对它做些什么。不管怎么样，我将继续对我的 Arch 系统进行优化，只要有机会我将会再去发现新的领域并探索新的可能性。


--------------------------------------------------------------------------------

via: http://www.linuxinsider.com/story/84286.html

作者：[Jonathan Terrasi][a]
译者：[zschong](https://github.com/zschong)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://www.linkedin.com/company/ect-news-network
[1]:http://www.linuxinsider.com/story/84286.html?rss=1#
[2]:http://www.linuxinsider.com/perl/mailit/?id=84286
