Mark McIntyre：与 Fedora 的那些事
===========================

![](https://fedoramagazine.org/wp-content/uploads/2017/11/mock-couch-945w-945x400.jpg)

最近我们采访了 Mark  McIntyre，谈了他是如何使用 Fedora 系统的。这也是 Fedora 杂志上[系列文章的一部分][2]。该系列简要介绍了 Fedora 用户，以及他们是如何用 Fedora 把事情做好的。如果你想成为采访对象，请通过[反馈表][3]与我们联系。

### Mark McIntyre 是谁?

Mark McIntyre 为极客而生，以 Linux 为乐趣。他说：“我在 13 岁开始编程，当时自学 BASIC 语言，我体会到其中的乐趣，并在乐趣的引导下，一步步成为专业的码农。” Mark 和他的侄女都是披萨饼的死忠粉。“去年秋天，我和我的侄女开始了一个任务，去尝试诺克斯维尔的许多披萨饼连锁店。点击[这里][4]可以了解我们的进展情况。”Mark 也是一名业余的摄影爱好者，并且在 Flickr 上 [发布自己的作品][5]。

![](https://fedoramagazine.org/wp-content/uploads/2017/11/31456893222_553b3cac4d_k-1024x575.jpg)

作为一名开发者，Mark 有着丰富的工作背景。他用过 Visual Basic 编写应用程序，用过 LotusScript、 PL/SQL（Oracle）、 Tcl/TK 编写代码，也用过基于 Python 的 Django 框架。他的强项是 Python。这也是目前他作为系统工程师的工作语言。“我经常使用 Python。由于我的工作变得更像是自动化工程师， Python 用得就更频繁了。”

McIntyre 自称是个书呆子，喜欢科幻电影，但他最喜欢的一部电影却不是科幻片。“尽管我是个书呆子，喜欢看《<ruby>星际迷航<rt>Star Trek</rt></ruby>》、《<ruby>星球大战<rt>Star Wars</rt></ruby>》之类的影片，但《<ruby>光荣战役<rt>Glory</rt></ruby>》或许才是我最喜欢的电影。”他还提到，电影《<ruby>冲出宁静号<rt>Serenity</rt></ruby>》是一个著名电视剧的精彩后续（指《萤火虫》）。

Mark 比较看重他人的谦逊、知识与和气。他欣赏能够设身处地为他人着想的人。“如果你决定为另一个人服务，那么你会选择自己愿意亲近的人，而不是让自己备受折磨的人。”

McIntyre 目前在 [Scripps Networks Interactive][6] 工作，这家公司是 HGTV、Food Network、Travel Channel、DIY、GAC 以及其他几个有线电视频道的母公司。“我现在是一名系统工程师，负责非线性视频内容，这是所有媒体要开展线上消费所需要的。”他为一些开发团队提供支持，他们编写应用程序，将线性视频从有线电视发布到线上平台，比如亚马逊、葫芦。这些系统既包含预置系统，也包含云系统。Mark 还开发了一些自动化工具，将这些应用程序主要部署到云基础结构中。

### Fedora 社区

Mark 形容 Fedora 社区是一个富有活力的社区，充满着像 Fedora 用户一样热爱生活的人。“从设计师到封包人，这个团体依然非常活跃，生机勃勃。” 他继续说道：“这使我对该操作系统抱有一种信心。”

2002 年左右，Mark 开始经常使用 IRC 上的 #fedora 频道：“那时候，Wi-Fi 在启用适配器和配置模块功能时，有许多还是靠手工实现的。”为了让他的 Wi-Fi 能够工作，他不得不重新去编译 Fedora 内核。

McIntyre 鼓励他人参与 Fedora 社区。“这里有许多来自不同领域的机会。前端设计、测试部署、开发、应用程序打包以及新技术实现。”他建议选择一个感兴趣的领域，然后向那个团体提出疑问。“这里有许多机会去奉献自己。”

对于帮助他起步的社区成员，Mark 赞道：“Ben Williams 非常乐于助人。在我第一次接触 Fedora 时，他帮我搞定了一些 #fedora 支持频道中的安装补丁。” Ben 也鼓励 Mark 去做 Fedora [大使][7]。

### 什么样的硬件和软件?

McIntyre 将 Fedora Linux 系统用在他的笔记本和台式机上。在服务器上他选择了 CentOS，因为它有更长的生命周期支持。他现在的台式机是自己组装的，配有 Intel 酷睿 i5 处理器，32GB 的内存和2TB 的硬盘。“我装了个 4K 的显示屏，有足够大的地方来同时查看所有的应用。”他目前工作用的笔记本是戴尔灵越二合一，配备 13 英寸的屏，16 GB 的内存和 525 GB 的 m.2 固态硬盘。

![](https://fedoramagazine.org/wp-content/uploads/2017/11/Screenshot-from-2017-10-26-08-51-41-1024x640.png)

Mark 现在将 Fedora 26 运行在他过去几个月装配的所有机器中。当一个新版本正式发布的时候，他倾向于避开这个高峰期。“除非在它即将发行的时候，我的工作站中有个正在运行下一代测试版本，通常情况下，一旦它发展成熟，我都会试着去获取最新的版本。”他经常采取就地更新：“这种就地更新方法利用 dnf 系统升级插件，目前表现得非常好。”

为了搞摄影，McIntyre 用上了 [GIMP][8]、[Darktable][9]，以及其他一些照片查看包和快速编辑包。当不用 Web 电子邮件时，Mark 会使用 [Geary][10]，还有[GNOME Calendar][11]。Mark 选用 HexChat 作为 IRC 客户端，[HexChat][12] 与在 Fedora 服务器实例上运行的 [ZNC bouncer][13] 联机。他的部门通过 Slave 进行沟通交流。

“我从来都不是 IDE 粉，所以大多数的编辑任务都是在 [vim][14] 上完成的。”Mark 偶尔也会打开一个简单的文本编辑器，如 [gedit][15]，或者 [xed][16]。他用 [GPaste][17] 做复制和粘贴工作。“对于终端的选择，我已经变成 [Tilix][18] 的忠粉。”McIntyre 通过 [Rhythmbox][19] 来管理他喜欢的播客，并用 [Epiphany][20] 实现快速网络查询。

--------------------------------------------------------------------------------

via: https://fedoramagazine.org/mark-mcintyre-fedora/

作者：[Charles Profitt][a]
译者：[zrszrszrs](https://github.com/zrszrszrs)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://fedoramagazine.org/author/cprofitt/
[1]:https://fedoramagazine.org/mark-mcintyre-fedora/
[2]:https://fedoramagazine.org/tag/how-do-you-fedora/
[3]:https://fedoramagazine.org/submit-an-idea-or-tip/
[4]:https://knox-pizza-quest.blogspot.com/
[5]:https://www.flickr.com/photos/mockgeek/
[6]:http://www.scrippsnetworksinteractive.com/
[7]:https://fedoraproject.org/wiki/Ambassadors
[8]:https://www.gimp.org/
[9]:http://www.darktable.org/
[10]:https://wiki.gnome.org/Apps/Geary
[11]:https://wiki.gnome.org/Apps/Calendar
[12]:https://hexchat.github.io/
[13]:https://wiki.znc.in/ZNC
[14]:http://www.vim.org/
[15]:https://wiki.gnome.org/Apps/Gedit
[16]:https://github.com/linuxmint/xed
[17]:https://github.com/Keruspe/GPaste
[18]:https://fedoramagazine.org/try-tilix-new-terminal-emulator-fedora/
[19]:https://wiki.gnome.org/Apps/Rhythmbox
[20]:https://wiki.gnome.org/Apps/Web
