哪一种 Ubuntu 官方版本最适合你？
============================================================

![Ubuntu Budgie](https://www.linux.com/sites/lcom/files/styles/rendered_file/public/ubuntu_budgie.jpg?itok=xpo3Ujfw "Ubuntu Budgie")

*Ubuntu Budgie 只是为数不多的 Ubuntu 官方认可的<ruby>特色版本<rt>flavor</rt></ruby>之一。Jack Wallen（杰克沃伦）将讲述一下它们之间的重要的区别。*

Ubuntu Linux 有一些官方认可的<ruby>特色版本<rt>flavor</rt></ruby>，还有一些<ruby>衍生版本<rt>derivative distribution</rt></ruby>：

*   [Kubuntu][9] - KDE 桌面版 Ubuntu
*   [Lubuntu][10] - LXDE 桌面版 Ubuntu
*   [Mythbuntu][11] - MythTV 版 Ubuntu
*   [Ubuntu Budgie][12] - Budgie 桌面版 Ubuntu 
*   [Xubuntu][8] - Xfce 桌面版 Ubuntu   

就在不久前（本文写于 2017 年 5 月），官方的 Ubuntu Linux 包括了其自己打造的 Unity 桌面版和第六个被认可的特色版本：Ubuntu GNOME —— Ubuntu 的 GNOME 桌面环境。

当<ruby>马克·沙特尔沃思<rt>Mark Shuttleworth</rt></ruby>决定要否决 Unity 的时候，这个选择对于 Canonical 来说就很明显了——是为了让 GNOME 成为 Ubuntu Linux 的官方桌面环境。从 Ubuntu 18.04（2018 年 4 月）开始，我们将仅剩下这个官方发行版和四种官方认可的特色版本。(LCTT 译注：从 17.10 就没有 Unity 版本了）

对于那些已经融入 Linux 社区的人来说，就像一些非常简单的数学问题一样——你知道你喜欢哪个 Linux 桌面，在 Ubuntu、Kubuntu、Lubuntu、Mythbuntu、Ubuntu Budgie 和 Xubuntu 之间做出选择不要太容易了。但那些还没有被灌输 Linux 思想的人可不会认为这是一个如此简单的决定。 

为此，我认为帮助新用户决定选择对他们来说哪个特色版本最好可能是至关重要的。毕竟，从一开始就选择一个不合适的发行版是一种不太理想的体验。

因此，如果你正考虑选择哪个 Ubuntu 的特色版本，如果你想让你的体验尽可能地不痛苦，请继续往下看。

### Ubuntu

我将从 Ubuntu 的官方特色版本开始。我会有点扭曲时间线，跳过 Unity 不谈，直接进入即将到来的基于 GNOME 的发行版（LCTT 译注：本文写作半年后发布的 Ubuntu 17.10 是第一个官方的 GNOME Ubuntu 发行版）。除了 GNOME 是一个极其稳定且易于使用的桌面环境之外，选择官方的特色版本的一个很好的理由是：支持服务。这个 Ubuntu 的官方特色版本是由 Canonical 提供商业支持的。您可以每年花费 $150.00 为 Ubuntu 桌面版购买 [官方支持服务][20]。当然，对于这一级别的支持，最少要购买 50 个桌面的支持服务。而对于个人来说，最好的支持是 [Ubuntu 论坛][21]，[Ubuntu 文档][22]，或者[社区帮助维基][23]。

在商业支持之外，选择 Ubuntu 官方特色版本的原因是，如果你想要一个现代的、功能齐全的桌面的话，它是非常可靠和易用的。 GNOME 被设计成完美地适合桌面和笔记本电脑桌面的平台（图 1）。与它的前代的 Unity 不同，GNOME 可以更方便地定制以适合你的需要。如果你不喜欢摆弄桌面，不要担心，GNOME 工作的很好。事实上，GNOME 开箱即用的体验也许是市场上最优秀的桌面之一，甚至可以与 Mac OS X 媲美（或者更好）。如果修补和调整是你的主要的兴趣所在，你会发现 GNOME 在一定程度上是受限制的。 [GNOME 调整工具][24]和[GNOME Shell 扩展][25]只会比你想要的提供的更多。

![GNOME桌面](https://www.linux.com/sites/lcom/files/styles/rendered_file/public/ubuntu_flavor_a.jpg?itok=Ir6jBKbd "GNOME desktop")

*图 1：带有 Unity 味道 GNOME 桌面也许就会是我们在 Ubuntu 18.04 上所看到的。*

### Kubuntu

<ruby>[K 桌面环境][26]<rt>K Desktop Environment</rt></ruby>（即  KDE）与 GNOME 长期并存，有时被误解为一个较少见的桌面。但随着 KDE Plasma 5 的发布，情况发生了变化。KDE 已经成为一个强大的、高效的、稳定的桌面，它正在一步步地成为最好的桌面系统。但是你为什么要选择 Kubuntu 而不是 Ubuntu 官方版本呢？这个问题的答案很简单——你习惯了 Windows XP / 7 桌面模式。开始菜单、任务栏、系统托盘，等等，KDE 拥有这些乃至更多，所有的这些都会让你觉得你在使用过去和现在的最好的技术。事实上，如果你正在寻找一款最像 Windows 7 的 Ubuntu 官方特色版本，除了它你就找不到更好的了。

Kubuntu 的优点之一是，你会发现它比你以前使用过的任何 Windows 版本都灵活，而且同样可靠/友好。不要觉得因为 KDE 提供的桌面有点类似于 Windows 7，它就没有现代特色。事实上，Kubuntu 对类 Windows 7 的界面进行了很好的处理，并更新了它以满足更现代的审美（图 2）。

![Kubuntu](https://www.linux.com/sites/lcom/files/styles/rendered_file/public/ubuntu_flavor_b.jpg?itok=dGpebi4z "Kubuntu")

*图 2: Kubuntu 在老式用户体验上提供了现代感受。*

Ubuntu 官方版本并不是提供桌面支持的唯一特色版本。Kubuntu 用户也可以购买[商业支持][27]。注意，它不便宜，一个小时的支持服务将花费你 103.88 美元。

### Lubuntu

如果你正在寻找一个易于使用的桌面，要非常快（以便旧硬件感受如新），而且要比你曾经使用的任何桌面都灵活，那么  Lubuntu 就是你想要的。对 Lubuntu 唯一的警告是，你看到更加空荡的桌面，也许你已经习惯了。Lubuntu 使用 [LXDE 桌面][28]，并包含一个延续了轻量级主题的应用程序列表。因此，如果你想在桌面上寻找极速快感的体验，Lubuntu 可能是个不错的选择。 

然而，对 Lubuntu 有一个提醒，对于一些用户来说，这可能会影响他们选择它。由于 Lubuntu 的低配，其预先安装的应用程序可能无法胜任任务。例如，取而代之成熟的办公套件的是，您将发现 [AibWord 字处理器][29]和 [Gnumeric 图表][30]工具。别误会，这两个都是很好的工具。然而，如果你正在寻找一款适合商业使用的软件，你会发现它们缺乏友好的支持。另一方面，如果你想要安装更多的以工作为中心的工具（例如 LibreOffice），Lubuntu 包括了新立得软件包管理器可以简化第三方软件的安装。

和有限的默认软件一起，Lubuntu 提供了一个简单易用的桌面（图 3），任何人都可以马上开始使用，几乎没有学习曲线。

![Lubuntu](https://www.linux.com/sites/lcom/files/styles/rendered_file/public/ubuntu_flavor_c.jpg?itok=nWsJr39r "Lubuntu")

*图 3：Lubuntu 软件的贫乏，换来的是速度和简单性。*

### Mythbuntu

Mythbuntu 在这里是一种奇怪的鸟，因为它不是真正的桌面变体。相反，Mythbuntu 是 Ubuntu 多媒体工场设计的一个特殊的特色版本。使用 Mythbuntu 需要电视调谐器和电视输出卡。而且，在安装过程中，还需要采取一些额外的步骤（如选择如何设置前端/后端，以及设置您的红外遥控器）。

如果您碰巧拥有该硬件（以及创建您自己的由 Ubuntu 驱动的娱乐系统的愿望），Mythbuntu 就是您想要的发行版。一旦安装了 Mythbuntu，就会提示您通过设置采集卡、录制设置、视频源和输入连接（图4）。

![Mythbuntu](https://www.linux.com/sites/lcom/files/styles/rendered_file/public/ubuntu_flavor_d.jpg?itok=Uk16xUIF "Mythbuntu")

*图 4：准备设置 Mythbuntu。*

### Ubuntu Budgie

Ubuntu Budgie 是一个新加入到官方特色版本列表的小成员。它使用 Budgie 桌面，这是一个非常漂亮和现代的 Linux 操作系统，它可以满足任何类型的用户。Ubuntu Budgie 的目标是创建一个优雅简洁的桌面界面。而这个任务已经完成了。如果你正在寻找一个漂亮的桌面，想在非常稳定的 Ubuntu Linux 平台上工作，你只需看看 Ubuntu Budgie 就可以了。

在 Ubuntu 上添加这个特殊的版本到官方版本列表中是 Canonical 的一个聪明的举动。随着 Unity 的消失，他们需要一个能提供 Unity 的优雅的桌面。Budgie 的定制非常简单，其所包含的软件列表可以让你立即开始工作和上网浏览。

而且，与许多用户在 Unity 中遇到的学习曲线不同，Ubuntu Budgie 的开发者/设计者们做了一件非常出色的工作，让我们保有 Ubuntu 的熟悉感。点击“开始”按钮，会显示一个相当标准的应用程序菜单。Budgie 还包括一个易于使用的 Dock（图 5），它包含了用于快速访问的应用程序启动器。

![Budgie](https://www.linux.com/sites/lcom/files/styles/rendered_file/public/ubuntu_flavor_e.jpg?itok=mwlo4xzm "Budgie")

*图 5：这是一个漂亮的桌面。*

在 Ubuntu Budgie 中发现的另一个很好的功能是侧边栏可以快速显示和隐藏。这个侧边栏包含了小应用和通知。有了这个功能，你的桌面就会变得非常有用，同时还免除杂乱。

最后，如果你在寻找一个稍有不同，但又非常现代的桌面——其特色与功能在其他发行版本中找不到 —— 那么 Ubuntu Budgie 就是你想要的。

### Xubuntu

另一种很好地提供了低配支持的 Ubuntu 官方特色版本是 [Xubuntu][32]。Xubuntu 和 Lubuntu 的区别在于， Lubuntu 使用 LXDE 桌面，而 Xubuntu 使用[Xfce][33]。差别就是这个轻量级桌面，它比 Lubuntu 更具可配置性，也包括了更适合商务的 LibreOffice 办公套件。

Xubuntu 对任何人来说都是开箱即用的，无论是否有经验。但是，不要认为看起来熟悉就意味着这个 Ubuntu 特色版本可以让你马上随心所欲。如果你既想要 Ubuntu 传统的开箱即用，也想要经过大量调整成为一个更现代的桌面， 那么 Xubuntu 就是你想要的。

我一直很喜欢 Xubuntu 的一个非常方便的附加功能（就像之前的 Enlightenment），就是通过在桌面的任何地方右键点击打开“开始”菜单（图 6），这样可以非常有效的提高使用效率。

![Xubuntu](https://www.linux.com/sites/lcom/files/styles/rendered_file/public/xubuntu.jpg?itok=XL8_hLet)

*图 6：Xubuntu 可以通过右键点击桌面的任何地方来打开“开始”菜单。*

### 选择由你

总有一款  Ubuntu 的特色版本可以满足所需——选择哪一个取决于你。你自己可以问一下这些问题，例如:

* 你有什么需要？
* 你喜欢与哪种类型的桌面交互？
* 你的硬件老化了吗？
* 你喜欢 Windows XP / 7的感觉吗？
* 你想要一个多媒体系统吗？

你对以上问题的回答将会很好地决定 Ubuntu 的哪一种特色版本适合你。好消息是，任何选择都不能算错。

--------------------------------------------------------------------------------

via: https://www.linux.com/learn/intro-to-linux/2017/5/which-official-ubuntu-flavor-best-you

作者：[JACK WALLEN][a]
译者：[stevenzdg988](https://github.com/stevenzdg988)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.linux.com/users/jlwallen
[1]:https://www.linux.com/licenses/category/used-permission
[2]:https://www.linux.com/licenses/category/used-permission
[3]:https://www.linux.com/licenses/category/used-permission
[4]:https://www.linux.com/licenses/category/used-permission
[5]:https://www.linux.com/licenses/category/used-permission
[6]:https://www.linux.com/licenses/category/used-permission
[7]:https://www.linux.com/licenses/category/used-permission
[8]:http://xubuntu.org/
[9]:http://www.kubuntu.org/
[10]:http://lubuntu.net/
[11]:http://www.mythbuntu.org/
[12]:https://ubuntubudgie.org/
[13]:https://www.linux.com/files/images/ubuntuflavorajpg
[14]:https://www.linux.com/files/images/ubuntuflavorbjpg
[15]:https://www.linux.com/files/images/ubuntuflavorcjpg
[16]:https://www.linux.com/files/images/ubuntuflavordjpg
[17]:https://www.linux.com/files/images/ubuntuflavorejpg
[18]:https://www.linux.com/files/images/xubuntujpg
[19]:https://www.linux.com/files/images/ubuntubudgiejpg
[20]:https://buy.ubuntu.com/collections/ubuntu-advantage-for-desktop
[21]:https://ubuntuforums.org/
[22]:https://help.ubuntu.com/?_ga=2.155705979.1922322560.1494162076-828730842.1481046109
[23]:https://help.ubuntu.com/community/CommunityHelpWiki?_ga=2.155705979.1922322560.1494162076-828730842.1481046109
[24]:https://apps.ubuntu.com/cat/applications/gnome-tweak-tool/
[25]:https://extensions.gnome.org/
[26]:https://www.kde.org/
[27]:https://kubuntu.emerge-open.com/buy
[28]:http://lxde.org/
[29]:https://www.abisource.com/
[30]:http://www.gnumeric.org/
[31]:https://training.linuxfoundation.org/linux-courses/system-administration-training/introduction-to-linux
[32]:https://xubuntu.org/
[33]:https://www.xfce.org/
