如何使用看板（kanban）创建更好的文档
======
> 通过卡片分类和看板来给用户提供他们想要的信息。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/open%20source_collaboration.png?itok=68kU6BHy)

如果你正在处理文档、网站或其他面向用户的内容，那么了解用户希望找到的内容（包括他们想要的信息以及信息的组织和结构）很有帮助。毕竟，如果人们无法找到他们想要的东西，那么再出色的内容也没有用。

卡片分类是一种简单而有效的方式，可以从用户那里收集有关菜单界面和页面的内容。最简单的实现方式是在计划在网站或文档中的部分分类标注一些索引卡，并要求用户按照查找信息的方式对卡片进行分类。一个变体是让人们编写自己的菜单标题或内容元素。

我们的目标是了解用户的期望以及他们希望在哪里找到它，而不是自己弄清楚菜单和布局。当与用户处于相同的物理位置时，这是相对简单的，但当尝试从多个位置的人员获得反馈时，这会更具挑战性。

我发现[<ruby>看板<rt>kanban</rt></ruby>][1]对于这些情况是一个很好的工具。它允许人们轻松拖动虚拟卡片进行分类和排名，而且与专门卡片分类软件不同，它们是多用途的。

我经常使用 Trello 进行卡片分类，但有几种你可能想尝试的[开源替代品][2]。

### 怎么运行的

我最成功的看板体验是在写 [Gluster][3] 文档的时候 —— 这是一个自由开源的可扩展的网络存储文件系统。我需要携带大量随着时间而增长的文档，并将其分成若干类别以创建导航系统。由于我没有必要的技术知识来分类，我向 Gluster 团队和开发人员社区寻求指导。

首先，我创建了一个共享看板。我列出了一些通用名称，这些名称可以为我计划在文档中涵盖的所有主题排序和创建卡片。我标记了一些不同颜色的卡片，以表明某个主题缺失并需要创建，或者它存在并需要删除。然后，我把所有卡片放入“未排序”一列，并要求人们将它们拖到他们认为这些卡片应该组织到的地方，然后给我一个他们认为是理想状态的截图。

处理所有截图是最棘手的部分。我希望有一个合并或共识功能可以帮助我汇总每个人的数据，而不必检查一堆截图。幸运的是，在第一个人对卡片进行分类之后，人们或多或少地对该结构达成一致，而只做了很小的修改。当对某个主题的位置有不同意见时，我发起一个快速会议，让人们可以解释他们的想法，并且可以排除分歧。

### 使用数据

在这里，很容易将捕捉到的信息转换为菜单并对其进行优化。如果用户认为项目应该成为子菜单，他们通常会在评论中或在电话聊天时告诉我。对菜单组织的看法因人们的工作任务而异，所以从来没有完全达成一致意见，但用户进行测试意味着你不会对人们使用什么以及在哪里查找有很多盲点。

将卡片分类与分析功能配对，可以让你更深入地了解人们在寻找什么。有一次，当我对一些我正在写的培训文档进行分析时，我惊讶地发现搜索量最大的页面是关于资本的。所以我在顶层菜单层面上显示了该页面，即使我的“逻辑”设置将它放在了子菜单中。

我发现看板卡片分类是一种很好的方式，可以帮助我创建用户想要查看的内容，并将其放在希望被找到的位置。你是否发现了另一种对用户友好的组织内容的方法？或者看板的另一种有趣用途是什么？如果有的话，请在评论中分享你的想法。

--------------------------------------------------------------------------------

via: https://opensource.com/article/17/11/kanban-boards-card-sorting

作者：[Heidi Waterhouse][a]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/hwaterhouse
[1]:https://en.wikipedia.org/wiki/Kanban
[2]:https://opensource.com/alternatives/trello
[3]:https://www.gluster.org/
