我是如何创造“开源”这个词的
============================================================


> Christine Peterson 最终公开讲述了二十年前那决定命运的一天。

![How I coined the term 'open source'](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/hello-name-sticker-badge-tag.png?itok=fAgbMgBb "How I coined the term 'open source'")

图片来自: opensource.com

2 月 3 日是术语“<ruby>[开源软件][6]<rt>open source software</rt></ruby>”创立 20 周年的纪念日。由于开源软件渐受欢迎，并且为这个时代强有力的重要变革提供了动力，我们仔细反思了它的初生到崛起。

我是 “开源软件” 这个词的始作俑者，它是我在<ruby>前瞻协会<rt>Foresight Institute</rt></ruby>担任执行董事时提出的。我不像其它人是个软件开发者，所以感谢 Linux 程序员 Todd Anderson 对这个术语的支持并将它提交小组讨论。

这是我对于它如何想到的，如何提出的，以及后续影响的记叙。当然，还有一些有关该术语的其它记叙，例如 Eric Raymond 和 Richard Stallman 写的，而我的，则写于 2006 年 1 月 2 日。

但直到今天，我才公诸于世。

* * *

推行术语“开源软件”是特别为了让新手和商业人士更加理解这个领域，对它的推广被认为对于更广泛的用户社区很有必要。早期的称呼“<ruby>自由软件<rt>free software</rt></ruby>”不适用并非是因为含有政治意义，而是对于新手来说会误导关注于价格。所以需要一个关注于关键的源代码，而且不会让新用户混淆概念的术语。第一个在正确时间出现并且满足这些要求的术语被迅速接受了：<ruby>开源<rt>open source</rt></ruby>。

这个术语很长一段时间被用在“情报”（即间谍活动）活动中，但据我所知，确实在 1998 年以前软件领域从未使用过该术语。下面这个就是讲述了术语“开源软件”如何流行起来，并且变成了一项产业和一场运动名称的故事。

### 计算机安全会议

在 1997 年的晚些时候，<ruby>前瞻协会<rt>Foresight Institute</rt></ruby>开始举办周会讨论计算机安全问题。这个协会是一个非盈利性智库，它专注于纳米技术和人工智能，而二者的安全性及可靠性取决于软件安全。我们确定了自由软件是一个改进软件安全可靠性且具有发展前景的方法，并将寻找推动它的方式。 对自由软件的兴趣开始在编程社区外开始增长，而且越来越清晰，一个改变世界的机会正在来临。然而，该怎么做我们并不清楚，因为我们当时正在摸索中。

在这些会议中，由于“容易混淆”的因素，我们讨论了采用一个新术语的必要性。观点主要如下：对于那些新接触“自由软件”的人会把 “free” 当成了价格上的 “免费” 。老资格的成员们开始解释，通常像下面所说的：“我们指的是 ‘freedom’ 中的自由，而不是‘免费啤酒’的免费。”在这一点上，关于软件方面的讨论就会变成了关于酒精饮料价格的讨论。问题不在于解释不了它的含义 —— 问题在于重要概念的术语不应该使新手们感到困惑。所以需要一个更清晰的术语。自由软件一词并没有政治上的问题；问题在于这个术语不能对新人清晰表明其概念。

### 开放的网景

1998 年 2 月 2 日，Eric Raymond 访问网景公司，并与它一起计划采用自由软件风格的许可证发布其浏览器的源代码。我们那晚在前瞻协会位于<ruby>罗斯阿尔托斯<rt>Los Altos</rt></ruby>的办公室开会，商讨并完善了我们的计划。除了 Eric 和我，积极参与者还有 Brian Behlendorf、Michael Tiemann、Todd Anderson、Mark S. Miller 和 Ka-Ping Yee。但在那次会议上，这一领域仍然被描述成“自由软件”，或者用 Brian 的话说， 叫“可获得源代码的” 软件。

在这个镇上，Eric 把前瞻协会作为行动的大本营。他访问行程期间，他接到了网景的法律和市场部门人员的电话。当他聊完后，我要求和他们（一男一女，可能是 Mitchell Baker）通电话，以便我告诉他们一个新的术语的必要性。他们原则上立即同意了，但我们在具体术语上并未达成一致。

在那周的会议中，我始终专注于起一个更好的名字并提出了 “开源软件”一词。 虽然不太理想，但我觉得足够好了。我找到至少四个人征求意见：Eric Drexler、Mark Miller 以及 Todd Anderson 都喜欢它，而一个从事市场公关的朋友觉得术语 “open” 被滥用了，并且觉得我们能找到一个更好。理论上他是对的，可我想不出更好的了，所以我想试着先推广它。事后想起来，我应该直接向 Eric Raymond 提议，但在那时我并不是很了解他，所以我采取了间接的策略。

Todd 强烈同意需要一个新的术语，并提供协助推广它。这很有帮助，因为作为一个非编程人员，我在自由软件社区的影响力很弱。我从事的纳米技术教育是一个加分项，但不足以让我在自由软件问题上非常得到重视。而作为一个 Linux 程序员，Todd 的话更容易被倾听。

### 关键性会议

那周稍晚时候，1998 年的 2 月 5 日，一伙人在 VA Research 进行头脑风暴商量对策。与会者除了 Eric Raymond、Todd 和我之外，还有 Larry Augustin、Sam Ockman，和 Jon Hall （“maddog”）通过电话参与。

会议的主要议题是推广策略，特别是要联系的公司。 我几乎没说什么，但是一直在寻找机会介绍提议的术语。我觉得我直接说“你们这些技术人员应当开始使用我的新术语了。”没有什么用。大多数与会者不认识我，而且据我所知，他们可能甚至不同意现在就迫切需要一个新术语。

幸运的是，Todd 一直留心着。他没有主张社区应该用哪个特定的术语，而是面对社区这些固执的人间接地做了一些事。他仅仅是在其它话题中使用了那个术语 —— 把它放进对话里看看会发生什么。我很紧张，期待得到回应，但是起初什么也没有。讨论继续进行原来的话题。似乎只有他和我注意了这个术语的使用。

不仅如此——模因演化（LCTT 译注：人类学术语）在起作用。几分钟后，另一个人使用了这个术语，显然没有注意到，而在继续进行话题讨论。Todd 和我用眼角互觑了一下：是的，我们都注意到发生了什么。我很激动——它或许有用！但我保持了安静：我在小组中仍然地位不高。可能有些人都奇怪为什么 Eric 会邀请我。

临近会议尾声，可能是 Todd 或 Eric，明确提出了[术语问题][8]。Maddog 提及了一个早期的术语“可自由分发的”，和一个新的术语“合作开发的”。Eric 列出了“自由软件”、“开源软件”和“软件源”作为主要选项。Todd 提议使用“开源”，然后 Eric 支持了他。我没说太多，就让 Todd 和 Eric（轻松、非正式地）就“开源”这个名字达成了共识。显然对于大多数与会者，改名并不是在这讨论的最重要议题；那只是一个次要的相关议题。从我的会议记录中看只有大约 10% 的内容是术语的。

但是我很高兴。在那有许多社区的关键领导人，并且他们喜欢这新名字，或者至少没反对。这是一个好的信号。可能我帮不上什么忙； Eric Raymond 更适合宣传新的名称，而且他也这么做了。Bruce Perens 立即表示支持，帮助建立了 [Opensource.org][9] 并在新术语的宣传中发挥了重要作用。

为了让这个名字获得认同，Tim O'Reilly 同意在代表社区的多个项目中积极使用它，这是很必要，甚至是非常值得的。并且在官方即将发布的 Netscape Navigator（网景浏览器）代码中也使用了此术语。 到二月底， O'Reilly & Associates 还有网景公司（Netscape） 已经开始使用新术语。

### 名字的宣传

在那之后的一段时间，这条术语由 Eric Raymond 向媒体推广，由 Tim O'Reilly 向商业推广，并由二人向编程社区推广，它似乎传播的相当快。

1998 年 4 月 17 日，Tim O'Reilly 召集了该领域的一些重要领袖的峰会，宣布为第一次 “[自由软件峰会][10]” ，在 4 月14 日之后，它又被称作首届 “[开源峰会][11]”。

这几个月对于开源来说是相当激动人心的。似乎每周都有一个新公司宣布加入计划。读 Slashdot（LCTT 译注：科技资讯网站）已经成了一个必需操作，甚至对于那些像我一样只能外围地参与者亦是如此。我坚信新术语能对快速传播到商业很有帮助，能被公众广泛使用。

尽管在谷歌搜索一下表明“开源”比“自由软件”出现的更多，但后者仍然有大量的使用，在和偏爱它的人们沟通的时候我们应该包容。

### 快乐的感觉

当 Eric Raymond 写的有关术语更改的[早期声明][12]被发布在了<ruby>开源促进会<rt>Open Source Initiative</rt></ruby>的网站上时，我被列在 VA 头脑风暴会议的名单上，但并不是作为术语的创始人。这是我自己的失误，我没告诉 Eric 细节。我的想法就是让它过去吧，我呆在幕后就好，但是 Todd 不这样认为。他认为我总有一天会为被称作“开源软件”这个名词的创造者而高兴。他向 Eric 解释了这个情况，Eric 及时更新了网站。

想出这个短语只是一个小贡献，但是我很感激那些把它归功于我的人。每次我听到它（现在经常听到了），它都给我些许的感动。

说服社区的巨大功劳要归功于 Eric Raymond 和 Tim O'Reilly，是他们让这一切成为可能。感谢他们对我的归功，并感谢 Todd Anderson 所做的一切。以上内容并非完整的开源一词的历史，让我对很多没有提及的关键人士表示歉意。那些寻求更完整讲述的人应该参考本文和网上其他地方的链接。

### 关于作者

[![photo of Christine Peterson](https://opensource.com/sites/default/files/styles/profile_pictures/public/pictures/cp2016_crop2_185.jpg?itok=vUkSjFig)][13] 

Christine Peterson 撰写、举办讲座，并向媒体介绍未来强大的技术，特别是在纳米技术，人工智能和长寿方面。她是纳米科技公益组织前瞻协会的共同创始人和前任主席。前瞻协会向公众、技术团体和政策制定者提供未来强大的技术的教育以及告诉它是如何引导他们的长期影响。她服务于[机器智能][2]咨询委员会……[更多关于 Christine Peterson][3]

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/2/coining-term-open-source-software

作者：[Christine Peterson][a]
译者：[fuzheng1998](https://github.com/fuzheng1998)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/christine-peterson
[1]:https://opensource.com/article/18/2/coining-term-open-source-software?rate=HFz31Mwyy6f09l9uhm5T_OFJEmUuAwpI61FY-fSo3Gc
[2]:http://intelligence.org/
[3]:https://opensource.com/users/christine-peterson
[4]:https://opensource.com/users/christine-peterson
[5]:https://opensource.com/user/206091/feed
[6]:https://opensource.com/resources/what-open-source
[7]:https://opensource.org/osd
[8]:https://wiki2.org/en/Alternative_terms_for_free_software
[9]:https://opensource.org/
[10]:http://www.oreilly.com/pub/pr/636
[11]:http://www.oreilly.com/pub/pr/796
[12]:https://ipfs.io/ipfs/QmXoypizjW3WknFiJnKLwHCnL72vedxjQkDDP1mXWo6uco/wiki/Alternative_terms_for_free_software.html
[13]:https://opensource.com/users/christine-peterson
[14]:https://opensource.com/users/christine-peterson
[15]:https://opensource.com/users/christine-peterson
[16]:https://opensource.com/article/18/2/coining-term-open-source-software#comments
