为什么开源在计算机专业的学生中不那么流行？
===============

> 高中和大学生们或许因先入为主的观念而畏于参与开源项目。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/EDU_OSDC_OpenClass_520x292_FINAL_JD.png?itok=ly78pMqu)

图片来自：opensource.com

年轻程序员的技术悟性和创造力是充满活力的。

这一点可以从我参加今年的（美国）国内最大的黑客马拉松 [PennApps][1] 时所目睹的他们勤奋的工作中可以看出。在 48 小时内，我的高中和大学年龄段的同龄人们创建了从[可以通过眨眼来让不能说话或行动不便的人来交流的设备][2] 到 [带有物联网功能的煎饼机][3] 的项目。在整个过程中，开源的精神是切实可见的，不同群体之间建立了共同的愿望，思想和技术诀窍的自由流通，无畏的实验和快速的原型设计，以及热衷于参与的渴望。

那么我想知道，为什么在我的这些技术极客伙伴中，开源并不是一个热门话题？

为了更多地了解大学生在听到“开源”时的想法，我调查了几个大学生，他们都是我所属的专业计算机科学团体的成员。这个社团的所有成员都必须在高中或大学期间申请，并根据他们的计算机科学成就和领导能力进行选择——即是否领导过一个学校的机器人团队，建立过将编码带入资金不足的课堂的非营利组织，或其他一些值得努力的地方。鉴于这些个人在计算机科学方面的成就，我认为他们的观点将有助于理解年轻程序员对开源项目的吸引力（或不吸引人）。

我编写和发布的在线调查包括以下问题：

  * 你喜欢编写个人项目吗？您是否曾经参与过开源项目？
  * 你觉得自己开发自己的编程项目，还是对现有的开源工作做出贡献会更有益处？
  * 你将如何比较为开源软件组织和专有软件的组织编码获得的声望？

尽管绝大多数人表示，他们至少偶尔会喜欢在业余时间编写个人项目，但大多数人从未参与过开源项目。当我进一步探索这一趋势时，一些关于开源项目和组织的常见的偏见逐渐浮出水面。为了说服我的伙伴们，开源项目值得他们花时间，并且为教育工作者和开源组织提供他们对学生的见解，我将谈谈三个首要的偏见。

### 偏见 1：从零开始创建个人项目比为现有的开源项目做贡献更好。

在我所调查的大学年龄程序员中，26 人中有 24 人声称，开发自己的个人项目比开源项目更有益。

作为一名计算机科学专业的大一新生，我也相信这一点。我经常听到年长的同学说，个人项目会让我成为更有吸引力的实习生。没有人提到过为开源项目做出贡献的可能性——所以在我看来，这是无关紧要的。

我现在意识到开源项目为现实世界提供了强大的准备工作。对开源项目的贡献培养了一种意识，即[工具和语言如何拼合在一起][4]，而单个项目却不能。而且，开源是一个协调与协作的练习，可以培养[学生的沟通，团队合作和解决问题的专业技能][5]。

### 偏见 2：我的编码技能是不够的。

一些受访者表示，他们被开源项目吓倒了，不知道该从哪里开始贡献，或者担心项目进展缓慢。不幸的是，自卑感往往也会对女性程序员产生影响，而这种感觉并不止于开源社区。事实上，“冒名顶替综合症”甚至可能会被放大，因为[开源的倡导者通常会拒绝官僚主义][6] —— 而且和官僚主义一样难以在内部流动，它有助于新加入的人了解他们在一个组织中的位置。

我还记得第一次在 GitHub 上查看开源项目时，我对阅读贡献指南感到害怕。然而，这些指南并非旨在吓跑别人，而是提供[指导][7]。为此，我认为贡献指南是建立期望而不依赖于等级结构的一种方式。

有几个开源项目积极为新的项目贡献者创造了一个地方。[TEAMMATES][8] 是一种教育反馈管理工具，是为初学者们解决了这个问题一个开源项目。在评论中，各种技能水平的程序员都详细阐述了实现的细节，这表明开源项目是属于热切的新程序员和经验丰富的软件老手的地方。对于那些还在犹豫的年轻程序员来说，一些[开源项目][9]已经考虑周全，采用了[冒名顶替综合症的免责声明][10]。

### 偏见 3：专有软件公司比开源软件组织做得更好。

在接受调查的 26 位受访者中，只有 5 位认为开源组织和专有软件组织在声望上是平等的。这可能是由于“开源”意味着“无利可图”，因此质量低下的误解(查看 [“开源”不只是意味着是免费][11])。

然而，开源软件和盈利软件并不相互排斥。事实上，小型和大型企业通常都为免费的开源软件的技术支持服务而付款。正如[红帽公司首席执行官 Jim Whitehurst][12] 所解释的那样：“我们拥有一批工程团队，负责跟踪 Linux 的每一项变更--错误修复、安全性增强等等，确保我们客户的关键任务系统保持最新状态和稳定“。

另外，开源的本质是通过使更多的人能够检查源代码来提升而不是阻碍质量的提高。[Mobify 首席执行官 Igor Faletski][13] 写道，Mobify 的 “25 位软件开发人员和专业的质量保证人员团队无法满足世界上所有可能使用 [Mobify 的开源]平台的软件开发者，而他们每个人都是该项目的潜在测试者或贡献者。”

另一个问题可能是年轻的程序员不知道他们每天使用的开源软件。 我使用了许多工具——包括 MySQL、Eclipse、Atom、Audacity 和 WordPress——几个月甚至几年，却没有意识到它们是开源的。 经常急于下载教学大纲指定软件以完成课堂作业的大学生可能不知道哪个软件是开源的。 这使得开源看起来比现在更加陌生。

所以学生们，在尝试之前不要敲开源码。 看看这个[初学者友好的项目][14]列表和这[六个起点][15]，开始你的开源之旅。

教育工作者们，提醒您的学生开源社区的成功创新的历史，并引导他们走向课堂之外的开源项目。你将帮助培养更敏锐、更有准备、更自信的学生。

### 关于作者

Susie Choi - Susie 是杜克大学计算机科学专业的本科生。她对技术革新和开放源码原则对教育和社会经济不平等问题的影响非常感兴趣。


--------------------------------------------------------------------------------

via: https://opensource.com/article/17/12/students-and-open-source-3-common-preconceptions

作者：[Susie Choi][a]
译者：[amwps290](https://github.com/amwps290)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/susiechoi
[1]:http://pennapps.com/
[2]:https://devpost.com/software/blink-9o2iln
[3]:https://devpost.com/software/daburrito
[4]:https://hackernoon.com/benefits-of-contributing-to-open-source-2c97b6f529e9
[5]:https://opensource.com/education/16/8/5-reasons-student-involvement-open-source
[6]:https://opensource.com/open-organization/17/7/open-thinking-curb-bureaucracy
[7]:https://opensource.com/life/16/3/contributor-guidelines-template-and-tips
[8]:https://github.com/TEAMMATES/teammates/issues?q=is%3Aissue+is%3Aopen+label%3Ad.FirstTimers
[9]:https://github.com/adriennefriend/imposter-syndrome-disclaimer/blob/master/examples.md
[10]:https://github.com/adriennefriend/imposter-syndrome-disclaimer
[11]:https://opensource.com/resources/what-open-source
[12]:https://hbr.org/2013/01/yes-you-can-make-money-with-op
[13]:https://hbr.org/2012/10/open-sourcing-may-be-worth
[14]:https://github.com/MunGell/awesome-for-beginners
[15]:https://opensource.com/life/16/1/6-beginner-open-source
