一个基于 Arch 的独立 Linux 发行版 MagpieOS
======

目前使用的大多数 Linux 发行版都是由欧美创建和开发的。一位来自孟加拉国的年轻开发人员想要改变这一切。

### 谁是 Rizwan？

[Rizwan][1] 是来自孟加拉国的计算机科学专业的学生。他目前正在学习成为一名专业的 Python 程序员。他在 2015 年开始使用 Linux。使用 Linux 启发他创建了自己的 Linux 发行版。他还希望让世界其他地方知道孟加拉国正在升级到 Linux。

他还致力于从头创建 [LFS 的 live 版本][2]。

![MagpieOS Linux][3]

### 什么是 MagpieOS？

Rizwan 的新发行版被命名为 MagpieOS。 [MagpieOS][4] 非常简单。它基本上是 GNOME3 桌面环境的 Arch。 MagpieOS 还包括一个自定义的仓库，其中包含图标和主题（据称）在其他基于 Arch 的发行版或 AUR 没有。

下面是 MagpieOS 包含的软件列表：Firefox、LibreOffice、Uget、Bleachbit、Notepadqq、SUSE Studio Image Writer、Pamac 软件包管理器、Gparted、Gimp、Rhythmbox、简单屏幕录像机等包括 Totem 视频播放器在内的所有默认 GNOME 软件，以及一套新的定制壁纸。

目前，MagpieOS 仅支持 GNOME 桌面环境。Rizwan 选择它是因为这是他的最爱。但是，他计划在未来添加更多的桌面环境。

不幸的是，MagpieOS 不支持孟加拉语或任何其他当地语言。它支持 GNOME 的默认语言，如英语、印地语等。

Rizwan 命名他的发行为 MagpieOS，因为<ruby>[喜鹊][5]<rt>magpie</rt></ruby> 是孟加拉国的官方鸟。

![MagpieOS Linux][6]

### 为什么选择 Arch？

和大多数人一样，Rizwan 通过使用 [Ubuntu][7] 开始了他的 Linux 旅程。一开始，他对此感到满意。但是，有时他想安装的软件在仓库中没有，他不得不通过 Google 寻找正确的 PPA。他决定切换到 [Arch][8]，因为 Arch 有许多在 Ubuntu 上没有的软件包。Rizwan 也喜欢 Arch 是一个滚动版本，并且始终是最新的。

Arch 的问题在于它的安装非常复杂和耗时。所以，Rizwan 尝试了几个基于 Arch 的发行版，并且对任何一个都不满意。他不喜欢 [Manjaro][9]，因为它们没有权限使用 Arch 的仓库。此外，Arch 仓库镜像比 Manjaro 更快并且拥有更多软件。他喜欢 [Antergos][10]，但要安装需要一个持续的互联网连接。如果在安装过程中连接失败，则必须重新开始。

由于这些问题，Rizwan 决定创建一个简单的发行版，让他和其他人无需麻烦地安装 Arch。他还希望通过使用他的发行版让他的祖国的开发人员从 Ubuntu 切换到 Arch。

### 如何通过 MagpieOS 帮助 Rizwan

如果你有兴趣帮助 Rizwan 开发 MagpieOS，你可以通过 [MagpieOS 网站][4]与他联系。你也可以查看该项目的 [GitHub 页面][11]。Rizwan 表示，他目前不寻求财政支持。

![MagpieOS Linux][12]

### 最后的想法

我快速地安装过一次 MagpieOS。它使用 [Calamares 安装程序][13]，这意味着安装它相对快速轻松。重新启动后，我听到一封欢迎我来到 MagpieOS 的音频消息。

说实话，这是我第一次听到安装后的问候。（Windows 10 可能也有，但我不确定）屏幕底部还有一个 Mac OS 风格的应用程序停靠栏。除此之外，它感觉像我用过的其他任何 GNOME 3 桌面。

考虑到这是一个刚刚起步的独立项目，我不会推荐它作为你的主要操作系统。但是，如果你是一个发行版尝试者，你一定会试试看。

话虽如此，对于一个想把自己的国家放在技术地图上的学生来说，这是一个不错的尝试。做得很好，Rizwan。

你有没有听说过 MagpieOS？你最喜欢的地区或本地制作的 Linux 发行版是什么？请在下面的评论中告诉我们。

如果你发现这篇文章有趣，请花点时间在社交媒体上分享。

--------------------------------------------------------------------------------

via: https://itsfoss.com/magpieos/

作者：[John Paul][a]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/john/
[1]:https://twitter.com/Linux_Saikat
[2]:https://itsfoss.com/linux-from-scratch-live-cd/
[3]:https://itsfoss.com/wp-content/uploads/2018/01/magpieos1.jpg
[4]:http://www.magpieos.net
[5]:https://en.wikipedia.org/wiki/Magpie
[6]:https://itsfoss.com/wp-content/uploads/2018/01/magpieos2.jpg
[7]:https://www.ubuntu.com
[8]:https://www.archlinux.org
[9]:http://manjaro.org
[10]:https://antergos.com
[11]:https://github.com/Rizwan-Hasan/MagpieOS
[12]:https://itsfoss.com/wp-content/uploads/2018/01/magpieos3.png
[13]:https://calamares.io
