放慢速度如何使我变成更好的领导者
======

> 开放式领导和耐心、倾听一样重要，它们都是关于执行的。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/BUSINESS_leadership_brand.png?itok=YW1Syk4S)

在我职业生涯的早期，我认为我能做的最重要的事情就是行动。如果我的老板说跳，我的回答是“跳多高？”

但是当我成长为一个领导者和管理者时，我意识到了我能提供的最重要的品质是 [耐心][1] 和倾听。耐心和倾听意味着我关注于真正重要的东西。我很果断，所以我会毫不犹豫地行动。然而我了解到，当我考虑来自多个来源的意见，并就我们应该做什么提供建议，而不仅仅是对眼前的请求做出反应时，我的行动更具影响力。

实行开放式领导需要培养耐心和倾听技能，我需要在[最佳行动计划上进行合作，而不仅仅是最快的计划][2]。它还为我提供了一些工具，以解释 [为什么我会对某人说“不”][3] （或者，也许是“不是现在”），这样我就能以透明和自信的方式领导。

如果你正在进行软件开发和实践 scrum 中，那么下面的观点可能会引起你的共鸣：在 sprint 计划和 sprint 演示中，耐心和倾听经理的表现和它的技能一样重要。（LCTT 译注： scrum 是迭代式增量软件开发过程，通常用于敏捷软件开发。 sprint 计划和 sprint 演示是其中的两个术语。）忘掉它们，你会减少你能够产生的影响。

### 专注于耐心

专注和耐心并不总是容易的。通常，我发现自己正坐在会议上，用行动项目填满我的笔记本时，我一般会思考：“我们只要做了某事，另外一件事就会得到改善”。然后我记得事物不是那么线性发展的。

我需要考虑可能影响情况的其他因素。暂停下来从多个人和资源中获取数据可以帮我充实策略，以确保组织长期成功。它还帮助我确定那些短期的里程碑，这些里程碑应该可以让我负责生产的业务完成交付。

这里有一个很好的例子，以前耐心不是我认为应该拥有、以及影响我的表现的东西。当我在北卡罗来纳州工作时，我与一个在亚利桑那州的人共事。我们没有使用视频会议技术，所以当我们交谈时我没有看到她的肢体语言。然而当我负责为我领导的项目交付结果时，她是确保我获得足够支持的两个人之一。

无论出于何种原因，当我与她交谈时，当她要求我做某件事时，我做了。她会为我的绩效评估提供意见，所以我想确保她高兴。那时，我还不够成熟不懂得其实没必要非要讨她开心；我的重点应该放在其他绩效指标上。我本应该花更多的时间倾听并与她合作，而不是在她还在说话的时候拿起第一个“行动项目”并开始工作。

在工作六个月后，她给了我一些负面的反馈。 我很生气，很伤心。 我没有做她所要求的一切吗？ 我工作了很长时间，每周工作近七天，为期六个月。 她怎么敢批评我的表现？

然后，在我经历了愤怒和悲伤之后，我想到了她说的话，她的反馈很重要。

在 sprint 计划和 sprint 演示中，耐心和倾听经理的表现和它的技能一样重要。

她对这个项目感到担忧，她继续让我负责是因为我是项目的负责人。我们解决了问题，并且我学到了关于如何领导的重要课程：领导力并不意味着“现在就完成”。 领导力意味着制定战略，然后制定沟通和实施支持战略的计划。这也意味着犯错和从这些问题中学习。

### 经验教训

事后看来，我意识到我可以提出更多的问题来更好地理解她的反馈意图。如果她的指导不符合我收到的其他意见，我也可能会推迟。通过耐心倾听给我的关于项目的各种信息来源，综合我所学到的知识，并创建一个连贯的行动计划，我会成为一个更好的领导者。我也会有更多的目的来推动我正在做的工作。 我不会对单个数据点做出反应，而是会实施一项战略计划。 这样我也会有一个更好的绩效评估。

我最终对她有一些反馈。 下次我们一起工作时，我不想在六个月后听到反馈意见。 我想早些时候和更频繁地听到反馈意见，以便我能够尽早从错误中学习。 关于这项工作的持续讨论是任何团队都应该发生的事情。

当我成为一名管理者和领导者时，我坚持要求我的团队达到相同的标准：计划，执行计划并反思。 重复。 不要让外力造成的麻烦让你偏离你需要实施的计划。 将工作分成小的增量，以便反思和调整计划。 正如 Daniel Goleman 写道：“把注意力放在需要的地方是领导力的一个主要任务。” 不要害怕面对这个挑战。

--------------------------------------------------------------------------------

via: [https://opensource.com/open-organization/18/2/open-leadership-patience-listening](https://opensource.com/open-organization/18/2/open-leadership-patience-listening)

作者：[Angela Robertson][a]
译者：[MjSeven](https://github.com/MjSeven)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/arobertson98
[1]:https://opensource.com/open-organization/16/3/my-most-difficult-leadership-lesson
[2]:https://opensource.com/open-organization/16/3/fastest-result-isnt-always-best-result
[3]:https://opensource.com/open-organization/17/5/saying-no-open-organization
