有用的资源，献给那些想更多了解 Linux 的人
=====

Linux 是最流行和多功能的操作系统之一，它可以用在智能手机，电脑甚至汽车上。自 20 世纪 90 年代以来，Linux 存在至今，并且仍然是最普遍的操作系统之一。

Linux 实际上用于运行大多数网络服务，因为与其他操作系统相比，它被认为是相当稳定的。这是[人们选择 Linux 多于 Windows 的原因][1]之一。此外，Linux 为用户提供了隐私，根本不收集用户信息，而 Windows 10 及其 Cortana 语音控制系统总是需要更新你的个人信息。

Linux 有很多优点。然而，人们并没有听到太多关于它的消息，因为它已被 Windows 和 Mac 挤出（桌面）场。许多人开始使用 Linux 时会感到困惑，因为它与流行的操作系统有点不同。

为了帮助你，我们为那些想要了解更多关于 Linux 的人收集了 5 个有用的资源。

### 1、[Linux 纯新手][2]

如果你想尽可能多地学习 Linux，你应该考虑 Eduonix 为[初学者提供的 Linux 完整教程][2]。这个课程将向你介绍 Linux 的所有功能，并为你提供所有必要的资料，以帮助你了解更多关于 Linux 工作原理的特性。

如果你是以下情况，你应该选择本课程：

* 你想了解有关 Linux 操作系统的详细信息；
* 你想知道如何安装它；
* 你想了解 Linux 如何与硬件配合使用；
* 你想学习如何操作 Linux 命令行。

### 2、[PC World: Linux 初学者指南][3]

为想要在一个地方学习所有有关 Linux 的人提供[免费资源][3]。PC World 专注于计算机操作系统的各个方面，并为订阅用户提供最准确和最新的信息。在这里，你还可以了解更多关于 [Linux 的好处][4] 和关于其操作系统的最新消息。

该资源为你提供以下信息：

* 如何安装 Linux；
* 如何使用命令行；
* 如何安装软件；
* 如何操作 Linux 桌面环境。

### 3、[Linux.com：Linux 培训][5]

很多使用计算机的人都需要学习如何操作 Linux，以防 Windows 操作系统突然崩溃。还有什么比使用官方资源来启动你的 [Linux 培训][5]更好呢？

该资源可用让你在线注册 Linux 训练，你可以从官方来源获取最新信息。“一年前，我们的 IT 部门在官方网站上为我们提供了 Linux 培训” [Assignmenthelper.com.au][6] 的开发人员 Martin Gibson 说道。“我们选择了这门课，因为我们需要学习如何将我们的所有文件备份到另一个系统，为我们的客户提供最大的安全性，而且这个资源真的教会了我们所有的东西。”

所以你肯定应该使用这个资源，如果：

* 你想获得有关操作系统的第一手信息；
* 想要了解如何在你的计算机上运行 Linux 的特性；
* 想要与其他 Linux 用户联系并与他们分享你的经验。

### 4、 [Linux 基金会：视频培训][7]

如果你在阅读大量资源时容易感到无聊，那么该网站绝对适合你。Linux 基金会提供了由 IT 专家、软件开发技术人员和技术顾问举办的视频培训，讲座和在线研讨会。

所有培训视频分为以下类别：

* 开发人员： 使用 Linux 内核来处理 Linux 设备驱动程序、Linux 虚拟化等；
* 系统管理员：在 Linux 上开发虚拟主机，构建防火墙，分析 Linux 性能等；
* 用户：Linux 入门，介绍嵌入式 Linux 等。

### 5、 [LinuxInsider][8]

你知道吗？微软对 Linux 的效率感到惊讶，它[允许用户在微软云计算设备上运行 Linux][9]。如果你想了解更多关于 Linux 操作系统的知识，Linux Insider 会向用户提供关于 Linux 操作系统的最新消息，以及最新更新和 Linux 特性的信息。

在此资源上，你将有机会：

* 参与 Linux 社区；
* 了解如何在各种设备上运行 Linux；
* 看看评论；
* 参与博客讨论并阅读科技博客。

### 总结一下

Linux 提供了很多好处，包括完全的隐私，稳定的操作甚至恶意软件保护。它绝对值得尝试，学习如何使用会帮助你更好地了解你的计算机如何工作以及它需要如何平稳运行。

### 关于作者

Lucy Benton 是一位数字营销专家，商业顾问，帮助人们将他们的梦想变为有利润的业务。现在她正在为营销和商业资源撰写。Lucy 还有自己的博客 [_Prowritingpartner.com_][10]，在那里你可以查看她最近发表的文章。


--------------------------------------------------------------------------------

via: https://linuxaria.com/article/useful-resources-for-those-who-want-to-know-more-about-linux

作者：[Lucy Benton][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[MjSeven](https://github.com/MjSeven)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.lifewire.com
[1]:https://www.lifewire.com/windows-vs-linux-mint-2200609
[2]:https://www.eduonix.com/courses/system-programming/linux-for-absolute-beginners
[3]:https://www.pcworld.com/article/2918397/operating-systems/how-to-get-started-with-linux-a-beginners-guide.html
[4]:https://www.popsci.com/switch-to-linux-operating-system#page-4
[5]:https://www.linux.com/learn/training
[6]:https://www.assignmenthelper.com.au/
[7]:https://training.linuxfoundation.org/free-linux-training/linux-training-videos
[8]:https://www.linuxinsider.com/
[9]:https://www.wired.com/2016/08/linux-took-web-now-taking-world/
[10]:https://prowritingpartner.com/
[11]:https://cdn.linuxaria.com/wp-content/plugins/flattr/img/flattr-badge-large.png
[12]:https://linuxaria.com/?flattrss_redirect&id=8570&md5=ee76fa2b44bdf6ef419a7f9906d3a5ad (Flattr)
