让孩子爱上计算机和编程的 15 本书
======

> 以及，还有三本是给宝宝的。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/books_library_reading_list.jpg?itok=O3GvU1gH)

在工作之余，我听说不少技术专家透露出让他们自己的孩子学习更多关于 [Linux][1] 和 [开源][2]知识的意愿，他们中有的来自高管层，有的来自普通岗位。其中一些似乎时间比较充裕，伴随其孩子一步一步成长。另一些人可能没有充足的时间让他们的孩子看到为何 Linux 和 开源如此之酷。也许他们能抽出时间，但这不一定。在这个大世界中，有太多有趣、有价值的事物。

不论是哪种方式，如果你的或你认识的孩子愿意学习使用编程和硬件，实现游戏或机器人之类东西，那么这份书单很适合你。

### 面向儿童 Linux 和 开源爱好者的 15 本书
 
**《[零基础学 Raspberry Pi][3]》，作者 Carrie Anne Philbin**

在对编程感兴趣的儿童和成人中，体积小小的、仅信用卡一般大的树莓派引起了强烈的反响。你台式机能做的事情它都能做，具备一定的基础编程技能后，你可以让它做更多的事情。本书操作简明、项目风趣、技能扎实，是一本儿童可用的终极编程指南。（[Joshua Allen Holm][4] 推荐，评论节选于本书的内容提要）

**《[Python 编程快速上手：让繁琐工作自动化][5]》，作者 Al Sweigart**

这是一本经典的编程入门书，行文足够清晰，11 岁及以上的编程爱好者都可以读懂本书并从中受益。读者很快就会投入到真实且实用的任务中，在此过程中顺便掌握了优秀的编程实践。最好的一点是，如果你愿意，你可以在互联网上阅读本书。（[DB Clinton][6] 推荐并评论）

**《[Scratch 游戏编程][7]》，作者 Jon Woodcock**

本书适用于 8-12 岁没有或仅有有限编程经验的儿童。作为一本直观的可视化入门书，它使用有趣的图形和易于理解的操作，教导年轻的读者如何使用 Scratch 这款流行的自由编程语言构建他们自己的编程项目。（[Joshua Allen Holm][4] 推荐，评论节选于本书的内容提要）

**《[用 Python 巧学数学][8]》，作者 Amit Saha**

无论你是一名学生还是教师，只要你对使用 Python 学习数学感兴趣，不妨读读本书。在逻辑上，本书带领读者一步一步地从基础到更为复杂的操作，从最开始简单的 Python shell 数字运算，到使用类似 matplotlib 这样的 Python 库实现数据可视化，读者可以很容易跟上作者的思路。本书充分调动你的好奇心，感叹 Python 与 数学结合的威力。（[Don Watkins][9] 推荐并评论）

**《[编程女生：学习编程，改变世界][10]》，作者 Reshma Saujani**

作者是 Girls Who Code 运动的发起人，该运动得到 Sheryl Sandberg、 Malala Yousafzai 和 John Legend 支持。本书一部分是编程介绍，一部分女生赋能，这两部分都写得很有趣。本书包括动态艺术作品、零基础的编程原理讲解以及在 Pixar 和 NASA 等公司工作的女生的真实故事。这本书形象生动，向读者展示了计算机科学在我们生活中发挥的巨大作用以及其中的趣味。（[Joshua Allen Holm][4] 推荐，评论节选于本书的内容提要）

**《[Python 游戏编程快速上手][11]》，作者 Al Sweigart**

本书将让你学会如何使用流行的 Python 编程语言编写计算机游戏，不要求具有编程经验！入门阶段编写<ruby>刽子手<rt>Hangman</rt></ruby>，猜数字，<ruby>井字游戏<rt>Tic-Tac-Toe</rt></ruby>这样的经典游戏，后续更进一步编写高级一些的游戏，例如文字版寻宝游戏，以及带音效和动画的<ruby>碰撞与闪避<rt>collision-dodgoing</rt></ruby>游戏。（[Joshua Allen Holm][4] 推荐，评论节选于本书的内容提要）

**《[Lauren Ipsum：关于计算机科学和一些不可思议事物的故事][12]》，作者 Carlos Bueno**

本书采用爱丽丝梦游仙境的风格，女主角 Lauren Ipsum 来到一个稍微具有魔幻色彩的世界。世界的自然法则是逻辑学和计算机科学，世界谜题只能通过学习计算机编程原理并编写代码完成。书中没有提及计算机，但其作为世界的核心存在。（[DB Clinton][6] 推荐并评论）

**《[Java 轻松学][13]》，作者 Bryson Payne**

Java 是全世界最流行的编程语言，但众所周知上手比较难。本书让 Java 学习不再困难，通过若干实操项目，让你马上学会构建真实可运行的应用。（[Joshua Allen Holm][4] 推荐，评论节选于本书的内容提要）

**《[终身幼儿园][14]》，作者 Mitchell Resnick**

幼儿园正变得越来越像学校。在本书中，学习专家 Mitchel Resnick 提出相反的看法：学校（甚至人的一生）应该更像幼儿园。要适应当今快速变化的世界，各个年龄段的人们都必须学会开创性思维和行动；想要达到这个目标，最好的方式就是更加专注于想象、创造、玩耍、分享和反馈，就像孩子在传统幼儿园中那样。基于在 MIT <ruby>媒体实验室<rt>Media Lab</rt></ruby> 30 多年的经历， Resnick 讨论了新的技术和策略，可以让年轻人拥有开创性的学习体验。（[Don Watkins][9] 推荐，评论来自 Amazon 书评）

**《[趣学 Python：教孩子学编程][15]》，作者 Jason Briggs**

在本书中，Jason Briggs 将 Python 编程教学艺术提升到新的高度。我们可以很容易地将本书用作入门书，适用群体可以是教师/学生，也可以是父母/儿童。通过一步步引导的方式介绍复杂概念，让编程新手也可以成功完成，进一步激发学习欲望。本书是一本极为易读、寓教于乐但又强大的 Python 编程入门书。读者将学习基础数据结构，包括<ruby>元组<rt>turple</rt></ruby>、<ruby>列表<rt>list</rt></ruby>和<ruby>映射<rt>map</rt></ruby>等，学习如何创建函数、重用代码或者使用包括循环和条件语句在内的控制结构。孩子们还将学习如何创建游戏和动画，体验 Tkinter 的强大并创建高级图形。（[Don Watkins][9] 推荐并评论）

**《[Scratch 编程园地][16]》，作者 Al Sweigart**

Scratch 编程一般被视为一种寓教于乐的教年轻人编程的方式。在本书中，Al Sweigart 告诉我们 Scratch 是一种超出绝大多数人想象的强大编程语言。独特的风格，大师级的编写和呈现。Al 让孩子通过创造复杂图形和动画，短时间内认识到 Scratch 的强大之处。（[Don Watkins][9] 推荐并评论）

**《[秘密编程者][17]》，作者 Gene Luen Yang，插图作者 Mike Holmes**

Gene Luen Yang 是漫画小说超级巨星，也是一所高中的计算机编程教师。他推出了一个非常有趣的系列作品，将逻辑谜题、基础编程指令与引入入胜的解谜情节结合起来。故事发生在 Stately Academy 这所学校，其中充满有待解开的谜团。（[Joshua Allen Holm][4] 推荐，评论节选于本书的内容提要）

**《[想成为编程者吗？编程、视频游戏制作、机器人等职业终极指南！][18]》，作者 Jane Bedell**

酷爱编程？这本书易于理解，描绘了以编程为生的完整图景，激发你的热情，磨练你的专业技能。（[Joshua Allen Holm][4] 推荐，评论节选于本书的内容提要）

**《[教孩子编程][19]》，作者 Bryson Payne**

你是否在寻找一种寓教于乐的方式教你的孩子 Python 编程呢？Bryson Payne 已经写了这本大师级的书。本书通过乌龟图形打比方，引导你编写一些简单程序，为高级 Python 编程打下基础。如果你打算教年轻人编程，这本书不容错过。（[Don Watkins][9] 推荐并评论）

**《[图解 Kubernetes（儿童版）][20]》，作者 Matt Butcher, 插画作者 Bailey Beougher**

介绍了 Phippy 这个勇敢的 PHP 小应用及其 Kubernetes 之旅。（[Chris Short][21] 推荐，评论来自 [Matt Butcher 的博客][20]）

### 给宝宝的福利书

**《[宝宝的 CSS][22]》、《[宝宝的 Javascript][23]》、《[宝宝的 HTML][24]》，作者 Sterling Children's**

这本概念书让宝宝熟悉图形和颜色的种类，这些是互联网编程语言的基石。这本漂亮的书用富有色彩的方式介绍了编程和互联网，对于技术人士的家庭而言，本书是一份绝佳的礼物。（[Chris Short][21] 推荐，评论来自 Amazon 书评）

你是否有想要分享的适合宝宝或儿童的书呢？请在评论区留言告诉我们。
 
--------------------------------------------------------------------------------

via: https://opensource.com/article/18/5/books-kids-linux-open-source

作者：[Jen Wike Huger][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[pinewall](https://github.com/pinewall)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/remyd
[1]:https://opensource.com/resources/linux
[2]:https://opensource.com/article/18/3/what-open-source-programming
[3]:https://www.amazon.com/Adventures-Raspberry-Carrie-Anne-Philbin/dp/1119046025
[4]:https://opensource.com/users/holmja
[5]:https://automatetheboringstuff.com/
[6]:https://opensource.com/users/dbclinton
[7]:https://www.goodreads.com/book/show/25733628-coding-games-in-scratch
[8]:https://nostarch.com/doingmathwithpython
[9]:https://opensource.com/users/don-watkins
[10]:https://www.amazon.com/Girls-Who-Code-Learn-Change/dp/042528753X
[11]:http://inventwithpython.com/invent4thed/
[12]:https://www.amazon.com/gp/product/1593275749/ref=as_li_tl?ie=UTF8&tag=projemun-20&camp=1789&creative=9325&linkCode=as2&creativeASIN=1593275749&linkId=e05e1f12176c4959cc1aa1a050908c4a
[13]:https://nostarch.com/learnjava
[14]:http://lifelongkindergarten.net/
[15]:https://nostarch.com/pythonforkids
[16]:https://nostarch.com/scratchplayground
[17]:http://www.secret-coders.com/
[18]:https://www.amazon.com/So-You-Want-Coder-Programming/dp/1582705798?tag=ad-backfill-amzn-no-or-one-good-20
[19]:https://opensource.com/education/15/9/review-bryson-payne-teach-your-kids-code
[20]:https://deis.com/blog/2016/kubernetes-illustrated-guide/
[21]:https://opensource.com/users/chrisshort
[22]:https://www.amazon.com/CSS-Babies-Code-Sterling-Childrens/dp/1454921560/
[23]:https://www.amazon.com/Javascript-Babies-Code-Sterling-Childrens/dp/1454921579/
[24]:https://www.amazon.com/HTML-Babies-Code-Sterling-Childrens/dp/1454921552
