对数据隐私持开放的态度
======

> 尽管有包括 GDPR 在内的法规，数据隐私对于几乎所有的人来说都是很重要的事情。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/GOV_opendata.png?itok=M8L2HGVx)

今天（LCTT 译注：本文发表于 2018/1/28）是<ruby>[数据隐私日][1]<rt>Data Privacy Day</rt></ruby>，(在欧洲叫“<ruby>数据保护日<rt>Data Protection Day</rt></ruby>”)，你可能会认为现在我们处于一个开源的世界中，所有的数据都应该是自由的，[就像人们想的那样][2]，但是现实并没那么简单。主要有两个原因：

1. 我们中的大多数（不仅仅是在开源中）认为至少有些关于我们自己的数据是不愿意分享出去的（我在之前发表的一篇文章中列举了一些例子[3]）
2. 我们很多人虽然在开源中工作，但事实上是为了一些商业公司或者其他一些组织工作，也是在合法的要求范围内分享数据。

所以实际上，数据隐私对于每个人来说是很重要的。

事实证明，在美国和欧洲之间，人们和政府认为让组织使用哪些数据的出发点是有些不同的。前者通常为商业实体（特别是愤世嫉俗的人们会指出是大型的商业实体）利用他们所收集到的关于我们的数据提供了更多的自由度。在欧洲，完全是另一观念，一直以来持有的多是有更多约束限制的观念，而且在 5 月 25 日，欧洲的观点可以说取得了胜利。

### 通用数据保护条例（GDPR）的影响

那是一个相当全面的声明，其实事实上这是 2016 年欧盟通过的一项称之为<ruby>通用数据保护条例<rt>General Data Protection Regulation</rt></ruby>（GDPR）的立法的日期。数据通用保护条例在私人数据怎样才能被保存，如何才能被使用，谁能使用，能被持有多长时间这些方面设置了严格的规则。它描述了什么数据属于私人数据——而且涉及的条目范围非常广泛，从你的姓名、家庭住址到你的医疗记录以及接通你电脑的 IP 地址。

通用数据保护条例的重要之处是它并不仅仅适用于欧洲的公司，如果你是阿根廷人、日本人、美国人或者是俄罗斯的公司而且你正在收集涉及到欧盟居民的数据，你就要受到这个条例的约束管辖。

“哼！” 你可能会这样说^注1 ，“我的业务不在欧洲：他们能对我有啥约束？” 答案很简单：如果你想继续在欧盟做任何生意，你最好遵守，因为一旦你违反了通用数据保护条例的规则，你将会受到你的全球总收入百分之四的惩罚。是的，你没听错，是全球总收入，而不是仅仅在欧盟某一国家的的收入，也不只是净利润，而是全球总收入。这将会让你去叮嘱告知你的法律团队，他们就会知会你的整个团队，同时也会立即去指引你的 IT 团队，确保你的行为在相当短的时间内合规。

看上去这和非欧盟公民没有什么相关性，但其实不然，对大多数公司来说，对所有的他们的顾客、合作伙伴以及员工实行同样的数据保护措施是件既简单又有效的事情，而不是仅针对欧盟公民实施，这将会是一件很有利的事情。^注2

然而，数据通用保护条例不久将在全球实施并不意味着一切都会变的很美好^注3 ：事实并非如此，我们一直在丢弃关于我们自己的信息——而且允许公司去使用它。

有一句话是这么说的（尽管很争议）：“如果你没有在付费，那么你就是产品。”这句话的意思就是如果你没有为某一项服务付费，那么其他的人就在付费使用你的数据。你有付费使用 Facebook、推特、谷歌邮箱？你觉得他们是如何赚钱的？大部分是通过广告，一些人会争论那是他们向你提供的一项服务而已，但事实上是他们在利用你的数据从广告商里获取收益。你不是一个真正的广告的顾客——只有当你从看了广告后买了他们的商品之后你才变成了他们的顾客，但直到这个发生之前，都是广告平台和广告商的关系。

有些服务是允许你通过付费来消除广告的（流媒体音乐平台声破天就是这样的），但从另一方面来讲，即使你认为付费的服务也可以启用广告（例如，亚马逊正在努力让 Alexa 发广告），除非我们想要开始为这些所有的免费服务付费，我们需要清楚我们所放弃的，而且在我们暴露的和不想暴露的之间做一些选择。

### 谁是顾客？

关于数据的另一个问题一直在困扰着我们，它是产生的数据量的直接结果。有许多组织一直在产生巨量的数据，包括公共的组织比如大学、医院或者是政府部门^注4 ——而且他们没有能力去储存这些数据。如果这些数据没有长久的价值也就没什么要紧的，但事实正好相反，随着处理大数据的工具正在开发中，而且这些组织也认识到他们现在以及在不久的将来将能够去挖掘这些数据。

然而他们面临的是，随着数据的增长和存储量无法跟上该怎么办。幸运的是——而且我是带有讽刺意味的使用了这个词^注5 ，大公司正在介入去帮助他们。“把你们的数据给我们，”他们说，“我们将免费保存。我们甚至让你随时能够使用你所收集到的数据！”这听起来很棒，是吗？这是大公司^注6 的一个极具代表性的例子，站在慈善的立场上帮助公共组织管理他们收集到的关于我们的数据。

不幸的是，慈善不是唯一的理由。他们是附有条件的：作为同意保存数据的交换条件，这些公司得到了将数据访问权限出售给第三方的权利。你认为公共组织，或者是被收集数据的人在数据被出售使用权使给第三方，以及在他们如何使用上能有发言权吗？我将把这个问题当做一个练习留给读者去思考。^注7

### 开放和积极

然而并不只有坏消息。政府中有一项在逐渐发展起来的“开放数据”运动鼓励各个部门免费开放大量他们的数据给公众或者其他组织。在某些情况下，这是专门立法的。许多志愿组织——尤其是那些接受公共资金的——正在开始这样做。甚至商业组织也有感兴趣的苗头。而且，有一些技术已经可行了，例如围绕不同的隐私和多方计算上，正在允许跨越多个数据集挖掘数据，而不用太多披露个人的信息——这个计算问题从未如现在比你想象的更容易。

这些对我们来说意味着什么呢？我之前在网站 Opensource.com 上写过关于[开源的共享福利][4]，而且我越来越相信我们需要把我们的视野从软件拓展到其他区域：硬件、组织，和这次讨论有关的，数据。让我们假设一下你是 A 公司要提向另一家公司客户 B^注8 提供一项服务 。在此有四种不同类型的数据：

  1. 数据完全开放：对 A 和 B 都是可得到的，世界上任何人都可以得到
  2. 数据是已知的、共享的，和机密的：A 和 B 可得到，但其他人不能得到
  3. 数据是公司级别上保密的：A 公司可以得到，但 B 顾客不能
  4. 数据是顾客级别保密的：B 顾客可以得到，但 A 公司不能

首先，也许我们对数据应该更开放些，将数据默认放到选项 1 中。如果那些数据对所有人开放——在无人驾驶、语音识别，矿藏以及人口数据统计会有相当大的作用的。^注9 如果我们能够找到方法将数据放到选项 2、3 和 4 中，不是很好吗？——或者至少它们中的一些——在选项 1 中是可以实现的，同时仍将细节保密？这就是研究这些新技术的希望。
然而有很长的路要走，所以不要太兴奋，同时，开始考虑将你的的一些数据默认开放。

### 一些具体的措施

我们如何处理数据的隐私和开放？下面是我想到的一些具体的措施：欢迎大家评论做出更多的贡献。

  * 检查你的组织是否正在认真严格的执行通用数据保护条例。如果没有，去推动实施它。
  * 要默认加密敏感数据（或者适当的时候用散列算法），当不再需要的时候及时删掉——除非数据正在被处理使用，否则没有任何借口让数据清晰可见。
  * 当你注册了一个服务的时候考虑一下你公开了什么信息，特别是社交媒体类的。
  * 和你的非技术朋友讨论这个话题。
  * 教育你的孩子、你朋友的孩子以及他们的朋友。然而最好是去他们的学校和他们的老师谈谈在他们的学校中展示。
  * 鼓励你所服务和志愿贡献的组织，或者和他们沟通一些推动数据的默认开放。不是去思考为什么我要使数据开放，而是从我为什么不让数据开放开始。
  * 尝试去访问一些开源数据。挖掘使用它、开发应用来使用它，进行数据分析，画漂亮的图，^注10 制作有趣的音乐，考虑使用它来做些事。告诉组织去使用它们，感谢它们，而且鼓励他们去做更多。
 
**注：**

1. 我承认你可能尽管不会。
2. 假设你坚信你的个人数据应该被保护。
3. 如果你在思考“极好的”的寓意，在这点上你并不孤独。
4. 事实上这些机构能够有多开放取决于你所居住的地方。
5. 假设我是英国人，那是非常非常大的剂量。
6. 他们可能是巨大的公司：没有其他人能够负担得起这么大的存储和基础架构来使数据保持可用。
7. 不，答案是“不”。
8. 尽管这个例子也同样适用于个人。看看：A 可能是 Alice，B 可能是 BOb……
9. 并不是说我们应该暴露个人的数据或者是这样的数据应该被保密，当然——不是那类的数据。
10. 我的一个朋友当她接孩子放学的时候总是下雨，所以为了避免确认失误，她在整个学年都访问天气信息并制作了图表分享到社交媒体上。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/1/being-open-about-data-privacy

作者：[Mike Bursell][a]
译者：[FelixYFZ](https://github.com/FelixYFZ)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/mikecamel
[1]:https://en.wikipedia.org/wiki/Data_Privacy_Day
[2]:https://en.wikipedia.org/wiki/Information_wants_to_be_free
[3]:https://aliceevebob.wordpress.com/2017/06/06/helping-our-governments-differently/
[4]:https://opensource.com/article/17/11/commonwealth-open-source
[5]:http://www.outpost9.com/reference/jargon/jargon_40.html#TAG2036
