为什么 Arch Linux 如此“难弄”又有何优劣?
======

![](https://www.fossmint.com/wp-content/uploads/2018/07/Why-Arch-Linux-Is-Best.png)

[Arch Linux][1] 于 **2002** 年发布，由 **Aaron Grifin** 领头，是当下最热门的 Linux 发行版之一。从设计上说，Arch Linux 试图给用户提供简单、最小化且优雅的体验，但它的目标用户群可不是怕事儿多的用户。Arch 鼓励参与社区建设，并且从设计上期待用户自己有学习操作系统的能力。

很多 Linux 老鸟对于 **Arch Linux** 会更了解，但电脑前的你可能只是刚开始打算把 Arch 当作日常操作系统来使用。虽然我也不是权威人士，但下面几点优劣是我认为你总会在使用中慢慢发现的。

### 1、优点： 定制属于你自己的 Linux 操作系统

大多数热门的 Linux 发行版（比如 **Ubuntu** 和 **Fedora**）很像一般我们会看到的预装系统，和 **Windows** 或者 **MacOS** 一样。但 Arch 则会更鼓励你去把操作系统配置的符合你的品味。如果你能顺利做到这点的话，你会得到一个每一个细节都如你所想的操作系统。

#### 缺点： 安装过程让人头疼

[Arch Linux 的安装 ][2] 别辟蹊径——因为你要花些时间来微调你的操作系统。你会在过程中了解到不少终端命令和组成你系统的各种软件模块——毕竟你要自己挑选安装什么。当然，你也知道这个过程少不了阅读一些文档/教程。

### 2、优点： 没有预装垃圾

鉴于 **Arch** 允许你在安装时选择你想要的系统部件，你再也不用烦恼怎么处理你不想要的一堆预装软件。作为对比，**Ubuntu** 会预装大量的软件和桌面应用——很多你不需要、甚至卸载之前都不知道它们存在的东西。

总而言之，**Arch Linux* 能省去大量的系统安装后时间。**Pacman**，是 Arch Linux 默认使用的优秀包管理组件。或者你也可以选择 [Pamac][3] 作为替代。

### 3、优点： 无需繁琐系统升级

**Arch Linux** 采用滚动升级模型，简直妙极了。这意味着你不需要操心升级了。一旦你用上了 Arch，持续的更新体验会让你和一会儿一个版本的升级说再见。只要你记得‘滚’更新（Arch 用语），你就一直会使用最新的软件包们。

#### 缺点： 一些升级可能会滚坏你的系统

虽然升级过程是完全连续的，你有时得留意一下你在更新什么。没人能知道所有软件的细节配置，也没人能替你来测试你的情况。所以如果你盲目更新，有时候你会滚坏你的系统。（LCTT 译注：别担心，你可以‘滚’回来 ;D ）

### 4、优点： Arch 有一个社区基因

所有 Linux 用户通常有一个共同点：对独立自由的追求。虽然大多数 Linux 发行版和公司企业等挂钩极少，但也并非没有。比如 基于 **Ubuntu** 的衍生版本们不得不受到 Canonical 公司决策的影响。

如果你想让你的电脑更独立，那么 Arch Linux 是你的伙伴。不像大多数操作系统，Arch 完全没有商业集团的影响，完全由社区驱动。

### 5、优点： Arch Wiki 无敌

[Arch Wiki][4] 是一个无敌文档库，几乎涵盖了所有关于安装和维护 Arch 以及关于操作系统本身的知识。Arch Wiki 最厉害的一点可能是，不管你在用什么发行版，你多多少少可能都在 Arch Wiki 的页面里找到有用信息。这是因为 Arch 用户也会用别的发行版用户会用的东西，所以一些技巧和知识得以泛化。

### 6、优点： 别忘了 Arch 用户软件库 （AUR）

<ruby>[Arch 用户软件库][5]<rt>Arch User Repository</rt></ruby> （AUR）是一个来自社区的超大软件仓库。如果你找了一个还没有 Arch 的官方仓库里出现的软件，那你肯定能在 AUR 里找到社区为你准备好的包。

AUR 是由用户自发编译和维护的。Arch 用户也可以给每个包投票，这样后来者就能找到最有用的那些软件包了。

#### 最后: Arch Linux 适合你吗？

**Arch Linux** 优点多于缺点，也有很多优缺点我无法在此一一叙述。安装过程很长，对非 Linux 用户来说也可能偏有些技术，但只要你投入一些时间和善用 Wiki，你肯定能迈过这道坎。

**Arch Linux** 是一个非常优秀的发行版——尽管它有一些复杂性。同时它也很受那些知道自己想要什么的用户的欢迎——只要你肯做点功课，有些耐心。

当你从零开始搭建完 Arch 的时候，你会掌握很多 GNU/Linux 的内部细节，也再也不会对你的电脑内部运作方式一无所知了。

欢迎读者们在评论区讨论你使用 Arch Linux 的优缺点？以及你曾经遇到过的一些挑战。

--------------------------------------------------------------------------------

via: https://www.fossmint.com/why-is-arch-linux-so-challenging-what-are-pros-cons/

作者：[Martins D. Okoi][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[Moelf](https://github.com/Moelf)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.fossmint.com/author/dillivine/
[1]:https://www.archlinux.org/
[2]:https://www.tecmint.com/arch-linux-installation-and-configuration-guide/
[3]:https://www.fossmint.com/pamac-arch-linux-gui-package-manager/
[4]:https://wiki.archlinux.org/
[5]:https://wiki.archlinux.org/index.php/Arch_User_Repository
