什么数据对于云服务器来说风险很大
======

> 在这个关于混合多云陷阱的系列文章的最后一篇当中，让我们来学习一下如何设计一个低风险的云迁移战略。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/rh_003499_01_cloud21x_cc.png?itok=5UwC92dO)
 
在这四篇系列文章中，我们了解到了每个组织在做云迁移的时候所应该避免的陷阱 —— 特别是混合多云的情况下。

[在第一部分][1]，我们介绍了一些基本的定义以及我们对于混合云以及多云的观点，确保展示了两者之间的区别。[在第二部分][2]，我们会对三个陷阱之一进行讨论：为什么成本并不是迁移到云端的显然的推动因素。而且，[在第三部分][3]，我们考察了将所有工作向云端进行迁移的可行性。

最后，在这个第四部分中，我们来看看数据上云要做什么。您应该把数据向云端迁移吗？迁移多少？什么数据可以放在云端？又是什么会造成上云风险很大？

### 数据…数据…数据

影响您对云端数据的所有决策的关键因素在于确定您的带宽以及存储需求。 Gartner 预计 “数据存储在 2018 年将成为一项[$173 亿美元][4]的业务”，并且大部分资金是浪费在一些不必要的存储容量上：“但是只需要优化一下工作负载，全球的所有公司就可以节约 620 亿美元的不必要 IT 成本。”根据 Gartner 的研究，非常令人惊讶的是，全球所有的公司“为云服务器平均支付的费用比他们实际的费用多达 36% 。”

如果你已经阅读了本系列的前三个章节，那么你应该不会为此感到惊讶。然而令人更惊讶的是 Gartner 的结论是 “如果全球的公司将他们的服务器数据直接迁移到云端上，仅仅只有 25% 的公司能够做到省钱。”

等一下……工作负载是可以针对云进行优化的，但是只有一小部分公司能通过将数据向云端迁移而节省资金吗？这个又是什么意思？

如果你去认为云服务商会根据带宽来收取云产生的费用，那么将所有的公司内部数据移至云端很快就会成为他们的成本负担。在以下三种情况，公司才可能会觉得值得把数据放在云端中：

  * 单个云包括存储和应用程序
  * 应用程序在云端，存储在本地
  * 应用程序在云端，而且数据缓存也在云端，存储在本地 

在第一种情况下，通过将所有的内容都放在单个云服务商来节省带宽成本，但是这会产生一些（供应商）锁定，这个通常与 CIO 的云战略或者风险防范计划所冲突。

第二种方案是仅仅保留应用程序在云端所收集的数据，并且以最小的方式传输到本地存储。这就需要仔细的考虑策略，其中只有最少使用数据的应用程序部署在云端。

第三种情况就是将数据缓存在云端，应用程序和存储的数据被存储在本地。这也就意味着分析、人工智能、机器学习可以在内部运行而无需把数据向云服务商上传，然后处理之后再返回。缓存的数据仅仅基于应用程序对云的需求，甚至进行跨多云的部署缓存。

要想获得更多信息，请下载红帽[案例研究][5]，其中描述了跨混合多云环境下的阿姆斯特丹的史基浦机场的数据以及云和部署策略。

### 数据危险

大多数公司都认识到了他们的数据是在其市场中的专有优势以及知识能力。因此他们会非常仔细的考虑它在云存储的地点。

想象一下这种情况：如果你是一个零售商，全球十大零售商之一。而且你已经计划了很长一段时间云存储战略，并且考虑使用亚马逊的云服务。但是突然间， [亚马逊收购了全食超市][6]，并且准备进入你的市场。

一夜之间，亚马逊已经增长了 50% 的零售规模，你是否还会去信任把零售数据放到他们的云上？如果您的数据已经就在亚马逊云中，你会打算怎么做？您创建云计划时是否考虑过退出策略？虽然亚马逊可能永远不会去利用您的数据潜在价值 —— 该公司可能甚至有针对此的条款 —— 但你能相信世界上任何人的话吗？

### 陷阱分享，避免陷阱

分享我们在以前经验中看到的一些陷阱来帮助您的公司规划更安全、更持久的云端策略。了解了[成本不是显然的推动因素][2]，[并非一切东西都应该在云端][3]，而是你必须在云端有效管理数据才是您成功的关键所在。


--------------------------------------------------------------------------------
via: https://opensource.com/article/18/8/data-risky-cloud

作者：[Eric D.Schabell][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[geekmar](https://github.com/geekmar)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/eschabell
[1]:https://opensource.com/article/18/4/pitfalls-hybrid-multi-cloud
[2]:https://opensource.com/article/18/6/reasons-move-to-cloud
[3]:https://opensource.com/article/18/7/why-you-cant-move-everything-cloud
[4]:http://www.businessinsider.com/companies-waste-62-billion-on-the-cloud-by-paying-for-storage-they-dont-need-according-to-a-report-2017-11
[5]:https://www.redhat.com/en/resources/amsterdam-airport-schiphol-case-study
[6]:https://www.forbes.com/sites/ciocentral/2017/06/23/amazon-buys-whole-foods-now-what-the-story-behind-the-story/#33e9cc6be898
