Fedora 下的图像创建程序
======

![](https://fedoramagazine.org/wp-content/uploads/2018/08/creatingimages-816x346.png)

有了创意吗？Fedora 有很多程序可以帮助你的创造力。从数字绘图、矢量到像素艺术，每个人都可以在这个周末发挥创意。本文重点介绍了 Fedora 下创建很棒图像的程序。

### 矢量图形：Inkscape

[Inkscape][1] 是一个众所周知的、受人喜爱的开源矢量图形编辑器。SVG 是 Inkscape 的主要文件格式，因此你所有的图形都可以任意伸缩！Inkscape 已存在多年，所以有一个坚实的社区和用于入门的[大量教程和其他资源][2]。

作为矢量图形编辑器，Inkscape 更适合于简单的插图（例如简单的漫画风格）。然而，使用矢量模糊，一些艺术家创造了一些[令人惊奇的矢量图][3]。

![][4]

从 Fedora Workstation 中的软件应用安装 Inkscape，或在终端中使用以下命令：

```
sudo dnf install inkscape
```

### 数字绘图：Krita 和 Mypaint

[Krita][5] 是一个流行的图像创建程序，用于数字绘图、光栅插图和纹理。此外，Krita 是一个活跃的项目，拥有一个充满活力的社区 —— 所以[有用于入门的很多教程][6]。Krita 有多个画笔引擎、带有弹出调色板的 UI、用于创建无缝图案的环绕模式、滤镜、图层等等。

![][7]

从 Fedora Workstation 中的软件应用安装 Krita，或在终端中使用以下命令：

```
sudo dnf install krita
```

[Mypaint][8] 是另一款适用于 Fedora 令人惊奇的数字绘图程序。像 Krita 一样，它有多个画笔和使用图层的能力。

![][9]

从 Fedora Workstation 中的软件应用安装 Mypaint，或在终端中使用以下命令：

```
sudo dnf install mypaint
```

### 像素艺术：Libresprite

[Libresprite][10] 是一个专为创建像素艺术和像素动画而设计的程序。它支持一系列颜色模式，并可导出为多种格式（包括动画 GIF）。此外，Libresprite 还有用于创建像素艺术的绘图工具：多边形工具、轮廓和着色工具。

![][11]

Libresprite 可从 Flathub 应用仓库下载。要安装，只需[启用 Flathub 作为软件源][12]，然后通过软件应用进行安装。


--------------------------------------------------------------------------------

via: https://fedoramagazine.org/image-creation-applications-fedora/

作者：[Ryan Lerch][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://fedoramagazine.org/introducing-flatpak/
[1]:http://inkscape.org
[2]:https://inkscape.org/en/learn/tutorials/
[3]:https://inkscape.org/en/gallery/
[4]:https://fedoramagazine.org/wp-content/uploads/2018/08/inkscape.png
[5]:https://krita.org/en/
[6]:https://docs.krita.org/en/
[7]:https://fedoramagazine.org/wp-content/uploads/2018/08/krita.jpg
[8]:http://mypaint.org/about/
[9]:https://fedoramagazine.org/wp-content/uploads/2018/08/mypaint.png
[10]:https://github.com/LibreSprite/LibreSprite
[11]:https://fedoramagazine.org/wp-content/uploads/2018/08/libresprite.gif
[12]:https://fedoramagazine.org/install-flathub-apps-fedora/
