面向敏捷开发团队的 7 个开源项目管理工具
======

> 在这篇开源项目管理工具的综述中，让我们来了解一下支持 Scrum、<ruby>看板<rt>Kanban</rt></ruby> 等敏捷开发模式的软件。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/BUSINESS_orgchart1.png?itok=tukiFj89)

Opensource.com 以前对流行的开源项目管理工具做过相应的调研。但是今年我们增加了一个特点。本次，我们特别关注支持[敏捷][1]方法的工具，包括相关的实践，如 [Scrum][2]、Lean 和 <ruby>看板<rt>Kanban</rt></ruby>。

对敏捷开发的兴趣和使用的增长是我们今年决定专注于这些工具的原因。大多数组织（71%）的人说他们至少[使用了敏捷方式][3]。此外，敏捷项目比传统方法管理的项目 [要高出 28% 的成功率][4] 。

我们查看了 [2014][5]、[2015][6] 和 [2016][7] 中涉及的项目管理工具，并挑选了支持敏捷的工具，然后对没有涉及的或变化了的进行了研究。不管您的组织是否已经在使用敏捷开发，或者在 2018 年的众多计划之一是采用敏捷方法，这七个开源项目管理工具之一可能正是您所要找寻的。

### MyCollab

![](https://opensource.com/sites/default/files/u128651/mycollab_kanban-board.png)


[MyCollab][8] 是一套针对中小型企业的三个协作模块套件：项目管理、客户关系管理（CRM）和文档创建和编辑软件。有两个许可证选项：一个商业的“终极”版本，它更快，可以在内部或云中运行；另一个开源的“社区版本”，这个正是我们感兴趣的版本。

由于没有使用查询缓存，社区版本没有云方式，并且速度较慢，但是提供了基本的项目管理特性，包括任务、问题管理、活动流、路线图视图和敏捷团队看板。虽然它没有单独的移动应用程序，但它也适用于移动设备，包括 Windows、Mac OS、Linux 和 UNIX 计算机。

MyCollab 的最新版本是 5.4.10，源代码可在 [GitHub][9] 上下载。它是在 AGPLv3 下进行授权的，需要 Java 运行时环境和 MySQL 支持。它可运行于 Windows、Linux、UNIX 和 MacOS。[下载地址][10]。

### Odoo

![](https://opensource.com/sites/default/files/u128651/odoo_projects_screenshots_01a.gif)


[Odoo][11] 不仅仅是项目管理软件；它是一个完整的集成商业应用套件，包括会计、人力资源、网站和电子商务、库存、制造、销售管理（CRM）和其它工具。

与付费企业套件相比，免费的开源社区版具有有限的 [特性][12] 。它的项目管理应用程序包括敏捷团队的看板式任务跟踪视图，在最新版本 Odoo  11.0 中更新了该视图，以包括用于跟踪项目状态的进度条和动画。项目管理工具还包括甘特图、任务、问题、图表等等。Odoo 有一个繁荣的[社区][13]，并提供 [用户指南][14] 及其他培训资源。


它是在 GPLv3 下授权的，需要 Python 和 PostgreSQL 支持。作为[Docker][16] 镜像 可以运行在 Windows、Linux 和 Red Hat 包管理器中，下载地址[download][15]，源代码[GitHub][17]。

### OpenProject

![](https://opensource.com/sites/default/files/u128651/openproject-screenshot-agile-scrum.png)

[OpenProject][18] 是一个强大的开源项目管理工具，以其易用性和丰富的项目管理和团队协作特性而著称。

它的模块支持项目计划、调度、路线图和发布计划、时间跟踪、成本报告、预算、bug 跟踪以及敏捷和 Scrum。它的敏捷特性，包括创建 Story、确定 sprint 的优先级以及跟踪任务，都与 OpenProject 的其他模块集成在一起。

OpenProject 在 GPLv3 下获得许可，其源代码可在[GitHub][19]上。最新版本 7.3.2 的 Linux 版本 [在此下载][20]；您可以在 Birthe Lindenthal 的文章 “[OpenProject 入门][21]”中了解更多关于安装和配置它的信息。

### OrangeScrum

![](https://opensource.com/sites/default/files/u128651/orangescrum_kanban.png)

正如从其名称中猜到的，[OrangeScrum][22] 支持敏捷方法，特别是使用 Scrum 任务板和看板式工作流视图。它面向较小的组织自由职业者、中介机构和中小型企业。

开源版本提供了 OrangeScrum 付费版本中的许多 [特性][23]，包括移动应用程序、资源利用率和进度跟踪。其他特性，包括甘特图、时间日志、发票和客户端管理，可以作为付费附加组件提供，付费版本包括云选项，而社区版本不提供。

OrangeScrum 是基于 GPLv3 授权的，是基于 CakePHP 框架开发。它需要 Apache、PHP 5.3 或更高版本和 MySQL 4.1 或更高版本支持，并可以在 Windows、Linux 和 Mac OS 上运行。其最新版本 1.1.1 [在此下载][24]，其源码在 [GitHub] [25]。


### ]project-open[

![](https://opensource.com/sites/default/files/u128651/projectopen_dashboard.png)

[\]project-open\[][26] 是一个双许可证的企业项目管理工具，这意味着其核心是开源的，并且在商业许可的模块中可以使用一些附加特性。根据该项目的社区和企业版本的 [比较][27]，开源核心为中小型组织提供了许多特性。

]project-open[ 支持带有 Scrum 和看板功能的 [敏捷][28] 项目，以及经典的甘特/瀑布项目和混合或混合项目。

该应用程序是在 GPL 下授权的，并且 [源代码][29]是通过 CVS 访问的。 ]project-open[ 在 Linux 和 Windows 的安装有 [安装程序][26]，但也可以在云镜像和虚拟设备中使用。

### Taiga

![](https://opensource.com/sites/default/files/u128651/taiga_screenshot.jpg)

[Taiga][30] 是一个开源项目管理平台，它专注于 Scrum 和敏捷开发，其特征包括看板、任务、sprints、问题、backlog 和 epics。其他功能包括凭证管理、多项目支持、Wiki 页面和第三方集成。

它还为 iOS、Android 和 Windows 设备提供免费的移动应用程序，并提供导入工具，使从其他流行的项目管理应用程序迁移变得容易。

Taiga 对于公共项目是免费的，对项目数量或用户数量没有限制。对于私有项目，在“免费增值”模式下，有很多 [付费计划][31] 可用，但是值得注意的是，无论您属于哪种类型，软件的功能特性都是一样的。

Taiga 是在 GNU Affero GPLv3 下授权的，并且软件需要 Nginx、Python 和 PostgreSQL 支持。最新版本[3.1.0 Perovskia atriplicifolia][32]，可在 [GitHub][33] 上下载。

### Tuleap

![](https://opensource.com/sites/default/files/u128651/tuleap-scrum-prioritized-backlog.png)

[Tuleap][34] 是一个应用程序生命周期管理（ALM）平台，旨在为每种类型的团队管理项目——小型、中型、大型、瀑布、敏捷或混合型——但是它对敏捷团队的支持是显著的。值得注意的是，它为 Scrum、看板、sprints、任务、报告、持续集成、backlogs 等提供支持.

其他的 [特性][35] 包括问题跟踪、文档跟踪、协作工具，以及与 Git、SVN 和 Jenkins 的集成，所有这些都使它成为开放源码软件开发项目的吸引人的选择。

Tuleap 是在 GPLv2 下授权的。更多信息，包括 Docker 和 CentOS 下载，可以在他们的 [入门][36] 页面上找到。您还可以在 Tuleap 的 [Git][37] 上获取其最新版本 9.14 的源代码。

--- 

这种类型的文章的麻烦在于它一发布就过时了。您正在使用哪些开源项目管理工具，而被我们遗漏了？或者您对我们提到的有反馈意见吗？请在下面留下留言。


--------------------------------------------------------------------------------

via: https://opensource.com/article/18/2/agile-project-management-tools

作者：[Opensource.com][a]
译者：[heguangzhi](https://github.com/heguangzhi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com
[1]:http://agilemanifesto.org/principles.html
[2]:https://opensource.com/resources/scrum
[3]:https://www.pmi.org/-/media/pmi/documents/public/pdf/learning/thought-leadership/pulse/pulse-of-the-profession-2017.pdf
[4]:https://www.pwc.com/gx/en/actuarial-insurance-services/assets/agile-project-delivery-confidence.pdf
[5]:https://opensource.com/business/14/1/top-project-management-tools-2014
[6]:https://opensource.com/business/15/1/top-project-management-tools-2015
[7]:https://opensource.com/business/16/3/top-project-management-tools-2016
[8]:https://community.mycollab.com/
[9]:https://github.com/MyCollab/mycollab
[10]:https://www.mycollab.com/ce-registration/
[11]:https://www.odoo.com/
[12]:https://www.odoo.com/page/editions
[13]:https://www.odoo.com/page/community
[14]:https://www.odoo.com/documentation/user/11.0/
[15]:https://www.odoo.com/page/download
[16]:https://hub.docker.com/_/odoo/
[17]:https://github.com/odoo/odoo
[18]:https://www.openproject.org/
[19]:https://github.com/opf/openproject
[20]:https://www.openproject.org/download-and-installation/
[21]:https://opensource.com/article/17/11/how-install-and-use-openproject
[22]:https://www.orangescrum.org/
[23]:https://www.orangescrum.org/compare-orangescrum
[24]:http://www.orangescrum.org/free-download
[25]:https://github.com/Orangescrum/orangescrum/
[26]:http://www.project-open.com/en/list-installers
[27]:http://www.project-open.com/en/products/editions.html
[28]:http://www.project-open.com/en/project-type-agile
[29]:http://www.project-open.com/en/developers-cvs-checkout
[30]:https://taiga.io/
[31]:https://tree.taiga.io/support/subscription-and-plans/payment-process-faqs/#q.-what-s-about-custom-plans-private-projects-with-more-than-25-members-?
[32]:https://blog.taiga.io/taiga-perovskia-atriplicifolia-release-310.html
[33]:https://github.com/taigaio
[34]:https://www.tuleap.org/
[35]:https://www.tuleap.org/features/project-management
[36]:https://www.tuleap.org/get-started
[37]:https://tuleap.net/plugins/git/tuleap/tuleap/stable
