开源与烹饪有什么相似之处？
======

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/waffles-recipe-eggs-cooking-mix.png?itok=Fp06VOBx)

有什么好的方法，既可以宣传开源的精神又不用写代码呢？这里有个点子：“<ruby>开源食堂<rt>open source cooking</rt></ruby>”。在过去的 8 年间，这就是我们在慕尼黑做的事情。

开源食堂已经是我们常规的开源宣传活动了，因为我们发现开源与烹饪有很多共同点。

### 协作烹饪

[慕尼黑开源聚会][1]自 2009 年 7 月在 [Café Netzwerk][2] 创办以来，已经组织了若干次活动，活动一般在星期五的晚上组织。该聚会为开源项目工作者或者开源爱好者们提供了相互认识的方式。我们的信条是：“<ruby>每四周的星期五属于自由软件<rt>Every fourth Friday for free software</rt></ruby>”。当然在一些周末，我们还会举办一些研讨会。那之后，我们很快加入了很多其他的活动，包括白香肠早餐、桑拿与烹饪活动。

事实上，第一次开源烹饪聚会举办的有些混乱，但是我们经过这 8 年来以及 15 次的活动，已经可以为 25-30 个与会者提供丰盛的美食了。

回头看看这些夜晚，我们愈发发现共同烹饪与开源社区协作之间，有很多相似之处。

### 烹饪步骤中的自由开源精神

这里是几个烹饪与开源精神相同的地方：

  * 我们乐于合作且朝着一个共同的目标前进
  * 我们成了一个社区
  * 由于我们有相同的兴趣与爱好，我们可以更多的了解我们自身与他人，并且可以一同协作
  * 我们也会犯错，但我们会从错误中学习，并为了共同的利益去分享关于错误的经验，从而让彼此避免再犯相同的错误
  * 每个人都会贡献自己擅长的事情，因为每个人都有自己的一技之长
  * 我们会动员其他人去做出贡献并加入到我们之中
  * 虽说协作是关键，但难免会有点混乱
  * 每个人都会从中收益

### 烹饪中的开源气息

同很多成功的开源聚会一样，开源烹饪也需要一些协作和组织结构。在每次活动之前，我们会组织所有的成员对菜单进行投票，而不单单是直接给每个人分一角披萨，我们希望真正的作出一道美味，迄今为止我们做过日本、墨西哥、匈牙利、印度等地区风味的美食，限于篇幅就不一一列举了。

就像在生活中，共同烹饪同样需要各个成员之间相互的尊重和理解，所以我们也会试着为素食主义者、食物过敏者、或者对某些事物有偏好的人提供针对性的事物。正式开始烹饪之前，在家预先进行些小规模的测试会非常有帮助（和乐趣！）

可扩展性也很重要，在杂货店采购必要的食材很容易就消耗掉 3 个小时。所以我们使用一些表格工具（自然是 LibreOffice Calc）来做一些所需要的食材以及相应的成本。

我们会同志愿者一起，对于每次晚餐我们都有一个“包维护者”，从而及时的制作出菜单并在问题产生的时候寻找一些独到的解决方法。

虽然不是所有人都是大厨，但是只要给与一些帮助，并比较合理的分配任务和责任，就很容易让每个人都参与其中。某种程度上来说，处理 18kg 的西红柿和 100 个鸡蛋都不会让你觉得是件难事，相信我！唯一的限制是一个烤炉只有四个灶，所以可能是时候对基础设施加大投入了。

发布有时间要求，当然要求也不那么严格，我们通常会在 21:30 和 01:30 之间的相当“灵活”时间内供应主菜，即便如此，这个时间也是硬性的发布规定。

最后，像很多开源项目一样，烹饪文档同样有提升的空间。类似洗碟子这样的扫尾工作同样也有可优化的地方。

### 未来的一些新功能点

我们预计的一些想法包括：

  * 在其他的国家开展活动
  * 购买和烹饪一个价值 700 欧元的大南瓜，并且
  * 找家可以为我们采购提供折扣的商店

最后一点，也是开源软件的动机：永远记住，还有一些人们生活在阴影中，他们为没有同等的权限去访问资源而苦恼着。我们如何通过开源的精神去帮助他们呢？

一想到这点，我便期待这下一次的开源烹饪聚会。如果读了上面的东西让你觉得不够完美，并且想自己运作这样的活动，我们非常乐意你能够借鉴我们的想法，甚至抄袭一个。我们也乐意你能够参与到我们其中，甚至做一些演讲和问答。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/9/open-source-cooking

作者：[Florian Effenberger][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[sd886393](https://github.com/sd886393)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/floeff
[1]: https://www.opensourcetreffen.de/
[2]: http://www.cafe-netzwerk.de/
[3]: https://blog.effenberger.org/2018/05/28/what-do-open-source-and-cooking-have-in-common/
[4]: https://en.wikipedia.org/wiki/Free_and_open-source_software
