每位 Ubuntu 18.04 用户都应该知道的快捷键
======

了解快捷键能够提升您的生产力。这里有一些实用的 Ubuntu 快捷键助您像专业人士一样使用 Ubuntu。

您可以用键盘和鼠标组合来使用操作系统。

> 注意：本文中提到的键盘快捷键适用于 Ubuntu 18.04 GNOME 版。 通常，它们中的大多数（或者全部）也适用于其他的 Ubuntu 版本，但我不能够保证。

![Ubuntu keyboard shortcuts][1]

### 实用的 Ubuntu 快捷键

让我们来看一看 Ubuntu GNOME 必备的快捷键吧！通用的快捷键如 `Ctrl+C`（复制）、`Ctrl+V`（粘贴）或者 `Ctrl+S`（保存）不再赘述。

注意：Linux 中的 Super 键即键盘上带有 Windows 图标的键，本文中我使用了大写字母，但这不代表你需要按下 `shift` 键，比如，`T` 代表键盘上的 ‘t’ 键，而不代表 `Shift+t`。

#### 1、 Super 键：打开活动搜索界面

使用 `Super` 键可以打开活动菜单。如果你只能在 Ubuntu 上使用一个快捷键，那只能是 `Super` 键。

想要打开一个应用程序？按下 `Super` 键然后搜索应用程序。如果搜索的应用程序未安装，它会推荐来自应用中心的应用程序。

想要看看有哪些正在运行的程序？按下 `Super` 键，屏幕上就会显示所有正在运行的 GUI 应用程序。

想要使用工作区吗？只需按下 `Super` 键，您就可以在屏幕右侧看到工作区选项。

#### 2、 Ctrl+Alt+T：打开 Ubuntu 终端窗口

![Ubuntu Terminal Shortcut][2]

*使用 Ctrl+alt+T 来打开终端窗口*

想要打开一个新的终端，您只需使用快捷键 `Ctrl+Alt+T`。这是我在 Ubuntu 中最喜欢的键盘快捷键。 甚至在我的许多 FOSS 教程中，当需要打开终端窗口是，我都会提到这个快捷键。

#### 3、 Super+L 或 Ctrl+Alt+L：锁屏

当您离开电脑时锁定屏幕，是最基本的安全习惯之一。您可以使用 `Super+L` 快捷键，而不是繁琐地点击屏幕右上角然后选择锁定屏幕选项。

有些系统也会使用 `Ctrl+Alt+L` 键锁定屏幕。

#### 4、 Super+D or Ctrl+Alt+D：显示桌面

按下 `Super+D` 可以最小化所有正在运行的应用程序窗口并显示桌面。

再次按 `Super+D` 将重新打开所有正在运行的应用程序窗口，像之前一样。

您也可以使用 `Ctrl+Alt+D` 来实现此目的。

#### 5、 Super+A：显示应用程序菜单

您可以通过单击屏幕左下角的 9 个点打开 Ubuntu 18.04 GNOME 中的应用程序菜单。 但是一个更快捷的方法是使用 `Super+A` 快捷键。

它将显示应用程序菜单，您可以在其中查看或搜索系统上已安装的应用程序。

您可以使用 `Esc` 键退出应用程序菜单界面。

#### 6、 Super+Tab 或 Alt+Tab：在运行中的应用程序间切换

如果您运行的应用程序不止一个，则可以使用 `Super+Tab` 或 `Alt+Tab` 快捷键在应用程序之间切换。

按住 `Super` 键同时按下 `Tab` 键，即可显示应用程序切换器。 按住 `Super` 的同时，继续按下 `Tab` 键在应用程序之间进行选择。 当光标在所需的应用程序上时，松开 `Super` 和 `Tab` 键。

默认情况下，应用程序切换器从左向右移动。 如果要从右向左移动，可使用 `Super+Shift+Tab` 快捷键。

在这里您也可以用 `Alt` 键代替 `Super` 键。

> 提示：如果有多个应用程序实例，您可以使用 Super+` 快捷键在这些实例之间切换。

#### 7、 Super+箭头：移动窗口位置

<https://player.vimeo.com/video/289091549>

这个快捷键也适用于 Windows 系统。 使用应用程序时，按下 `Super+左箭头`，应用程序将贴合屏幕的左边缘，占用屏幕的左半边。

同样，按下 `Super+右箭头`会使应用程序贴合右边缘。

按下 `Super+上箭头`将最大化应用程序窗口，`Super+下箭头`将使应用程序恢复到其正常的大小。

#### 8、 Super+M：切换到通知栏

GNOME 中有一个通知栏，您可以在其中查看系统和应用程序活动的通知，这里也有一个日历。

![Notification Tray Ubuntu 18.04 GNOME][3]

*通知栏*

使用 `Super+M` 快捷键，您可以打开此通知栏。 如果再次按这些键，将关闭打开的通知托盘。

使用 `Super+V` 也可实现相同的功能。

#### 9、 Super+空格：切换输入法（用于多语言设置）

如果您使用多种语言，可能您的系统上安装了多个输入法。 例如，我需要在 Ubuntu 上同时使用[印地语] [4]和英语，所以我安装了印地语（梵文）输入法以及默认的英语输入法。

如果您也使用多语言设置，则可以使用 `Super+空格` 快捷键快速更改输入法。

#### 10、 Alt+F2：运行控制台

这适用于高级用户。 如果要运行快速命令，而不是打开终端并在其中运行命令，则可以使用 `Alt+F2` 运行控制台。

![Alt+F2 to run commands in Ubuntu][5]

*控制台*

当您使用只能在终端运行的应用程序时，这尤其有用。

#### 11、 Ctrl+Q：关闭应用程序窗口

如果您有正在运行的应用程序，可以使用 `Ctrl+Q` 快捷键关闭应用程序窗口。您也可以使用 `Ctrl+W` 来实现此目的。

`Alt+F4` 是关闭应用程序窗口更“通用”的快捷方式。

它不适用于一些应用程序，如 Ubuntu 中的默认终端。

#### 12、 Ctrl+Alt+箭头：切换工作区

![Workspace switching][6]

*切换工作区*

如果您是使用工作区的重度用户，可以使用 `Ctrl+Alt+上箭头`和 `Ctrl+Alt+下箭头`在工作区之间切换。

#### 13、 Ctrl+Alt+Del：注销

不！在 Linux 中使用著名的快捷键 `Ctrl+Alt+Del` 并不会像在 Windows 中一样打开任务管理器（除非您使用自定义快捷键）。

![Log Out Ubuntu][7]

*注销*

在普通的 GNOME 桌面环境中，您可以使用 `Ctrl+Alt+Del` 键打开关机菜单，但 Ubuntu 并不总是遵循此规范，因此当您在 Ubuntu 中使用 `Ctrl+Alt+Del` 键时，它会打开注销菜单。

### 在 Ubuntu 中使用自定义键盘快捷键

您不是只能使用默认的键盘快捷键，您可以根据需要创建自己的自定义键盘快捷键。

转到“设置->设备->键盘”，您将在这里看到系统的所有键盘快捷键。向下滚动到底部，您将看到“自定义快捷方式”选项。

![Add custom keyboard shortcut in Ubuntu][8]

您需要提供易于识别的快捷键名称、使用快捷键时运行的命令，以及您自定义的按键组合。

### Ubuntu 中你最喜欢的键盘快捷键是什么？

快捷键无穷无尽。如果需要，你可以看一看所有可能的 [GNOME 快捷键][9]，看其中有没有你需要用到的快捷键。

您可以学习使用您经常使用应用程序的快捷键，这是很有必要的。例如，我使用 Kazam 进行[屏幕录制][10]，键盘快捷键帮助我方便地暂停和开始录像。

您最喜欢、最离不开的 Ubuntu 快捷键是什么？

--------------------------------------------------------------------------------

via: https://itsfoss.com/ubuntu-shortcuts/

作者：[Abhishek Prakash][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[XiatianSummer](https://github.com/XiatianSummer)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/abhishek/
[1]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/ubuntu-keyboard-shortcuts.jpeg
[2]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/ubuntu-terminal-shortcut.jpg
[3]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/notification-tray-ubuntu-gnome.jpeg
[4]: https://itsfoss.com/type-indian-languages-ubuntu/
[5]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/console-alt-f2-ubuntu-gnome.jpeg
[6]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/workspace-switcher-ubuntu.png
[7]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/log-out-ubuntu.jpeg
[8]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/custom-keyboard-shortcut.jpg
[9]: https://wiki.gnome.org/Design/OS/KeyboardShortcuts
[10]: https://itsfoss.com/best-linux-screen-recorders/
