24 个必备的 Linux 应用程序
======

![](https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2016/10/Essentials-applications-for-every-Linux-user.jpg)

> 提要：Linux 上必备的应用程序是什么呢？这个答案具有主观性并取决于你使用 Linux 桌面的目的是什么。但确实存在一些必备的并且大部分 Linux 用户都会安装的应用程序。接下来我们会列举出那些在所有 Linux 发行版上你都会安装的最优秀的 Linux 应用程序。

在 Linux 的世界中，所有东西都由你选择。你要选择一个发行版？你能找到一大把。你想要找到一个称心的音乐播放器？同样会有许多选择。

但它们并非全部遵循相同的设计理念 —— 其中一些可能追求极致轻量化而另一些会提供数不清的特性。因此想要找到正中需求的应用程序会成为相当令人头疼的繁重任务。那就让我们来缓解你的头疼吧。

### 对于 Linux 用户来说最优秀的自由软件

接下来我将罗列一系列在不同应用场景下我偏爱的必备 Linux 自由软件。当然此处我并非在说它们是最好的，但确实是在特定类别下我尝试的一系列软件中最喜欢的。也同样欢迎你在评论区介绍你最喜欢的应用程序。

同时我们也制作了关于此次应用清单的[视频](https://youtu.be/awawJnkUbWs)。在 YouTube 上订阅我们的频道获取更多的 Linux 视频。

### 网页浏览器

![网页浏览器](https://itsfoss.com/wp-content/uploads/2016/10/Essential-Linux-Apps-Web-Browser-1024x512.jpg)

*网页浏览器*

#### Google Chrome

[Google Chrome][12] 是一个强大并且功能完善的浏览器解决方案，它拥有完美的同步功能以及丰富的扩展。如果你喜欢 Google 的生态系统那么 Google Chrome 毫无疑问会是你的菜。如果你想要更加开源的解决方案，你可以尝试 [Chromium][13]，它是 Google Chrome 的上游项目。

#### Firefox

如果你不是 Google Chrome 的粉丝，你可以尝试 [Firefox][14]。它一直以来都是一个非常稳定并且健壮的网页浏览器。

#### Vivaldi

当然，如果你想要尝试点不同的新东西，你可以尝试 [Vivaldi][15]。Vivaldi 是一个完全重新设计的网页浏览器，它由 Opera 浏览器项目的前成员基于 Chromium 项目而创建。Vivaldi 轻量并且可定制，虽然它还非常年轻并且在某些特性上仍不完善，但它仍能让你眼前一亮并且优雅地工作。

- [推荐阅读：[回顾] Otter 浏览器为 Opera 爱好者带来了希望][40]

### 下载管理器

![下载管理器](https://itsfoss.com/wp-content/uploads/2016/10/Essential-Linux-Apps-Download-Manager-1024x512.jpg)

*下载管理器*

#### uGet

[uGet][16] 是我遇到过最棒的下载管理器，它是开源的并且能满足你对于一款下载管理器的一切期许。uGet 提供一系列便于管理下载的高级设置。你能够管理下载队列并且断点续传，针对大文件使用多连接下载，根据不同列表将文件下载至不同路径，等等。

#### XDM

Xtreme 下载管理器（[XDM][17]）是一个 Java 开发的强大并且开源的下载工具。它拥有下载管理器的所有基本特性，包括视频抓取、智能计划任务以及浏览器集成。

- [推荐阅读：Linux 下最好的 4 个下载管理器][41]

### BitTorrent 客户端

![BitTorrent 客户端](https://itsfoss.com/wp-content/uploads/2016/10/Essential-Linux-Apps-BitTorrent-Client-1024x512.jpg)

*BitTorrent 客户端*

#### Deluge

[Deluge][18] 是一个拥有漂亮用户界面的开源 BitTorrent 客户端。如果你习惯在 Windows 上使用 uTorrent，那么 Deluge 的界面会让你倍感亲切。它拥有丰富的设置项和针对不同任务的插件支持。

#### Transmission

[Transmission][19] 力求精简，它是用户界面最精简的 BitTorrent 客户端之一。Transmission 是许多 Linux 发行版的预装软件。

- [推荐阅读：Ubuntu Linux 上前 5 名的 Torrent 客户端][42]

### 云存储

![云存储](https://itsfoss.com/wp-content/uploads/2016/10/Essential-Linux-Apps-Cloud-Storage-1024x512.jpg)

*云存储*

#### Dropbox

[Dropbox][20] 是目前最流行的云存储服务之一，它为新用户提供了 2GB 的免费存储空间，以及一个健壮并且易于使用的 Linux 客户端。

#### MEGA

[MEGA][21] 提供了 50GB 的免费存储，但这还并不是它最大的优点，MEGA 还为你的文件提供了端到端的加密支持。MEGA 提供一个名为 MEGAsync 的可靠的 Linux 客户端。

- [推荐阅读：2017 年 Linux 上最优秀的免费云服务][43]

### 通讯工具

![通讯工具](https://itsfoss.com/wp-content/uploads/2016/10/Essential-Linux-Apps-Communication-1024x512.jpg)

*通讯工具*

#### Pidgin

[Pidgin][22] 是一款开源的即时通讯工具，它支持许多聊天平台，包括 Google Talk、Yahoo 甚至 IRC。Pidgin 可通过第三方插件进行扩展，能提供许多附加功能。

你也可以使用 [Franz][23] 或 [Rambox][24] 来在一个应用中使用多个通讯服务。

#### Skype

我们都知道 [Skype][25] 是最流行的视频聊天平台之一，它[发布了全新的 Linux 桌面客户端][26]。

- [推荐阅读：2017 年 Linux 平台上最优秀的 6 款消息应用][44]

### 办公套件

![办公套件](https://itsfoss.com/wp-content/uploads/2016/10/Essential-Linux-Apps-Office-Suite-1024x512.jpg)

*办公套件*

#### LibreOffice

[LibreOffice][27] 是 Linux 平台上开发最为活跃的开源办公套件，主要包括 Writer、Calc、Impress、Draw、Math、Base 六个主要模块，并且每个模块都提供广泛的文件格式支持。同时 LibreOffice 也支持第三方的扩展，以上优势使它成为许多 Linux 发行版的默认办公套件。

#### WPS Office

如果你想要尝试除 LibreOffice 以外的办公套件，[WPS Office][28] 值得一试。WPS Office 套件包括了写作、演示和数据表格支持。

- [推荐阅读：Linux 平台 6 款最优秀的 Microsoft Office 替代品][45]

### 音乐播放器

![音乐播放器](https://itsfoss.com/wp-content/uploads/2016/10/Essential-Linux-Apps-Music-Player-1024x512.jpg)

*音乐播放器*

#### Lollypop

[Lollypop][29] 是一款相对较新的开源音乐播放器，拥有漂亮又不失简洁的用户界面。它提供优秀的音乐管理、歌曲推荐、在线广播和派对模式支持。虽然它是一款不具有太多特性的简洁音乐播放器，但仍值得我们去尝试。

#### Rhythmbox

[Rhythmbox][30] 是一款主要为 GNOME 桌面环境开发的音乐播放器，当然它也可以在其他桌面环境运行。它能完成所有作为一款音乐播放器的基础功能，包括 CD 抓取和烧制、乱序播放，等等。它也提供了 iPod 支持。

#### cmus

如果你想要最轻量，并且喜欢命令行的话，[cmus][31] 适合你。个人来讲，我是它的粉丝用户。cmus 是一款面向类 Unix 平台的小巧、快速并且强大的命令音乐播放器。它包含所有基础的音乐播放器特性，并且你能够通过扩展和脚本来增强它的功能。

- [推荐阅读：如何在 Ubuntu 14.04 和 Linux Mint 17 上安装 Tomahawk 播放器][46]

（LCTT 译注：好了好了，大家不要提醒我了，我这次补充上深受国内 Linux 和开源爱好者喜爱的[网易云音乐](https://music.163.com/#/download)。:D ）

### 视频播放器

![视频播放器](https://itsfoss.com/wp-content/uploads/2016/10/Essential-Linux-Apps-Video-Player-1024x512.jpg)

*视频播放器*

#### VLC

[VLC][32] 是一款简洁、快速、轻量并且非常强大的开源媒体播放器，它能够直接播放几乎所有格式的媒体文件，同时也能够播放在线的流媒体。它也能够安装一些时髦的扩展来完成不同的任务，比如直接在播放器内下载字幕。

#### Kodi

[Kodi][33] 是一款成熟并且开源的媒体中心，在它的用户群中非常受欢迎。它能够处理来自本地或者网络媒体存储的视频、音乐、图片、播客甚至游戏，更强大的是你还能用它来录制电视节目。Kodi 可由附加组件和皮肤进行定制。

- [推荐阅读:Linux 平台上的 4 款格式工厂替代品][47]

### 照片编辑器

![照片编辑器](https://itsfoss.com/wp-content/uploads/2016/10/Essential-Linux-Apps-Photo-Editor-1024x512.jpg)

*照片编辑器*

#### GIMP

[GIMP][34] 是 Linux 平台上 Photoshop 的替代品，它是一款开源、全功能并且专业的照片编辑软件。它打包了各式各样的工具用来编辑图片，更强大的是，它包含丰富的自定义设置以及第三方插件来增强体验。

#### Krita

[Krita][35] 主要是作为一款绘图工具，但也可以作为照片编辑软件。它是开源的并且打包了非常多复杂的高级工具。

- [推荐阅读:Linux 平台最好的照片应用][48]

### 文字编辑器

每个 Linux 发行版都拥有自己的文字编缉器解决方案，当然大体上它们都非常简洁并且没有太多功能。但是也有一些文字编辑器具有更强大的功能。

![文字编辑器](https://itsfoss.com/wp-content/uploads/2016/10/Essential-Linux-Apps-Text-Editor-1024x512.jpg)

*文字编辑器*

#### Atom

[Atom][36] 是由 GitHub 开发的一款现代高度可配置的文字编辑器，它是完全开源的并且能够提供所有你能想到的文字编辑器功能。你可以开箱即用，也可以将其配置成你想要的样子。并且你可以从它的社区安装大量的扩展和主题。

#### Sublime Text

[Sublime Text][37] 是最受欢迎的文字编辑器之一，虽然它并不是免费的，但你可以无限地试用该款软件。Sublime Text 是一款特性丰富并且高度模块化的软件，当然它也提供插件和主题支持。

- [推荐阅读：Linux 平台最优秀的 4 款现代开源代码编辑器][49]

（LCTT 译注：当然，我知道你们也忘记不了 [VSCode](https://code.visualstudio.com/download)。）

### 启动器

![启动器](https://itsfoss.com/wp-content/uploads/2016/10/Essential-Linux-Apps-Launcher-1024x512.jpg)

*启动器*

#### Albert

[Albert][38] 是一款快速、可扩展、可定制的生产力工具，受 Alfred（Mac 平台上一个非常好的生产力工具）启发并且仍处于开发阶段，它的目标是“使所有触手可及”。它能够与你的 Linux 发行版非常好的集成，帮助你提高生产力。

#### Synapse

[Synapse][39] 已经有些年头了，它是一个能够搜索和运行程序的简单启动器。它也同时能够加速一些工作流，譬如音乐控制、文件搜索、路径切换、书签、运行命令，等等。

正如 Abhishek 所考虑的，我们将根据读者的（也就是你的）反馈更新最佳 Linux 应用程序清单。那么，你最爱的 Linux 应用程序是什么呢？分享给我们或者为这个清单增加新的软件分类吧。

---

via: https://itsfoss.com/essential-linux-applications/

作者：[Munif Tanjim][a]
译者：[cycoe](https://github.com/cycoe)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux 中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/munif/
[12]: https://www.google.com/chrome/browser
[13]: https://www.chromium.org/Home
[14]: https://www.mozilla.org/en-US/firefox
[15]: https://vivaldi.com
[16]: http://ugetdm.com/
[17]: http://xdman.sourceforge.net/
[18]: http://deluge-torrent.org/
[19]: https://transmissionbt.com/
[20]: https://www.dropbox.com
[21]: https://mega.nz/
[22]: https://www.pidgin.im/
[23]: https://itsfoss.com/franz-messaging-app/
[24]: http://rambox.pro/
[25]: https://www.skype.com
[26]: https://itsfoss.com/skpe-alpha-linux/
[27]: https://www.libreoffice.org
[28]: https://www.wps.com
[29]: http://gnumdk.github.io/lollypop-web/
[30]: https://wiki.gnome.org/Apps/Rhythmbox
[31]: https://cmus.github.io/
[32]: http://www.videolan.org
[33]: https://kodi.tv
[34]: https://www.gimp.org/
[35]: https://krita.org/en/
[36]: https://atom.io/
[37]: http://www.sublimetext.com/
[38]: https://github.com/ManuelSchneid3r/albert
[39]: https://launchpad.net/synapse-project
[40]: https://itsfoss.com/otter-browser-review/
[41]: https://itsfoss.com/4-best-download-managers-for-linux/
[42]: https://itsfoss.com/best-torrent-ubuntu/
[43]: https://itsfoss.com/cloud-services-linux/
[44]: https://itsfoss.com/best-messaging-apps-linux/
[45]: https://itsfoss.com/best-free-open-source-alternatives-microsoft-office/
[46]: https://itsfoss.com/install-tomahawk-ubuntu-1404-linux-mint-17/
[47]: https://itsfoss.com/format-factory-alternative-linux/
[48]: https://itsfoss.com/image-applications-ubuntu-linux/
[49]: https://itsfoss.com/best-modern-open-source-code-editors-for-linux/
