从过时的 Windows 机器迁移到 Linux
======
> 这是一个当老旧的 Windows 机器退役时，决定迁移到 Linux 的故事。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/1980s-computer-yearbook.png?itok=eGOYEKK-)

我在 ONLYOFFICE 的市场部门工作的每一天，我都能看到 Linux 用户在网上讨论我们的办公软件。我们的产品在 Linux 用户中很受欢迎，这使得我对使用 Linux 作为日常工具的体验非常好奇。我的老旧的 Windows XP 机器在性能上非常差，因此我决定了解 Linux 系统（特别是 Ubuntu）并且决定去尝试使用它。我的两个同事也加入了我的计划。

### 为何选择 Linux ？

我们必须做出改变，首先，我们的老系统在性能方面不够用：我们经历过频繁的崩溃，每当运行超过两个应用时，机器就会负载过度，关闭机器时有一半的几率冻结等等。这很容易让我们从工作中分心，意味着我们没有我们应有的工作效率了。

升级到 Windows 的新版本也是一种选择，但这样可能会带来额外的开销，而且我们的软件本身也是要与 Microsoft 的办公软件竞争。因此我们在这方面也存在意识形态的问题。

其次，就像我之前提过的， ONLYOFFICE 产品在 Linux 社区内非常受欢迎。通过阅读 Linux 用户在使用我们的软件时的体验，我们也对加入他们很感兴趣。

在我们要求转换到 Linux 系统一周后，我们拿到了崭新的装好了 [Kubuntu][1] 的机器。我们选择了 16.04 版本，因为这个版本支持 KDE Plasma 5.5 和包括 Dolphin 在内的很多 KDE 应用，同时也包括 LibreOffice 5.1 和 Firefox 45 。

### Linux 让人喜欢的地方

我相信 Linux 最大的优势是它的运行速度，比如，从按下机器的电源按钮到开始工作只需要几秒钟时间。从一开始，一切看起来都超乎寻常地快：总体的响应速度，图形界面，甚至包括系统更新的速度。

另一个使我惊奇的事情是跟 Windows 相比， Linux 几乎能让你配置任何东西，包括整个桌面的外观。在设置里面，我发现了如何修改各种栏目、按钮和字体的颜色和形状，也可以重新布置任意桌面组件的位置，组合桌面小工具（甚至包括漫画和颜色选择器）。我相信我还仅仅只是了解了基本的选项，之后还需要探索这个系统更多著名的定制化选项。

Linux 发行版通常是一个非常安全的环境。人们很少在 Linux 系统中使用防病毒的软件，因为很少有人会写病毒程序来攻击 Linux 系统。因此你可以拥有很好的系统速度，并且节省了时间和金钱。

总之， Linux 已经改变了我们的日常生活，用一系列的新选项和功能大大震惊了我们。仅仅通过短时间的使用，我们已经可以给它总结出以下特性：

  * 操作很快很顺畅
  * 高度可定制
  * 对新手很友好
  * 了解基本组件很有挑战性，但回报丰厚
  * 安全可靠
  * 对所有想改变工作场所的人来说都是一次绝佳的体验

你已经从 Windows 或 MacOS 系统换到 Kubuntu 或其他 Linux 变种了么？或者你是否正在考虑做出改变？请分享你想要采用 Linux 系统的原因，连同你对开源的印象一起写在评论中。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/1/move-to-linux-old-windows

作者：[Michael Korotaev][a]
译者：[bookug](https://github.com/bookug)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/michaelk
[1]:https://kubuntu.org/
