Linux vs Mac：Linux 比 Mac 好的 7 个原因
======

最近我们谈论了一些[为什么 Linux 比 Windows 好][1]的原因。毫无疑问，Linux 是个非常优秀的平台。但是它和其它操作系统一样也会有缺点。对于某些专门的领域，像是游戏，Windows 当然更好。而对于视频编辑等任务，Mac 系统可能更为方便。这一切都取决于你的偏好，以及你想用你的系统做些什么。在这篇文章中，我们将会介绍一些 Linux 相对于 Mac 更好的一些地方。

如果你已经在用 Mac 或者打算买一台 Mac 电脑，我们建议你仔细考虑一下，看看是改为使用 Linux 还是继续使用 Mac。

### Linux 比 Mac 好的 7 个原因

![Linux vs Mac：为什么 Linux 更好][2]

Linux 和 macOS 都是类 Unix 操作系统，并且都支持 Unix 命令、bash 和其它 shell，相比于 Windows，它们所支持的应用和游戏比较少。但也就是这点比较相似。

平面设计师和视频剪辑师更加倾向于使用 Mac 系统，而 Linux 更加适合做开发、系统管理、运维的工程师。

那要不要使用 Linux 呢，为什么要选择 Linux 呢？下面是根据实际经验和理性分析给出的一些建议。

#### 1、价格

![Linux vs Mac：为什么 Linux 更好][3]

假设你只是需要浏览文件、看电影、下载图片、写文档、制作报表或者做一些类似的工作，并且你想要一个更加安全的系统。

那在这种情况下，你觉得花费几百美金买个系统完成这项工作，或者花费更多直接买个 MacBook 更好？当然，最终的决定权还是在你。

买个装好 Mac 系统的电脑？还是买个便宜的电脑，然后自己装上免费的 Linux 系统？这个要看你自己的偏好。就我个人而言，除了音视频剪辑创作之外，Linux 都非常好地用，而对于音视频方面，我更倾向于使用 Final Cut Pro（专业的视频编辑软件）和 Logic Pro X（专业的音乐制作软件）（LCTT 译注：这两款软件都是苹果公司推出的）。

#### 2、硬件支持

![Linux vs Mac：为什么 Linux 更好][4]

Linux 支持多种平台。无论你的电脑配置如何，你都可以在上面安装 Linux，无论性能好或者差，Linux 都可以运行。[即使你的电脑已经使用很久了，你仍然可以通过选择安装合适的发行版让 Linux 在你的电脑上流畅的运行][5]。

而 Mac 不同，它是苹果机专用系统。如果你希望买个便宜的电脑，然后自己装上 Mac 系统，这几乎是不可能的。一般来说 Mac 都是和苹果设备配套的。

这有一些[在非苹果系统上安装 Mac OS 的教程][6]。这里面需要用到的专业技术以及可能遇到的一些问题将会花费你许多时间，你需要想好这样做是否值得。

总之，Linux 所支持的硬件平台很广泛，而 MacOS 相对而言则非常少。

#### 3、安全性

![Linux vs Mac：为什么 Linux 更好][7]

很多人都说 iOS 和 Mac 是非常安全的平台。的确，或许相比于 Windows，它确实比较安全，可并不一定有 Linux 安全。

我不是在危言耸听。Mac 系统上也有不少恶意软件和广告，并且[数量与日俱增][8]。我认识一些不太懂技术的用户使用着很慢的 Mac 电脑并且为此深受折磨。一项快速调查显示[浏览器恶意劫持软件][9]是罪魁祸首。

从来没有绝对安全的操作系统，Linux 也不例外。Linux 也有漏洞，但是 Linux 发行版提供的及时更新弥补了这些漏洞。另外，到目前为止在 Linux 上还没有自动运行的病毒或浏览器劫持恶意软件的案例发生。

这可能也是一个你应该选择 Linux 而不是 Mac 的原因。

#### 4、可定制性与灵活性

![Linux vs Mac：为什么 Linux 更好][10]

如果你有不喜欢的东西，自己定制或者修改它都行。

举个例子，如果你不喜欢 Ubuntu 18.04.1 的 [Gnome 桌面环境][11]，你可以换成 [KDE Plasma][18]。你也可以尝试一些 [Gnome 扩展][12]丰富你的桌面选择。这种灵活性和可定制性在 Mac OS 是不可能有的。

除此之外，你还可以根据需要修改一些操作系统的代码（但是可能需要一些专业知识）来打造适合你的系统。这个在 MacOS 上可以做吗?

另外你可以根据需要从一系列的 Linux 发行版进行选择。比如说，如果你喜欢 MacOS 上的工作方式，[Elementary OS][13] 可能是个不错的选择。你想在你的旧电脑上装上一个轻量级的 Linux 发行版系统吗？这里有一个[轻量级 Linux 发行版列表][5]。相比较而言，MacOS 缺乏这种灵活性。

#### 5、使用 Linux 有助于你的职业生涯（针对 IT 行业和科学领域的学生）

![Linux vs Mac：为什么 Linux 更好][14]

对于 IT 领域的学生和求职者而言，这是有争议的但是也是有一定的帮助的。使用 Linux 并不会让你成为一个优秀的人，也不一定能让你得到任何与 IT 相关的工作。

但是当你开始使用 Linux 并且探索如何使用的时候，你将会积累非常多的经验。作为一名技术人员，你迟早会接触终端，学习通过命令行操作文件系统以及安装应用程序。你可能不会知道这些都是一些 IT 公司的新员工需要培训的内容。

除此之外，Linux 在就业市场上还有很大的发展空间。Linux 相关的技术有很多（云计算、Kubernetes、系统管理等），你可以学习、考取专业技能证书并获得一份相关的高薪工作。要学习这些，你必须使用 Linux。

#### 6、可靠

![Linux vs Mac：为什么 Linux 更好][15]

想想为什么服务器上用的都是 Linux 系统，当然是因为它可靠。

但是它为什么可靠呢，相比于 MacOS，它的可靠体现在什么方面呢？

答案很简单 —— 给用户更多的控制权，同时提供更好的安全性。在 MacOS 上，你并不能完全控制它，这样做是为了让操作变得更容易，同时提高你的用户体验。使用 Linux，你可以做任何你想做的事情 —— 这可能会导致（对某些人来说）糟糕的用户体验 —— 但它确实使其更可靠。

#### 7、开源

![Linux vs Mac：为什么 Linux 更好][16]

开源并不是每个人都关心的。但对我来说，Linux 最重要的优势在于它的开源特性。上面讨论的大多数观点都是开源软件的直接优势。

简单解释一下，如果是开源软件，你可以自己查看或者修改源代码。但对 Mac 来说，苹果拥有独家控制权。即使你有足够的技术知识，也无法查看 MacOS 的源代码。

形象点说，Mac 驱动的系统可以让你得到一辆车，但缺点是你不能打开引擎盖看里面是什么。那可太差劲了!

如果你想深入了解开源软件的优势，可以在 OpenSource.com 上浏览一下 [Ben Balter 的文章][17]。

### 总结

现在你应该知道为什么 Linux 比 Mac 好了吧，你觉得呢？上面的这些原因可以说服你选择 Linux 吗？如果不行的话那又是为什么呢？

请在下方评论让我们知道你的想法。

提示：这里的图片是以“企鹅俱乐部”为原型的。

--------------------------------------------------------------------------------

via: https://itsfoss.com/linux-vs-mac/

作者：[Ankush Das][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[Ryze-Borgia](https://github.com/Ryze-Borgia)
校对：[pityonline](https://github.com/pityonline)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[1]: https://itsfoss.com/linux-better-than-windows/
[2]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/Linux-vs-mac-featured.png
[3]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/linux-vs-mac-1.jpeg
[4]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/linux-vs-mac-4.jpeg
[5]: https://itsfoss.com/lightweight-linux-beginners/
[6]: https://hackintosh.com/
[7]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/linux-vs-mac-2.jpeg
[8]: https://www.computerworld.com/article/3262225/apple-mac/warning-as-mac-malware-exploits-climb-270.html
[9]: https://www.imore.com/how-to-remove-browser-hijack
[10]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/linux-vs-mac-3.jpeg
[11]: https://www.gnome.org/
[12]: https://itsfoss.com/best-gnome-extensions/
[13]: https://elementary.io/
[14]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/linux-vs-mac-5.jpeg
[15]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/linux-vs-mac-6.jpeg
[16]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/09/linux-vs-mac-7.jpeg
[17]: https://opensource.com/life/15/12/why-open-source
[18]: https://www.kde.org/plasma-desktop
