使用 Lakka Linux 将你的旧 PC 变成复古游戏主机
======
> 如果你有一台吃灰的旧计算机，你可以用 Lakka Linux 将它变成像 PlayStation 那样的复古游戏主机。

你可能已经了解[专门用于复活旧计算机的 Linux 发行版][1]。但是你知道有个 Linux 发行版专门是为了将旧电脑变成复古游戏主机创建的么？

![Lakka is a Linux distribution specially for retrogaming][2]

认识下 [Lakka][3]，它是一个轻量级 Linux 发行版，可以将旧的或低端的计算机（如 Raspberry Pi）变成一个完整的复古游戏主机，

当我说复古游戏主机时，我对主机部分很认真。如果你曾经使用过 Xbox 和 PlayStation，你就会知道典型的主机界面是什么样的。

Lakka 提供类似的界面和类似的体验。我稍后会谈到“体验”。先看一下界面。

[Lakka 复古游戏界面](https://itsfoss.com/wp-content/uploads/2018/10/lakka-linux-gaming-console.webm)

### Lakka：为复古游戏而生的 Linux 发行版

Lakka 是 [RetroArch][4] 和 [Libretro][5] 生态系统的官方 Linux 发行版。

RetroArch 是复古游戏模拟器和游戏引擎的前端。你在上面的视频中看到的界面只是 RetroArch。如果你是只想玩复古游戏，只需在当前的 Linux 发行版中安装 RetroArch 即可。

Lakka 提供了带有 Libretro 核心的 RetroArch。因此，你会获得一个预先配置完的操作系统，你可以安装或插入 live USB 并开始玩游戏。

Lakka 是轻量级的，你可以将它安装在大多数老系统或单板计算机上，如 Raspberry Pi 上。

它支持大量的模拟器。你只需要在系统上下载 ROM，Lakka 将从这些 ROM 运行游戏。你可以在[这里][6]找到支持的模拟器和硬件列表。

它通过其顺滑的图形界面让你能够在许多计算机和主机上运行经典游戏。设置也是统一的，因此可以一劳永逸地完成配置。

让我总结一下 Lakka 的主要特点：

* RetroArch 中与 PlayStation 类似的界面
* 支持许多复古游戏模拟器
* 支持最多 5 名玩家在同一系统上玩游戏
* 存档允许你随时保存游戏中的进度
* 你可以使用各种图形过滤器改善旧游戏的外表
* 你可以通过网络加入多人游戏
* 开箱即用支持 XBOX360、Dualshock 3 和 8bitdo 等多种游戏手柄
* 连接到 [RetroAchievements] [7] 获取奖杯和徽章

### 获取 Lakka

在你继续安装 Lakka 之前，你应该了解它仍在开发中，因此会有一些 bug。

请记住，Lakka 仅支持 MBR 分区。因此，如果在安装时没有读到你的硬盘，这可能是一个原因。

[项目的 FAQ 部分][8]回答了常见的疑问，所以如有任何其他的问题，请参考它。

- [获取 Lakka][9]

你喜欢复古游戏吗？你使用什么模拟器？你以前用过 Lakka 吗？在评论区与我们分享你的观点。

--------------------------------------------------------------------------------

via: https://itsfoss.com/lakka-retrogaming-linux/

作者：[Abhishek Prakash][a]
选题：[lujun9972][b]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/abhishek/
[b]: https://github.com/lujun9972
[1]: https://itsfoss.com/lightweight-linux-beginners/
[2]: https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/10/lakka-retrogaming-linux.jpeg
[3]: http://www.lakka.tv/
[4]: https://www.retroarch.com/
[5]: https://www.libretro.com/
[6]: http://www.lakka.tv/powerful/
[7]: https://retroachievements.org/
[8]: http://www.lakka.tv/doc/FAQ/
[9]: http://www.lakka.tv/disclaimer/
