Linux 上最好的 9 个免费视频编辑软件（2018）
======

> 概要：这里介绍 Linux 上几个最好的视频编辑器，介绍它们的特性、利与弊，以及如何在你的 Linux 发行版上安装它们。

![Linux 上最好的视频编辑器][2]

我们曾经在一篇短文中讨论过 [Linux 上最好的照片管理应用][3]，[Linux 上最好的代码编辑器][4]。今天我们将讨论 **Linux 上最好的视频编辑软件**。

当谈到免费视频编辑软件，Windows Movie Maker 和 iMovie 是大部分人经常推荐的。

很不幸，上述两者在 GNU/Linux 上都不可用。但是不必担心，我们为你汇集了一个**最好的视频编辑器**清单。

### Linux 上最好的视频编辑器

接下来让我们一起看看这些最好的视频编辑软件。如果你觉得文章读起来太长，这里有一个快速摘要。

| 视频编辑器 | 主要用途 | 类型 |
|----------|---------|-----|
| Kdenlive | 通用视频编辑 | 自由开源 |
| OpenShot | 通用视频编辑 | 自由开源 |
| Shotcut | 通用视频编辑 | 自由开源 |
| Flowblade | 通用视频编辑 | 自由开源 |
| Lightworks | 专业级视频编辑 | 免费增值 |
| Blender | 专业级三维编辑 | 自由开源 |
| Cinelerra | 通用视频编辑 | 自由开源 |
| DaVinci | 专业级视频处理编辑 | 免费增值 |
| VidCutter | 简单视频拆分合并 | 自由开源 |

### 1、 Kdenlive

![Kdenlive - Ubuntu 上的免费视频编辑器][5]

[Kdenlive][6] 是 [KDE][8] 上的一个自由且[开源][7]的视频编辑软件，支持双视频监控、多轨时间线、剪辑列表、自定义布局、基本效果，以及基本过渡效果。

它支持多种文件格式和多种摄像机、相机，包括低分辨率摄像机（Raw 和 AVI DV 编辑）、mpeg2、mpeg4 和 h264 AVCHD（小型相机和便携式摄像机）、高分辨率摄像机文件（包括 HDV 和 AVCHD 摄像机）、专业摄像机（包括 XDCAM-HD™ 流、IMX™ (D10) 流、DVCAM (D10)、DVCAM、DVCPRO™、DVCPRO50™ 流以及 DNxHD™ 流）。

如果你正寻找 Linux 上 iMovie 的替代品，Kdenlive 会是你最好的选择。

Kdenlive 特性：

  * 多轨视频编辑
  * 多种音视频格式支持
  * 可配置的界面和快捷方式
  * 使用文本或图像轻松创建切片
  * 丰富的效果和过渡
  * 音频和视频示波器可确保镜头绝对平衡
  * 代理编辑
  * 自动保存
  * 广泛的硬件支持
  * 关键帧效果

优点：

  * 通用视频编辑器
  * 对于那些熟悉视频编辑的人来说并不太复杂

缺点：

  * 如果你想找的是极致简单的编辑软件，它可能还是令你有些困惑
  * KDE 应用程序以臃肿而臭名昭著

#### 安装 Kdenlive

Kdenlive 适用于所有主要的 Linux 发行版。你只需在软件中心搜索即可。[Kdenlive 网站的下载部分][9]提供了各种软件包。

命令行爱好者可以通过在 Debian 和基于 Ubuntu 的 Linux 发行版中运行以下命令从终端安装它：

```
sudo apt install kdenlive
```

### 2、 OpenShot

![Openshot - ubuntu 上的免费视频编辑器][10]

[OpenShot][11] 是 Linux 上的另一个多用途视频编辑器。OpenShot 可以帮助你创建具有过渡和效果的视频。你还可以调整声音大小。当然，它支持大多数格式和编解码器。

你还可以将视频导出至 DVD，上传至 YouTube、Vimeo、Xbox 360 以及许多常见的视频格式。OpenShot 比 Kdenlive 要简单一些。因此，如果你需要界面简单的视频编辑器，OpenShot 是一个不错的选择。

它还有个简洁的[开始使用 Openshot][12] 文档。

OpenShot 特性：

  * 跨平台，可在 Linux、macOS 和 Windows 上使用
  * 支持多种视频，音频和图像格式
  * 强大的基于曲线的关键帧动画
  * 桌面集成与拖放支持
  * 不受限制的音视频轨道或图层
  * 可剪辑调整大小、缩放、修剪、捕捉、旋转和剪切
  * 视频转换可实时预览
  * 合成，图像层叠和水印
  * 标题模板，标题创建，子标题
  * 利用图像序列支持2D动画
  * 3D 动画标题和效果
  * 支持保存为 SVG 格式以及矢量标题和可信证
  * 滚动动态图片
  * 帧精度（逐步浏览每一帧视频）
  * 剪辑的时间映射和速度更改
  * 音频混合和编辑
  * 数字视频效果，包括亮度，伽玛，色调，灰度，色度键等

优点：

  * 用于一般视频编辑需求的通用视频编辑器
  * 可在 Windows 和 macOS 以及 Linux 上使用

缺点：

  * 软件用起来可能很简单，但如果你对视频编辑非常陌生，那么肯定需要一个曲折学习的过程
  * 你可能仍然没有达到专业级电影制作编辑软件的水准

#### 安装 OpenShot

OpenShot 也可以在所有主流 Linux 发行版的软件仓库中使用。你只需在软件中心搜索即可。你也可以从[官方页面][13]中获取它。

在 Debian 和基于 Ubuntu 的 Linux 发行版中，我最喜欢运行以下命令来安装它：

```
sudo apt install openshot
```

### 3、 Shotcut

![Shotcut Linux 视频编辑器][14]

[Shotcut][15] 是 Linux 上的另一个编辑器，可以和 Kdenlive 与 OpenShot 归为同一联盟。虽然它确实与上面讨论的其他两个软件有类似的功能，但 Shotcut 更先进的地方是支持 4K 视频。

支持许多音频、视频格式，过渡和效果是 Shotcut 的众多功能中的一部分。它也支持外部监视器。

这里有一系列视频教程让你[轻松上手 Shotcut][16]。它也可在 Windows 和 macOS 上使用，因此你也可以在其他操作系统上学习。

Shotcut 特性：

  * 跨平台，可在 Linux、macOS 和 Windows 上使用
  * 支持各种视频，音频和图像格式
  * 原生时间线编辑
  * 混合并匹配项目中的分辨率和帧速率
  * 音频滤波、混音和效果
  * 视频转换和过滤
  * 具有缩略图和波形的多轨时间轴
  * 无限制撤消和重做播放列表编辑，包括历史记录视图
  * 剪辑调整大小、缩放、修剪、捕捉、旋转和剪切
  * 使用纹波选项修剪源剪辑播放器或时间轴
  * 在额外系统显示/监视器上的外部监察
  * 硬件支持

你可以在[这里][17]阅它的更多特性。

优点：

  * 用于常见视频编辑需求的通用视频编辑器
  * 支持 4K 视频
  * 可在 Windows，macOS 以及 Linux 上使用

缺点：

  * 功能太多降低了软件的易用性

#### 安装 Shotcut

Shotcut 以 [Snap][18] 格式提供。你可以在 Ubuntu 软件中心找到它。对于其他发行版，你可以从此[下载页面][19]获取可执行文件来安装。

### 4、 Flowblade

![Flowblade ubuntu 上的视频编辑器][20]

[Flowblade][21] 是 Linux 上的一个多轨非线性视频编辑器。与上面讨论的一样，这也是一个自由开源的软件。它具有时尚和现代化的用户界面。

用 Python 编写，它的设计初衷是快速且准确。Flowblade 专注于在 Linux 和其他自由平台上提供最佳体验。所以它没有在 Windows 和 OS X 上运行的版本。Linux 用户专享其实感觉也不错的。

你也可以查看这个不错的[文档][22]来帮助你使用它的所有功能。

Flowblade 特性：

  * 轻量级应用
  * 为简单的任务提供简单的界面，如拆分、合并、覆盖等
  * 大量的音视频效果和过滤器
  * 支持[代理编辑][23]
  * 支持拖拽
  * 支持多种视频、音频和图像格式
  * 批量渲染
  * 水印
  * 视频转换和过滤器
  * 具有缩略图和波形的多轨时间轴

你可以在 [Flowblade 特性][24]里阅读关于它的更多信息。

优点：

  * 轻量
  * 适用于通用视频编辑

缺点：

  * 不支持其他平台

#### 安装 Flowblade

Flowblade 应当在所有主流 Linux 发行版的软件仓库中都可以找到。你可以从软件中心安装它。也可以在[下载页面][25]查看更多信息。

另外，你可以在 Ubuntu 和基于 Ubuntu 的系统中使用一下命令安装 Flowblade：

```
sudo apt install flowblade
```

### 5、 Lightworks

![Lightworks 运行在 ubuntu 16.04][26]

如果你在寻找一个具有更多特性的视频编辑器，这就是你想要的。[Lightworks][27] 是一个跨平台的专业视频编辑器，可以在 Linux、Mac OS X 以及 Windows上使用。

它是一款屡获殊荣的专业[非线性编辑][28]（NLE）软件，支持高达 4K 的分辨率以及 SD 和 HD 格式的视频。

Lightworks 可以在 Linux 上使用，然而它不开源。

Lightwokrs 有两个版本：

  * Lightworks 免费版
  * Lightworks 专业版

专业版有更多功能，比如支持更高的分辨率，支持 4K 和蓝光视频等。

这个[页面][29]有广泛的可用文档。你也可以参考 [Lightworks 视频向导页][30]的视频。

Lightworks 特性：

  * 跨平台
  * 简单直观的用户界面
  * 简明的时间线编辑和修剪
  * 实时可用的音频和视频FX
  * 可用精彩的免版税音频和视频内容
  * 适用于 4K 的 Lo-Res 代理工作流程
  * 支持导出 YouTube/Vimeo，SD/HD视频，最高可达4K
  * 支持拖拽
  * 各种音频和视频效果和滤镜

优点：

  * 专业，功能丰富的视频编辑器

缺点：

  * 免费版有使用限制

#### 安装 Lightworks

Lightworks 为 Debian 和基于 Ubuntu 的 Linux 提供了 DEB 安装包，为基于 Fedora 的 Linux 发行版提供了RPM 安装包。你可以在[下载页面][31]找到安装包。

### 6、 Blender

![Blender 运行在 Ubuntu 16.04][32]

[Blender][33] 是一个专业的，工业级的开源跨平台视频编辑器。它在制作 3D 作品的工具当中较为流行。Blender 已被用于制作多部好莱坞电影，包括蜘蛛侠系列。

虽然最初设计用于制作 3D 模型，但它也具有多种格式视频的编辑功能。

Blender 特性：

  * 实时预览、亮度波形、色度矢量显示和直方图显示
  * 音频混合、同步、擦洗和波形可视化
  * 最多32个轨道，用于添加视频、图像、音频、场景、面具和效果
  * 速度控制、调整图层、过渡、关键帧、过滤器等

你可以在[这里][34]阅读更多相关特性。

优点：

  * 跨平台
  * 专业级视频编辑

缺点：

  * 复杂
  * 主要用于制作 3D 动画，不专门用于常规视频编辑

#### 安装 Blender

Blender 的最新版本可以从[下载页面][35]下载。

### 7、 Cinelerra

![Cinelerra Linux 上的视频编辑器][36]

[Cinelerra][37] 从 1998 年发布以来，已被下载超过 500 万次。它是 2003 年第一个在 64 位系统上提供非线性编辑的视频编辑器。当时它是 Linux 用户的首选视频编辑器，但随后一些开发人员丢弃了此项目，它也随之失去了光彩。

好消息是它正回到正轨并且良好地再次发展。

如果你想了解关于 Cinelerra 项目是如何开始的，这里有些[有趣的背景故事][38]。

Cinelerra 特性：

  * 非线性编辑
  * 支持 HD 视频
  * 内置框架渲染器
  * 各种视频效果
  * 不受限制的图层数量
  * 拆分窗格编辑

优点：

  * 通用视频编辑器

缺点：

  * 不适用于新手
  * 没有可用的安装包

#### 安装 Cinelerra

你可以从 [SourceForge][39] 下载源码。更多相关信息请看[下载页面][40]。

### 8、 DaVinci Resolve

![DaVinci Resolve 视频编辑器][41]

如果你想要好莱坞级别的视频编辑器，那就用好莱坞正在使用的专业工具。来自 Blackmagic 公司的 [DaVinci Resolve][42] 就是专业人士用于编辑电影和电视节目的专业工具。

DaVinci Resolve 不是常规的视频编辑器。它是一个成熟的编辑工具，在这一个应用程序中提供编辑，色彩校正和专业音频后期制作功能。

DaVinci Resolve 不开源。类似于 LightWorks，它也为 Linux 提供一个免费版本。专业版售价是 $300。

DaVinci Resolve 特性：

  * 高性能播放引擎
  * 支持所有类型的编辑类型，如覆盖、插入、波纹覆盖、替换、适合填充、末尾追加
  * 高级修剪
  * 音频叠加
  * Multicam Editing 可实现实时编辑来自多个摄像机的镜头
  * 过渡和过滤效果
  * 速度效果
  * 时间轴曲线编辑器
  * VFX 的非线性编辑

优点：

  * 跨平台
  * 专业级视频编辑器

缺点：

  * 不适用于通用视频编辑
  * 不开源
  * 免费版本中有些功能无法使用

#### 安装 DaVinci Resolve

你可以从[这个页面][42]下载 DaVinci Resolve。你需要注册，哪怕仅仅下载免费版。

### 9、 VidCutter

![VidCutter Linux 上的视频编辑器][43]

不像这篇文章讨论的其他视频编辑器，[VidCutter][44] 非常简单。除了分割和合并视频之外，它没有其他太多功能。但有时你正好需要 VidCutter 提供的这些功能。

VidCutter 特性：

  * 适用于Linux、Windows 和 MacOS 的跨平台应用程序
  * 支持绝大多数常见视频格式，例如：AVI、MP4、MPEG 1/2、WMV、MP3、MOV、3GP、FLV 等等
  * 界面简单
  * 修剪和合并视频，仅此而已

优点：

  * 跨平台
  * 很适合做简单的视频分割和合并

缺点：

  * 不适合用于通用视频编辑
  * 经常崩溃

#### 安装 VidCutter

如果你使用的是基于 Ubuntu 的 Linux 发行版，你可以使用这个官方 PPA（LCTT 译注：PPA，个人软件包档案，PersonalPackageArchives）：

```
sudo add-apt-repository ppa:ozmartian/apps
sudo apt-get update
sudo apt-get install vidcutter
```

Arch Linux 用户可以轻松的使用 AUR 安装它。对于其他 Linux 发行版的用户，你可以从这个 [Github 页面][45]上查找安装文件。

### 哪个是 Linux 上最好的视频编辑软件？

文章里提到的一些视频编辑器使用 [FFmpeg][46]。你也可以自己使用 FFmpeg。它只是一个命令行工具，所以我没有在上文的列表中提到，但一句也不提又不公平。

如果你需要一个视频编辑器来简单的剪切和拼接视频，请使用 VidCutter。

如果你需要的不止这些，**OpenShot** 或者 **Kdenlive** 是不错的选择。他们有规格标准的系统，适用于初学者。

如果你拥有一台高端计算机并且需要高级功能，可以使用 **Lightworks** 或者 **DaVinci Resolve**。如果你在寻找更高级的工具用于制作 3D 作品，你肯定会支持选择 **Blender**。

这就是在 Ubuntu、Linux Mint、Elementary，以及其它发行版等 **Linux 上最好的视频编辑软件**的全部内容。向我们分享你最喜欢的视频编辑器。

--------------------------------------------------------------------------------

via: https://itsfoss.com/best-video-editing-software-linux/

作者：[itsfoss][a]
译者：[fuowang](https://github.com/fuowang)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://itsfoss.com/author/itsfoss/
[1]:data:image/gif;base64,R0lGODdhAQABAPAAAP///wAAACwAAAAAAQABAEACAkQBADs=
[2]:https://itsfoss.com/wp-content/uploads/2016/06/best-Video-editors-Linux-800x450.png
[3]:https://itsfoss.com/linux-photo-management-software/
[4]:https://itsfoss.com/best-modern-open-source-code-editors-for-linux/
[5]:https://itsfoss.com/wp-content/uploads/2016/06/kdenlive-free-video-editor-on-ubuntu.jpg
[6]:https://kdenlive.org/
[7]:https://itsfoss.com/tag/open-source/
[8]:https://www.kde.org/
[9]:https://kdenlive.org/download/
[10]:https://itsfoss.com/wp-content/uploads/2016/06/openshot-free-video-editor-on-ubuntu.jpg
[11]:http://www.openshot.org/
[12]:http://www.openshot.org/user-guide/
[13]:http://www.openshot.org/download/
[14]:https://itsfoss.com/wp-content/uploads/2016/06/shotcut-video-editor-linux-800x503.jpg
[15]:https://www.shotcut.org/
[16]:https://www.shotcut.org/tutorials/
[17]:https://www.shotcut.org/features/
[18]:https://itsfoss.com/use-snap-packages-ubuntu-16-04/
[19]:https://www.shotcut.org/download/
[20]:https://itsfoss.com/wp-content/uploads/2016/06/flowblade-movie-editor-on-ubuntu.jpg
[21]:http://jliljebl.github.io/flowblade/
[22]:https://jliljebl.github.io/flowblade/webhelp/help.html
[23]:https://jliljebl.github.io/flowblade/webhelp/proxy.html
[24]:https://jliljebl.github.io/flowblade/features.html
[25]:https://jliljebl.github.io/flowblade/download.html
[26]:https://itsfoss.com/wp-content/uploads/2016/06/lightworks-running-on-ubuntu-16.04.jpg
[27]:https://www.lwks.com/
[28]:https://en.wikipedia.org/wiki/Non-linear_editing_system
[29]:https://www.lwks.com/index.php?option=com_lwks&view=download&Itemid=206&tab=4
[30]:https://www.lwks.com/videotutorials
[31]:https://www.lwks.com/index.php?option=com_lwks&view=download&Itemid=206&tab=1
[32]:https://itsfoss.com/wp-content/uploads/2016/06/blender-running-on-ubuntu-16.04.jpg
[33]:https://www.blender.org/
[34]:https://www.blender.org/features/
[35]:https://www.blender.org/download/
[36]:https://itsfoss.com/wp-content/uploads/2016/06/cinelerra-screenshot.jpeg
[37]:http://cinelerra.org/
[38]:http://cinelerra.org/our-story
[39]:https://sourceforge.net/projects/heroines/files/cinelerra-6-src.tar.xz/download
[40]:http://cinelerra.org/download
[41]:https://itsfoss.com/wp-content/uploads/2016/06/davinci-resolve-vdeo-editor-800x450.jpg
[42]:https://www.blackmagicdesign.com/products/davinciresolve/
[43]:https://itsfoss.com/wp-content/uploads/2016/06/vidcutter-screenshot-800x585.jpeg
[44]:https://itsfoss.com/vidcutter-video-editor-linux/
[45]:https://github.com/ozmartian/vidcutter/releases
[46]:https://www.ffmpeg.org/
