DevOps 应聘者应该准备回答的 20 个问题
======

> 想要建立一个积极，富有成效的工作环境？ 在招聘过程中要专注于寻找契合点。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/hire-job-career.png?itok=SrZo0QJ3)

聘请一个不合适的人[代价是很高的][1]。根据 Link 人力资源的首席执行官 Jörgen Sundberg 的统计，招聘、雇佣一名新员工将会花费公司$240,000 之多，当你进行了一次不合适的招聘：

  * 你失去了他们的知识技能。
  * 你失去了他们的人脉。
  * 你的团队将可能进入到一个组织发展的震荡阶段
  * 你的公司将会面临组织破裂的风险

当你失去一名员工的时候，你就像丢失了公司版图中的一块。同样值得一提的是另一端的痛苦。应聘到一个错误工作岗位的员工会感受到很大的压力以及整个身心的不满意，甚至是健康问题。

另外一方面，当你招聘到合适的人时，新的员工将会：

  * 丰富公司现有的文化，使你的组织成为一个更好的工作场所。研究表明一个积极的工作文化能够帮助更长久推动财务业绩增长，而且如果你在一个欢快的环境中工作，你更有可能在生活中做的更好。
  * 热爱和你的组织在一起工作。当人们热爱他们所在做的，他们会趋向于做的更好。

招聘以适合或加强现有的文化在 DevOps 和敏捷团多中是必不可少的。也就是说雇佣到一个能够鼓励积极合作的人，以便来自不同背景，有着不同目标和工作方式的团队能够在一起有效的工作。你新雇佣的员工应该能够帮助团队合作来充分发挥放大他们的价值，同时也能够增加员工的满意度以及平衡组织目标的冲突。他或者她应该能够通过明智的选择工具和工作流来促进你的组织，文化就是一切。

作为我们 2017 年 11 月发布的一篇文章 [DevOps 的招聘经理应该准备回答的 20 个问题][4] 的回应，这篇文章将会重点关注在如何招聘最适合的人。

### 为什么招聘走错了方向

很多公司现在用的典型的雇佣策略是基于人才过剩的基础上：

  * 在职位公告栏发布招聘。
  * 关注具有所需才能的应聘者。
  * 尽可能找多的候选者。
  * 通过面试淘汰弱者。
  * 通过正式的面试淘汰更多的弱者。
  * 评估，投票，选择。
  * 渐渐接近补偿。

![](https://opensource.com/sites/default/files/styles/panopoly_image_original/public/images/life-uploads/hiring_graphic.png?itok=1udGbkhB)

职位公告栏是有成千上万失业者人才过剩的经济大萧条时期发明的。在今天的求职市场上已经没有人才过剩了，然而我们仍然在使用基于此的招聘策略。

![](https://opensource.com/sites/default/files/styles/panopoly_image_original/public/images/life-uploads/732px-unemployed_men_queued_outside_a_depression_soup_kitchen_opened_in_chicago_by_al_capone_02-1931_-_nara_-_541927.jpg?itok=HSs4NjCN)

### 雇佣最合适的人员：运用文化和情感

在人才过剩雇佣策略背后的思想是设计工作岗位然后将人员安排进去。

反而应该反过来：寻找将会积极融入你的商业文化的人才，然后为他们寻找他们热爱的最合适的岗位。要想实现这样的目标，你必须能够围绕他们热情为他们创造工作岗位。

**谁正在寻找一份工作？** 根据一份 2016 年对美国 50000 名开发者的调查显示，[85.7% 的受访对象][5]要么对新的机会不感兴趣，要么对于寻找新工作没有积极性。在寻找工作的那部分中，有将近 [28.3% 的求职者][5]来自于朋友的推荐。如果你只是在那些在找工作的人中寻找人才，你将会错过高端的人才。

**运用团队力量去发现和寻找潜力的雇员**。例如，戴安娜是你的团队中的一名开发者，她所能提供的机会是，她已经[从事编程很多年][6]而且在期间已经结识了很多从事热爱他们所从事的工作的人。难道你不认为她所推荐的潜在员工在技能、知识和智慧上要比 HR 所寻找的要优秀吗？在要求戴安娜分享她同伴之前，通知她即将到来的使命任务，向她阐明你要雇佣潜在有探索精神的团队，描述在将来会需要的知识领域。

**雇员想要什么？**一份来自千禧年婴儿潮时期出生的人的对比综合性研究显示，20% 的人所想要的是相同的：

  1. 对组织产生积极的影响
  2. 帮助解决社交或者环境上的挑战
  3. 和一群有动力的人一起工作

### 面试的挑战

面试应该是招聘者和应聘者双方为了寻找最合适的人才进行的一次双方之间的对话。将面试聚焦在企业文化和情感对话两个问题上：这个应聘者将会丰富你的企业文化并且会热爱和你在一起工作吗？你能够在工作中帮他们取得成功吗？

**对于招聘经理来说：** 每一次的面试都是你学习如何将自己的组织变得对未来的团队成员更有吸引力，并且每次积极的面试都可能是你发现人才（即使你不会雇佣）的机会。每个人都将会记得积极有效的面试的经历。即使他们不会被雇佣，他们将会和他们的朋友谈论这次经历，你会得到一个被推荐的机会。这有很大的好处：如果你无法吸引到这个人才，你也将会从中学习吸取经验并且改善。

**对面试者来说**：每次的面试都是你释放激情的机会。

### 助你释放潜在雇员激情的 20 个问题

  1. 你热爱什么？
  2. “今天早晨我已经迫不及待的要去工作”，你怎么看待这句话？
  3. 你曾经最快乐的是什么？
  4. 你曾经解决问题的最典型的例子是什么，你是如何解决的？
  5. 你如何看待配对学习？
  6. 你到达办公室和离开办公室心里最先想到的是什么？
  7. 你如果你有一次改变你之前或者现在的工作中的一件事的机会，将会是什么事？
  8. 当你在工作的时候，你最乐于去学习什么？
  9. 你的梦想是什么，你如何去实现？
  10. 你在学会如何去实现你的追求的时候想要或者需要什么？
  11. 你的价值观是什么？
  12. 你是如何坚守自己的价值观的？
  13. 在你的生活中平衡意味着什么？
  14. 你最引以为傲的工作交流能力是什么？为什么？
  15. 你最喜欢营造什么样的环境？
  16. 你喜欢别人怎样对待你？
  17. 你信任我们什么，如何验证？
  18. 告诉我们你在最近的一个项目中学习到什么？
  19. 我们还能知道你的其他方面的什么？
  20. 如果你正在雇佣我，你将会问我什么问题？


--------------------------------------------------------------------------------

via: https://opensource.com/article/18/3/questions-devops-employees-should-answer

作者：[Catherine Louis][a]
译者：[FelixYFZ](https://github.com/FelixYFZ)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/catherinelouis
[1]:https://www.shrm.org/resourcesandtools/hr-topics/employee-relations/pages/cost-of-bad-hires.aspx
[2]:https://en.wikipedia.org/wiki/Tuckman%27s_stages_of_group_development
[3]:http://www.forbes.com/sites/johnkotter/2011/02/10/does-corporate-culture-drive-financial-performance/
[4]:https://opensource.com/article/17/11/inclusive-workforce-takes-work
[5]:https://insights.stackoverflow.com/survey/2016#work-job-discovery
[6]:https://research.hackerrank.com/developer-skills/2018/
[7]:http://www-935.ibm.com/services/us/gbs/thoughtleadership/millennialworkplace/
[8]:https://en.wikipedia.org/wiki/Emotional_intelligence
