适用于小型企业的 4 个开源发票工具
======

> 用基于 web 的发票软件管理你的账单，轻松完成收款，十分简单。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/BUS_lovemoneyglory2.png?itok=AvneLxFp)

无论您开办小型企业的原因是什么，保持业务发展的关键是可以盈利。收款也就意味着向客户提供发票。

使用 LibreOffice Writer 或 LibreOffice Calc 提供发票很容易，但有时候你需要的不止这些。从更专业的角度看，一种跟进发票的方法，可以提醒你何时跟进你发出的发票。

在这里有各种各样的商业闭源的发票管理工具。但是开源的产品和相对应的闭源商业工具比起来，并不差，没准还更灵活。

让我们一起了解这 4 款基于 web 的开源发票工具，它们很适用于预算紧张的自由职业者和小型企业。2014 年，我在本文的[早期版本][1]中提到了其中两个工具。这 4 个工具用起来都很简单，并且你可以在任何设备上使用它们。

### Invoice Ninja

我不是很喜欢 ninja （忍者）这个词。尽管如此，我喜欢 [Invoice Ninja][2]。非常喜欢。它将功能融合在一个简单的界面，其中包含一组可让你创建、管理和向客户、消费者发送发票的功能。

您可以轻松配置多个客户端，跟进付款和未结清的发票，生成报价并用电子邮件发送发票。Invoice Ninja 与其竞争对手不同，它[集成][3]了超过 40 个流行支付方式，包括 PayPal、Stripe、WePay 以及 Apple Pay。

[下载][4]一个可以安装到自己服务器上的版本，或者获取一个[托管版][5]的账户，都可以使用 Invoice Ninja。它有免费版，也有每月 8 美元的收费版。

### InvoicePlane

以前，有一个叫做 FusionInvoice 的漂亮的开源发票工具。有一天，FusionInvoice 的开发者将最新版本的代码设为了专有。这件事结局并不完美，因为 FusionInvoice 从 2018 年起再也不开源了。但这不代表这个工具完蛋了。它旧版本的代码依然是开源的，并且再次开发为包括 FusionInvoice 所有优点的新工具 [InvoicePlane][6]。

只需点几下鼠标即可制作发票。你可以根据需要将它们设为最简或者最详细。一切准备就绪时，你可以用电子邮件发送发票或者输出为 PDF 文件。你还可以为经常开发票的客户或消费者制作定期发票。

InvoicePlane 不仅可以生成或跟进发票。你还可以为任务或商品创制报价，跟进你销售的产品，查看确认付款，并在发票上生成报告。

[获取代码][7]并将其安装在你的 Web 服务器上。或者，如果你还没准备好安装它，可以[拿小样][8]试用以下。

### OpenSourceBilling

[OpenSourceBilling][9] 被它的开发者称赞为“非常简单的计费软件”，当之无愧。它拥有最简洁的交互界面，配置使用起来轻而易举。

OpenSourceBilling 因它的商业智能仪表盘脱颖而出，它可以跟进你当前和以前的发票，以及任何没有支付的款项。它以图表的形式整理信息，使之很容易阅读。

你可以在发票上配置很多信息。只需点几下鼠标按几下键盘，即可添加项目、税率、客户名称以及付款条件。OpenSourceBilling 将这些信息保存在你所有的发票当中，不管新发票还是旧发票。

与我们之前讨论过的工具一样，OpenSourceBilling 也有可以试用的[程序小样][10]。

### BambooInvoice

当我是一个全职自由作家和顾问时，我通过 [BambooInvoice][11] 向客户收费。当它最初的开发者停止维护此软件时，我有点失望。但是 BambooInvoice 又回来了，并一如既往的好。

BambooInvoice 的简洁很吸引我。它只做一件事并做的很好。你可以创建并修改发票，BambooInvoice 会根据客户和分配的发票编号负责跟进。它会告诉你哪些发票是开放的或过期的。你可以在程序中通过电子邮件发送发票或者导出为 PDF 文件。你还可以生成报告密切关注收入。

要[安装][12]并使用 BambooInvoice，你需要一个运行 PHP 5 或更高版本的 web 服务器，并运行 MySQL 数据库。机会就在你面前，所以你很乐意去用它。

你又最喜欢的开源发票工具吗？请自由分享评论。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/10/open-source-invoicing-tools

作者：[Scott Nesbitt][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[fuowang](https://github.com/fuowang)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/scottnesbitt
[1]: https://opensource.com/business/14/9/4-open-source-invoice-tools
[2]: https://www.invoiceninja.org/
[3]: https://www.invoiceninja.com/integrations/
[4]: https://github.com/invoiceninja/invoiceninja
[5]: https://www.invoiceninja.com/invoicing-pricing-plans/
[6]: https://invoiceplane.com/
[7]: https://wiki.invoiceplane.com/en/1.5/getting-started/installation
[8]: https://demo.invoiceplane.com/
[9]: http://www.opensourcebilling.org/
[10]: http://demo.opensourcebilling.org/
[11]: https://www.bambooinvoice.net/
[12]: https://sourceforge.net/projects/bambooinvoice/
