7 个最佳 Linux 电子书阅读器
======

**摘要：** 本文中我们涉及一些 Linux 最佳电子书阅读器。这些应用提供更佳的阅读体验甚至可以管理你的电子书。

![最佳 Linux 电子书阅读器][1]

最近，随着人们发现在手持设备、Kindle 或者 PC 上阅读更加舒适，对电子图书的需求有所增加。至于 Linux 用户，也有各种电子书应用满足你阅读和整理电子书的需求。

在本文中，我们选出了七个最佳 Linux 电子书阅读器。这些电子书阅读器最适合 pdf、epub 和其他电子书格式。

我提供的是 Ubuntu 安装说明，因为我现在使用它。如果你使用的是[非 Ubuntu 发行版][2]，你能在你的发行版软件仓库中找到大多数这些电子书应用。

### 1. Calibre

[Calibre][3] 是 Linux 最受欢迎的电子书应用。老实说，这不仅仅是一个简单的电子书阅读器。它是一个完整的电子书解决方案。你甚至能[通过 Calibre 创建专业的电子书][4]。

通过强大的电子书管理和易用的界面，它提供了创建和编辑电子书的功能。Calibre 支持多种格式和与其它电子书阅读器同步。它也可以让你轻松转换一种电子书格式到另一种。

Calibre 最大的缺点是，资源消耗太多，因此作为一个独立的电子阅读器来说是一个艰难的选择。

![Calibre][5]

#### 特性

  * 管理电子书：Calibre 通过管理元数据来排序和分组电子书。你能从各种来源下载一本电子书的元数据或创建和编辑现有的字段。
  * 支持所有主流电子书格式：Calibre 支持所有主流电子书格式并兼容多种电子阅读器。
  * 文件转换：在转换时，你能通过改变电子书风格，创建内容表和调整边距的选项来转换任何一种电子书格式到另一种。你也能转换个人文档为电子书。
  * 从 web 下载杂志期刊：Calibre 能从各种新闻源或者通过 RSS 订阅源传递故事。
  * 分享和备份你的电子图书馆：它提供了一个选项，可以托管你电子书集合到它的服务端，从而你能与好友共享或用任何设备从任何地方访问。备份和导入/导出特性可以确保你的收藏安全和方便携带。

#### 安装

你能在主流 Linux 发行版的软件库中找到它。对于 Ubuntu，在软件中心搜索它或者使用下面的命令：

```
sudo apt-get install calibre
```

### 2. FBReader

![FBReader: Linux 电子书阅读器][6]

[FBReader][7] 是一个开源的轻量级多平台电子书阅读器，它支持多种格式，比如 ePub、fb2、mobi、rtf、html 等。它包括了一些可以访问的流行网络电子图书馆，那里你能免费或付费下载电子书。

#### 特性
  
  * 支持多种文件格式和设备比如 Android、iOS、Windows、Mac 和更多。
  * 同步书集、阅读位置和书签。
  * 在线管理你图书馆，可以从你的 Linux 桌面添加任何书到所有设备。
  * 支持 Web 浏览器访问你的书集。
  * 支持将书籍存储在 Google Drive ，可以通过作者，系列或其他属性整理书籍。 

#### 安装

你能从官方库或者在终端中输入以下命令安装 FBReader 电子阅读器。

```
sudo apt-get install fbreader
```

或者你能从[这里][8]抓取一个以 .deb 包，并在你的基于 Debian 发行版的系统上安装它。

### 3. Okular

[Okular][9] 是另一个开源的基于 KDE 开发的跨平台文档查看器，它已经作为 KDE 应用发布的一部分了。

![Okular][10]

#### 特性

  * Okular 支持多种文档格式像 PDF、Postscript、DjVu、CHM、XPS、ePub 和其他。
  * 支持在 PDF 文档中评论、高亮和绘制不同的形状等。
  * 无需修改原始 PDF 文件，分别保存上述这些更改。
  * 电子书中的文本能被提取到一个文本文件，并且有个名为 Jovie 的内置文本阅读服务。

备注：查看这个应用的时候，我发现这个应用在 Ubuntu 和它的衍生系统中不支持 ePub 文件格式。其他发行版用户仍然可以发挥它全部的潜力。

#### 安装

Ubuntu 用户可以在终端中键入下面的命令来安装它：

```
sudo apt-get install okular
```

### 4. Lucidor

Lucidor 是一个易用的、支持 epub 文件格式和在 OPDS 格式中编目的电子阅读器。它也具有在本地书架里组织电子书集、从互联网搜索和下载，和将 Web 订阅和网页转换成电子书的功能。

Lucidor 是 XULRunner 应用程序，它向您展示了具有类似火狐的选项卡式布局，和存储数据和配置时的行为。它是这个列表中最简单的电子阅读器，包括诸如文本说明和滚动选项之类的配置。

![lucidor][11]

你可以通过选择单词并右击“查找单词”来查找该单词在 Wiktionary.org 的定义。它也包含 web 订阅或 web 页面作为电子书的选项。

你能从[这里][12]下载和安装 deb 或者 RPM 包。

### 5. Bookworm

![Bookworm Linux 电子阅读器][13]

Bookworm 是另一个支持多种文件格式诸如 epub、pdf、mobi、cbr 和 cbz 的自由开源的电子阅读器。我写了一篇关于 Bookworm 应用程序的特性和安装的专题文章，到这里阅读：[Bookworm：一个简单而强大的 Linux 电子阅读器][14]

#### 安装

```
sudo apt-add-repository ppa:bookworm-team/bookworm
sudo apt-get update
sudo apt-get install bookworm
```

### 6. Easy Ebook Viewer

[Easy Ebook Viewer][15] 是又一个用于读取 ePub 文件的很棒的 GTK Python 应用。具有基本章节导航、从上次阅读位置继续、从其他电子书文件格式导入、章节跳转等功能，Easy Ebook Viewer 是一个简单而简约的 ePub 阅读器.

![Easy-Ebook-Viewer][16]

这个应用仍然处于初始阶段，只支持 ePub 文件。

#### 安装

你可以从 [GitHub][17] 下载源代码，并自己编译它及依赖项来安装 Easy Ebook Viewer。或者，以下终端命令将执行完全相同的工作。

```
sudo apt install git gir1.2-webkit-3.0 libwebkitgtk-3.0-0 gir1.2-gtk-3.0 python3-gi
git clone https://github.com/michaldaniel/Ebook-Viewer.git
cd Ebook-Viewer/
sudo make install
```

成功完成上述步骤后，你可以从 Dash 启动它。

### 7. Buka

Buka 主要是一个具有简单而清爽的用户界面的电子书管理器。它目前支持 PDF 格式，旨在帮助用户更加关注内容。拥有 PDF 阅读器的所有基本特性，Buka 允许你通过箭头键导航，具有缩放选项，并且能并排查看两页。

你可以创建单独的 PDF 文件列表并轻松地在它们之间切换。Buka 也提供了一个内置翻译工具，但是你需要有效的互联网连接来使用这个特性。

![Buka][19]

#### 安装

你能从[官方下载页面][20]下载一个 AppImage。如果你不知道如何做，请阅读[如何在 Linux 下使用 AppImage][21]。或者，你可以通过命令行安装它：

```
sudo snap install buka
```

### 结束语

就我个人而言，我发现 Calibre 最适合我的需要。当然，Bookworm 看起来很有前途，这几天我经常使用它。不过，电子书应用的选择完全取决于你的喜好。

你使用哪个电子书应用呢？在下面的评论中让我们知道。


--------------------------------------------------------------------------------

via: https://itsfoss.com/best-ebook-readers-linux/

作者：[Ambarish Kumar][a]
译者：[zjon](https://github.com/zjon)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://itsfoss.com/author/ambarish/
[1]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/10/best-ebook-readers-linux.png
[2]:https://itsfoss.com/non-ubuntu-beginner-linux/
[3]:https://www.calibre-ebook.com
[4]:https://itsfoss.com/create-ebook-calibre-linux/
[5]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/09/Calibre-800x603.jpeg
[6]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/10/fbreader-800x624.jpeg
[7]:https://fbreader.org
[8]:https://fbreader.org/content/fbreader-beta-linux-desktop
[9]:https://okular.kde.org/
[10]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/09/Okular-800x435.jpg
[11]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/09/lucidor-2.png
[12]:http://lucidor.org/lucidor/download.php
[13]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/08/bookworm-ebook-reader-linux-800x450.jpeg
[14]:https://itsfoss.com/bookworm-ebook-reader-linux/
[15]:https://github.com/michaldaniel/Ebook-Viewer
[16]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/09/Easy-Ebook-Viewer.jpg
[17]:https://github.com/michaldaniel/Ebook-Viewer.git
[18]:https://github.com/oguzhaninan/Buka
[19]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/09/Buka2-800x555.png
[20]:https://github.com/oguzhaninan/Buka/releases
[21]:https://itsfoss.com/use-appimage-linux/
