27 个全方位的开放式教育解决方案
======

> 阅读这些 2017 年 Opensource.com 发布的开放如何改进教育和学习的好文章。

![27 open solutions to everything in education](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/EDU_OpenEducationResources_520x292_cm.png?itok=9y4FGgRo)

开放式理念 (从开源软件到开放硬件，再到开放原则) 正在改变教育的范式。因此，为了庆祝今年发生的一切，我收集了 2017 年（译注：本文原发布于 2018 年初）在 Opensource.com 上发表的 27 篇关于这个主题的最好的文章。我把它们分成明确的主题，而不是按人气来分类。而且，如果这 27 个故事不能满足你对教育方面开源信息的胃口，那就看看我们的合作文章吧 “[教育如何借助 Linux 和树莓派][30]”。

### 开放对每个人都有好处

1.  [书评：《OPEN》探讨了开放性的广泛文化含义][1]：Scott Nesbitt 评价 David Price 的书 《OPEN》 ，该书探讨了 “开放” 不仅仅是技术转变的观点，而是 “我们未来将如何工作、生活和学习”。
2.  [通过开源技能快速开始您的职业生涯][2]:  VM (Vicky) Brasseur 指出了如何借助学习开源在工作群体中脱颖而出。这个建议不仅仅是针对程序员的；设计师、作家、营销人员和其他创意专业人士也对开源的成功至关重要。
3.  [研究生学位可以让你跳槽到开源职位][3]：引用的研究表明会 Linux 技能会带来更高的薪水， Joshua Pearce 说对开源的熟练和研究生学位是无与伦比的职业技能组合。
4.  [彻底改变了宾夕法尼亚的学校文化的三种实践][4]：Charlie Reisinger 向我们展示了开放式实践是如何在宾夕法尼亚州的一个学区创造一种更具包容性、敏捷性和开放性的文化的。Charlie 说，这不仅仅是为了省钱；该区还受益于 “开放式领导原则，促进师生创新，帮助更好地吸引社区，创造一个更有活力和包容性的学习社区”。
5.  [使用开源工具促使学生进步的 15 种方法][5]：我写了开源是如何让学生自由探索、补拙和学习的，不管他们是在学习基本的数字化素养，还是通过有趣的项目来扩展这些技能。
6.  [开发人员有机会编写好的代码][6]：开源往往是对社会有益的项目的支柱。正如 Benetech Labs 副总裁 Ahn Bui 在这次采访中指出的那样：“建立开放数据标准是打破数据孤岛不可或缺的一步。这些开放标准将为互操作性提供基础，进而转化为更多的组织共同建设，往往更具成本效益。最终目标是以同样的成本甚至更低的成本为更多的人服务。”

### 用于再融合和再利用的开放式教育资源

1.  [学术教员可以和维基百科一起教学吗？][7]：Wiki Ed 的项目总监 LiAnna Davis 讨论<ruby>开放式教育资源<rt>open educational resources</rt></ruby> (OER) ，如 Wiki Ed，是如何提供高质量且经济实惠的开源学习资源作为课堂教学工具。
2.  [书本内外？开放教育资源的状态][8]：Cable Green 是 Creative Common 开放教育主管，分享了高等教育中教育面貌是如何变化的，以及 Creative Common 正在采取哪些措施来促进教育。
3.  [急需符合标准的课程的学校系统找到了希望][9]：Karen Vaites 是 Open Up Resources 社区布道师和首席营销官，谈论了非营利组织努力为 K-12 学校提供开放的、标准一致的课程。
4.  [夏威夷大学如何解决当今高等教育的问题][10]：夏威夷大学 Manoa 分校的教育技术专家 Billy Meinke 表示，在大学课程中过渡到 ORE 将 “使教师能够控制他们教授的内容，我们预计这将为他们节省学生的费用。”
5.  [开放式课程如何削减高等教育成本][11]：塞勒学院的教育总监 Devon Ritter 报告了塞勒学院是如何建立以公开许可内容为基础的大学学分课程，目的是使更多的人能够负担得起和获得高等教育。
6.  [开放教育资源运动在提速][12]：Alexis Clifton 是纽约州立大学的 OER 服务的执行董事，描述了纽约 800 万美元的投资如何刺激开放教育的增长，并使大学更实惠。
7.  [开放项目合作，从小学到大学教室][13]：来自杜克大学的 Aria F. Chernik 探索 OSPRI (开源教育学的研究与创新)， 这是杜克大学和红帽的合作，旨在建立一个 21 世纪的，开放设计的 preK-12 学习生态系统。
8.  [Perma.cc 将阻止学术链接腐烂][14]：：弗吉尼亚理工大学的 Phillip Young 写的关于 Perma.cc 的文章，这种一种“链接腐烂”的解决方案，在学术论文中的超链接随着时间的推移而消失或变化的概览很高。
9.  [开放教育：学生如何通过创建开放教科书来节省资金][15]：OER 先驱 Robin DeRosa 谈到 “引入公开许可教科书的自由，以及教育和学习应结合包容性生态系统，以增强公益的总体理念”。

### 课堂上的开源工具

1.  [开源棋盘游戏如何拯救地球][16]：Joshua Pearce 写的关于拯救地球的一个棋盘游戏，这是一款让学生在玩乐和为创客社区做出贡献的同时解决环境问题的棋盘游戏。
2.  [一个教孩子们如何阅读的新 Android 应用程序][17]：Michael Hall 谈到了他在儿子被诊断为自闭症后为他开发的儿童识字应用 Phoenicia，以及良好编码的价值，和为什么用户测试比你想象的更重要。
3.  [8 个用于教育的开源 Android 应用程序][18]：Joshua Allen Holm 推荐了 8 个来自 F-Droid 软件库的开源应用，使我们可以将智能手机用作学习工具。
4.  [MATLA B的 3 种开源替代方案][19]：Jason Baker 更新了他 2016 年的开源数学计算软件调查报告，提供了 MATLAB 的替代方案，这是数学、物理科学、工程和经济学中几乎无处不在的昂贵的专用解决方案。
5.  [SVG 与教孩子编码有什么关系？][20]：退休工程师 Jay Nick 谈论他如何使用艺术作为一种创新的方式，向学生介绍编码。他在学校做志愿者，使用 SVG 来教授一种结合数学和艺术原理的编码方法。
6.  [5 个破灭的神话：在高等教育中使用开源][21]: 拥有德克萨斯理工大学美术博士学位的 Kyle Conway 分享他在一个由专有解决方案统治的世界中使用开源工具的经验。 Kyle 说有一种偏见，反对在计算机科学以外的学科中使用开源：“很多人认为非技术专业的学生不能使用 Linux，他们对在高级学位课程中使用 Linux 的人做出了很多假设……嗯，这是有可能的，我就是证明。”
7.  [大学开源工具列表][22]：Aaron Cocker 概述了他在攻读计算机科学本科学位时使用的开源工具 (包括演示、备份和编程软件)。
8.  [5 个可帮助您学习优秀 KDE 应用程序][23]：Zsolt Szakács 提供五个 KDE 应用程序，可以帮助任何想要学习新技能或培养现有技能的人。

### 在教室编码

1.  [如何尽早让下一代编码][24]：Bryson Payne 说我们需要在高中前教孩子们学会编码: 到了九年级，80% 的女孩和 60% 的男孩已经从 STEM 职业中自选。但他建议，这不仅仅是就业和缩小 IT 技能差距的问题。“教一个年轻人编写代码可能是你能给他们的最改变生活的技能。而且这不仅仅是一个职业提升者。编码是关于解决问题，它是关于创造力，更重要的是，它是提升能力”。
2.  [孩子们无法在没有计算机的情况下编码][25]：Patrick Masson 推出了 FLOSS 儿童桌面计划， 该计划教授服务不足学校的学生使用开源软件 (如 Linux、LibreOffice 和 GIMP) 重新利用较旧的计算机。该计划不仅为破旧或退役的硬件注入新的生命，还为学生提供了重要的技能，而且还为学生提供了可能转化为未来职业生涯的重要技能。
3.  [如今 Scratch 是否能像 80 年代的 LOGO 语言一样教孩子们编码？][26]：Anderson Silva 提出使用 [Scratch][27] 以激发孩子们对编程的兴趣，就像在 20 世纪 80 年代开始使用 LOGO 语言时一样。
4.  [通过这个拖放框架学习Android开发][28]：Eric Eslinger 介绍了 App Inventor，这是一个编程框架，用于构建 Android 应用程序使用可视块语言（类似 Scratch 或者 [Snap][29]）。

在这一年里，我们了解到，教育领域的各个方面都有了开放的解决方案，我预计这一主题将在 2018 年及以后继续下去。在未来的一年里，你是否希望 Opensource.com 涵盖开放式的教育主题？如果是， 请在评论中分享你的想法。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/1/best-open-education

作者：[Don Watkins][a]
译者：[lixinyuxx](https://github.com/lixinyuxx)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/don-watkins
[1]:https://opensource.com/article/17/7/book-review-open
[2]:https://opensource.com/article/17/8/jump-start-your-career
[3]:https://opensource.com/article/17/1/grad-school-open-source-academic-lab
[4]:https://opensource.com/article/17/7/open-school-leadership
[5]:https://opensource.com/article/17/7/empower-students-open-source-tools
[6]:https://opensource.com/article/17/3/interview-anh-bui-benetech-labs
[7]:https://opensource.com/article/17/1/Wiki-Education-Foundation
[8]:https://opensource.com/article/17/2/future-textbooks-cable-green-creative-commons
[9]:https://opensource.com/article/17/1/open-up-resources
[10]:https://opensource.com/article/17/2/interview-education-billy-meinke
[11]:https://opensource.com/article/17/7/college-alternatives
[12]:https://opensource.com/article/17/10/open-educational-resources-alexis-clifton
[13]:https://opensource.com/article/17/3/education-should-be-open-design
[14]:https://opensource.com/article/17/9/stop-link-rot-permacc
[15]:https://opensource.com/article/17/11/creating-open-textbooks
[16]:https://opensource.com/article/17/7/save-planet-board-game
[17]:https://opensource.com/article/17/4/phoenicia-education-software
[18]:https://opensource.com/article/17/8/8-open-source-android-apps-education
[19]:https://opensource.com/alternatives/matlab
[20]:https://opensource.com/article/17/5/coding-scalable-vector-graphics-make-steam
[21]:https://opensource.com/article/17/5/how-linux-higher-education
[22]:https://opensource.com/article/17/6/open-source-tools-university-student
[23]:https://opensource.com/article/17/6/kde-education-software
[24]:https://opensource.com/article/17/8/teach-kid-code-change-life
[25]:https://opensource.com/article/17/9/floss-desktops-kids
[26]:https://opensource.com/article/17/3/logo-scratch-teach-programming-kids
[27]:https://scratch.mit.edu/
[28]:https://opensource.com/article/17/8/app-inventor-android-app-development
[29]:http://snap.berkeley.edu/
[30]:https://opensource.com/article/17/12/best-opensourcecom-linux-and-raspberry-pi-education
