你所不知道的知识共享（CC）
======

> 知识共享为艺术家提供访问权限和原始素材。大公司也从中受益。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/CreativeCommons_ideas_520x292_1112JS.png?itok=otei0vKb)

我毕业于电影学院，毕业后在一所电影学校教书，之后进入一家主流电影工作室，我一直在从事电影相关的工作。创意产业的方方面面面临着同一个问题：创作者需要原材料。有趣的是，自由文化运动提出了解决方案，具体来说是在自由文化运动中出现的<ruby>知识共享<rt>Creative Commons</rt></ruby>组织。

### 知识共享能够为我们提供展示片段和小样

和其他事情一样，创造力也需要反复练习。幸运的是，在我刚开始接触电脑时，就在一本关于渲染工场的专业杂志中接触到了开源这个存在。当时我并不理解所谓的“开源”是什么，但我知道只有开源工具能帮助我在领域内稳定发展。对我来说，知识共享也是如此。知识共享可以为艺术家们提供充满丰富艺术资源的工作室。

我在电影学院任教时，经常需要给学生们准备练习编辑、录音、拟音、分级、评分的示例录像。在 Jim Munroe 的独立作品 [Infest Wisely][1] 中和 [Vimeo][2] 上的知识共享内容里我总能找到我想要的。这些逼真的镜头覆盖内容十分广泛，从独立制作到昂贵的高品质的升降镜头（一般都会用无人机代替）都有。

![](https://opensource.com/sites/default/files/u128651/bunny.png)

对实验主义艺术来说，确有无尽可能。知识共享提供了丰富的素材，这些材料可以用来整合、混剪等等，可以满足一位视觉先锋能够想到的任何用途。

在接触知识共享之前，如果我想要使用写实镜头，如果在大学，只能用之前的学生和老师拍摄的或者直接使用版权库里的镜头，或者使用有受限的版权保护的镜头。

### 坚守版权的底线很重要

知识共享同样能够创造经济效益。在某大型计算机公司的渲染工场工作时，我负责在某些硬件设施上测试渲染的运行情况，而这个测试时刻面临着被搁置的风险。做这些测试时，我用的都是[大雄兔][3]的资源，因为这个电影和它的组件都是可以免费使用和分享的。如果没有这个小短片，在接触写实资源之前我都没法完成我的实验，因为对于一个计算机公司来说，雇佣一只 3D 艺术家来按需布景是不太现实的。

令我震惊的是，与开源类似，知识共享已经用我们难以想象的方式支撑起了大公司。知识共享的使用可能会也可能不会影响公司的日常流程，但它填补了不足，让工作流程顺利进行。我没见到谁在他们的书中将流畅工作归功于知识共享的应用，但它确实无处不在。

![](https://opensource.com/sites/default/files/u128651/sintel.png)

我也见过一些开放版权的电影，比如[辛特尔][4]，在最近的电视节目中播放了它的短片，电视的分辨率已经超过了标准媒体。

### 知识共享可以提供大量原材料

艺术家需要原材料。画家需要颜料、画笔和画布。雕塑家需要陶土和工具。数字内容编辑师需要数字内容，无论它是剪贴画还是音效或者是电子游戏里的现成的精灵。

数字媒介赋予了人们超能力，让一个人就能完成需要一组人员才能完成的工作。事实上，我们大部分都好高骛远。我们想做高大上的项目，想让我们的成果不论是视觉上还是听觉上都无与伦比。我们想塑造的是宏大的世界，紧张的情节，能引起共鸣的作品，但我们所拥有的时间精力和技能与之都不匹配，达不到想要的效果。

是知识共享再一次拯救了我们，在 [Freesound.org][5]、 [Openclipart.org][6]、 [OpenGameArt.org][7] 等等网站上都有大量的开放版权艺术材料。通过知识共享，艺术家可以使用各种他们自己没办法创造的原材料，来完成他们原本完不成的工作。

最神奇的是，不用自己投资，你放在网上给大家使用的原材料就能变成精美的作品，而这是你从没想过的。我在知识共享上面分享了很多音乐素材，它们现在用于无数的专辑和电子游戏里。有些人用了我的材料会通知我，有些是我自己发现的，所以这些材料的应用可能比我知道的还有多得多。有时我会偶然看到我亲手画的标志出现在我从没听说过的软件里。我见到过我为 [Opensource.com][8] 写的文章在别处发表，有的是论文的参考文献，白皮书或者参考资料中。

### 知识共享所代表的自由文化也是一种文化

“自由文化”这个说法过于累赘，文化，从概念上来说，是一个有机的整体。在这种文化中社会逐渐成长发展，从一个人到另一个。它是人与人之间的互动和思想交流。自由文化是自由缺失的现代世界里的特殊产物。

如果你也想对这样的局限进行反抗，想把你的思想、作品、你自己的文化分享给全世界的人，那么就来和我们一起，使用知识共享吧！

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/1/creative-commons-real-world

作者：[Seth Kenlon][a]
译者：[Valoniakim](https://github.com/Valoniakim)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/seth
[1]:http://infestwisely.com
[2]:https://vimeo.com/creativecommons
[3]:https://peach.blender.org/
[4]:https://durian.blender.org/
[5]:http://freesound.org
[6]:http://openclipart.org
[7]:http://opengameart.org
[8]:https://opensource.com/
