Linux 求职建议
======

通过对招聘网站数据的仔细研究，我们发现，即使是非常有经验的 Linux 程序员，也会在面试中陷入困境。

这就导致了很多优秀并且有经验的人无缘无故地找不到合适的工作，因为如今的就业市场需要我们有一些手段来提高自己的竞争力。

我有两个同事和一个表哥，他们都有 RedHat 认证，管理过比较大的服务器机房，也都收到过前雇主的认真推荐。

可是，在他们应聘的时候，所有的这些证书、本身的能力、工作经验好像都没有起到任何作用，他们所面对的招聘广告是某人从技术词汇中临时挑选的一些“技能片段”所组成的。

现如今，礼貌变得过时了，**不回应**变成了发布招聘广告的公司的新沟通方式。

这同样也意味着大多公司的招聘或者人事可能会**错过**非常优秀的应聘者。

我之所以敢说的如此肯定，是因为现在招聘广告大多数看上去都非常的滑稽。

[Reallylinux.com][3] 另一位特约撰稿人 Walter ，发表过一篇关于 [招聘广告疯掉了][4] 的文章。

他说的也许是对的，可是我认为 Linux 工作应聘者可以通过注意招聘广告的**三个关键点**避免落入陷阱。

**首先**，很少会有 Linux 系统管理员的招聘广告只针对 Linux 有要求。

一定要注意很少有 Linux 系统管理员的职位是实际在服务器上跑 Linux的，反而，很多在搜索 “Linux 管理员” 得到的职位实际上是指大量的 *NX 操作系统的。

举个例子，有一则关于 **Linux 管理员** 的招聘广告：

> 该职位需要为建立系统集成提供支持，尤其是 BSD 应用的系统安装...

或者有一些其他的要求：

> 有 Windows 系统管理经验的。

最为讽刺的是，如果你在应聘面试的时候表现出专注于 Linux 的话，你可能不会被聘用。

另外，如果你直接把 Linux 写在你的特长或者专业上，他们可能都不会仔细看你的简历，因为他们根本区分不了 UNIX、BSD、Linux。

最终的结果就是，如果你太老实，只在简历上写了 Linux，你可能会被直接过掉，但是如果你把 Linux 改成 UNIX/Linux 的话，可能会走得更远。

我有两个同事最后修改了他们的简历，然后获得了更好的面试机会，虽然依旧没有被聘用，因为大多数招聘广告其实已经内定人员了，这些招聘信息被放出来仅仅是为了表现出他们有招聘的想法。

**第二点**，公司里唯一在乎系统管理员职位的只有技术主管，其他人包括人事或管理层根本不关心这个。

我记得有一次开会旁听的时候，听见一个执行副总裁把服务器管理人员说成“一毛钱一打的人”，这种想法是多么的奇怪啊。

讽刺的是，等到邮件系统出故障，电话交换机连接时不时会断开，或者核心商业文件从企业内网中消失的时候，这些总裁又是最先打电话给系统管理员的。

或许如果他们不整天在电话留言中说那么多空话，或者不往邮件里塞满妻子的照片和旅行途中的照片的话，服务器可能就不会崩溃。

请注意，招聘 Linux 运维或者服务器管理员的广告被放出来是因为公司**技术层**认为有迫切的需求。你也不需要和人事或者公司高层聊什么，搞清楚谁是招聘的技术经理然后打电话给他们。

你需要直接联系他们因为“有些技术问题”是人事回答不了的，即使你只有 60 秒的时间可以和他们交流，你也必须抓住这个机会和真正有需求并且懂技术的人沟通。

那如果人事的漂亮 MM 不让你直接联系技术怎么办呢？

开始记得问人事一些技术性问题，比如说他们的 Linux 集群是如何建立的，它们运行在独立的虚拟机上吗？这些技术性的问题会让人事变得不耐烦，最后让你有机会问出“我能不能直接联系你们团队的技术人员”。

如果对方的回答是“应该可以”或者“稍后回复你”，那么他们可能已经在两周前就已经计划好了找一个人来填补这个空缺，比如说人事部员工的未婚夫。**他们只是不希望看起来太像裙带主义，而是带有一点利己主义的不确定主义。**

所以一定要记得花点时间弄清楚到底谁是发布招聘广告的直接**技术**负责人，然后和他们聊一聊，这可能会让你少一番胡扯并且让你更有可能应聘成功。

**第三点**，现在的招聘广告很少有完全真实的内容了。

我以前见过一个招聘具有高级别专家也不会有的专门知识的初级系统管理员的广告，他们的计划是列出公司的发展计划蓝图，然后找到应聘者。

在这种情况下，你应聘 Linux 管理员职位应该提供几个关键性信息，例如工作经验和相关证书。

诀窍在于，用这些关键词尽量装点你的简历，以匹配他们的招聘信息，这样他们几乎不可能发现你缺失了哪个关键词。

这并不一定会让你成功找到一份工作，但它可以让你获得一次面试机会，这也算是一个巨大的进步。

通过理解和应用以上三点，或许可以让那些寻求 Linux 管理员工作的人能够比那些只有一线地狱机会的人领先一步。

即使这些建议不能让你马上得到面试机会，你也可以利用这些经验和意识去参加贸易展或公司主办的技术会议等活动。

我强烈建议你们也经常参加这种活动，尤其是当它们比较近的话，可以给你一个扩展人脉的机会。

请记住，如今的职业人脉已经失去了原来的意义了，现在只是可以用来获取“哪些公司实际上在招聘、哪些公司只是为了给股东带来增长的表象而在职位方面撒谎”的小道消息。


--------------------------------------------------------------------------------

via: http://reallylinux.com/docs/gettinglinuxjobs.shtml

作者：[Andrea W.Codingly][a]
译者：[Ryze-Borgia](https://github.com/Ryze-Borgia)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://reallylinux.com
[1]:http://www.reallylinux.com
[2]:http://reallylinux.com/docs/linuxrecessionproof.shtml
[3]:http://reallylinux.com
[4]:http://reallylinux.com/docs/wantadsmad.shtml
