NASA 在开放科学方面做了些什么
======

![][1]

最近我们刚为开设了一个新的“[科学类][2]”的文章分类。其中发表的最新一篇文章名为：[开源是怎样影响科学的][3]。在这篇文章中我们主要讨论了 [NASA][4] 的积极努力，这些努力包括他们通过开源实践来促进科学研究的积极作用。

### NASA 是怎样使用开源手段促进科学研究的

NASA 将他们的整个研究库对整个公共领域开放，这是一项[壮举][5]。

没错！每个人都能访问他们的整个研究库，并能从他们的研究中获益。

他们现已开放的资料可以大致分为以下三类：

  * 开源 NASA
  * 开放 API
  * 开放数据

### 1、开源 NASA

这里有一份 [GitHub][7] 的联合创始人之一和执行总裁 [Chris Wanstrath][6] 的采访，他向我们介绍道，一切都是从很多年前开始的。

- [Chris Wanstrath on NASA, open source and Github](https://youtu.be/dUFzMe8GM3M)

该项目名为 “[code.nasa.gov][8]”，截至本文发表为止，NASA 已经[通过 GitHub 开源][9]了 365 个科学软件（LCTT 译注：本文原文发表于 2018/3/28，截止至本译文发布，已经有 454 个项目了）。对于一位热爱程序的开发者来说，即使一天研究一个软件，想把 NASA 的这些软件全部研究过来也要整整一年的时间。

即使你不是一位开发者，你也可以在这个门户网站浏览这个壮观的软件合集。

其中就有[阿波罗 11 号][10]的制导计算机的源代码。阿波罗 11 号空间飞行器[首次将两名人类带上月球][11]，分别是 [Neil Armstrong][12] 和 [Edwin Aldrin][13] 。如果你对 Edwin Aldrin 感兴趣，可以点击[这里][14]了解更多。

#### NASA 开源代码促进会使用的开源代码许可

它们采用了几种[开源许可证][15]，其分类如下：

- [Apache 许可证 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [Nasa 开源许可证 3.0](https://opensource.org/licenses/NASA-1.3)
- [GPL v3](https://www.gnu.org/licenses/gpl.html)
- [MIT 许可证](https://en.wikipedia.org/wiki/MIT_License)

### 2、开放 API

开放 [API][16] 在推行开放科学中起到了很大作用。与[开源促进会][17]类似，对于 API，也有一个 [开放 API 促进会][18]。下面这张示意图可以告诉你 API 是怎样将应用程序和它的开发者连接起来的。

![][19]

记得点击这个[链接](https://sproutsocial.com/insights/what-is-an-api/)看看。链接内的文章使用了简单易懂的方法解读了 API ，文末总结了五大要点。

![][20]

这会让你感受到专有 API 和开放 API 会有多么大的不同。

![][22]

[NASA 的 Open API][23] 主要针对应用程序开发者，旨在显著改善数据的可访问性，也包括图片内容在内。该网站有一个实时编辑器，可供你调用[每日天文一图（APOD）][24] 的 API。 

#### 3、开放数据

![][25]

在[我们发布的第一篇开放科学的文章][3]中，我们在“开放科学”段落下提到的三个国家 —— 法国、印度和美国的多种开放数据形式。NASA  有着类似的想法和行为。这种重要的意识形态已经被[多个国家][26]所接受。

[NASA 的开放数据门户][27]致力于开放，拥有不断增长的可供大众自由使用的开放数据。将数据集纳入到这个数据集对于任何研究活动来说都是必要且重要的。NASA 还在他们的门户网站上征集各方的数据需求，以一同收录在他们的数据库中。这一举措不仅是领先的、创新的，还顺应了[数据科学][28]、[AI 和深度学习][29]的趋势。

下面的视频讲的是学者和学生们是怎样通过大量研究得出对数据科学的定义的。这个过程十分的激动人心。瑞尔森大学罗杰斯商学院的 [Murtaza Haider 教授][30]在视频结尾中提到了开源的出现对数据科学的改变，尤其让是旧有的闭源方式逐渐变得开放。而这也确实成为了现实。

- [What is Data Science? Data Science 101](https://youtu.be/z1kPKBdYks4)

![][31]

现在任何人都能在 NASA 上征集数据。正如前面的视频中所说，NASA 的举措很大程度上与征集和分析优化数据有关。

![][32]

你只需要免费注册即可。考虑到论坛上的公开讨论以及数据集在可能存在的每一类分析领域中的重要性，这一举措在未来会有非常积极的影响，对数据的统计分析当然也会大幅进展。在之后的文章中我们还会具体讨论这些细节，还有它们和开源模式之间的相关性。

以上就是对 NASA 开放科学模式的一些探索成就，希望您能继续关注我们接下来的相关文章！

--------------------------------------------------------------------------------

via: https://itsfoss.com/nasa-open-science/

作者：[Avimanyu Bandyopadhyay][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[Valoniakim](https://github.com/Valoniakim)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/avimanyu/
[1]:https://itsfoss.com/wp-content/uploads/2018/03/tux-in-space.jpg
[2]:https://itsfoss.com/category/science/
[3]:https://itsfoss.com/open-source-impact-on-science/
[4]:https://www.nasa.gov/
[5]:https://futurism.com/free-science-nasa-just-opened-its-entire-research-library-to-the-public/
[6]:http://chriswanstrath.com/
[7]:https://github.com/
[8]:http://code.nasa.gov
[9]:https://github.com/open-source
[10]:https://www.nasa.gov/mission_pages/apollo/missions/apollo11.html
[11]:https://www.space.com/16758-apollo-11-first-moon-landing.html
[12]:https://www.jsc.nasa.gov/Bios/htmlbios/armstrong-na.html
[13]:https://www.jsc.nasa.gov/Bios/htmlbios/aldrin-b.html
[14]:https://buzzaldrin.com/the-man/
[15]:https://itsfoss.com/open-source-licenses-explained/
[16]:https://en.wikipedia.org/wiki/Application_programming_interface
[17]:https://opensource.org/
[18]:https://www.openapis.org/
[19]:https://itsfoss.com/wp-content/uploads/2018/03/api-bridge.jpeg
[20]:https://itsfoss.com/wp-content/uploads/2018/03/open-api-diagram.jpg
[21]:http://www.apiacademy.co/resources/api-strategy-lesson-201-private-apis-vs-open-apis/
[22]:https://itsfoss.com/wp-content/uploads/2018/03/nasa-open-api-live-example.jpg
[23]:https://api.nasa.gov/
[24]:https://apod.nasa.gov/apod/astropix.html
[25]:https://itsfoss.com/wp-content/uploads/2018/03/nasa-open-data-portal.jpg
[26]:https://www.xbrl.org/the-standard/why/ten-countries-with-open-data/
[27]:https://data.nasa.gov/
[28]:https://en.wikipedia.org/wiki/Data_science
[29]:https://www.kdnuggets.com/2017/07/ai-deep-learning-explained-simply.html
[30]:https://www.ryerson.ca/tedrogersschool/bm/programs/real-estate-management/murtaza-haider/
[31]:https://itsfoss.com/wp-content/uploads/2018/03/suggest-dataset-nasa-1.jpg
[32]:https://itsfoss.com/wp-content/uploads/2018/03/suggest-dataset-nasa-2-1.jpg
