糖尿病患者们是怎样使用开源造出自己的医疗设备的
======
> Red Hat 的 2018 女性开源社区奖获得者 Dana Lewis 的故事。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/health_heartbeat.png?itok=P-GXea-p)

Dana Lewis 被评选为[开源社区 2018 年度最佳女性][1]！下面是开源怎样改善了她的健康的故事。

Dana 患有 I 型糖尿病，但当时市面上流通的药品和医疗设备都对她无效。她用来管理血糖的动态血糖监测（CGM）报警器的声音太小了，根本叫不醒熟睡的她，产品这样的设计无法保证她每天睡眠时间的生命安全。

“我和生产厂家见了一面商议提出意见，厂家的回复是‘我们产品的音量已经足够大了，很少有人叫不醒’，我被告知‘这不是普遍问题，我们正在改进，请期待我们的新产品。’听到这些时我真的很挫败，但我从没想象过我能做出什么改变，毕竟那是通过了 FDA 标准的医疗设备，不是我们能随意改变的。”

面临着这些阻碍，Dana 想着如果她能把自己的数据从设备里导出，就可以设置手机闹铃来叫醒自己。在 2013 年末，她看到的一条推特解决了她的疑问。那条推特的作者是一位糖尿病患儿的家长，他把动态血糖监测仪进行了逆向工程，这样就可以导出孩子的血糖数据进行远程监控了。

她意识到如果对方愿意把过程分享给她，她也可以用那些代码做一个自己的响亮的血糖监测仪了。

“我并不知道向别人要源代码是件稀松平常的事，那是我第一次接触开源。”

那个系统演化成一个响亮闹钟的代码，她也可以把代码在网页上分享给别人。和她的丈夫 Scott Leibrand 一起，她逐步向闹铃添加属性，最终形成了一个算法，这个算法不仅能监测实时血糖水平，还能主动预测未来血糖波动。

随着 Dana 与开源糖尿病患者社区的接触越来越深，她认识了 Ben West，他花了很多年才研究出与 Dana 使用的胰岛素泵沟通数据的方法，与血糖监测仪不同，胰岛素泵不是简单的报告血糖，它是个单独的设备，要按人体需要持续推注胰岛素，比血糖监测仪要复杂得多。

“老路行不通了，我们说‘哦，如果我们能用这段代码和胰岛素泵沟通，就像我们之前用算法和血糖监测仪沟通实时数据那样，我们就能获取两个设备的实时数据，创建一个闭路系统。’”

我们得到的是一个自制人工胰腺系统 (DIY APS)。

这个系统可以使用算法处理胰岛素泵和血糖监测仪的数据，来预测患者血糖水平，据此调整胰岛素的注射量，从而保持患者的血糖稳定。这个人工胰岛素系统取代了从前患者每日多次对胰岛素注射量的计算和调整，减轻了糖尿病患者的负担。

“正因为我们使用的是开源软件，在做出这个系统之后我们就把成果开源化了，这样可以造福更多的人。”开源人工胰腺系统 (OpenAPS) 由此诞生。

OpenAPS 社区已经拥有超过 600 名用户，大家都提供了各种各样的自制“闭路”系统代码。OpenAPS 贡献者们聚集到了 #WeAreNotWaiting 话题之下，以表达患者群体不该干等着医疗保健工厂制造出真正有效便捷产品的理念。

“你可以选择等待未来的商业解决方案，这无可厚非，选择等待是你的自由。等待可以是一种选择，但不能是无法改变的现状。对我来说，开源在医疗保健方面做出的这个举动让等待变成了一种选择。你可以选择不自行解决，你可以选择等待商业解决方案，但如果你不想等了，你无需再等。现在你有很多选择，开源社区的人们已经解决了很多问题。”

OpenAPS 社区由糖尿病患者、患者家属，还有想要合理利用这项技术的人们。在社区的帮助下，Dana 学会了很多种贡献开源项目的方式。她发现许多从 Facebook 或 [Gitter][2] 上过来的非技术贡献者也对 OpenAPS 做出了很大贡献。

“贡献有很多方式，我们要认识到各种方式的贡献都是平等的。它们一般涉及不同的兴趣领域和技能组合，只有把这些综合起来，才能做成社区的项目。”

她亲身经历过，所以知道自己的贡献不被社区的其他成员认可是怎样难过的感受。对于人们习惯把女性的贡献打折的这一现象，她也不回避。在她的 [2014 年博客][3] 和 [反思][4] 文章中她初次写到在入围开源年度最佳人物时所遭受到的区别待遇，这些待遇让她意识到身为女性的不同。

在她最初的博客中，她写道了自己和丈夫 Scott 同为开源社区成员，遭受到的区别待遇。他们都注意到，Dana 总是被提出一些细枝末节的要求，但 Scott 就不会。而 Scott 总被问道一些技术性问题，即使他向他们推荐 Dana，人们也更倾向于问身为男性的 Scott。大家都或多或少经历过这些行为，Dana 的博文在社区里引起了广泛的讨论。

“人们更愿意认为项目是‘Scott 发起的’而非‘Dana 和 Scott 一起发起的’。”这让我感受到千刀万剐般的痛苦和挫败，我写了博客把这个现象提到明面上，我说，‘看看这些行为，我知道你们有些是故意的，有些是无意的，但如果我们的社区想要得到多元化参与者的支持，想要发展壮大，我们就要规范自己的行为，有不妥之处也不要回避，直接摊开来交流。”值得赞扬的是，社区里的大部分成员都加入进来，认真地讨论这个问题。他们都说，‘好的，我知道有哪里需要改了，如果我再无意识这样做时提醒我一下。’这就是我们社区形成的风气。”

她还说如果没有 Scott 这位社区里活跃开发者的支持，还有社区里其他女性贡献者的鼓励，她可能就半途而废了。

“我想如果我就放弃努力了，可能开源世界里糖尿病患者们的现状会有很大不同。我知道别人不幸的遭遇，他们在开源社区中感受不到认同感和自身价值，最终离开了开源。我希望我们可以继续这种讨论，大家都能意识到如果我们不故意打击贡献者，我们可以变得更加温暖，成员们也能感受到认同感，大家的付出也能得到相应的认可。

OpenAPS 社区的交流和分享给我们提供了一个很好的例子，它说明非技术性的贡献者对于整个社区的成功都是至关重要的。Dana 在现实社会中的关系和交流经历对她为开源社区做出的宣传有着很大的贡献。她为社区在 [DIYPS 博客][5] 上写了很多篇文章，她还在 [TEDx Talk][6] 做过一场演讲, 在 [开源大会 （OSCON）][7] 上也演讲过很多次，诸如此类的还有很多。

“不是每个项目都像 OpenAPS 一样，对患者有那么大的影响，甚至成为患者中间的主流项目。糖尿病社区在项目的沟通中真的做了很多贡献，引来了很多糖尿病患者，也让需要帮助的人们知道了我们的存在。”

Dana 现在的目标是帮助其他疾病的患者社区创建项目。她尤其想要把社区成员们学到的工具和技术和其他的患者社区分享，特别是那些想要把项目进一步提升，进行深入研究，或者想和公司合作的社区。

“我听说很多参与项目的患者都听过这样的话，‘你应该申请个专利；你应该拿它开个公司；你应该成立个非营利组织。’但这些都是大事，它们太耗时间了，不仅占据你的工作时间，甚至强行改变你的专业领域。我这样的人并不想做那样的事，我们更倾向于把精力放在壮大其他项目上，以此帮助更多的人。”

在此之后，她开始寻找其他不那么占用时间的任务，比如给小孩们写一本书。Dana 在 2017 年进行了这项挑战，她写了本书给侄子侄女，讲解他们婶婶的糖尿病设备是怎样工作的。在她侄女问她“胳膊上的东西是什么”（那是她的血糖监测仪）时，她意识到她不知道怎么和一个小孩子解释糖尿病患者是什么，所以写了[《卡罗琳的机器人亲戚》][8]这本书。

“我想用我侄子侄女那个年纪的语言和他们交流，毕竟不同年龄的人说话方式也不同。我当时想，‘真希望有本这方面的儿童读物，那我为什么不自己写一本呢？’”

她写了书在亚马逊上出版，因为她想把开源的价值分享给更多的人。她还开了一个名为[“自己在亚马逊上出书”][9]的博客，希望大家也可以把自己的经历写进书里出版。

像《卡罗琳的机器人亲戚》这本书还有开源社区年度最佳女性这样的奖项都说明生活中包括开源在内的不同领域中，还有很多人的工作等待着大众的认知。

“社区越多元，事情越好办。”

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/5/dana-lewis-women-open-source-community-award-winner-2018

作者：[Taylor Greene][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[Valoniakim](https://github.com/Valoniakim)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/tgreene
[1]:https://www.redhat.com/en/about/women-in-open-source
[2]:https://gitter.im/
[3]:https://diyps.org/2014/08/25/being-female-a-patient-and-co-designing-diyps-means-often-being-discounted/
[4]:https://diyps.org/2018/02/01/women-in-open-source-make-a-difference/
[5]:https://diyps.org/
[6]:https://www.youtube.com/watch?v=kgu-AYSnyZ8
[7]:https://www.youtube.com/watch?v=eQGWrdgu_fE
[8]:https://www.amazon.com/gp/product/1977641415/ref=as_li_tl?ie=UTF8&tag=diyps-20&camp=1789&creative=9325&linkCode=as2&creativeASIN=1977641415&linkId=96bb65e21b5801901586e9fabd12c860
[9]:https://diyps.org/2017/11/01/makers-gonna-make-a-book-about-diabetes-devices-kids-book-written-by-danamlewis/
