为什么未来的学校是开放式的
======
> 一个学生对现代教育并不那么悲观的观点。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/EDU_OSDC_BYU_520x292_FINAL.png?itok=NVY7vR8o)

最近有些人和我说现代教育会是什么样子，我回答说：就像过去一百年一样。我们为什么会对我们的教育体系保持悲观态度呢？

这不是一个悲观的观点，而是一个务实的观点。任何花时间在学校的人都会有同样的感觉，我们对教导年轻人的方式固执地抵制变革。随着美国学校开始新的一年，大多数学生回到了桌子排成一排排的教室。教学环境主要以教师为中心，学生的进步由卡内基单位和 A-F 评分来衡量，而合作通常被认为是作弊。

我们从哪能够找到证据指出这种工业化模式正在产生所预想的结果？每个孩子都得到个人关注，以培养对学习的热爱，并发展出当今创新经济中茁壮成长所需的技能，我们很可能对现状非常满意。 但是，任何真实客观地看待当前的指标都表明要从基本开始改变。

但我的观点并非悲观。 事实上，非常乐观。

尽管我们可以很容易的阐述现代教育的问题所在，但我也知道一个例子，教育利益相关者愿意走出那些舒适的环境，并挑战这个对变革无动于衷的体系。教师要与同龄人进行更多的合作，并采取更多方式公开透明的对原型创意进行展示，从而为学生带来真正的创新 —— 而不是通过技术重新包装传统方法。管理员通过以社区为中心，基于项目的学习，实现更深入、更紧密的学习实际的应用程序 —— 不仅仅是在孤立的教室中“做项目”。 父母们想把学习的快乐回归到学校的文化，这些文化因强调考试而受到损害。

所有文化变革向来都不容易，特别是在面对任何考试成绩下降（无论统计意义如何重要）都面临政治反弹的环境中，因此人们不愿意承担风险。
那么为什么我乐观地认为我们正在接近一个临界点，我们所需要的变化确实可以克服长期挫败它们的惯性呢？

因为在我们的现代时代，社会中还有其他东西在以前没有出现过：开放的精神，由数字技术催化。

想一想：如果你需要为即将到来的法国旅行学习基本的法语，你该怎么办？ 您可以在当地社区学院注册一门课程或者从图书馆借书，但很有可能，您会用免费在线视频并了解旅行所需的基本知识。人类历史上从未有过免费的按需学习。事实上，人们可以参加麻省理工学院关于“[应用数学的专题：线性代数和变异微积分][1]的免费在线课程。报名参加吧！

为什么麻省理工学院、斯坦福大学和哈佛大学等学校提供免费课程？ 为什么人们和公司愿意公开分享曾经严格控制的知识产权？为什么全球各地的人们都愿意花时间，无偿地帮助公民科学项目呢？

David Price 在他那本很棒的书《[开放：我们将如何在未来工作和学习][2]》中，清楚地描述了非正式的社交学习如何成为新的学习规范，尤其是习惯于能够及时获取他们需要的知识学习的年轻人。通过一系列案例研究，Price 清楚地描绘了当传统制度不适应这种新现实并因此变得越来越不相关时会发生什么。这是缺失的元素，它能让众包产生积极的颠覆性的影响。

Price 指出（以及人们现在对基层的要求）正是一场开放的运动，人们认识到开放式合作和自由交换思想已经破坏了从音乐到软件再到出版的生态系统。 而且，除了任何自上而下推动的“改革”之外，这种对开放性的期望有可能从根本上改变长期以来一直抵制变革的教育体系。事实上，开放精神的标志之一是，它期望知识的透明和公平民主化，造福所有人。那么，对于这样一种精神而言，还有什么生态系统能比试图让年轻人做好准备，继承这个世界、让这个世界变得更好呢？

当然，也有另一种悲观的声音说，我早期关于教育未来的预测可能确实是短期未来的教育状况。但我也非常乐观地认为，这种说法将被证明是错误的。 我知道我和许多其他志趣相投的教育工作者每天都在努力证明这是错误的。 当我们开始帮助我们的学校[转变为开放式组织][3] —— 从过时的传统模式过渡到更开放、灵活，响应每个学生和他们服务的社区需要的时候，你会加入我吗？

这是适合现代时代的真正教育模式。

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/18/9/modern-education-open-education

作者：[Ben Owens][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[hkurj](https://github.com/hkurj)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/engineerteacher
[1]: https://ocw.mit.edu/courses/mechanical-engineering/2-035-special-topics-in-mathematics-with-applications-linear-algebra-and-the-calculus-of-variations-spring-2007/
[2]: https://www.goodreads.com/book/show/18730272-open
[3]: https://opensource.com/open-organization/resources/open-org-definition
