如何用 Gonimo 创建一个免费的婴儿监视系统
======
> 当你可以用两个设备、浏览器和网络连接就能免费搭建一个婴儿监视器时，谁还会花钱去买呢？

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/baby.png?itok=7jyDs9vE)

新父母和准父母很快就会知道将会有一个既长且昂贵的新生儿所需设备的清单，清单中的首位是一个婴儿监视器，借此他们可以在做其他事情时照看自己的婴儿，但这儿有一件不必消耗你的婴儿经费的设备，Gonimo 是一个可以将现有的设备转换成婴儿监控系统的自由开源解决方案，附近大型婴儿用品商店的过道中有数以千计的其他必备或时尚物品，就可以为其中某一个腾出一些婴儿的预算。

Gonimo 诞生时，它的开发者，一个有双胞胎的开源粉丝，发现现有选择存在问题：

  * 现有硬件婴儿监视器价格昂贵，使用范围有限，需要您带着额外的设备。
  * 虽然有移动监控应用程序，但大多数现有的 iOS / Android 婴儿监控应用程序都不可靠且不安全，不太容易找到开源产品。
  * 如果您有两个小孩（例如双胞胎），您将需要两台监视器，使您的成本翻倍。

Gonimo 是作为一个解决典型的监视器的缺点的开源解决方案而创建的：

  * 昂贵？不，它是免费的！
  * 使用范围有限？不，它适用于互联网 / WiFi，无论您身在何处。
  * 下载并安装应用程序？噢不，它适用于您现有的网络浏览器。
  * 购买新设备？不用，你可以使用任何笔记本电脑、手机或平板电脑与网络浏览器和麦克风和/或相机。

（注意：遗憾的是，Apple iOS 设备尚不支持，但预计很快就会发生变化 —— 请继续阅读，了解如何帮实现这一目标。）

### 开始

将您的设备转换为婴儿监视器很容易。从您设备的浏览器（理想情况下为 Chrome），访问 [gonimo.com][1] 并单击 “Start baby monitor” 以访问该 Web 应用程序。

1、创建家庭：在首次启动的屏幕上，你会看到一只可爱的兔子在地球上奔跑。这是您创建新家庭的地方。单击 “+” 按钮并接受随机生成的姓氏或键入您自己的选择。

![Start screen][3]

*从开始屏幕创建一个新家庭*

2、邀请设备：建立完家庭以后，下个屏幕将指示您邀请其他设备加入你的 Gonimo 家庭。您可以通过电子邮件直接发送一次性邀请链接，也可以将其复制并粘贴到消息中。对其他设备，只需打开该链接并接受邀请。对您要邀请的任何其他设备重复此过程。您的设备现在属于同一家庭，可以作为一个完全正常工作的婴儿监视器系统进行配合。

![Invite screen][5]

*邀请家庭成员*

3、启动婴儿站流：接下来，通过转到 [Gonimo 主屏][6]，点击带有奶嘴的按钮，并允许网络浏览器访问设备的麦克风和摄像头，选择将婴儿的音频和视频流式传输到父母的设备。调整相机以指向宝宝的床，或关闭它以节省设备电池（音频仍将流式传输）。点击“Start”。该流现在处于活动状态。

![Select baby station][8]

*选择婴儿站*

![Press Start][10]

*按“Start”开始以流式传输视频*

4、连接到父母站流：要查看婴儿站流，请转到 Gonimo 家族中的另外的设备 —— 即父母站。点击 Gonimo 主屏幕上的 “Parent” 按钮。您将看到该系列中所有设备的列表；旁边有一个闪动的“Connect”按钮的是活跃的婴儿站。选择“Connect”，您可以通过点对点音频/视频流看到和听到您的宝宝。音量条为传输的音频流提供可视化。

![Select parent station][12]

*选择父母站*

![Press Connect][14]

*按下“Connect”开始观看婴儿流。*

5、恭喜！您已成功将设备直接通过网络浏览器转换为婴儿监视器，无需下载或安装任何应用程序！

有关重命名设备，从系列中删除设备或删除系列的详细信息和详细说明，请查看 gonimo.com 的[视频教程][15]。

### 家庭系统的灵活性

Gonimo 的优势之一是其基于家庭的系统，它为即使在商业 Android 或 iOS 应用中也无法提供的各种情况提供了极大的灵活性。要深入了解这些功能，我们假设您创建了一个由三个设备组成的家庭系统。

* 多婴儿：如果你想留意你在两个不同房间睡觉的两个小孩怎么办？在每个孩子的房间放一个设备，并将其设置为婴儿站。第三个设备将充当父母站，您可以在其上连接到两个流并通过分屏查看您的幼儿。您甚至可以通过向该家庭系统提供更多设备，并将其设置为婴儿站来将此用例扩展到两个以上的婴儿站。只要您的父母站连接到第一个婴儿站，请单击左上角的后退箭头返回“设备概述”屏幕。现在您可以连接到第二个（以及依次为第三个、第四个、第五个和第五个等）设备，并自动建立分屏。酷！
* 多父母：如果爸爸想在他上班的时候看孩子怎么办？只需邀请第四个设备（例如，他的办公室 PC ）到家庭并将其设置为父母站。父母双方都可以通过他们自己的设备同时检查他们的孩子，甚至可以独立地选择他们希望连接的孩子。
* 多家庭：单个设备也可以是几个家庭系统的一部分。当您的婴儿站与您一起时，如平板电脑，您经常访问亲戚或朋友时，这非常有用。为“奶奶的房子”或“约翰叔叔的房子”创建另一个家庭，其中包括您的婴儿站设备与奶奶或约翰叔叔的设备配对。您可以随时通过婴儿站设备的 Gonimo 主屏幕在这些家庭中切换婴儿站设备。

### 想要参加吗？

Gonimo 团队喜欢开源。代码来自社区，代码用于社区。Gonimo 的用户对我们非常重要，但它们只是 Gonimo 故事的一部分。幕后有创意的大脑是创造出色婴儿监视器体验的关键。

目前我们特别需要那些愿意成为 iOS 11 测试者的人的帮助，因为 Apple 在 iOS 11 中对 WebRTC 的支持意味着我们最终将能够支持 iOS 设备。如果可以，请帮助我们实现这个令人赞叹的里程碑。

如果您了解 Haskell 或想要了解它，您可以查看 [GitHub 上我们的代码][16]。欢迎发起拉取请求、审查代码以及提出问题。

最后，请通过向新父母和开源世界宣传 Gonimo 婴儿监视器是易于使用并且便携的。

### 关于作者

Robert Klotzner：我是双胞胎的父亲，一个程序员。当我听到普通人可以给计算机编程时，我买了一本 1200 页的关于 C++ 的书开始学习，我当时才十五岁。我坚持用 C++ 相当长的一段时间，学习了 Java  又回归到 C++，学习了 D、Python 等等，最终学习了 Haskell。我喜欢 Haskell 是因为它丰富的类型系统，这几乎可以避免我书写错误的代码。强壮的静态类型和性能让我爱上了 C++……

--------------------------------------------------------------------------------

via: https://opensource.com/article/17/9/gonimo

作者：[Robert Klotzner][a]
译者：[lintaov587](https://github.com/lintaov587)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/robert-klotzner
[1]:https://gonimo.com/
[2]:/file/371256
[3]:https://opensource.com/sites/default/files/u128651/start-screen.png (Start screen)
[4]:/file/371236
[5]:https://opensource.com/sites/default/files/u128651/invite-screen.png (Invite screen)
[6]:https://app.gonimo.com/
[7]:/file/371231
[8]:https://opensource.com/sites/default/files/u128651/baby-select.png (Select baby station)
[9]:/file/371226
[10]:https://opensource.com/sites/default/files/u128651/baby-screen.png (Press Start)
[11]:/file/371251
[12]:https://opensource.com/sites/default/files/u128651/parent-select.png (Select parent station)
[13]:/file/371241
[14]:https://opensource.com/sites/default/files/u128651/parent-screen.png (Press Connect)
[15]:https://gonimo.com/index.php#intro
[16]:https://github.com/gonimo/gonimo
