快速开发游戏的十个关键
======

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/computer_keyboard_laptop_development_code_woman.png?itok=vbYz6jjb)

十月初，由 Opensource.com 赞助的首届 [Open Jam][1] 吸引了来自世界各地的团队的 45 个参赛项目。这些队伍只用了三天时间就用开源软件制作出一个游戏来参与角逐，[有三支队伍取得了胜利][2]。

我们在我们的大学为每一位愿意参与的人举办了我们自己的 Open Jam 活动。我们预留了周末的计算机实验室，并教大家使用开源软件来创建游戏和游戏素材：游戏引擎：[Godot][3]、音乐：[LMMS][4]、2D 素材：[GIMP][5]、3D 素材：[Blender][6]。我们的活动产出了三个游戏：[Loathsome][7]、[Lost Artist][8] 和 [Paint Rider][9]（我做的）。

根据我在游戏开发和游戏开发方面的经验，这里有 10 条关于游戏引擎、编码和快速游戏开发的经验教训。

### 1、限定规模

很容易想要去做一个规模宏大的冒险游戏或者可以比拟你最喜欢的游戏的东西。如果你有一些经验，追求超乎游戏 Jam 活动的东西可能很酷，但不要高估自己拥有的时间。我欣赏游戏 Jam 活动的一点是它强制你快速将一个游戏从概念阶段变成最终产品，因为你的时间非常有限。这也就是限定规模如此重要的原因。

这个 Open Jam 的主题是“留下痕迹”，题目一出来，我和朋友就开始讨论什么样的游戏适合该主题。一个想法就是做玩家能在敌人身上留下伤痕的 3D 拳击游戏。我几乎没有做 3D 游戏的经验，我想做好的话，在我甚至还没发掘出可玩性之前，就得花太多时间在学习如何让痕迹合理和打击有效。

### 2、尽早可玩

这是我对游戏 Jam 活动最中肯的建议。试着做出核心机制，快速写出代码，这样你就可以测试并决定它是否值得做成一个完整的游戏。不应该只剩几个小时截止了，你的游戏才可玩。像 Open Jam 这样的三天的活动，不应该花费几个小时以上来做一个可以运行的演示。

### 3、保持简单

你想加入的每个特性都会延长整个开发时间。因为你不能迅速使之运行，所以无从得知提交一个新特性是否会消耗大量时间。街机风格的高分作品往往会在游戏 Jam 活动中表现良好，它们天生就很简单。一旦核心部分完成，你可以开始加入特性并润色，无需担心最后游戏是否功能正常。

### 4、从其他游戏获取灵感

可能你想做出完全原创的作品，但有个可以基于它开发的原型极其有用。这将节省重复劳动的时间，因为你已经知道什么有趣。告诉自己实践的经验越多，越容易做出包含自己想法的大型游戏，所以你也能从再创作其他人的作品中得到很好地练习。

考虑到 Open Jam 的“留下痕迹”主题，我觉得创作一个玩的时候可以留下颜料痕迹的游戏会很有趣，这样也可以看到你留下的标记。我记得有款老式动画游戏 [Line Rider 2 Beta][10] （后来叫 Paint Rider），而且知道玩的时候按住 Control 键可以画出痕迹的彩蛋。我简化了这个概念，甚至只需要一个按键来垂直移动。（更像老式飞机游戏）。进入到 Jam 活动大概一两个小时后，我就有了基本模型，可以用一个按钮上下移动和留下小黑圈的痕迹。

### 5、不要忽视可得性

确保尽可能多的人能玩你的游戏。某个提交到 Open Jam 的游戏是虚拟现实游戏。尽管那很酷，但几乎没有人可以玩，因为拥有 VR 设备的人不多。所幸它的开发者并不期望取得好名次，只是想练手。但如果你想和人们分享你的游戏（或者赢得游戏 Jam 活动），注意可得性是很重要的。

Godot （和其他大多数游戏引擎）允许你在所有主流平台发布游戏。提交游戏时，特别是在 [Itch.io][11]，有个浏览器版本就可以支持大多数人玩。但尽你所能去发布在更多的平台和操作系统上。我甚至试着在移动端发布 Paint Rider，但技术有限。

### 6、不要做得太难

如果游戏需要花费过多精力去学或者玩，你将失去一部分玩家。要保持简单和限定规模，这在游戏计划阶段非常重要。再次重申，想出一个需要花上十天半个月开发的宏大的游戏创意很容易；难的是做出好玩、简单的游戏。

给我的妈妈介绍了 Paint Rider 之后，她很快开始玩起来，我认为不需要跟她说明更多。

### 7、不用太整洁

如果你习惯于花时间在设计模式上和确保代码可复用、可适应，试着放松一点。如果你花太多时间考虑设计，当你最后到了可以玩游戏的时候，你可能发现游戏不是很有趣，那时候就来不及修改了。

这过程也适用于简化更严格的游戏：快速码出验证概念性展示模型，直到找出值得做成完整游戏的，然后你可以潜心建立完美的代码来支持它。为游戏 Jame 活动创作的游戏就像是个快速开发一个可验证的模型一样。

### 8、但也不要太随意

另一方面， [意大利面式代码][12] 容易失控，即使游戏开发没有大量代码。还好大多是游戏引擎都考虑到了设计模式。就拿 Godot 的[信号][13] 功能来说，节点可以发送数据信息给它们“连上了”的节点 —— 这是你的设计自动成型的[观察者模式][14]。只要你知道如何利用这种游戏引擎的特性的优势，就可以快速写代码，你的代码也不会特别难读。

### 9、取得反馈

向人们展示你正在做的。让他们试一试并看看他们说些啥。看看他们如何玩你的游戏，找找他们有没有发现你预料之外的事。如果游戏 Jam 活动有 [Discord][15] 频道或者类似的，把你的游戏放上去，人们会反馈给你想法。Paint Rider 的一个确定的功能是画布循环，所以你可以看到之前留下来的画。在有人问我为什么这个游戏没有之前，我甚至没有考虑那个机制。 

团队协作的话，确保有可以传递周围反馈的人参与这个开发。

而且不要忘了用相同的方式帮助其他人；如果你在玩其他人游戏的时候发现了有助于你游戏的东西，这就是双赢。

### 10、哪里找资源

做出所有你自己的资源真的会拖你后腿。Open Jam 期间，当我忙于组装新特性和修漏洞时，我注意到 Loathsome 的开发者花了大量时间在绘制主要角色上。你可以简化游戏的艺术风格创作并且用一些视听效果尚可的东西，但这里还有其他选择。试着寻找 [Creative Commons][16] 许可的或免费音乐站点（比如 [Anttis Instrumentals][17]）的资源。或者，可行的话，组建一个有专门艺术家、作家或者音乐家的团队。

其他你可能觉得有用的软件有 [Krita][18]，这是一款适合数字绘画的开源 2D 图像生成软件，特别是如果你有一块绘图板的话；还有 [sfxr][19]，这是一款游戏音效生成软件，很多参数可以调，但正如它的开发者所说：“它的基本用法包括了按下随机按钮。”（Paint Rider 的所有音效都是用 Sfxr 做的。）你也可以试试 [Calinou][20] 的众多但有序的开源游戏开发软件列表。

你参加 Open Jam 或者其他游戏 Jam 并有别的建议吗？对我未提及的有问题吗？有的话，请在评论中分享。

--------------------------------------------------------------------------------

via: https://opensource.com/article/17/12/10-keys-rapid-open-source-game-development

作者：[Ryan Estes][a]
译者：[XYenChi](https://github.com/XYenChi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/figytuna
[1]:https://itch.io/jam/open-jam-1
[2]:https://opensource.com/article/17/11/open-jam
[3]:https://godotengine.org/
[4]:https://lmms.io/
[5]:https://www.gimp.org/
[6]:https://www.blender.org/
[7]:https://astropippin.itch.io/loathsome
[8]:https://masonraus.itch.io/lost-artist
[9]:https://figytuna.itch.io/paint-rider
[10]:http://www.andkon.com/arcade/racing/lineriderbeta2/
[11]:https://itch.io/
[12]:https://en.wikipedia.org/wiki/Spaghetti_code
[13]:http://kidscancode.org/blog/2017/03/godot_101_07/
[14]:https://en.wikipedia.org/wiki/Observer_pattern
[15]:https://discordapp.com/
[16]:https://creativecommons.org/
[17]:http://www.soundclick.com/bands/default.cfm?bandID=1277008
[18]:https://krita.org/en/
[19]:http://www.drpetter.se/project_sfxr.html
[20]:https://notabug.org/Calinou/awesome-gamedev/src/master/README.md
