5 款 Linux 街机游戏
================

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/arcade_game_gaming.jpg?itok=84Rjk_32)

长久以来，游戏都是 Linux 的软肋。近些年，Steam、GOG 等游戏发布平台上不少商业游戏都开始支持 Linux，这对于 Linux 的游戏生态来说是件好事，但是我们能在这些平台上玩到的游戏通常是不开源的商业作品。当然，这些游戏在一个开源的操作系统上运行，但对于一个开源提倡者来说这似乎还不够纯粹。

那么，我们能找到既自由开源又能给玩家带来完整游戏体验的优质游戏吗？当然！虽然绝大多数的开源游戏很难和 3A 商业游戏大作竞争，但仍然有不少各种类型的开源游戏，不仅内容有趣而且直接可以通过几大 Linux 发行版本库中直接安装。

本文首先介绍 Linux 开源游戏中的街机类型游戏，在之后的文章中，我将介绍桌面和卡牌游戏，解谜游戏，竞速游戏，以及策略模拟游戏。

### <ruby>太空危机<rt>AstroMenace</rt></ruby>

![](https://opensource.com/sites/default/files/u128651/astromenace.png)

[太空危机][3] 是一个近现代太空背景下的滚动页面射击游戏。开发初期它是一个闭源游戏，但它的代码和素材而后以开源许可证发布了。游戏玩法和大多数此类游戏大同小异，但它有质量极高的 3D 画面。飞船和武器升级可以通过击杀敌人所获得的点数购买。游戏的难度可以选择，因此适合新手以及想要追求挑战的硬核玩家。

安装太空危机，你只需要在终端下运行以下指令：

- Fedora 用户： `dnf install astromenace`
- Debian/Ubuntu 用户： `apt install astromenace`

### <ruby>坦克战役<rt>Battle Tanks</rt></ruby>

![](https://opensource.com/sites/default/files/u128651/battle_tanks.png)

[坦克战役][4] 是一个俯瞰式视角的快节奏坦克战斗游戏。玩家可以选择三种不同的陆地坦克，操纵其在地图上前行，收集道具并且尝试炸飞敌军。它有四种游戏模式，死亡竞赛（又称“死斗”）、团队死斗、夺旗模式和合作模式。死斗和夺旗模式下，分别有 9 张地图可供玩家选择，合作模式则有 4 张。该游戏支持分屏本地双人游戏，以及在线多人竞技。游戏节奏很快，默认一次战役仅 5 分钟，因此，坦克战役十分适合想要利用零碎时间快速来一局的玩家。

安装坦克战役，你只需要在终端下运行以下指令：

- Fedora 用户： `dnf install btanks`
- Debian/Ubuntu 用户： `apt install btanks`

### <ruby>火星<rt>M.A.R.S.</rt></ruby>

![](https://opensource.com/sites/default/files/u128651/m.a.r.s.png)

[火星][5] 是一个自上而下的太空射击游戏，游戏机制类似传统街机游戏 “<ruby>爆破彗星<rt>Asteroids</rt></ruby>”。玩家在操控一个太空船的同时向敌方射击并躲避敌军的弹幕射击。游戏有标准的死斗和团体死斗模式，除此之外也有更新鲜的比赛形式 —— 例如在一个模式下，玩家需要控制一个球使其进入敌方母星。该游戏支持本地多人游戏，但遗憾的是不支持多人联机。该游戏的开发更新似乎已经停止，所以该游戏之后增加联机模式的几率很小，但就算没有联机支持，这个游戏仍然值得一试。

安装火星，你只需要在终端下运行以下指令：

- Fedora 用户： `dnf install marsshooter`
- Debian/Ubuntu 用户： `apt install marsshooter`

### <ruby>不存在之球<rt>Neverball</rt></ruby>

![](https://opensource.com/sites/default/files/u128651/neverball.png)

[不存在之球][6] 的游戏灵感来源自世嘉的 “<ruby>超级猴子球<rt>Super Monkey Ball</rt></ruby>” ，玩家需要将一个球在 3D 球场上运动起来，但是玩家控制的不是球，而是球场。游戏任务是在规定的时限内，收集足够多的金币从而打开该关卡的出口并且将小球落进该洞中。游戏可以调整难度，从休闲到难以超乎想象，可以适应不同的玩家需求。该游戏支持键盘/鼠标以及控制杆操作。

安装不存在之球，你只需要在终端下运行以下指令:

- Fedora 用户：`dnf install neverball`
- Debian/Ubuntu 用户：`apt install neverball`

### <ruby>超级 Tux<rt>SuperTux</rt></ruby>

![](https://opensource.com/sites/default/files/u128651/supertux.png)

[超级 Tux][7] 是继任天堂超级马里奥后的一款 2D 的平台跳跃游戏。Linux 的吉祥物企鹅 Tux 代替了马里奥，而鸡蛋对应着马里奥系列中的蘑菇能力提升。当 Tux 获得了鸡蛋得到了能力提升，它便可以收集花朵，而花朵可以带来新的附加特殊能力。火焰花在关卡中最为常见，收集了火焰花的 Tux 可以掷出火球。除此之外，冰冻花/空气花/土地花也在游戏的程序中。收集星星的能力提升能使 Tux 暂时变得隐形，就如同马里奥系列游戏。该游戏最基础的一组关卡，冰之岛也有 30 关之多，因此游戏的内容和流程和超级马里奥系列一般长。SuperTux 还有一些附加关卡，例如三个额外奖励小岛、一个森林之岛、一个万圣节岛、一个孵化处，以及很多测试关卡。SuperTux 有一个自带的关卡编辑器，所以玩家可以创建他们的原创关卡。

安装超级 Tux，你只需要在终端下运行以下指令:

- Fedora 用户：`dnf install supertux`
- Debian/Ubuntu 用户: `apt install supertux`

如果我没有在上文中提及你最喜欢的开源街机游戏，欢迎在评论中分享。

### 有关作者

Joshua Allen Holm - 是 Opensource.com 的社区协调者之一。他的主要兴趣有数字人文、学术开放以及公开教育资源。你可以在 GitHub、GitLab、LinkedIn 和 Zotero 上找到他。可以通过 holmja@opensource.com 联系到他。

------

via: https://opensource.com/article/18/1/arcade-games-linux

作者：[Joshua Allen Holm][a]
译者：[Scoutydren](https://github.com/Scoutydren)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/holmja
[1]: http://store.steampowered.com/
[2]: https://www.gog.com/
[3]: http://www.viewizard.com/
[4]: http://btanks.sourceforge.net/blog/about-game
[5]: http://mars-game.sourceforge.net/?page_id=10
[6]: https://neverball.org/index.php
[7]: http://supertux.org/
