关于团队敏捷开发实践的 6 个常见问题
======

> 专家回答了敏捷实践如何帮助团队更有效的 6 个常见问题。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/collab-team-pair-programming-code-keyboard.png?itok=kBeRTFL1)

”有问题么？“

你可能听过演讲者在演讲结束的时候提出这个问题。这是演讲中最重要的部分 —— 毕竟，你不仅仅是听讲座, 而是参加讨论和社群交流。

最近，我有机会听到我的同伴 Red Hatters 给当地一所大学的一群技术型学生做一个名为 “[敏捷实践][1]” 的讲座。讲座中有软件工程师 Tomas Tomecek 和敏捷开发的从业者 Fernando Colleone 、Pavel Najman 合作解释了敏捷开发方法的基础，并展示最佳实践在日常活动中的应用。

知道了学生们参加这个课程是为了了解什么是敏捷实践以及如何将其应用于项目，我想知道学生们的问题会与我作为敏捷从业者在 Red Hat 每天听到的问题相比有什么不同。结果学生的疑问和我的同事们如出一辙。这些问题都直指敏捷实践的核心。

### 1、完美的团队规模是多大？

学生们想知道一个小团队和一个大团队的规模是多少。这个问题与任何曾经合作过做项目的人都是相关的。根据 Tomas 作为技术领导的经验，12 个人从事的项目被认为是一个大型团队。现实中，团队规模通常与生产力没有直接关系。在有些时候，在一个地方或同一个时区的小团队也许会比一个成员分布在满世界的大团队更具有生产力。最终，该讲座建议理想的团队大小大概是 5 个人（正如 scrum 开发方法的 7，+-2）。

### 2、团队会面临哪些实际挑战？

演讲者比较了由本地团队组成的项目（团队成员都是一个办公室的，或者相邻近的人）与分散型的团队（位于不同时区）。当项目需要团队成员之间密切合作时，工程师更喜欢本地的团队，因为时间差异造成的延迟可能会破坏软件开发的“流”。同时，分散型团队可以将可能不适用与当地项目但适用于某些开发用例的技能集合在一起。此外，还有各种最佳方法可用于改进分散型团队中的合作方式。

### 3、整理堆积的工作需要多少时间？

因为这是一个对于新学习敏捷的学生的介绍性质的演讲，演讲者着重把 [Scrum][2] 和 [Kanban][3] 作为介绍敏捷开发的方法。他们使用 Scrum 框架来作为说明软件编写的方法，并且用 Kanban 作为工作规划和沟通的系统。关于需要多少时间来整理项目堆积的工作，演讲者解释说并没有固定的准则，相对的，实践出真知：在开发的早期阶段，当一个崭新的项目 —— 特别如果团队里有新人 —— 每周可能会花费数个小时在整理工作上。随着时间推移和不断地练习，会越来越高效。

### 4、产品负责人是否是必要的? 他们扮演什么样的角色？

产品负责人会帮助团队更方便的拓展，然而，职位名称并不重要，重要的是你的团队中有人能够传递用户的意愿。在许多团队中，特别是在大型团队中从事单个任务的团队，首席工程师就可以担任产品负责人。

### 5、建议使用哪些敏捷开发的工具？使用 Scrum 或 Kanban 做敏捷开发的时候必须用特定的软件么？

尽管使用一些专业软件例如 Jira 或 Trello 会很有帮助，特别是在与大量从事大型企业项目的工作者合作时，但它们不是必需的。Scrum 和 Kanban 可以使用像纸卡这样简单的工具完成。关键是在团队中要有一个清晰的信息来源和紧密的交流。推荐两个优秀的 kanban 开源工具 [Taiga][4] 和 [Wekan][5]。更多信息请查看 [Trello 的 5 个开源替代品][6] 和 [敏捷团队的最好的 7 个开源项目管理工具][7] 。

### 6、学生如何在学校项目中使用敏捷开发技术?

演讲者鼓励学生使用 kanban 在项目结束前使用可视化和概述要完成的任务。关键是要创建一个公共板块，这样整个团队就可以看到项目的状态。通过使用 kanban 或者类似的高度可视化的策略，学生不会在项目后期才发现个别成员没有跟上进度。

Scrum 实践比如 sprints 和 daily standups 也是确认每个人都在进步以及项目的各个部分最终会一起发挥作用的绝佳方法。定期检查和信息共享也至关重要。更多关于 Scrum 的信息，访问 [什么是 scrum？][8] 。

牢记 Kanban 和 Scrum 只是敏捷开发中众多框架和工具中的两个而已。它们可能不是应对每一种情况的最佳方法。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/3/agile-mindset

作者：[Dominika Bula][a]
译者：[lixinyuxx](https://github.com/lixinxyuxx)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/dominika
[1]:http://zijemeit.cz/sessions/agile-in-practice/
[2]:https://www.scrum.org/resources/what-is-scrum
[3]:https://en.wikipedia.org/wiki/Kanban
[4]:https://taiga.io/
[5]:https://wekan.github.io/
[6]:https://opensource.com/alternatives/trello
[7]:https://opensource.com/article/18/2/agile-project-management-tools
[8]:https://opensource.com/resources/scrum
