使用 Xfce Linux 桌面环境的 8 个理由
============================
> 整体上很优雅的 Xfce 桌面所具备的足够轻巧和快速的特性能够让它很容易地知道如何做好一件事。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/linux_penguin_green.png?itok=ENdVzW22)

由于某些原因（也包括好奇），几周前我开始使用 [Xfce][1] 作为我的 Linux 桌面。促使我更换 Linux 桌面环境的原因之一是桌面相关的守护进程占据了我的性能非常强大的主工作站的绝大部分 CPU 资源和 I/O 带宽。当然，有些不稳定性可能是因为我删除了提供这些守护进程的 RPM 包。然而，事实是在我删除这些 RPM 包之前，KDE 就已经很不稳定了而且还导致了一系列其他方面的性能和稳定性问题。所以我需要换一个桌面来避免这些问题。

在回顾了我为 Linux 桌面所写的一系列文章后我才意识到我忽略了 Xfce。这篇文章也是力图能够纠正弥补这个疏忽。我非常喜欢 Xfce 也很享受它所带给我超乎预期的快速、轻量的体验。

作为研究的一部分，我有尝试过在 Google 上查询 Xfce 对应什么意思。有个历史参考是它对应着 “XForms Common Environment”，但 Xfce 早已不在使用 XForms 工具。几年前，我找到另一个参考是 “Xtra fine computing environment” 而且我也很喜欢这个解释。我将会用它作为 Xfce 的全称（尽管再也找不到这个参考页面）。

### 推荐 Xfce 的 8 个理由

#### 1、轻量级架构

Xfce 相对于其他的桌面如 KDE 和 GNOME，不管是内存还是 CPU 的占用率都非常小。在我的系统中，组成 Xfce 桌面的程序仅占用了少量内存就构成一个如此强大的桌面。超低的 CPU 占用率也是 Xfce 桌面的一个特点。了解到 Xfce 内存占用特别低后，我对它的 CPU 占用率也非常低这个特性自然而言也就不感到奇怪了。

#### 2、简洁

Xfce 桌面很简单，就像绒毛整洁的动物让人一目了然、赏心悦目。基础的桌面有两个面板和一条在左边垂直的图标行。面板 0 在底部，并由一些基础的应用启动程序和能访问到系统里对应程序的图标组成。面板 1 在顶部，由一个应用程序启动器和一个能够允许用户在多个工作区之间来回切换的工作区切换器组成。面板可以通过补充项自定义修改，比如增加个新的应用启动器或者更改它们的宽高。

桌面左侧的图标对应是家目录和垃圾桶。它也可以显示其他的图标，如完整的文件系统目录树和已连接上系统的可插拔的任意 USB 存储设备。这些图标可以用来挂载和卸载设备，也可以用来打开默认的文件管理器。如果你愿意，它们都可以被隐藏，同时文件系统、垃圾箱、家目录对应的图标都可以逐个控制管理。所有的可移动设备也可以被隐藏或作为一个组显示。

#### 3、文件管理

作为 Xfce 的默认文件管理器 Thunar，它很简单，既易于使用和配置也非常容易学习。尽管它并不像其他的文件管理器比如 Konqueror 或者 Dolphin 那样效果华丽，但它很强大也很快。Thunar 并不能在一个窗口里面打开多个面板，但它提供了选项卡来支持多个目录的同时打开。Thunar 也有一个非常漂亮的侧边栏，其上同样的图标就像桌面那样能够显示完整的文件系统目录树和所有已连接的 USB 存储设备。设备能够被挂载和卸载，可移动媒介如 CD 也能够被弹出。Thunar 也可以使用类似 Ark 这种帮助软件来在你点击归档文件的时候打开它们。比如 ZIP、TAR、RPM 这种归档文件都可以被浏览也可以从中复制单个文件。

![Xfce desktop][3]

*Xfce 桌面及 Thunar 和 Xfce 下的终端模拟器。*

在我的[文件管理器系列][4]文章中，我已经使用体验过很多不同的文件管理器软件，我不得不说 Thunar 的简单易用让你无法不喜欢上它。它可以让你通过使用侧边栏来很容易地浏览文件系统。

#### 4、稳定

Xfce 桌面非常稳定。新版本的发布周期似乎是三年，但也会根据需要发布相关更新。最新的版本是于 2015 年 2 月发布的 4.12。在使用 KDE 遇到一系列问题后，稳如磐石的 Xfce 桌面环境显得让人格外放心。在我使用 Xfce 的过程中，它从来没有崩溃过，也不会产生额外的守护进程占据过多的系统资源。这正是我想要的：它安安静静地工作，不会给你带来额外的困扰。

#### 5、优雅

Xfce 简单优雅。在我的今年秋天将面世的新书《系统管理员的 Linux 哲学》中我谈到了关于简单的一系列好处，包括简单事实上也是优雅的诸多标志之一。很明确能够确定的就是 Xfce 及相关组件程序的开发者和维护者也是极力推崇简单至上。这种简单特性很可能也是 Xfce 如此稳定的主要原因，但它也给用户带来了一个整洁的桌面外观，一个反应灵敏的操作界面，一个会让人感觉很自然也很易用的导航结构，而且 Xfce 整体上的优雅特性也会让用户的使用过程中充满愉悦感。

#### 6、终端仿真程序

Xfce4 的终端仿真程序非常强大，而且和其他很多终端仿真程序一样可以允许你使用多个选项卡来让多个终端在一个单独窗口里共存。尽管它与 Tilix、Terminator、Konsole 这种终端仿真程序比起来相对简陋，但它也能很好的完成工作。选项卡的名字可以更改，而且选项卡也可以通过拖放或者工具栏的箭头图标或者菜单栏的选项重新排列。我特别喜欢 Xfce 的终端仿真程序的一点就是不管你连接了多少主机，相对应的选项卡都会显示对应的主机名，比如，从 host1=>host2=>host3=>host4，会准确地在选项卡显示了 “host4”。但其他的终端仿真程序最多也就显示 “host2”。

至于这个终端仿真程序功能和外观的其他方面都可以根据你的需要很容易配置成你想要的。当然同 Xfce 的其他组件一样，这款终端仿真程序占用了系统资源的很少一部分。

#### 7、可配置性

Xfce 能够配置的范围极大。虽然 Xfce 桌面的可配置性比不上 KDE，但依旧远超 GNOME，而且比它更容易配置。比如，我发现设置管理器是 Xfce 配置一切的入口。虽然每个配置程序都可以单独使用，但是设置管理器把他们都放在一个窗口里以便快速访问。关于 Xfce 桌面很多重要的部分都可以通过配置来满足我的需求。

#### 8、模块化

Xfce 是由一系列单个的项目组成的整体，而且在你的 Linux 桌面发行版中也未必安装了 Xfce 的所有组件。[Xfce 项目][5] 的主页列出了主要的项目，所以你可以根据需要安装你想安装的附加组件。比如在我的 Fedora 28 workstation 版本上我安装的 Xfce 组时就没有 [Xfce 项目][5] 主页最下面的说明的一些程序。  

这里还有个关于 Xfce 的 [文档页面][6] 和 一个被称为 [Xfce 超值项目][7] 的 wiki 列举了其他的 Xfce 相关的项目，它们为 Xfce 的面板及 Thunar 提供了很多不错的应用程序、精美的插图、好用的插件。

### 总结

整体上很优雅的 Xfce 桌面所具备的足够轻巧和快速的特性能够让它很容易地知道如何做好一件事。它的轻量级的结构也节省了大量的 CPU 和内存资源。这也使得 Xfce 非常适合那种由于硬件有限而无法分配给桌面太多资源的旧主机。然而，Xfce 又是足够的灵活和强大的，能够满足高级用户的需要。

我知道，更换到一个新的 Linux 桌面环境需要你自己按照你想要的做些对应的自定义设置：比如面板上显示你最爱用的程序对应的启动器，设置下你最喜欢的桌面背景壁纸等一系列工作。这些年来我已经在切换到新桌面环境或更新旧桌面环境折腾很多次了。这需要时间也需要耐心。

我觉得切换 Linux 的桌面环境就像我在工作中换个办公工位或者办公室一样。别人把我的东西装箱从旧办公室搬到新办公室，然后我在我的新办公室里组装连接好我的电脑，打开箱子再把里面的东西放在合适的位置。而切换到 Xfce 桌面大概就是我做过的最简单省事容易的桌面环境更换了。


--------------------------------------------------------------------------------

via: https://opensource.com/article/18/6/xfce-desktop

作者：[David Both][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[WangYueScream](https://github.com/WangYueScream)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/dboth
[1]:https://xfce.org/
[2]:/file/401856
[3]:https://opensource.com/sites/default/files/uploads/xfce-desktop-01.png (Xfce desktop)
[4]:https://opensource.com/sitewide-search?search_api_views_fulltext=David%20Both%20File%20managers
[5]:https://xfce.org/projects
[6]:https://docs.xfce.org/
[7]:https://goodies.xfce.org/
