微型计算机的始祖：Altair 8800
======

《<ruby>大众电子<rt>Popular Electronics</rt></ruby>》的订阅者们是个复杂的群体，该杂志的编辑 Arthur Salsberg 不得不在 [1974 年 12 月刊][1] 中的前言部分指出这点。此前，杂志编辑组曾收到了对《如何搭建家庭媒体中心》文章的抱怨，称这篇文章激励了许多业余电视爱好者走出去，削弱了专业修理人员存在的必要性，这对许多人的电视造成了极大伤害。Salsberg 认为，这个担忧的产生可能是因为大家不清楚《大众电子》读者们的真实水平。他解释道，据杂志内部调查的数据显示，52% 的订阅者都是某方面的电子专家，并且其中的 150,000 人在最近 60 天之内都修过电视。此外，订阅者们平均在电子产品上花费了 470 美金（2018 年则是 3578 美金），并且他们拥有万用表、真空管伏特计、电子管测试仪、晶体管测试仪、射频讯号产生器和示波器等必要设备。“《大众电子》的读者们并不全都是新手。”Salsberg 总结道。

熟悉《大众电子》的人居然会质疑它的订阅者，这令我十分吃惊。不过最近 60 天我的确没修过电视。我的电脑对我来说就是一块铝，我甚至没把它拆开看过。1974 年 12 月的《大众电子》刊登的像《驻波比是什么以及如何处理它》和《对万用表的测试》之类的特色文章，甚至连广告都令人生畏。它们中有个看起来像某种立体声系统的东西大胆地写道“除了‘四通道单元（即内建的 SQ、RM 和 CD-4 解码接收器）’，没有任何音频设备是值得期待的”。这也表明了《大众电子》的订阅者一定对电子有很多深入的了解。

不过在 [1975 年 1 月刊][2] 中，该杂志为读者们带来了一些他们从没见过的东西。在标题“突破性项目”下面，杂志的封面是一个大大的黑灰色盒子，其前面板上有一组复杂开关和灯。这便是 Altair 8800，“世界上首个有商业竞争力的小型机”，它的售价低于 400 美元。尽管 Altair 被宣传作“<ruby>小型机<rt>minicomputer</rt></ruby>”，但它实际上是首个商业上成功的新型计算机成员，它首先被称为“<ruby>微型计算机<rt>microcomputers</rt></ruby>”，最终被称为 PC（<ruby>个人计算机<rt>Personal Computer</rt></ruby>）。Altair 十分小巧而且很便宜，以至于它成为了当时家家户户都能用起的电脑。正如 Salsberg 所写道，它在《大众电子》上的出现意味着：“家用电脑的时代终于到来了。”

![《大众电子》1975 年 1 月刊的封面][3]

此前，我曾写过 [关于 Altair 的文章][4]，但我觉得 Altair 值得重新审视。与当时其它的计算机相比，它并不是一台性能强劲的计算机（尽管它的成本要低得多），它也不是首个采用微处理器的通用计算机（在它之前已经至少有三个基于微处理器的计算机）。但是 Altair 是一种可供我们所有人使用的计算机。它是历史上我们所拥有的设备中首台流行的计算机，而早于 Altair 计算机都是完全不同的机器，那些大型机和笨重的迷你计算机由穿孔卡编程并且很少与之直接交互。不过 Altair 也是台极其简单的计算机，它没有附带任何操作系统甚至是引导程序。除非你为它购买外围设备，否则 Altair 就是一台装配了 RAM、前面板只有一组开关和灯泡的机器。由于 Altair 操作简单，使得重新理解基本的计算概念都成了十分简单的事情，正如模拟信号时代的人们第一次接触到数字设备一样。

### Roberts 和他的公司

Altair 是由一家名为<ruby>微型仪器和遥测系统<rt>Micro Instrumentation and Telemetry Systems</rt></ruby>（MITS）的公司所设计制造，这家公司位于美国新墨西哥州的阿尔布开克。MITS 由一个叫 H. Edward Roberts 的人经营。在进入计算器市场之前，该公司已经开始制造模型火箭的遥测系统，该市场在 20 世纪 70 年代初期蓬勃发展。集成电路大大降低了计算器的成本，突然之间它就成了美国每个在职的专业人士的必需品。不幸的是，由于计算器市场竞争过于激烈，到了 1974 年初，MITS 便负债累累。

1974 年在计算机界是<ruby>奇迹迭出的一年<rt>annus mirabilis</rt></ruby>。[^1] 一月的时候，惠普公司推出了世界首个可编程的手持计算器 HP-65。四月的时候，Intel 发布了 Intel 8080，这是他们的第二款 8 位微处理器，它也是首款广受欢迎的微处理器。接着，六月的时候，《<ruby>无线电电子<rt>Radio Electronics</rt></ruby>》杂志宣传了一台名为 Mark-8 的自制小型计算机，它使用了 Intel 在 1972 年推出的 Intel 8008 微处理器。Mark-8 是有史以来使用微处理器搭建的第三台电脑，它的首次登场是在杂志的封面上。[^2] Mark-8 在《无线电电子》上的出现促使了《大众电子》寻找他们要自己宣传的小型机项目。

《大众电子》的订阅者们其实早在 1974 年 12 月就通过邮件获得了 1975 年 1 月刊的刊物。[^3] 所以 Altair 的宣布为这个<ruby>奇迹迭出的一年<rt>annus mirabilis</rt></ruby>画上了圆满的句号。Altair 的出现是十分重要的，因为此前从未有过向公众提供的价格公道而又功能齐全的电脑。当时，作为最受欢迎的小型计算机之一的 PDP-8 要几千美金才能买到。然而作为 Altair 核心的 Intel 8080 芯片几乎能与 PDP-8 匹敌，甚至更强；8080 支持更广泛的指令集，而且 Altair 可以扩展到 64 kb 内存，显然强于仅有 4 kb 内存的 PDP-8。并且，Mark-8 也不是它的对手，因为它搭载的是只能处理 16 kb 内存的 Intel 8008。在 Mark-8 必须由用户按照说明书在印刷电路板上手动拼装的情况下，Altair 在购买时就已经被组装好了（不过由于后来 MITS 被大量订单淹没，最后真正能获得 Altair 的方式也只有买套件拼装了）。

对许多《大众电子》的读者来说，Altair 是他们了解数字计算的起点。1975 年 1 月刊上那篇介绍 Altair 的文章由 Roberts 和 Altair 的共同设计师 William Yates 所写。Roberts 和 Yates 煞费苦心地用电工和无线电狂热者们所熟悉的词汇来介绍了数字硬件和计算机编程的基本概念。他们写道：“一台计算机其实由一块可变的硬件。仅需修改储存于内存之中的位组合形式，便可改变硬件设备的种类。”同时，Roberts 和 Yates 认为编程的基本概念是“足够简单并能在较短时间内掌握，但是想要成为一个高效的程序员必须经验丰富且富有创造力。”对此我十分认同。尽管该部分已经完全组装好了，文章仍包含了用来讲解 Intel 8080 的组成电路的详细图表。文章解释了 CPU 和计算机内存单元的区别，堆栈指针的用法，和汇编语言以及更高级的语言（例如 FORTRAN 和 BASIC）比起手动输入机器码所带来的巨大优势。

其实，《大众电子》在 1975 年 1 月刊之前就出版过 Roberts 撰写的系列文章。这一系列作为短期课程被收录在“数字逻辑”专栏中。在 1974 年 12 月刊中，Roberts 为读者们带来了关于构建“超低成本计算机终端”的文章，文章中介绍了可以用于 8 位电脑中输入值的八进制键盘。在介绍这个键盘时，Roberts 解释了晶体管到晶体管的逻辑工作原理，以及关于构建一种可以“记住”数字值的触发器的方法。Roberts 承诺说，这个键盘可以在下个月即将公布的 Altair 电脑中使用。

有多少《大众电子》的读者制作了这个键盘我们无从得知，但是那个键盘的确是个很有用的东西。如果没有键盘和其它输入设备，我们只能通过拨动 Altair 面板上的开关来输入值。Altair 的前面板上有一行 16 个开关被用来设置地址，而下方的 8 个则是用来操作计算机的。一行 16 个开关中最右边的 8 个开关也能用来指定要储存在内存中的值。这么做不无道理，因为 Intel 8080 使用 16 位的值来寻址 8 位的字。而前面板的这 16 个开关每一个都代表了一个位，当开关向上时代表 1，向下则代表 0。用这样的方式与计算机交互是个启示（一会儿我们就会讲到），因为 Altair 的面板是真正的二进制界面。这使得你可以尽可能地接触到计算机实体。

尽管在当下 Altair 的界面对我们来说完全不像是人用的，不过在那个时代却并不罕见。比如 PDP-8 的面板上有个类似的但更漂亮的二进制输入装置，而且它被涂上了吸引人的黄色和橙色，不过讲真，它真的应该卷土重来。然而 PDP-8 经常与纸带阅读器或电传打字机配合使用，这使得程序输入更加容易。这些 I/O 设备价格高昂，这意味着 Altair 的用户们大都会被那个前面板拦住。正如你可能想象的那样，通过这一堆开关输入一个大型程序是个苦差事。不过幸运的是，Altair 可以与盒式记录器连接，这样一来载入程序就不是什么难事了。Bill Gates 和 Paul Allen 在 MITS 的授权下为 Altair 编写了一个 BASIC 语言版本，并在 1975 年中期发行，这成为了微软有史以来的首次商业尝试。此后，那些买得起电传打字机的用户就能 [通过纸带来将 BASIC 载入 Altair][5] 了，并能使得用户能够通过文字与 Altair 交互。之后，BASIC 便成为了学生们最爱的入门编程语言，并成了早期小型机时代的标准接口。

### z80pack

多亏了网络上一些人，特别是 Udo Munk 的努力，你可以在你的计算机上运行 Altair 的模拟器。这个模拟器是在 Zilog Z80 CPU 的虚拟套件上构建的，这个 CPU 可以运行 Intel 8080 的软件。Altair 模拟器允许你像 Altair 的早期用户们一样拨动前面板上的开关。尽管点击这些开关的感觉不如拨动真实开关的触觉，但是使用 Altair 模拟器仍是一个能让你感受二进制人机交互效率有多低的途径，至少在我看来这非常简明直观。

z80pack 是 Udo Munk 开发的 Z80 模拟器套件，你可以在 z80pack 的官网上找到它的下载链接。我在 [上一篇介绍 Altair 的文章中][4] 写到过在 macOS 上使用它的详细过程。如果你能编译 FrontPanel 库和 `altairsim` 可执行程序，你应该能直接运行 `altairsim` 并看到这个窗口：

![模拟器中的 Altair 面板][6]

在新版的 z80pack 中（比如我正在使用的 1.36 版本），你可以使用一个叫 Tarbell boot ROM 的功能，我觉得这是用来加载磁盘镜像的。经我测试，这意味着你不能写入到 RAM 中的前几个字。在编辑 `/altairsim/conf/system.conf` 之后，你可以构建带有一个 16 页 RAM 且没有 ROM 或引导加载器的 Altair。除此之外，你还可以用这个配置文件来扩大运行模拟器的窗口大小，不得不说这还是挺方便的。

Altair 的面板看起来令人生畏，不过事实上并没有我们想象中的这么可怕。[Altair 说明书][7] 对解释开关和指示灯起到了很大的作用，这个 [YouTube 视频][8] 也是如此。若想输入和运行一个简易的程序，你只需要了解一点点东西。Altair 右上方标签为 D0 到 D7 的指示灯代表当前寻址的字的内容。标签为 A0 到 A15 的指示灯表示当前的地址。地址指示灯下的 16 个开关可以用来设置新地址；当 “EXAMINE” 开关被向上推动时，数据指示灯才会更新以显示新地址上的内容。用这个功能，你便能“观察”到内存中所有的信息了。你也可以将 “EXAMINE” 推下来“EXAMINE NEXT”位置，以自动检查下一个位置上的信息，这使得查看连续的信息更容易了。

要将位组合方式保存到内存信息中，请使用最右边的 8 个标签为 0 到 7 的开关。然后，请向上推动 “DEPOSIT” 按钮。

在《大众电子》 的 [1975 年 2 月刊][9] 中，Roberts 和 Yates 引导用户输入一小段程序来确保他们的 Altair 正常工作。这个程序从内存中读取两个整型数据并相加之后将和存回内存中。这个小程序仅由 6 条指令组成，但是这 6 条指令涉及了 14 个字的内存，所以要正确地输入它们需要一点时间。这个示例程序也被写入了 Altair 的说明书，原文如下：

| Address | Mnemonic | Bit Pattern | Octal Equivalent |
| :------: | :------: | :------: | :------: |
| 0 | LDA | 00 111 010 | 0 7 2 |
| 1 | (address) | 10 000 000 | 2 0 0 |
| 2 | (address) | 00 000 000 | 0 0 0 |
| 3 | MOV B, A | 01 000 111 | 1 0 7 |
| 4 | LDA | 00 111 010 | 0 7 2 |
| 5 | (address) | 10 000 001 | 2 0 1 |
| 6 | (address) | 00 000 000 | 0 0 0 |
| 7 | ADD B | 10 000 000 | 2 0 0 |
| 8 | STA | 00 110 010 | 0 6 2 |
| 9 | (address) | 10 000 010 | 2 0 2 |
| 10 | (address) | 00 000 000 | 0 0 0 |
| 11 | JMP | 11 000 011 | 3 0 3 |
| 12 | (address) | 00 000 000 | 0 0 0 |
| 13 | (address) | 00 000 000 | 0 0 0 |

如果你通过开关来将上表的这些值输入到 Altair，最终会得到一个程序，它会读取内存 128 中的值，并将其与 129 中的值相加，最终将其保存至 130 中。伴随每条取一个地址的指令的地址，它们最开始会给出最低有效位，这便是第二个字节总会被清零的原因了（没有高于 255 的地址）。在输入这个程序并在 128 和 129 中输入了一些值之后，你可以向下短暂推动 “RUN” ，之后再将它推到 “STOP” 位置。因为程序循环执行，以一秒内执行上千次的速度反复地添加并保存那些值。并且最后得到的值总是相同的，如果你停止该程序并查看 130 的内容，你应该能找到正确答案。

我不知道普通的 Altair 用户是否使用过汇编程序，不过 z80pack 包括了一个：`z80asm`，意思是<ruby>适用于 Z80 的汇编程序<rt>Z80 assembly</rt></ruby>，所以它使用了一组不同的助记符。不过因为 Z80 是被设计来兼容为 Intel 8080 写的软件的，所以即使助记符不一样，它们的操作码也是相同的。你可以直接将 `z80asm` 汇编码装载进 Altair：

```
        ORG  0000H
START:  LD   A,(80H)   ;Load from address 128.
        LD   B,A       ;Move loaded value from accumulator (A) to reg B.
        LD   A,(81H)   ;Load from address 129.
        ADD  A,B       ;Add A and B.
        LD   (82H),A   ;Store A at address 130.
        JP   START     ;Jump to start.
```

编译之后，你可以调用汇编程序来将其转换为 Intel HEX 文件：

```shell
$ ./z80asm -fh -oadd.hex add.asm
```

我们用带有 `h` 参数的 `-f` 标识来定义输出的 HEX 文件。你可以用 `-x` 标识来传递 HEX 文件，从而使得 Altair 能够加载该程序：

```shell
$ ./altairsim -x add.hex
```

这会在内存中自动设置前 14 个字，就和你通过开关手动输入这些值一样。你可以直接使用 “RUN” 按钮来替代以前那些繁琐的步骤，这是如此的简单！

我不觉得有很多 Altair 用户以这种方式来编写软件。Altair BASIC 发布后，使得 BASIC 成为了 Altair 编程最简单的方法。z80pack 同时也包括了一些不同版本 Altair BASIC 的 HEX 文件；在模拟器中，你可以用这个方式加载 4.0 版本的 4K BASIC：

```shell
$ ./altairsim -x basic4k40.hex
```

当你开启模拟器并按下 “RUN” 按钮之后，你就会看到 BASIC 开始执行了，同时它会在终端中与你交互。它首先会提示你输入你的内存可用量，我们输入 4000 字节。随后，在显示 “OK” 提示符之前，它会问你几个问题，Gates 和 Allen 用这个“OK”来代替标准的 “READY” 并以此节省内存。在这之后，你便可以使用 BASIC 了：

```
OK
PRINT 3 + 4
 7
```

虽然运行 BASIC 只有 4kb 的内存并没有给你足够的空间，但你可以看到它是如何从使用前面板迈出了重要的一步。

很显然，Altair 远不及如今的家用电脑和笔记本电脑，并且比它晚十多年发布的 Mac 电脑看上去也是对 这个简朴的 Altair 电脑的巨大飞跃。但是对第一批购买并亲手组装了 Altair 的《大众电子》的读者们来说，Altair 才是他们拥有的第一个真正的全功能电脑，而这一切只用了 400 美金低价和一半的书柜空间。对那时只能用 [一叠卡片][10] 或一卷磁带来与计算机交互的人们来说，Altair 是个令人眼前一亮的玩意。这之后的微型计算机基本都是在对 Altair 改进，使得它更易用。从某种意义上来说，它们只是更复杂的 Altair。Altair，一个野兽派的极简作品，却为之后的许多微型计算机打下了铺垫。

如果你觉得这篇文章写的不错，你可以在推特上关注 [@TwoBitHistory][11] 或订阅 [RSS feed][12] 来获得我们文章的更新提醒。文章每两周就会更新一次！

[^1]: Paul E. Ceruzzi, A History of Modern Computing (Cambridge, Mass: MIT Press, 2003), 226.
[^2]: “Mark-8 Minicomputer,” Byran’s Old Computers, accessed July 21, 2018, http://bytecollector.com/mark_8.htm.
[^3]: Paul E. Ceruzzi, A History of Modern Computing (Cambridge, Mass: MIT Press, 2003), 226.

--------------------------------------------------------------------------------

via: https://twobithistory.org/2018/07/22/dawn-of-the-microcomputer.html

作者：[Sinclair Target][a]
选题：[lujun9972][b]
译者：[zhs852](https://github.com/zhs852)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://twobithistory.org
[b]: https://github.com/lujun9972
[1]: https://www.americanradiohistory.com/Archive-Poptronics/70s/1974/Poptronics-1974-12.pdf
[2]: https://www.americanradiohistory.com/Archive-Poptronics/70s/1975/Poptronics-1975-01.pdf
[3]: https://twobithistory.org/images/jan1975-altair.jpg
[4]: https://linux.cn/article-10181-1.html
[5]: https://www.youtube.com/watch?v=qv5b1Xowxdk
[6]: https://www.autometer.de/unix4fun/z80pack/altair.png
[7]: http://www.classiccmp.org/dunfield/altair/d/88opman.pdf
[8]: https://www.youtube.com/watch?v=suyiMfzmZKs
[9]: https://www.americanradiohistory.com/Archive-Poptronics/70s/1975/Poptronics-1975-02.pdf
[10]: https://linux.cn/article-10382-1.html
[11]: https://twitter.com/TwoBitHistory
[12]: https://twobithistory.org/feed.xml
[13]: https://twitter.com/TwoBitHistory/status/1015647820353867776?ref_src=twsrc%5Etfw
