5 款开源的 Linux 策略模拟游戏
======

> 用这些开源游戏来挑战你的战略技能，探索新世界。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/arcade_game_gaming.jpg?itok=84Rjk_32)

长久以来，游戏都是 Linux 的软肋。近些年，Steam、GOG 等游戏发布平台上不少商业游戏都开始支持 Linux，这对于 Linux 的游戏生态来说是件好事，但是我们能在这些平台上玩到的游戏通常是不开源的商业作品。当然，这些游戏在一个开源的操作系统上运行，但对于一个开源提倡者来说这似乎还不够纯粹。

那么，我们能找到既自由开源又能给玩家带来完整游戏体验的优质游戏吗？当然！虽然绝大多数的开源游戏很难和 3A 商业游戏大作竞争，但仍然有不少各种类型的开源游戏，不仅内容有趣而且直接可以通过几大 Linux 发行版本库中直接安装。就算某个游戏在不在某个发行版本的库中，我们也可以在这个游戏项目的网站上找到直接的安装方法。

本篇文章将会介绍策略和模拟类游戏。我已经写了[街机游戏][1]、[桌面卡牌游戏][2]、[解谜游戏][3]、[竞速飞行游戏][4]以及[角色扮演游戏][5]。

### 开源版“文明”（Freeciv）

![](https://opensource.com/sites/default/files/uploads/freeciv.png)

[Freeciv][6] 可以被视为是[文明系列][7]游戏的开源版本。游戏玩法和文明系列最早期的游戏十分类似，Freeciv 可以让玩家选择选用文明 1 或者文明 2 中的游戏规则设置。Freeciv 中包含了很多元素，例如建造城市、探索世界地图、发展科技以及和其他扩张中的文明竞争。胜利条件包括打败所有其他的文明或建立一个外星殖民地，如果在前两者都没有达成的话，在游戏时间期限前存活下来也可以算作胜利。这个游戏可以和其他玩家联机也可以和 AI 对战，不同的地图集可以改变游戏的外观。

安装 Freeciv，你只需要在终端下运行以下指令。

  * Fedora 用户： `dnf install freeciv`
  * Debian/Ubuntu 用户：`apt install freeciv`

### MegaGlest 

![](https://opensource.com/sites/default/files/uploads/megaglest.png)

[MegaGlest][8] 是一个开源的实时战略游戏，类似暴雪公司制作的游戏[魔兽世界][9]和[星际争霸][10]。玩家控制不同派别的人员、建造新建筑、招募士兵、拓展领土并与敌人作战。在游戏比赛的最开始，玩家仅能建造最基础的建筑和招募最基础的士兵。为了建造更高级的建筑并招募级别更高的人员，玩家必须通过增加建筑和人员从而一路提高科技树、解锁更加高级的选项。当敌人进入国土领域之中，战斗单元将会迎战。但是最好的应对策略是，通过控制战斗单元直接操控每一场战斗。在管理新建筑的建立，新人员的招募的同时控制战斗局势听上去十分困难，但是这就是 RTS（实时战略游戏）游戏的精华所在。MegaGlest 这个游戏提供了大量的人员派别，玩家可以不断尝试这些不同的技巧。

安装 MegaGlest，你只需要在终端下运行以下指令：

  * Fedora 用户： `dnf install megaglest`
  * Debian/Ubuntu 用户：`apt install megaglest`

### 开源版“运输大亨”（OpenTTD）

![](https://opensource.com/sites/default/files/uploads/openttd.png)

[OpenTTD][11]（见我们的 [评测][12] ）是一个开源实现的 [运输大亨][13] 。该游戏的目的在于创建一个交通运输网络并获得金钱，从而建立更加复杂的运输网络。这个运输网络包括了船只、巴士、火车、货车和飞机。默认的游戏时间在 1950 和 2050 之间，玩家的目标就是在规定时间内拿到最高的游戏分数。游戏的最终分数基于很多因素，例如货物运输的数量、玩家所拥有的汽车数量以及他们赚到的钱。

安装 OpenTTD，你只需要在终端运行以下指令：

  * Fedora 用户： `dnf install openttd`
  * Debian/Ubuntu 用户 `apt install openttd`

### <ruby>韦诺之战<rt>The Battle for Wesnoth</rt></ruby>

![](https://opensource.com/sites/default/files/uploads/the_battle_for_wesnoth.png)

[韦诺之战][14] 是目前最完善的开源游戏之一。这个回合制游戏在一个奇幻的故事设定下。游戏在一个六角形网格中进行，各个单元可以互相操作进行战斗。每个类型的单元都有它独特的能力和弱点，因此玩家需要根据这些特点来设计不同的行动。韦诺之战中有很多不同的行动分支，每个行动分支都有它特别的故事线和目标。韦诺之战同时也有一个地图编辑器，感兴趣的玩家可以创作自己的地图以及行动分支。

安装韦诺之战，你只需要在终端运行以下指令：

  * Fedora 用户： `dnf install wesnoth`
  * Debian/Ubuntu 用户： `apt install wesnoth`

### <ruby>UFO：外星入侵<rt>UFO: Alien Invasion</rt></ruby>

![](https://opensource.com/sites/default/files/uploads/ufo_alien_invasion.png)

[UFO: Alien Invasion][15] 是一个开源策略游戏，基于 <ruby>[幽浮系列][20]<rt>X-COM</rt></ruby>。 有两个不同的游戏模式： geoscape 和 tactical。在 geoscape 模式下，玩家控制大局、管理基地、开发新技术以及掌控整体策略。 在 tactical 游戏模式下，玩家控制一群士兵并且以回合制的形式直接迎战外星侵略者。两个游戏模式提供了不同的游戏玩法，两者都需要相当复杂的策略和战术。

安装这个游戏，你只需要在终端下运行以下指令：

  * Debian/Ubuntu 用户： `apt install ufoai`

遗憾的是，UFO: 外星入寝不支持 Fedora 发行版。

如果你知道除了这些以外的开源策略模拟游戏的话，欢迎在评论中分享。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/8/strategy-simulation-games-linux

作者：[Joshua Allen Holm][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[Scoutydren](https://github.com/Scoutydren)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/holmja
[1]:https://linux.cn/article-10433-1.html
[2]:https://opensource.com/article/18/3/card-board-games-linux
[3]:https://opensource.com/article/18/6/puzzle-games-linux
[4]:https://opensource.com/article/18/7/racing-flying-games-linux
[5]:https://opensource.com/article/18/8/role-playing-games-linux
[6]:http://www.freeciv.org/
[7]:https://en.wikipedia.org/wiki/Civilization_(series)
[8]:https://megaglest.org/
[9]:https://en.wikipedia.org/wiki/Warcraft
[10]:https://en.wikipedia.org/wiki/StarCraft
[11]:https://www.openttd.org/
[12]:https://opensource.com/life/15/7/linux-game-review-openttd
[13]:https://en.wikipedia.org/wiki/Transport_Tycoon#Transport_Tycoon_Deluxe
[14]:https://www.wesnoth.org/
[15]:https://ufoai.org/
[16]:https://opensource.com/downloads/cheat-sheets?intcmp=7016000000127cYAAQ
[17]:https://opensource.com/alternatives?intcmp=7016000000127cYAAQ
[18]:https://opensource.com/tags/linux?intcmp=7016000000127cYAAQ
[19]:https://developers.redhat.com/cheat-sheets/advanced-linux-commands/?intcmp=7016000000127cYAAQ
[20]:https://en.wikipedia.org/wiki/X-COM
