[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-10534-1.html)
[#]: subject: (Top 5 Linux Distributions for Development in 2019)
[#]: via: (https://www.linux.com/blog/2019/1/top-5-linux-distributions-development-2019)
[#]: author: (Jack Wallen https://www.linux.com/users/jlwallen)

5 个用于开发工作的 Linux 发行版
======

> 这五个发行版用于开发工作将不会让你失望。

![](https://www.linux.com/sites/lcom/files/styles/rendered_file/public/dev-main.jpg?itok=DEe9pYtb)

Linux 上最受欢迎的任务之一肯定是开发。理由很充分：业务依赖于 Linux。没有 Linux，技术根本无法满足当今不断发展的世界的需求。因此，开发人员不断努力改善他们的工作环境。而进行此类改善的一种方法就是拥有合适的平台。值得庆幸的是，这就是 Linux，所以你总是有很多选择。

但有时候，太多的选择本身就是一个问题。哪种发行版适合你的开发需求？当然，这取决于你正在开发的工作，但某些发行版更适合作为你的工作任务的基础。我将重点介绍我认为 2019 年最适合开发人员的五个发行版。

### Ubuntu

无需赘言。虽然 Linux Mint 的忠实用户无疑是一个非常忠诚的群体（这是有充分的理由的，他们选择的发行版很棒），但 Ubuntu Linux 在这里更被认可。为什么？因为有像 [AWS][1] 这样的云服务商存在，Ubuntu 成了部署最多的服务器操作系统之一。这意味着在 Ubuntu 桌面发行版上进行开发可以更轻松地转换为 Ubuntu Server。而且因为 Ubuntu 使得开发、使用和部署容器非常容易，所以你想要使用这个平台是完全合理的。而 Ubuntu 与其包含的 Snap 软件包相结合，使得这个 Canonical（Ubuntu 发行版背后的公司）的操作系统如虎添翼。

但这不仅是你可以用 Ubuntu 做什么，而是你可以轻松做到。几乎对于所有的任务，Ubuntu 都是一个非常易用的发行版。而且因为 Ubuntu 如此受欢迎，所以你可以从 Ubuntu “软件” 应用的图形界面里轻松安装你想要使用的每个工具和 IDE（图 1）。

![Ubuntu][3]

*图 1：可以在 Ubuntu “软件”工具里面找到开发者工具。*

如果你正在寻求易用、易于迁移，以及大量的工具，那么将 Ubuntu 作为开发平台就不会有错。

### openSUSE

我将 openSUSE 添加到此列表中有一个非常具体的原因。它不仅是一个出色的桌面发行版，它还是市场上最好的滚动发行版之一。因此，如果你希望用最新的软件开发、发布最新的软件，[openSUSE Tumbleweed][5] 应该是你的首选之一。如果你想使用最喜欢的 IDE 的最新版本，如果你总是希望确保使用最新的库和工具包进行开发，那么 Tumbleweed 就是你的平台。

但 openSUSE 不仅提供滚动发布版本。如果你更愿意使用标准发行版，那么 [openSUSE Leap][6] 就是你想要的。

当然，它不仅有标准版或滚动版，openSUSE 平台还有一个名为 [Kubic][7] 的 Kubernetes 特定版本，该版本基于 openSUSE MicroOS 上的 Kubernetes。但即使你没有为 Kubernetes 进行开发，你也会发现许多软件和工具可供使用。

openSUSE 还提供了选择桌面环境的能力，或者你也可以选择通用桌面或服务器（图 2）。

![openSUSE][9]

*图 2： 正在安装 openSUSE Tumbleweed。*

### Fedora

使用 Fedora 作为开发平台才有意义。为什么？这个发行版本身似乎是面向开发人员的。通过定期的六个月发布周期，开发人员可以确保他们不会一直使用过时的软件。当你需要最新的工具和库时，这很重要。如果你正在开发企业级业务，Fedora 是一个理想的平台，因为它是红帽企业 Linux（RHEL）的上游。这意味着向 RHEL 的过渡应该是无痛的。这一点很重要，特别是如果你希望将你的项目带到一个更大的市场（一个比以桌面为中心的目标更深的领域）。

Fedora 还提供了你将体验到的最佳 GNOME 体验之一（图 3）。换言之，这是非常稳定和快速的桌面。

![GNOME][11]

*图 3：Fedora 上的 GNOME 桌面。*

但是如果 GNOME 不是你的菜，你还可以选择安装一个 [Fedora 花样版][12]（包括 KDE、XFCE、LXQT、Mate-Compiz、Cinnamon、LXDE 和 SOAS 等桌面环境）。

### Pop!_OS

如果这个列表中我没有包括 [System76][13] 平台专门为他们的硬件定制的操作系统（虽然它也在其他硬件上运行良好），那我算是失职了。为什么我要包含这样的发行版，尤其是它还并未远离其所基于的 Ubuntu 平台？主要是因为如果你计划从 System76 购买台式机或笔记本电脑，那它就是你想要的发行版。但是你为什么要这样做呢（特别是考虑到 Linux 几乎适用于所有现成的硬件）？因为 System76 销售的出色硬件。随着他们的 Thelio 桌面的发布，这是你可以使用的市场上最强大的台式计算机之一。如果你正在努力开发大型应用程序（特别是那些非常依赖于非常大的数据库或需要大量处理能力进行编译的应用程序），为什么不用最好的计算机呢？而且由于 Pop!_OS 完全适用于 System76 硬件，因此这是一个明智的选择。

由于 Pop!_OS 基于 Ubuntu，因此你可以轻松获得其所基于的 Ubuntu 可用的所有工具（图 4）。

![Pop!_OS][15]

*图 4：运行在 Pop!_OS 上的 Anjunta IDE*

Pop!_OS 也会默认加密驱动器，因此你可以放心你的工作可以避免窥探（如果你的硬件落入坏人之手）。

### Manjaro

对于那些喜欢在 Arch Linux 上开发，但不想经历安装和使用 Arch Linux 的所有环节的人来说，那选择就是 Manjaro。Manjaro 可以轻松地启动和运行一个基于 Arch Linux 的发行版（就像安装和使用 Ubuntu 一样简单）。

但是 Manjaro 对开发人员友好的原因（除了享受 Arch 式好处）是你可以下载好多种不同口味的桌面。从[Manjaro 下载页面][16] 中，你可以获得以下口味：

  * GNOME
  * XFCE
  * KDE
  * OpenBox
  * Cinnamon
  * I3
  * Awesome
  * Budgie
  * Mate
  * Xfce 开发者预览版
  * KDE 开发者预览版
  * GNOME 开发者预览版
  * Architect
  * Deepin

值得注意的是它的开发者版本（面向测试人员和开发人员），Architect 版本（适用于想要从头开始构建 Manjaro 的用户）和 Awesome 版本（图 5，适用于开发人员处理日常工作的版本）。使用 Manjaro 的一个警告是，与任何滚动版本一样，你今天开发的代码可能明天无法运行。因此，你需要具备一定程度的敏捷性。当然，如果你没有为 Manjaro（或 Arch）做开发，并且你正在进行工作更多是通用的（或 Web）开发，那么只有当你使用的工具被更新了且不再适合你时，才会影响你。然而，这种情况发生的可能性很小。和大多数 Linux 发行版一样，你会发现 Manjaro 有大量的开发工具。

![Manjaro][18]

*图 5：Manjaro Awesome 版对于开发者来说很棒。*

Manjaro 还支持 AUR（Arch User Repository —— Arch 用户的社区驱动软件库），其中包括最先进的软件和库，以及 [Unity Editor][19] 或 yEd 等专有应用程序。但是，有个关于 AUR 的警告：AUR 包含的软件中被怀疑发现了恶意软件。因此，如果你选择使用 AUR，请谨慎操作，风险自负。

### 其实任何 Linux 都可以

说实话，如果你是开发人员，几乎任何 Linux 发行版都可以工作。如果从命令行执行大部分开发，则尤其如此。但是如果你喜欢在可靠的桌面上运行一个好的图形界面程序，试试这些发行版中的一个，它们不会令人失望。

通过 Linux 基金会和 edX 的免费[“Linux 简介”][20]课程了解有关 Linux 的更多信息。

--------------------------------------------------------------------------------

via: https://www.linux.com/blog/2019/1/top-5-linux-distributions-development-2019

作者：[Jack Wallen][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.linux.com/users/jlwallen
[b]: https://github.com/lujun9972
[1]: https://aws.amazon.com/
[2]: https://www.linux.com/files/images/dev1jpg
[3]: https://www.linux.com/sites/lcom/files/styles/rendered_file/public/dev_1.jpg?itok=7QJQWBKi (Ubuntu)
[4]: https://www.linux.com/licenses/category/used-permission
[5]: https://en.opensuse.org/Portal:Tumbleweed
[6]: https://en.opensuse.org/Portal:Leap
[7]: https://software.opensuse.org/distributions/tumbleweed
[8]: /files/images/dev2jpg
[9]: https://www.linux.com/sites/lcom/files/styles/rendered_file/public/dev_2.jpg?itok=1GJmpr1t (openSUSE)
[10]: /files/images/dev3jpg
[11]: https://www.linux.com/sites/lcom/files/styles/rendered_file/public/dev_3.jpg?itok=_6Ki4EOo (GNOME)
[12]: https://spins.fedoraproject.org/
[13]: https://system76.com/
[14]: /files/images/dev4jpg
[15]: https://www.linux.com/sites/lcom/files/styles/rendered_file/public/dev_4.jpg?itok=nNG2Ax24 (Pop!_OS)
[16]: https://manjaro.org/download/
[17]: /files/images/dev5jpg
[18]: https://www.linux.com/sites/lcom/files/styles/rendered_file/public/dev_5.jpg?itok=RGfF2UEi (Manjaro)
[19]: https://unity3d.com/unity/editor
[20]: https://training.linuxfoundation.org/linux-courses/system-administration-training/introduction-to-linux
