10 款你可以通过 Wine 在 Linux 上玩的游戏
======

![](https://www.maketecheasier.com/assets/uploads/2017/09/wine-games-feat.jpg)

Linux *确实* 能玩游戏，而且还能玩不少游戏。独立游戏在 Linux 平台上蓬勃发展，顶级的独立游戏也常常会在发售首日便发布 Linux 版本。然而，3A 游戏大作的开发者们却常常忽略 Linux，所以你不会很快就能玩上身边朋友们谈论正火的那些游戏。

但情况还没有糟透。Wine —— 一个能使 Windows 应用在类似 Linux、BSD 和 OS X 上运行的兼容层，在支持的游戏数量和性能表现上都取得了巨大进步。很多游戏大作都可以在 Wine 的支持下运行。你不能完全释放本机性能，但还是可以跑起来游戏，运行也还算流畅，当然这也要取决与你的系统配置。下面我们来盘点一下这些可能会令你大吃一惊的可以通过 Wine 在 Linux 上玩的游戏。（LCTT 译注：本文原文发表于 2017 年，有些信息可能有所过时。）

### 10、魔兽世界

![World of Warcraft Wine][1]

这款经典的 MMORPG 之王仍旧坚挺并保持活力。虽然这不是一款以画面见长的游戏，但想要开到全画质也需要费一些功夫。魔兽世界已经在 Wine 的支持下运行了很多年。到了最新资料片发布时，魔兽世界为它的 Mac 版本提供了 OpenGL 支持，使得游戏也可以很轻松地在 Linux 下运行。这已经不再是个问题了。

你需要通过 DX9 来运行游戏并从 [Gallium Nine][2] 补丁来获得一些性能提升，不过你也可以放心大胆地在 Linux 中下副本了。

### 9、上古卷轴 5：天际

![Skyrim Wine][3]

上古卷轴 5 已经不是款新游戏了，但它的 mod 社区依旧活跃。如果你的 Linux 系统有足够资源的话，你可以很轻松地加上很多很多 mod。需要记住的是 Wine 运行时要比游戏占用更多的系统资源，所以使用 mod 时也要考虑这一点。

### 8、星际争霸 II

![StarCraft II Wine][4]

星际争霸 II 是成为市场上最受欢迎的 RTS 游戏之一，并且在 Wine 下运作良好。它实际上也是 Wine 下表现最好的游戏之一。

考虑到这款游戏本身的竞技性，你当然希望游戏能够流畅地运行。不过不用担心，只要你的硬件够用就绝对没问题。

这是一个你可以从 “staging” 补丁获益的例子，所以在你设置游戏时请继续使用它们。

### 7、辐射 3 / 辐射：新维加斯

![Fallout 3 Wine][5]

在你提问之前，辐射 4 已经很快就准备就绪，也许就在你正读这篇文章的时候就可以玩了。就目前而言，辐射 3 和 辐射：新维加斯都能在有没有 mod 的情况下良好运行。这些游戏在 Wine 下运行地非常好，甚至还能加载大量 mod 来保持游戏的新鲜性和趣味性。在辐射 4 获得全面支持前玩这些旧作也不算是个很大的妥协。

### 6、Doom (2016)

![Doom Wine][6]

Doom（毁灭战士）是过去几年中最刺激的射击游戏之一。在 Wine 支持下并加载 “staging” 补丁可以流畅地运行最新版本。单人模式和多人模式都有很棒的游戏体验，而且也不需要花费大量时间来配置 Wine 和调整设置。所以你想在 Linux 上体验 3A 级射击游戏的话，不妨尝试一下 Doom 。

### 5、激战 2

![Guild Wars 2 Wine][7]

激战 2 是一款无月卡（买断制）的融合了多人和迷宫探险元素的游戏。它在市场上很受欢迎，并自称在游戏中有着很多创新。你同样可以通过 Wine 在 Linux 上玩到这款游戏。

激战 2 也不算一款很老的 MMO 游戏。它试图以图像表现来保持现代风格，并具有着相当高分辨率的纹理和视觉效果。所有这些特点都能在 Wine 下顺利运行。

### 4、英雄联盟

![League Of Legends Wine][8]

在 MOBA 游戏的世界中有两个强者：DoTA2 和英雄联盟。Valve 已经将 DoTA2 移植到 Linux 上很久了，但玩家们却从没在 Linux 上玩过英雄联盟。如果你是 Linux 的使用者并热衷英雄联盟，你还是可以通过 Wine 来玩这款你最爱的 MOBA 游戏。

英雄联盟是个很有趣的例子。它的游戏本身运行良好，但安装程序却会因为需要 Adobe Air 而中断。一些安装程序脚本例如 Lutris 和 PlayOnLinux 能帮你通过这一步骤。一旦安装完毕，你就可以毫无困难地运行游戏，甚至在激烈的战况中依旧畅快玩耍。

### 3、炉石传说

![HearthStone Wine][9]

炉石传说是一款流行且令人上瘾的免费卡牌游戏，你可在各种平台上来一局……除了 Linux。不过别担心，在 Wine 中你可以轻松玩到这款游戏。炉石并不大，所以即使在最低配置的系统里也都能玩，这是个好消息。不过由于它的竞技性所以还是要对游戏性能有一定要求。

玩炉石不需要任何特殊配置和补丁，直接开玩！

### 2、巫师 3

![Witcher 3 Wine][10]

你不是唯一一个对在这份榜单中看到了巫师 3 而感到吃惊的人。在最新版 “stage” 补丁的支持下，你终于可以在 Linux 中体验这款游戏了。尽管最初承诺会有原生版本，但 Linux 玩家还是等了很久才迎来了巫师系列的第三部。

不过最好不要指望一切都能完美运行。巫师 3 *刚刚* 得到支持，有些内容可能还不会达到预期。也就是说，如果你只能用 Liux 来玩游戏，并且愿意处理一些问题。那么你也可以享受到这款完美游戏带来的初体验了。

### 1、守望先锋

![Overwatch Wine][11]

最后，让我们来谈谈 Linux 玩家心中的另一个“白鲸”。很多人认为守望先锋会像大多数暴雪游戏一样，在发售当日就能在 Wine 上获得支持。不过情况非常不同，因为守望先锋只支持 DX11，这也正是 Wine 面临的一个痛点。

守望先锋目前还不能拥有最佳性能表现，但是你还是可以通过装有特殊补丁的 Wine 和包括“staging”在内的一系列定制补丁包来运行游戏。这也说明了 Linux 玩家们真的很渴望游玩这款游戏，以至于自己开发了一套补丁来为它提供支持。

这份榜单当然会遗漏一些其他游戏。大多数是由于受欢迎程度或只能从 Wine 中得到有限的支持。其他暴雪游戏，如“风暴英雄”和“暗黑破坏神 3”也能很好地运行，但这样来写就会使暴雪游戏霸占这份榜单，这不是我们想突出的重点。

如果你正打算玩以上任一款游戏，请使用 Wine 的 [Gallium Nine][2] 版本并装载“staging”补丁，否则游戏可能无法正常运行。“staging”中装载的最新补丁和提升要比正式的 Wine 发行版提供的内容要早很多，使用它会令你在性能上处于领先地位。

说到进步，Wine 目前在对 DirectX11 的支持有了很大进步。对于 Windows 玩家这可能不算什么，但对于 Linux 玩家来说绝对算是一件大事。大多数游戏新作支持 DX11 和 DX12，而最新版本的 Wine 仍只是支持 DX9。有了 DX11 的支持，Wine 将会让很多过去无法在 Linux 上玩的游戏运行起来。所以，定期查看你最喜欢的 Windows 游戏是否也可以开始在 Wine 上运行，你可能会非常惊喜。

--------------------------------------------------------------------------------

via: https://www.maketecheasier.com/games-play-on-linux-with-wine/

作者：[Nick Congleton][a]
译者：[Modrisco](https://github.com/Modrisco)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.maketecheasier.com/author/nickcongleton/
[1]:https://www.maketecheasier.com/assets/uploads/2017/09/wow.jpg (World of Warcraft Wine)
[2]:https://www.maketecheasier.com/install-wine-gallium-nine-linux
[3]:https://www.maketecheasier.com/assets/uploads/2017/09/skyrim.jpg (Skyrim Wine)
[4]:https://www.maketecheasier.com/assets/uploads/2017/09/sc2.jpg (StarCraft II Wine)
[5]:https://www.maketecheasier.com/assets/uploads/2017/09/Fallout_3.jpg (Fallout 3 Wine)
[6]:https://www.maketecheasier.com/assets/uploads/2017/09/doom.jpg (Doom Wine)
[7]:https://www.maketecheasier.com/assets/uploads/2017/09/gw2.jpg (Guild Wars 2 Wine)
[8]:https://www.maketecheasier.com/assets/uploads/2017/09/League_of_legends.jpg (League Of Legends Wine)
[9]:https://www.maketecheasier.com/assets/uploads/2017/09/HearthStone.jpg (HearthStone Wine)
[10]:https://www.maketecheasier.com/assets/uploads/2017/09/witcher3.jpg (Witcher 3 Wine)
[11]:https://www.maketecheasier.com/assets/uploads/2017/09/Overwatch.jpg (Overwatch Wine)
