关于圆周率日的趣事与庆祝方式
======

> 技术团队喜欢 3 月 14 日的圆周率日：你是否知道这也是阿尔伯特·爱因斯坦的生日和 Linux 内核1.0.0 发布周年纪念日？来看一些树莓派的趣事和 DIY 项目。

![](https://enterprisersproject.com/sites/default/files/styles/620x350/public/images/cio_piday.png?itok=kTht0qV9)

今天，全世界的技术团队都会为一个数字庆祝。3 月 14 日是<ruby>圆周率日<rt>Pi Day</rt></ruby>，人们会在这一天举行吃派比赛、披萨舞会，玩<ruby>数学梗<rt>math puns</rt></ruby>。如果这个数学领域中的重要常数不足以让 3 月 14 日成为一个节日的话，再加上爱因斯坦的生日、Linux 内核 1.0.0 发布的周年纪念日，莱伊·惠特尼在这一天申请了轧花机的专利这些原因，应该足够了吧。（LCTT译注：[轧花机](https://zh.wikipedia.org/wiki/%E8%BB%8B%E6%A3%89%E6%A9%9F)是一种快速而且简单地分开棉花纤维和种子的机器，生产力比人手分离高得多。）

很荣幸，我们能在这一个特殊的日子里一起了解有关它的趣事和与 π 相关的好玩的活动。来吧，和你的团队一起庆祝圆周率日：找一两个点子来进行团队建设，或用新兴技术做一个项目。如果你有为这个大家所喜爱的无限小数庆祝的独特方式，请在评论区与大家分享。

### 圆周率日的庆祝方法：

  * 今天是圆周率日的第 31 次周年纪念（LCTT 译注：本文写于 2018 年的圆周率日，故在细节上存在出入。例如今天（2019 年 3 月 14 日）是圆周率日的第 31 次周年纪念)。第一次为它庆祝是在旧金山的<ruby>探索博物馆<rt>Exploratorium</rt></ruby>由物理学家 Larry Shaw 举行。“在[第 1 次周年纪念日][1]当天，工作人员带来了水果派和茶壶来庆祝它。在 1 点 59 分（圆周率中紧接着 3.14 的数字），Shaw 在博物馆外领着队伍环馆一周。队伍中用扩音器播放着‘Pomp and Circumstance’。” 直到 21 年后，在 2009 年 3 月，圆周率正式成为了美国的法定假日。
  * 虽然该纪念日起源于旧金山，可规模最大的庆祝活动却是在普林斯顿举行的，这个小镇举办了为期五天的[许多活动][2]，包括爱因斯坦模仿比赛、掷派比赛，圆周率背诵比赛等等。其中的某些活动甚至会给获胜者提供价值 314.5 美元的奖金。
  * <ruby>麻省理工的斯隆管理学院<rt>MIT Sloan School of Management</rt></ruby>正在庆祝圆周率日。他们在 Twitter 上分享着关于 π 和派的圆周率日趣事，详情请关注<ruby>推特话题<rt>Twitter hashtag</rt></ruby> #PiVersusPie 。

### 与圆周率有关的项目与活动：

  * 如果你想锻炼你的数学技能，<ruby>美国国家航空航天局<rt>National Aeronautics and Space Administration</rt></ruby>（NASA）的<ruby>喷气推进实验室<rt>Jet Propulsion Lab</rt></ruby>（JPL）发布了[一系列新的数学问题][4]，希望通过这些问题展现如何把圆周率用于空间探索。这也是美国国家航天局面向学生举办的第五届圆周率日挑战。
  * 想要领略圆周率日的精神，最好的方法也许就是开展一个[树莓派][5]项目了，无论是和你的孩子还是和你的团队一起完成，都是不错的。树莓派作为一项从 2012 年开启的项目，现在已经售出了数百万块的基本型的电脑主板。事实上，它已经在[通用计算机畅销榜上排名第三][6]了。这里列举一些可能会吸引你的树莓派项目或活动：
    * 来自谷歌的<ruby>自己做 AI<rt>AI-Yourself</rt></ruby>（AIY）项目让你自己创造一个[语音控制的数字助手][7]或者[一个图像识别设备][8]。
    * 在树莓派上[使用 Kubernets][9]。
    * 组装一台[怀旧游戏系统][10]，目标：拯救桃子公主！
    * 和你的团队举办一场[树莓派 Jam][11]。树莓派基金会发布了一个帮助大家顺利举办活动的[指导手册][12]。据该网站说明，树莓派 Jam 旨在“给数字创作中所有年龄段的人提供支持，让世界各地志同道合的人们汇聚起来讨论和分享他们的最新项目，举办讲习班，讨论和派相关的一切。”

### 其他有关圆周率的事情：

  * 当前背诵圆周率的[世界纪录保持者][13]是 Suresh Kumar Sharma，他在 2015 年 10 月花了 17 小时零 14 分钟背出了 70,030 位数字。然而，[非官方记录][14]的保持者 Akira Haraguchi 声称他可以背出 111,700 位数字。
  * 现在，已知的圆周率数字的长度比以往都要多。在 2016 年 11 月，R&D 科学家 Peter Trueb 计算出了 22,459,157,718,361 位圆周率数字，比 2013 年的世界记录多了 [9 万亿数字][15]。据<ruby>新科学家<rt>New Scientist</rt></ruby>所述，“最终文件包含了圆周率的 22 万亿位数字，大小接近 9 TB。如果将其打印出来，能用数百万本 1000 页的书装满一整个图书馆。”

祝你圆周率日快乐！

--------------------------------------------------------------------------------

via: https://enterprisersproject.com/article/2018/3/pi-day-12-fun-facts-and-ways-celebrate

作者：[Carla Rudder][a]
译者：[wwhio](https://github.com/wwhio)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://enterprisersproject.com/user/crudder
[1]:https://www.exploratorium.edu/pi/pi-day-history
[2]:https://princetontourcompany.com/activities/pi-day/
[3]:https://twitter.com/MITSloan
[4]:https://www.jpl.nasa.gov/news/news.php?feature=7074
[5]:https://opensource.com/resources/raspberry-pi
[6]:https://www.theverge.com/circuitbreaker/2017/3/17/14962170/raspberry-pi-sales-12-5-million-five-years-beats-commodore-64
[7]:http://www.zdnet.com/article/raspberry-pi-this-google-kit-will-turn-your-pi-into-a-voice-controlled-digital-assistant/
[8]:http://www.zdnet.com/article/google-offers-raspberry-pi-owners-this-new-ai-vision-kit-to-spot-cats-people-emotions/
[9]:https://opensource.com/article/17/3/kubernetes-raspberry-pi
[10]:https://opensource.com/article/18/1/retro-gaming
[11]:https://opensource.com/article/17/5/how-run-raspberry-pi-meetup
[12]:https://www.raspberrypi.org/blog/support-raspberry-jam-community/
[13]:http://www.pi-world-ranking-list.com/index.php?page=lists&category=pi
[14]:https://www.theguardian.com/science/alexs-adventures-in-numberland/2015/mar/13/pi-day-2015-memory-memorisation-world-record-japanese-akira-haraguchi
[15]:https://www.newscientist.com/article/2124418-celebrate-pi-day-with-9-trillion-more-digits-than-ever-before/?utm_medium=Social&utm_campaign=Echobox&utm_source=Facebook&utm_term=Autofeed&cmpid=SOC%7CNSNS%7C2017-Echobox#link_time=1489480071
