[#]: collector: (lujun9972)
[#]: translator: (sanfusu)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-10650-1.html)
[#]: subject: (Blockchain 2.0: An Introduction [Part 1])
[#]: via: (https://www.ostechnix.com/blockchain-2-0-an-introduction/)
[#]: author: (ostechnix https://www.ostechnix.com/author/editor/)

区块链 2.0：介绍（一）
==============

![](https://www.ostechnix.com/wp-content/uploads/2019/03/blockchain-introduction-720x340.png)

### 区块链 2.0：下一个计算范式

**区块链**现在显然被认为是一种转型技术，它将为人们使用互联网的方式带来革新。本系列文章将探讨即将到来的基于区块链 2.0 的技术和应用浪潮。不同的涉众对它表现出的极大兴趣证明了区块链的存在。

对于任何打算使用互联网做任何事情的人来说，了解它是什么以及它是如何工作的都是至关重要的。即使你所做的只是盯着 Instagram 上朋友们的早餐照片，或者寻找下一个最好的视频片段，你也需要知道这项技术能对这些提供什么样的帮助。

尽管区块链的基本概念早在上世纪 90 年代就被学术界提及，但它之所以成为网民热词，要归功于诸如**比特币**和**以太币**等支付平台的崛起。

比特币最初是一种去中心化的数字货币。它的出现意味着你基本上可以通过互联网进行完全匿名、安全可靠的支付。不过，在比特币这个简单的金融令牌系统背后，是区块链。您可以将比特币技术或任何加密货币看作是 3 层结构。区块链基础技术可以验证、记录和确认交易，在这个基础之上是协议，本质上来讲是一个规则或在线礼仪，用来兑现、记录和确认交易，当然，最重要的是通常被称作比特币的加密货币令牌。一旦记录了协议相关的事务，则由区块链生成令牌。

虽然大多数人只看到了最顶层，即代表比特币真正含义的硬币或代币，但很少有人知道，在区块链基础技术的帮助下，金融交易只是众多此类可能性中的一种。目前正在探讨这些可能性，以产生和开发所有去中心化交易方式的新标准。

在最基本的层面上，区块链可以被认为是一个包含所有记录和交易的账簿。这实际上意味着区块链理论上可以处理所有类型的记录。未来这方面的发展可能会导致各种硬资产（如房地产契约、实物钥匙等）和软无形资产（如身份记录、专利、商标、预约等）被编码为数字资产，通过区块链进行保护和转让。

对于不熟悉区块链的人来说，区块链上的事务本质上被认为是无偏见的永久记录。这是可能的，因为协议中内置了**共识系统**。所有交易均由系统参与者确认、审核和记录，在比特币加密货币平台中，该角色由**矿工**和交易所负责。这可能因不同的平台或区块链而异。构建该平台的协议栈是由开源代码所定义的，并且对任何具有技术能力的人都是免费的。与目前互联网上运行的许多其他平台不同，公开透明被内置进了该系统。

一旦事务被记录并编码到区块链中，它们就会被看到。参与者有义务按照它们最初的执行方式履行其交易和合约。除非原来的规则禁止了它，否则执行本身将由平台自动处理，因为它是硬编码的。区块链平台对于试图篡改记录、记录的持久性等方面的恢复能力，在因特网上是闻所未闻的。当这项技术的支持者们宣称其日益重要的意义时，这种能力是经常被提及的附加信任层。

这些特性并不是最近才被发现的隐藏的平台潜力，而是从一开始就被设想出来的。传说中的比特币创造者<ruby>中本聪<rt>Satoshi Nakamoto</rt></ruby>在一份公报中说**“我花了数年的时间来构造一个用来支撑巨大的各种可能事务类型的设计……如果比特币能够流行起来，这些就是我们未来要探索的……但是它们在最初就设计，以确保它们将来能够实现。”**。这些特性被设计并融入到已经存在的协议中的事实印证了这些话。关键的想法是，去中心化的事务分类账就像区块链的功能一样，可以用于传输、部署和执行各种形式的合约。

领先的机构目前正在探索重新发明股票、养老金和衍生品等金融工具的可能性，而世界各国政府更关注区块链的防篡改和永久性保存记录的潜力。该平台的支持者声称，一旦开发达到一个关键的门槛，从你的酒店钥匙卡到版权和专利，那时起，一切都将通过区块链记录和实现。

**Ledra Capital**在[这个][1]页面上汇编并维护了几乎完整的项目和细节列表，这些项目和细节理论上可以通过区块链模型实现。想要真正意识到区块链对我们生活的影响有多大是一项艰巨的任务，但看看这个清单就会再次证明这么做的重要性。

现在，上面提到的所有官僚和商业用途可能会让你相信，这样的技术只会出现在政府和大型私营企业领域。然而，事实远非如此。鉴于该系统的巨大潜力使其对此类用途具有吸引力，而区块链还具有其它可能性和特性。还有一些与该技术相关的更复杂的概念，如 DApp、DAO、DAC、DAS 等，本系列文章将深入讨论这些概念。

基本上，开发正在如火如荼地进行，任何人对基于区块链的系统的定义、标准和功能进行指点以便进行更广泛的推广还为时尚早，但是这种可能性及其即将产生的影响无疑是存在的。甚至有人谈到基于区块链的智能手机和选举期间的民意调查。

这只是一个简短的对这个平台能力的鸟瞰。我们将通过一系列这样详细的帖子和文章来研究这些不同的可能性。关注[本系列的下一篇文章][2]，它将探索区块链是如何革新交易和契约的。

---

via: https://www.ostechnix.com/blockchain-2-0-an-introduction/

作者：[ostechnix][a]
选题：[lujun9972][b]
译者：[sanfusu](https://github.com/sanfusu)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux 中国](https://linux.cn/) 荣誉推出

[a]: https://www.ostechnix.com/author/editor/
[b]: https://github.com/lujun9972
[1]: http://ledracapital.com/blog/2014/3/11/bitcoin-series-24-the-mega-master-blockchain-list
[2]: https://www.ostechnix.com/blockchain-2-0-revolutionizing-the-financial-system/
