[#]: collector: (lujun9972)
[#]: translator: (sanfusu)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-10668-1.html)
[#]: subject: (Blockchain 2.0: Revolutionizing The Financial System [Part 2])
[#]: via: (https://www.ostechnix.com/blockchain-2-0-revolutionizing-the-financial-system/)
[#]: author: (Ostechnix https://www.ostechnix.com/author/editor/)

区块链 2.0：金融体系改革（二）
======

![](https://www.ostechnix.com/wp-content/uploads/2019/03/evolution-of-money-720x340.png)

这是我们区块链 2.0 系列的第二部分。区块链可以改变个人和机构处理他们财务状况的方式。本文着眼于现有货币体系如何演变，以及新的区块链系统如何为货币演变的下一个关键步骤带来改变。

两个关键思想将为本文奠定基础。**PayPal** 在推出之时，其运营操作上具有革命性。该公司收集、处理和确认大量的消费者数据，以促进各种在线交易，从而切实允许 eBay 等平台成长为可信赖的商业来源，并为全球数字支付系统奠定基准。其二，虽然要强调的是更为重要的关键思想，但却是一个存在性问题。我们都使用金钱或货币来满足我们的日常需求。一张 10 美元的账单可以让你从最喜欢的咖啡店买到一两杯咖啡，从而开始美好的一天。事实上，我们各方面都依赖于各自的国家货币。

当然，自从**易货系统**开始决定你的早餐是什么起，人类已经度过了漫长的时间。但是，货币到底是什么？谁或什么赋予它的价值？正如流行的谣言所说，去银行并给他们一美元钞票就可以获得货币“符号”所代表的真正价值吗？

大多数问题的答案都不存在。即便是给出了答案，最多也是不可思议的模糊和主观。早在文明开始建立小城镇的那一天，被统治者认为是合法的本地货币，几乎总是由那个社会中宝贵的东西组成。人们认为印第安人使用干胡椒进行交易，而古希腊人和罗马人则使用[盐][1]交易。渐渐地，这些史前启蒙文明中的大部分都采用贵重金属和石头作为代​​币进行交易。金币、银饰和红宝石开始与“价值”同名。随着工业革命，人们开始印刷这些交易凭证，我们终于似乎看到了对纸币需求的呼吁。纸币可靠且廉价，只要国家为其用户所持纸币提供担保，纸币所代表的“价值”可以在需要时，由同等价值的黄金或硬通货作支撑，人们便乐于使用它们。但是，如果你仍然认为你现在持有的纸币具有相同的保证，那么你就错了。我们目前生活在一个几乎所有主要货币都在全球流通的时代，经济学家称之为[法定货币][2]。缺少价值的纸片只能得到你所居住的国家的保证支持。法定货币的确切性质以及为什么它们可能是一个有缺陷的系统属于经济领域，我们目前不会涉及。

事实上，所有这一历史中与本篇文章相关的唯一的一点是，文明开始使用暗示或代表商品和服务的贸易价值的代币，而不是非实际的易货系统。代币，当然，这也是加密货币背后的关键概念。它们没有任何固有的价值。它们的价值取决于采用该特定平台的人数、采用者对系统的信任，当然还有监管实体本身的背景（如果有监管实体的话）。**比特币（BTC）**的高价格和市值并非巧合，它们是业内第一个加密货币并且有很多早期采用者。加密货币背后的最终真理使其如此重要而又具有如此难以理解的复杂性。这是“金钱”自然演变的下一步。有些人理解这一点，有些人仍然认为坚实的货币概念中“真正的”货币总是由某种[内在价值支持][3]。虽然已经有无数关于这种困境的辩论和研究，但仍没有着眼于区块链的未来。

例如，**厄瓜多尔**在 2015 年成为头条新闻，因为它声称计划开发和发布[自己的国家加密货币][4]。虽然官方尝试是为了援助和支持他们现有的货币体系。从那时起，其他国家及其监管机构已经或正在起草文件来控制加密货币的“流行病”，其中一些已经发布了框架，以创建区块链和加密货币开发的路线图。[德国][5]被认为正在长期投资区块链项目，以简化其税收和金融系统。发展中国家的银行正在加入一个名为银行链的体系中，用以合作创建**私有区块链**以提高他们的效率并优化其运营。

现在，当我们将故事的两端结合在一起时，还记得在休闲历史课之前首次提到 PayPal 吗？专家们将比特币（BTC）的采用率与 PayPal 的采用率进行了比较。消费者最初有所犹豫，只有少数早期采用者准备好使用上述产品，但随后更广泛的采用逐渐成为类似平台的标杆态势。比特币（BTC）已经成为类似加密货币平台的基准，而主要硬币包括[以太坊（ETH）和瑞波（XRP）][6]。采用正在稳步增加，法律和监管框架也正在制定以支持它，积极的研究和开发也在进行中。与 PayPal 不同，专家认为，利用区块链技术为其数字基础设施提供加密货币和平台将很快成为标准规范而非个例。

尽管 2018 年加密货币价格的上涨可以被称为经济泡沫，但公司和政府仍在继续投资开发自己的区块链平台和金融代币。为了抵制和预防未来发生这样的事件，并同时同时继续在该领域投资，替代传统加密货币的**稳定币**已经开发成功。

金融巨头**摩根大通**推出了他们自己的用于企业的区块链解决方案，名为**Quorum**，用来处理被称为 [JPM 硬币][7]的稳定币。每个这样的 JPM 硬币都与 1 美元挂钩，其价值由母公司在支持法律框架下保证。像这样的平台使大型金融交易更容易通过互联网瞬间传输数百万或数十亿美元，而不必依赖 SWIFT 这样的传统银行系统，这些系统有着冗长的过程，而且本身已有数十年历史。

为了让区块链的精微之处可供所有人使用，以太坊平台允许第三方利用他们的区块链，或从中派生代币以创建和管理他们自己对**区块链-协议-令牌**三元组的主张，从而推动更广泛的标准采纳，并付出更少的基础工作量。

区块链允许通过网络快速创建、记录和交易现有金融工具的数字版本，而无需第三方监控。该系统固有的安全性和安保特性使整个过程完全安全，并且不受欺诈和篡改的影响，这基本上是现有金融工具需要第三方监控的唯一原因。政府和监管机构在金融服务和工具方面涉及的另一个领域是透明度和审计。通过区块链，银行和其他金融机构将能够维护完全透明、分层，几乎永久保存和防篡改的所有交易记录，使审计任务几乎无用。通过利用区块链，可以使当前金融系统和服务行业急需的发展和变化成为可能。分布式、防篡改、接近永久性存储和快速执行的平台对于银行家和政府监管机构来说都是非常有价值的，他们在这方面的投资似乎[很有用][8]。

在本系列的下一篇文章中，我们将了解公司如何使用区块链来提供下一代金融服务。纵观在行业中创造涟漪的个别公司后，我们将探讨区块链下的经济未来会如何发展。

----------------------------------------------------------------------------

via: https://www.ostechnix.com/blockchain-2-0-revolutionizing-the-financial-system/

作者: [Ostechnix][a]
选题: [lujun9972][b]
译者: [sanfusu](https://github.com/sanfusu)
校对: [wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux 中国](https://linux.cn/)荣誉推出

[a]: https://www.ostechnix.com/author/editor/
[b]: https://github.com/lujun9972
[1]: https://www.seasalt.com/history-of-salt
[2]: https://www.investopedia.com/terms/f/fiatmoney.asp
[3]: https://bitcoin.org/en/faq#who-created-bitcoin
[4]: https://99bitcoins.com/official-ecuador-cryptocurrency/
[5]: https://cointelegraph.com/news/german-government-to-introduce-blockchain-strategy-in-mid-2019
[6]: https://coinmarketcap.com/currencies/bitcoin/
[7]: https://www.jpmorgan.com/global/news/digital-coin-payments
[8]: https://www.pwc.com/jg/en/media-release/global-fintech-survey-2017.html
