[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: subject: (3 emerging tipping points in open source)
[#]: via: (https://opensource.com/article/18/11/3-new-tipping-points-open-source)
[#]: author: (Bilgin lbryam https://opensource.com/users/bibryam)
[#]: url: ( )

3 emerging tipping points in open source
======
Understand the factors advancing the open source model's evolution.
![](https://opensource.com/sites/default/files/styles/image-full-size/public/uploads/balance_tipping_seesaw_building.jpg?itok=Lu17pIYG)

Over the last two decades, open source has been expanding into all aspects of technology—from software to [hardware][1]; from small, disruptive startups to large, boring enterprises; from open standards to open [patents][2].

As movements evolve, they reach tipping points—stages that move the model in new directions. Following are three things that I believe are now reaching a tipping point in open source.

### Open for non-coders

As the name suggests, the open source model has mainly been focused on the source code. On the surface, that's probably because open source communities are usually made up of developers working on the source code, and the tools used in open source projects, such as source control systems, issue trackers, mailing list names, chat channel names, etc., all assume that developers are the center of the universe.

This has created big losses because it prevents creative people, designers, document writers, event organizers, community managers, lawyers, accountants, and many others from participating in open source communities. We need and want non-code contributors, but we don't have processes and tools to include them, means to measure their value, nor ways for their peers, the community, or their employers to reward their efforts. As a result, it has been a lose-lose for decades. We can see the implications in all the ugly websites, amateur logos, badly written and formatted documentation, disorganized events, etc., in open source projects.

The good news is that we are getting signals that change is on the way:

  * [Linus Torvalds apologized][3] for his "bad behavior." While this wasn't specifically focused on non-coders, it symbolizes making open source a non-hostile place for less-technical contributors.
  * The Cloud Native Computing Foundation (CNCF) introduced the [Non-Code Contributor's Guide][4]. In addition to showing the many ways people can contribute to open source projects, it also set a baseline for non-code contributions that other open source projects and foundations will end up following.
  * The Apache Software Foundation (ASF) is working in the same direction. We've been holding long discussions, and we will have some concrete output very soon (note that is "ASF soon").



There is a little-known secret that is great news for non-coders and others new to open source: One of the easiest ways to be recognized as part of an established open source project is to do non-coding activities. Nowadays, with complex software stacks and tough competition, there is a pretty high bar for entering a project as a committer. Performing non-coding activities is less popular, and it opens a fast backdoor to open source communities.

![](https://opensource.com/sites/default/files/uploads/opensource_funnels.png)

### Macro acquisitions

Open source may have started in the hacker community as a way of scratching developers' personal itches, but today it is the place where innovation happens. Even the world's largest software companies are transitioning to the model to continue dominating their market.

Here are some good reasons enterprises have become so interested in contributing to open source:

  * It multiplies the company's investments through contributions.
  * They can benefit from the most recent technology advances and avoid reinventing the wheel.
  * It helps spread knowledge of their software and its broader adoption.
  * It increases the developer base and hiring pool.
  * Internal developers' skills grow by learning from top coders in the field.
  * It builds a company's reputation—developers want to work for organizations they can boast about.
  * It aids recruitment and retention—developers want to work on exciting projects that affect large groups of people.
  * New companies and projects can start faster through the open source networking effect.



Many enterprises are trying to shortcut the process by acquiring open source companies—which leads to even more open source adoption. Building an open source company takes many years of effort done out in the open. Hiring good developers who are willing to work in the open, building a community around a project, and creating a successful business model require delicate effort. Companies that manage to do this are very attractive for investment and acquisition, as they serve as a catalyst to turn the acquirer into an open source company at scale. The number of [successful open source companies][5] that is acquired seems to get bigger every day, and this trend is only getting stronger.

### Micro-funding of open source software

In addition to macro investments through acquisitions of open source companies, there has also been an increase in decentralized [micro-funding of self-sustaining][6] open source projects.

On one end of the spectrum, there are open source projects that are maintained primarily by intrinsically motivated developers. On the other end, large companies are hiring developers to work on open source projects driven by company roadmaps and strategies. That leaves a large number of open source projects that are not exciting enough for accidental contributors nor on enterprise companies' radar.

In recent years, there has been an increase in [platforms for funding and sustaining][7] these open source projects through bug bounties, micro-payments, recurring donations, one-time contributions, subscriptions, etc. These open source funding platforms allow individuals to take responsibility for open source sustainability in their own hands by paying maintainers directly. This enables people to contribute to the open source model through value transfer rather than code contributions.

There are three basic channels for open source contributions:

  * Hobbyists contribute to open source projects because of intrinsic motivations rather than monetary value.
  * Companies with open source business models (open core, SaaS, support, services, etc.) monetize open source projects directly with regular, planned, and centralized subsidization.
  * Independent open source users provide irregular, micro, decentralized subsidization through [OSS funding][7] platforms.



While hobbyists and hackers started the open source movement, it's turned into an enterprise monetization model. Having a model to sustain the remaining open source projects is welcome.

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/11/3-new-tipping-points-open-source

作者：[Bilgin lbryam][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/bibryam
[b]: https://github.com/lujun9972
[1]: https://opensource.com/resources/what-open-hardware
[2]: https://www.redhat.com/en/blog/red-hat-welcomes-milestone-addition-open-invention-network-microsoft-joins-safeguard-linux-patent-attacks
[3]: https://lkml.org/lkml/2018/9/16/167
[4]: https://kubernetes.io/blog/2018/10/04/introducing-the-non-code-contributors-guide/
[5]: http://oss.cash/
[6]: https://opensource.com/article/18/8/open-source-tokenomics
[7]: http://oss.fund/
