RHSNOW is translating.
How To Create A Bootable Zorin OS USB Drive
======
![Zorin OS][17]

### Introduction

In this guide I will show you how to create a bootable Zorin OS USB Drive.

To be able to follow this guide you will need the following:

  * A blank USB drive
  * An internet connection



### What Is Zorin OS?

Zorin OS is a Linux based operating system.

If you are a Windows user you might wonder why you would bother with Zorin OS. If you are a Linux user then you might also wonder why you would use Zorin OS over other distributions such as Linux Mint or Ubuntu.

If you are using an older version of Windows and you can't afford to upgrade to Windows 10 or your computer doesn't have the right specifications for running Windows 10 then Zorin OS provides a free (or cheap, depending how much you choose to donate) upgrade path allowing you to continue to use your computer in a much more secure environment.

If your current operating system is Windows XP or Windows Vista then you might consider using Zorin OS Lite as opposed to Zorin OS Core.

The features of Zorin OS Lite are generally the same as the Zorin OS Core product but some of the applications installed and the desktop environment used for displaying menus and icons and other Windowsy features take up much less memory and processing power.

If you are running Windows 7 then your operating system is coming towards the end of its life. You could probably upgrade to Windows 10 but at a hefty price.

Not everybody has the finances to pay for a new Windows license and not everybody has the money to buy a brand new computer.

Zorin OS will help you extend the life of your computer and you will still feel you are using a premium product and that is because you will be. The product with the highest price doesn't always provide the best value.

Whilst we are talking about value for money, Zorin OS allows you to install the best free and open source software available and comes with a good selection of packages pre-installed.

For the home user, using Zorin OS doesn't have to feel any different to running Windows. You can browse the web using the browser of your choice, you can listen to music and watch videos. There are mail clients and other productivity tools.

Talking of productivity there is LibreOffice. LibreOffice has everything the average home user requires from an office suite with a word processor, spreadsheet and presentations package.

If you want to run Windows software then you can use the pre-installed PlayOnLinux and WINE packages to install and run all manner of packages including Microsoft Office.

By running Zorin OS you will get the extra security benefits of running a Linux based operating system.

Are you fed up with Windows updates stalling your productivity? When Windows wants to install updates it requires a reboot and then a long wait whilst it proceeds to install update after update. Sometimes it even forces a reboot whilst you are busy working.

Zorin OS is different. Updates download and install themselves whilst you are using the computer. You won't even need to know it is happening.

Why Zorin over Mint or Ubuntu? Zorin is the happy stepping stone between Windows and Linux. It is Linux but you don't need to care that it is Linux. If you decide later on to move to something different then so be it but there really is no need.

### The Zorin OS Website

![](http://dailylinuxuser.com/wp-content/uploads/2018/01/zorinwebsite1-678x381.png)

You can visit the Zorin OS website by visiting [www.zorinos.com][18].

The homepage of the Zorin OS website tells you everything you need to know.

"Zorin OS is an alternative to Windows and macOX, designed to make your computer faster, more powerful and secure".

There is nothing that tells you that Zorin OS is based on Linux. There is no need for Zorin to tell you that because even though Windows used to be heavily based on DOS you didn't need to know DOS commands to use it. Likewise you don't necessarily need to know Linux commands to use Zorin.

If you scroll down the page you will see a slide show highlighting the way the desktop looks and feels under Zorin.

The good thing is that you can customise the user interface so that if you prefer a Windows layout you can use a Windows style layout but if you prefer a Mac style layout you can go for that as well.

Zorin OS is based on Ubuntu Linux and the website uses this fact to highlight that underneath it has a stable base and it highlights the security benefits provided by Linux.

If you want to see what applications are available for Zorin then there is a link to do that and Zorin never sells your data and protects your privacy.

### What Are The Different Versions Of Zorin OS

#### Zorin OS Ultimate

The ultimate edition takes the core edition and adds other features such as different layouts, more applications pre-installed and extra games.

The ultimate edition comes at a price of 19 euros which is a bargain compared to other operating systems.

#### Zorin OS Core

The core version is the standard edition and comes with everything the average person could need from the outset.

This is the version I will show you how to download and install in this guide.

#### Zorin OS Lite

Zorin OS Lite also has an ultimate version available and a core version. Zorin OS Lite is perfect for older computers and the main difference is the desktop environments used to display menus and handle screen elements such as icons and panels.

Zorin OS Lite is less memory intensive than Zorin OS.

#### Zorin OS Business

Zorin OS Business comes with business applications installed as standard such as finance applications and office applications.

### How To Get Zorin OS

To download Zorin OS visit <https://zorinos.com/download/>.

To get the core version scroll past the Zorin Ultimate section until you get to the Zorin Core section.

You will see a small pay panel which allows you to choose how much you wish to pay for Zorin Core with a purchase now button underneath.

#### How To Pay For Zorin OS

![](http://dailylinuxuser.com/wp-content/uploads/2018/01/zorinwebsite1-678x381.png)

You can choose from the three preset amounts or enter an amount of your choice in the "Custom" box.

When you click "Purchase Zorin OS Core" the following window will appear:

![](http://dailylinuxuser.com/wp-content/uploads/2018/01/payforzorin.png)

You can now enter your email and credit card information.

When you click the "pay" button a window will appear with a download link.

#### How To Get Zorin OS For Free

If you don't wish to pay anything at all you can enter zero (0) into the custom box. The button will change and will show the words "Download Zorin OS Core".

#### How To Download Zorin OS

![](http://dailylinuxuser.com/wp-content/uploads/2018/01/downloadzorin.png)

Whether you have bought Zorin or have chosen to download for free, a window will appear with the option to download a 64 bit or 32 bit version of Zorin.

Most modern computers are capable of running 64 bit operating systems but in order to check within Windows click the "start" button and type "system information".

![](http://dailylinuxuser.com/wp-content/uploads/2018/01/systeminfo.png)

Click on the "System Information" desktop app and halfway down the right panel you will see the words "system type". If you see the words "x64 based PC" then the system is capable of running 64-bit operating systems.

If your computer is capable of running 64-bit operating systems click on the "Download 64 bit" button otherwise click on "Download 32 bit".

The ISO image file for Zorin will now start to download to your computer.

### How To Verify If The Zorin OS Download Is Valid

It is important to check whether the download is valid for many reasons.

If the file has only partially downloaded or there were interruptions whilst downloading and you had to resume then the image might not be perfect and it should be downloaded again.

More importantly you should check the validity to make sure the version you downloaded is genuine and wasn't uploaded by a hacker.

In order to check the validity of the ISO image you should download a piece of software called QuickHash for Windows from <https://www.quickhash-gui.org/download/quickhash-v2-8-4-for-windows/>.

Click the "download" link and when the file has downloaded double click on it.

Click on the relevant application file within the zip file. If you have a 32-bit system click "Quickhash-v2.8.4-32bit" or for a 64-bit system click "Quickhash-v2.8.4-64bit".

Click on the "Run" button.

![](http://dailylinuxuser.com/wp-content/uploads/2018/01/zorinhash.png)

Click the SHA256 radio button on the left side of the screen and then click on the file tab.

Click "Select File" and navigate to the downloads folder.

Choose the Zorin ISO image downloaded previously.

A progress bar will now work out the hash value for the ISO image.

To compare this with the valid keys available for Zorin visit <https://zorinos.com/help/install-zorin-os/> and scroll down until you see the list of checksums as follows:

![](http://dailylinuxuser.com/wp-content/uploads/2018/01/zorinhashcodes.png)

Select the long list of scrambled characters next to the version of Zorin OS that you downloaded and press CTRL and C to copy.

Go back to the Quickhash screen and paste the value into the "Expected hash value" box by pressing CTRL and V.

You should see the words "Expected hash matches the computed file hash, OK".

If the values do not match you will see the words "Expected hash DOES NOT match the computed file hash" and you should download the ISO image again.

### How To Create A Bootable Zorin OS USB Drive

In order to be able to install Zorin you will need to install a piece of software called Etcher. You will also need a blank USB drive.

You can download Etcher from <https://etcher.io/>.

![](http://dailylinuxuser.com/wp-content/uploads/2018/01/downloadetcher.png)

If you are using a 64 bit computer click on the "Download for Windows x64" link otherwise click on the little arrow and choose "Etcher for Windows x86 (32-bit) (Installer)".

Insert the USB drive into your computer and double click on the "Etcher" setup executable file.

![](http://dailylinuxuser.com/wp-content/uploads/2018/01/etcherlicense.png)

When the license screen appears click "I Agree".

Etcher should start automatically after the installation completes but if it doesn't you can press the Windows key or click the start button and search for "Etcher".

![](http://dailylinuxuser.com/wp-content/uploads/2018/01/etcherscreen.png)

Click on "Select Image" and select the "Zorin" ISO image downloaded previously.

Click "Flash".

Windows will ask for your permission to continue. Click "Yes" to accept.

After a while a window will appear with the words "Flash Complete".

### How To Buy A Zorin OS USB Drive

If the above instructions seem too much like hard work then you can order a Zorin USB Drive by clicking one of the following links:

*   [Zorin OS Core – 32-bit DVD][1]

*   [Zorin OS Core – 64-bit DVD][2]

*   [Zorin OS Core – 16 gigabyte USB drive (32-bit)][3]

*   [Zorin OS Core – 32 gigabyte USB drive (32-bit)][4]

*   [Zorin OS Core – 64 gigabyte USB drive (32-bit)][5]

*   [Zorin OS Core – 16 gigabyte USB drive (64-bit)][6]

*   [Zorin OS Core – 32 gigabyte USB drive (64-bit)][7]

*   [Zorin OS Core – 64 gigabyte USB drive (64-bit)][8]

*   [Zorin OS Lite – 32-bit DVD][9]

*   [Zorin OS Lite – 64-bit DVD][10]

*   [Zorin OS Lite – 16 gigabyte USB drive (32-bit)][11]

*   [Zorin OS Lite – 32 gigabyte USB drive (32-bit)][12]

*   [Zorin OS Lite – 64 gigabyte USB drive (32-bit)][13]

*   [Zorin OS Lite – 16 gigabyte USB drive (64-bit)][14]

*   [Zorin OS Lite – 32 gigabyte USB drive (64-bit)][15]

*   [Zorin OS Lite – 64 gigabyte USB drive (64-bit)][16]


### How To Boot Into Zorin OS Live

On older computers simply insert the USB drive and restart the computer. The boot menu for Zorin should appear straight away.

On modern computers insert the USB drive, restart the computer and before Windows loads press the appropriate function key to bring up the boot menu.

The following list shows the key or keys you can press for the most popular computer manufacturers.

  * Acer - Escape, F12, F9
  * Asus - Escape, F8
  * Compaq - Escape, F9
  * Dell - F12
  * Emachines - F12
  * HP - Escape, F9
  * Intel - F10
  * Lenovo - F8, F10, F12
  * Packard Bell - F8
  * Samsung - Escape, F12
  * Sony - F10, F11
  * Toshiba - F12



Check the manufacturer's website to find the key for your computer if it isn't listed or keep trying different function keys or the escape key.

A screen will appear with the following three options:

  1. Try Zorin OS without Installing
  2. Install Zorin OS
  3. Check disc for defects



Choose "Try Zorin OS without Installing" by pressing enter with that option selected.

### Summary

You can now try Zorin OS without damaging your current operating system.

To get back to your original operating system reboot and remove the USB drive.

### How To Remove Zorin OS From The USB Drive

If you have decided that Zorin OS is not for you and you want to get the USB drive back into its pre-Zorin state follow this guide:

[How To Fix A USB Drive After Linux Has Been Installed On It][19]

--------------------------------------------------------------------------------

via: http://dailylinuxuser.com/2018/01/how-to-create-a-bootable-zorin-os-usb-drive.html

作者：[admin][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:
[1]:https://www.osdisc.com/products/zorinos/zorin-os-122-core-install-live-dvd-32bit.html?affiliate=everydaylinuxuser
[2]:https://www.osdisc.com/products/zorinos/zorin-os-122-core-install-live-dvd-64bit.html?affiliate=everydaylinuxuser
[3]:https://www.osdisc.com/products/zorinos/zorin-os-122-core-16gb-usb-flash-drive-32bit.html?affiliate=everydaylinuxuser
[4]:https://www.osdisc.com/products/zorinos/zorin-os-122-core-32gb-usb-flash-drive-32bit.html?affiliate=everydaylinuxuser
[5]:https://www.osdisc.com/products/zorinos/zorin-os-122-core-64gb-usb-flash-drive-32bit.html?affiliate=everydaylinuxuser
[6]:https://www.osdisc.com/products/zorinos/zorin-os-122-core-16gb-usb-flash-drive-64bit.html?affiliate=everydaylinuxuser
[7]:https://www.osdisc.com/products/zorinos/zorin-os-122-core-32gb-usb-flash-drive-64bit.html?affiliate=everydaylinuxuser
[8]:https://www.osdisc.com/products/zorinos/zorin-os-122-core-64gb-usb-flash-drive-64bit.html?affiliate=everydaylinuxuser
[9]:https://www.osdisc.com/products/zorinos/zorin-os-122-lite-install-live-dvd-32bit.html?affiliate=everydaylinuxuser
[10]:https://www.osdisc.com/products/zorinos/zorin-os-122-lite-install-live-dvd-64bit.html?affiliate=everydaylinuxuser
[11]:https://www.osdisc.com/products/zorinos/zorin-os-122-lite-16gb-usb-flash-drive-32bit.html?affiliate=everydaylinuxuser
[12]:https://www.osdisc.com/products/zorinos/zorin-os-122-lite-32gb-usb-flash-drive-32bit.html?affiliate=everydaylinuxuser
[13]:https://www.osdisc.com/products/zorinos/zorin-os-122-lite-64gb-usb-flash-drive-32bit.html?affiliate=everydaylinuxuser
[14]:https://www.osdisc.com/products/zorinos/zorin-os-122-lite-16gb-usb-flash-drive-64bit.html?affiliate=everydaylinuxuser
[15]:https://www.osdisc.com/products/zorinos/zorin-os-122-lite-32gb-usb-flash-drive-64bit.html?affiliate=everydaylinuxuser
[16]:https://www.osdisc.com/products/zorinos/zorin-os-122-lite-64gb-usb-flash-drive-64bit.html?affiliate=everydaylinuxuser
[17]:http://dailylinuxuser.com/wp-content/uploads/2018/01/zorindesktop-678x381.png (Zorin OS)
[18]:http://www.zorinos.com
[19]:http://dailylinuxuser.com/2016/04/how-to-fix-usb-drive-after-linux-has.html
