Best Online Linux Terminals and Online Bash Editors
======
No matter whether you want to practice Linux commands or just analyze/test your shell scripts online, there’s always a couple of online Linux terminals and online bash compilers available.

This is particularly helpful when you are using the Windows operating system. Though you can [install Linux inside Windows using Windows Subsystem for Linux][1], using online Linux terminals are often more convenient for a quick test.

![Websites that allow to use Linux Terminal online][2]

But where can you find free Linux console? Which online Linux shell should you use?

Fret not, to save you the hassle, here, we have compiled a list of the best online Linux terminals and a separate list of best online bash compilers for you to look at.

**Note:** All of the online terminals support several browsers that include Google Chrome, Mozilla Firefox, Opera and Microsoft Edge.

### Best Online Linux Terminals To Practice Linux Commands

In the first part, I’ll list the online Linux terminals. These websites allow you to run the regular Linux commands in a web browser so that you can practice or test them. Some websites may require you to register and login to save your sessions.

#### 1. JSLinux

![online linux terminal - jslinux][3]

JSLinux is more like a complete Linux emulator instead of just offering you the terminal. As the name suggests, it has been entirely written in JavaScript. You get to choose a console-based system or a GUI-based online Linux system. However, in this case, you would want to launch the console-based system to practice Linux commands. To be able to connect your account, you need to sign up first.

JSLinux also lets you upload files to the virtual machine. At its core, it utilizes [Buildroot][4] (a tool that helps you to build a complete Linux system for an embedded system).

[Try JSLinux Terminal][5]

#### 2. Copy.sh

![copysh online linux terminal][6]

Copy.sh offers one of the best online Linux terminals which is fast and reliable to test and run Linux commands.

Copy.sh is also on [GitHub][7] – and it is being actively maintained, which is a good thing. It also supports other Operating Systems, which includes:

  * Windows 98
  * KolibriOS
  * FreeDOS
  * Windows 1.01
  * Archlinux



[Try Copy.sh Terminal][8]

#### 3. Webminal

![webminal online linux terminal][9]

Webminal is an impressive online Linux terminal – and my personal favorite when it comes to a recommendation for beginners to practice Linux commands online.

The website offers several lessons to learn from while you type in the commands in the same window. So, you do not need to refer to another site for the lessons and then switch back or split the screen in order to practice commands. It’s all right there – in a single tab on the browser.

[Try Webminal Terminal][10]

#### 4. Tutorialspoint Unix Terminal

![tutorialspoint linux terminal][11]

You might be aware of Tutorialspoint – which happens to be one of the most popular websites with high quality (yet free) online tutorials for just about any programming language (and more).

So, for obvious reasons, they provide a free online Linux console for you to practice commands while referring to their site as a resource at the same time. You also get the ability to upload files. It is quite simple but an effective online terminal. Also, it doesn’t stop there, it offers a lot of different online terminals as well in its [Coding Ground][12] page.

[Try Unix Terminal Online][13]

#### 5. JS/UIX

![js uix online linux terminal][14]

JS/UIX is yet another online Linux terminal which is written entirely in JavaScript without any plug-ins. It contains an online Linux virtual machine, virtual file-system, shell, and so on.

You can go through its manual page for the list of commands implemented.

[Try JS/UX Terminal][15]

#### 6. CB.VU

![online linux terminal][16]

If you are in for a treat with FreeBSD 7.1 stable version, cb.vu is a quite simple solution for that.

Nothing fancy, just try out the Linux commands you want and get the output. Unfortunately, you do not get the ability to upload files here.

[Try CB.VU Terminal][17]

#### 7. Linux Containers

![online linux terminal][18]

Linux Containers lets you run a demo server with a 30-minute countdown on which acts as one of the best online Linux terminals. In fact, it’s a project sponsored by Canonical.

[Try Linux LXD][19]

#### 8. Codeanywhere

![online linux terminal][20]

Codeanywhere is a service which offers cross-platform cloud IDEs. However, in order to run a free Linux virtual machine, you just need to sign up and choose the free plan. And, then, proceed to create a new connection while setting up a container with an OS of your choice. Finally, you will have a free Linux console at your disposal.

[Try Codeanywhere Editor][21]

### Best Online Bash Editors

Wait a sec! Are the online Linux terminals not good enough for Bash scripting? They are. But creating bash scripts in terminal editors and then executing them is not as convinient as using an online Bash editor.

These bash editors allow you to easily write shell scripts online and you can run them to check if it works or not.

Let’s see here can you run shell scripts online.

#### Tutorialspoint Bash Compiler

![online bash compiler][22]

As mentioned above, Tutorialspoint also offers an online Bash compiler. It is a very simple bash compiler to execute bash shell online.

[Try Tutorialspoint Bash Compiler][23]

#### JDOODLE

![online bash compiler][24]

Yet another useful online bash editor to test Bash scripts is JDOODLE. It also offers other IDEs, but we’ll focus on bash script execution here. You get to set the command line arguments and the stdin inputs, and would normally get the result of your code.

[Try JDOODLE Bash Script Online Tester][25]

#### Paizo.io

![paizo online bash editor][26]

Paizo.io is a good bash online editor that you can try for free. To utilize some of its advanced features like task scheduling, you need to first sign up. It also supports real-time collaboration, but that’s still in the experimental phase.

[Try Paizo.io Bash Editor][27]

#### ShellCheck

![shell check bash check][28]

An interesting Bash editor which lets you find bugs in your shell script. It is available on [GitHub][29] as well. In addition, you can install ShellCheck locally on [supported platforms][30].

[Try ShellCheck][31]

#### Rextester

![rextester bash editor][32]

If you only want a dead simple online bash compiler, Rextester should be your choice. It also supports other programming languages.

[Try Rextester][33]

#### Learn Shell

![online bash shell editor][34]

Just like [Webminal][35], Learnshell provides you with the content (or resource) to learn shell programming and you could also run/try your code at the same time. It covers the basics and a few advanced topics as well.

[Try Learn Shell Programming][36]

### Wrapping Up

Now that you know of the most reliable and fast online Linux terminals & online bash editors, learn, experiment, and play with the code!

We might have missed any of your favorite online Linux terminals or maybe the best online bash compiler which you happen to use? Let us know your thoughts in the comments below.

--------------------------------------------------------------------------------

via: https://itsfoss.com/online-linux-terminals/

作者：[Ankush Das][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://itsfoss.com/author/ankush/
[1]:https://itsfoss.com/install-bash-on-windows/
[2]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/online-linux-terminals.jpeg
[3]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/jslinux-online-linux-terminal.jpg
[4]:https://buildroot.org/
[5]:https://bellard.org/jslinux/
[6]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/copy-sh-online-linux-terminal.jpg
[7]:https://github.com/copy/v86
[8]:https://copy.sh/v86/?profile=linux26
[9]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/webminal.jpg
[10]:http://www.webminal.org/terminal/
[11]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/coding-ground-tutorialspoint-online-linux-terminal.jpg
[12]:https://www.tutorialspoint.com/codingground.htm
[13]:https://www.tutorialspoint.com/unix_terminal_online.php
[14]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/JS-UIX-online-linux-terminal.jpg
[15]:http://www.masswerk.at/jsuix/index.html
[16]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/cb-vu-online-linux-terminal.jpg
[17]:http://cb.vu/
[18]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/linux-containers-terminal.jpg
[19]:https://linuxcontainers.org/lxd/try-it/
[20]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/codeanywhere-terminal.jpg
[21]:https://codeanywhere.com/editor/
[22]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/tutorialspoint-bash-compiler.jpg
[23]:https://www.tutorialspoint.com/execute_bash_online.php
[24]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/jdoodle-online-bash-editor.jpg
[25]:https://www.jdoodle.com/test-bash-shell-script-online
[26]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/paizo-io-bash-editor.jpg
[27]:https://paiza.io/en/projects/new?language=bash
[28]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/shell-check-bash-analyzer.jpg
[29]:https://github.com/koalaman/shellcheck
[30]:https://github.com/koalaman/shellcheck#user-content-installing
[31]:https://www.shellcheck.net/#
[32]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/rextester-bash-editor.jpg
[33]:http://rextester.com/l/bash_online_compiler
[34]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/learnshell-online-bash-shell.jpg
[35]:http://www.webminal.org/
[36]:http://www.learnshell.org/
